/*
SQLyog Ultimate v11.11 (64 bit)
MySQL - 5.6.14 : Database - mini_game
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`mini_game` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci */;

USE `mini_game`;

/*Table structure for table `access_action` */

DROP TABLE IF EXISTS `access_action`;

CREATE TABLE `access_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `controller_id` int(11) NOT NULL,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten action',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không đặt mặc định, 1:Mặc định tạo ra khi thêm user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_access_action_access_controller1_idx` (`controller_id`),
  CONSTRAINT `fk_access_action_access_controller1` FOREIGN KEY (`controller_id`) REFERENCES `access_controller` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_action` */

/*Table structure for table `access_controller` */

DROP TABLE IF EXISTS `access_controller`;

CREATE TABLE `access_controller` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten controller',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không tạo mặc định, 1:Tạo mặc định khi thêm mới user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_controller` */

/*Table structure for table `action_log` */

DROP TABLE IF EXISTS `action_log`;

CREATE TABLE `action_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `actor_id` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `actor_name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'ADDED, UPDATED, DELETED, WARNING_DEV, SUPPEND_DEV, SUPPEND_APP, RESET_PASSWORD',
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `model` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `table` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `record_id` bigint(20) DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `action_log` */

/*Table structure for table `admin` */

DROP TABLE IF EXISTS `admin`;

CREATE TABLE `admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL COMMENT 'Nhóm quyền',
  `fullname` varchar(255) DEFAULT NULL COMMENT 'Họ và tên',
  `username` varchar(255) DEFAULT NULL COMMENT 'Tên đăng nhập',
  `salt` varchar(255) DEFAULT NULL COMMENT 'Chuỗi bảo mật',
  `password` varchar(255) DEFAULT NULL COMMENT 'Mật khẩu mã hóa',
  `email` varchar(255) DEFAULT NULL COMMENT 'Email',
  `is_active` tinyint(1) DEFAULT '0' COMMENT '0: Ngừng hoạt động, 1: Hoạt động',
  `is_super` tinyint(1) DEFAULT '0' COMMENT '0: User thường, 1: Super User',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngày tạo',
  `updated_at` datetime DEFAULT NULL COMMENT 'Ngày cập nhật',
  PRIMARY KEY (`id`),
  KEY `fk_admin_group1_idx` (`group_id`),
  CONSTRAINT `fk_admin_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

/*Data for the table `admin` */

insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (38,2,'Hùng TN','hungtn',NULL,'c0b1d84fd16d13bf53eb5e8b2c197565b569855240b59ad4b7b812df946534c4',NULL,1,0,'2017-02-13 17:43:09','2017-02-13 17:43:09');

/*Table structure for table `admin_access_action` */

DROP TABLE IF EXISTS `admin_access_action`;

CREATE TABLE `admin_access_action` (
  `admin_id` int(11) NOT NULL,
  `access_action_id` int(11) NOT NULL,
  PRIMARY KEY (`admin_id`,`access_action_id`),
  KEY `fk_admin_has_access_action_admin1_idx` (`admin_id`),
  KEY `fk_admin_has_access_action_access_action1_idx` (`access_action_id`),
  CONSTRAINT `fk_admin_has_access_action_access_action1` FOREIGN KEY (`access_action_id`) REFERENCES `access_action` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_admin_has_access_action_admin1` FOREIGN KEY (`admin_id`) REFERENCES `admin` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `admin_access_action` */

/*Table structure for table `game` */

DROP TABLE IF EXISTS `game`;

CREATE TABLE `game` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `total_time` bigint(20) DEFAULT '0' COMMENT 'Tổng thời gian hoàn thành',
  `total_point` bigint(20) DEFAULT '0' COMMENT 'Tổng số điểm chơi',
  `total_game` bigint(20) DEFAULT '0' COMMENT 'Tổng số lần chơi',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_game_user_idx` (`user_id`),
  CONSTRAINT `fk_game_user` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `game` */

insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (1,1,460,40,4,'2017-02-14 11:23:24','2017-02-14 11:56:57'),(2,2,300,40,3,'2017-02-14 11:24:50','2017-02-14 11:28:16'),(3,3,200,20,5,'2017-02-14 11:28:57','2017-02-14 11:47:05');

/*Table structure for table `game_details` */

DROP TABLE IF EXISTS `game_details`;

CREATE TABLE `game_details` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL COMMENT 'Mã User',
  `time` bigint(20) DEFAULT '0' COMMENT 'Thời gian hoàn thành',
  `point` bigint(20) DEFAULT '0' COMMENT 'Số điểm',
  `time_play` bigint(20) DEFAULT '0' COMMENT 'Thời gian chơi',
  `time_play_2` datetime DEFAULT NULL COMMENT 'Thời gian bắt đầu chơi',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_game_user_idx` (`user_id`),
  CONSTRAINT `fk_game_user0` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `game_details` */

insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`created_at`,`updated_at`) values (1,1,120,10,0,'2017-02-14 10:10:10','2017-02-14 11:02:17','2017-02-14 11:02:17'),(2,1,120,10,0,'2017-02-14 10:10:10','2017-02-14 11:23:24','2017-02-14 11:23:24'),(3,1,120,10,0,'2017-02-14 10:10:10','2017-02-14 11:23:48','2017-02-14 11:23:48'),(4,2,100,10,0,'2017-02-14 10:10:10','2017-02-14 11:24:50','2017-02-14 11:24:50'),(5,2,100,10,0,'1970-01-01 07:00:00','2017-02-14 11:27:57','2017-02-14 11:27:57'),(6,2,100,10,0,'2017-02-14 10:10:10','2017-02-14 11:28:16','2017-02-14 11:28:16'),(7,3,100,10,0,'2017-02-14 10:10:10','2017-02-14 11:28:57','2017-02-14 11:28:57'),(8,3,0,0,0,'2017-02-14 10:10:10','2017-02-14 11:30:31','2017-02-14 11:30:31'),(9,3,0,0,0,'2017-02-14 10:10:10','2017-02-14 11:36:11','2017-02-14 11:36:11'),(10,3,0,0,0,'2017-02-14 10:10:10','2017-02-14 11:37:00','2017-02-14 11:37:00'),(11,3,100,10,0,'2017-02-14 10:10:10','2017-02-14 11:47:05','2017-02-14 11:47:05'),(12,1,100,10,0,'2017-02-14 10:10:10','2017-02-14 11:56:55','2017-02-14 11:56:55');

/*Table structure for table `group` */

DROP TABLE IF EXISTS `group`;

CREATE TABLE `group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten nhom',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Mo ta',
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Kich hoat',
  `is_super_group` tinyint(1) DEFAULT '0' COMMENT 'super group',
  `group_type` int(1) DEFAULT '0' COMMENT 'Loại nhóm: 0:Nhóm thông thường, 1:Nhóm đối tác truyền thông, 2:Nhóm Super Admin',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngay tao',
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group` */

insert  into `group`(`id`,`name`,`description`,`is_active`,`is_super_group`,`group_type`,`created_at`,`updated_at`) values (1,'Admin','Admin',1,0,0,'2017-02-13 17:40:36','2017-02-13 17:40:39'),(2,'SuperAdmin','SuperAdmin',1,1,0,'2017-02-13 17:41:41','2017-02-13 17:41:43');

/*Table structure for table `group_access_controller` */

DROP TABLE IF EXISTS `group_access_controller`;

CREATE TABLE `group_access_controller` (
  `group_id` int(11) NOT NULL,
  `access_controller_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`access_controller_id`),
  KEY `fk_group_has_access_controller_access_controller1_idx` (`access_controller_id`),
  KEY `fk_group_has_access_controller_group1_idx` (`group_id`),
  CONSTRAINT `fk_group_has_access_controller_access_controller1` FOREIGN KEY (`access_controller_id`) REFERENCES `access_controller` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_group_has_access_controller_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group_access_controller` */

/*Table structure for table `user` */

DROP TABLE IF EXISTS `user`;

CREATE TABLE `user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `fullname` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Họ và tên',
  `avatar` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Đường dẫn ảnh đại diện',
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Tài khoản',
  `salt` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Salt',
  `password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Mật khẩu',
  `gender` tinyint(1) DEFAULT NULL COMMENT 'Giới tính',
  `birthday` date DEFAULT NULL COMMENT 'Ngày sinh 2017-01-10',
  `address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Địa chỉ',
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Email',
  `mobile` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Số điện thoại',
  `reward_code` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Mã dự thưởng',
  `is_active` tinyint(1) DEFAULT '1' COMMENT 'Trạng thái kích hoạt:\n1-Hoạt động\n0-Tạm dừng\n2-Khóa tài khoản',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngày tạo',
  `updated_at` datetime DEFAULT NULL COMMENT 'Ngày cập nhật',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `user` */

insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`created_at`,`updated_at`) values (1,'Đoan PV',NULL,'doanpv',NULL,NULL,1,'2017-02-13',NULL,'doan281@gmail.com','0912113114','123245',1,'2017-02-13 21:31:48','2017-02-13 21:31:51'),(2,'Hùng TN',NULL,'hungtn',NULL,NULL,1,'2017-02-13',NULL,'hungtn@gmail.com','0912113115','563498',1,'2017-02-13 21:31:48','2017-02-13 21:31:51'),(3,'Hiệu ĐĐ',NULL,'hieudd',NULL,NULL,1,'2017-02-13',NULL,'hieudd@gmail.com','0912113116','335990',1,'2017-02-13 21:31:48','2017-02-13 21:31:51');

/*Table structure for table `user_log` */

DROP TABLE IF EXISTS `user_log`;

CREATE TABLE `user_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'LOGIN, LOGOUT',
  `time_login` datetime DEFAULT NULL,
  `account_input` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8_unicode_ci,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT 'BE' COMMENT 'BE, FE',
  `result` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'SUCCESS, FAILED',
  `time_logout` datetime DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `user_log` */

insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (8,'LOGIN/LOGOUT','2017-02-13 23:10:56','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-13 23:11:03',7),(9,'LOGIN/LOGOUT','2017-02-14 08:28:55','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL),(10,'LOGIN/LOGOUT','2017-02-14 14:41:27','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 18:03:13',12106),(11,'LOGIN/LOGOUT','2017-02-14 18:03:21','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 18:34:11',1850),(12,'LOGIN/LOGOUT','2017-02-14 22:34:28','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 23:32:34',3486);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
