/*
SQLyog Ultimate v11.11 (64 bit)
MySQL - 5.1.73 : Database - gamedb
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`gamedb` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `gamedb`;

/*Table structure for table `access_action` */

DROP TABLE IF EXISTS `access_action`;

CREATE TABLE `access_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `controller_id` int(11) NOT NULL,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten action',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không đặt mặc định, 1:Mặc định tạo ra khi thêm user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_access_action_access_controller1_idx` (`controller_id`),
  CONSTRAINT `fk_access_action_access_controller1` FOREIGN KEY (`controller_id`) REFERENCES `access_controller` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_action` */

/*Table structure for table `access_controller` */

DROP TABLE IF EXISTS `access_controller`;

CREATE TABLE `access_controller` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten controller',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không tạo mặc định, 1:Tạo mặc định khi thêm mới user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_controller` */

/*Table structure for table `action_log` */

DROP TABLE IF EXISTS `action_log`;

CREATE TABLE `action_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `actor_id` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `actor_name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'ADDED, UPDATED, DELETED, WARNING_DEV, SUPPEND_DEV, SUPPEND_APP, RESET_PASSWORD',
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `model` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `table` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `record_id` bigint(20) DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `action_log` */

insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (1,'38','hungtn','UPDATED','Cập nhật nhóm người dùng','MGroup','group',2,'117.5.207.170','2017-02-17 14:08:03','2017-02-17 14:08:03');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (2,'38','hungtn','UPDATED','Cập nhật nhóm người dùng','MGroup','group',1,'117.5.207.170','2017-02-17 14:08:11','2017-02-17 14:08:11');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (3,'38','hungtn','ADDED','Thêm mới người dùng hệ thống','madmin','admin',39,'117.5.207.170','2017-02-17 14:11:55','2017-02-17 14:11:55');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (4,'38','hungtn','ADDED','Thêm mới nhóm người dùng','mgroup','group',3,'117.5.207.170','2017-02-17 14:12:24','2017-02-17 14:12:24');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (5,'38','hungtn','UPDATED','Cập nhật nhóm người dùng','MGroup','group',3,'117.5.207.170','2017-02-17 14:12:43','2017-02-17 14:12:43');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (6,'38','hungtn','UPDATED','Cập nhật người dùng hệ thống','madmin','admin',39,'117.5.207.170','2017-02-17 14:12:52','2017-02-17 14:12:52');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (7,'39','doan281pv','UPDATED','Cập nhật nhóm người dùng','MGroup','group',1,'117.5.207.170','2017-02-18 18:08:48','2017-02-18 18:08:48');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (8,'39','doan281pv','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'117.5.207.170','2017-02-18 18:16:58','2017-02-18 18:16:58');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (9,'39','doan281pv','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'117.5.207.170','2017-02-18 18:17:50','2017-02-18 18:17:50');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (10,'39','doan281pv','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'117.5.207.170','2017-02-18 18:19:34','2017-02-18 18:19:34');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (11,'39','doan281pv','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'117.5.207.170','2017-02-18 18:20:26','2017-02-18 18:20:26');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (12,'39','doan281pv','ADDED','Thêm mới người dùng hệ thống','madmin','admin',40,'118.70.8.13','2017-02-20 14:41:35','2017-02-20 14:41:35');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (13,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 17:59:42','2017-02-20 17:59:42');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (14,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:00:40','2017-02-20 18:00:40');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (15,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:00:47','2017-02-20 18:00:47');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (16,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:01:24','2017-02-20 18:01:24');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (17,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:05:26','2017-02-20 18:05:26');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (18,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:05:55','2017-02-20 18:05:55');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (19,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:11:57','2017-02-20 18:11:57');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (20,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:13:02','2017-02-20 18:13:02');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (21,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:13:50','2017-02-20 18:13:50');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (22,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:13:56','2017-02-20 18:13:56');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (23,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:17:47','2017-02-20 18:17:47');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (24,'40','loan_k50a2@yahoo.com','UPDATED','Cập nhật Cuộc đua thành công!','Mactionlog','action_log',1,'118.70.8.13','2017-02-20 18:18:34','2017-02-20 18:18:34');
insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (25,'39','doan281pv','ADDED','Thêm mới người dùng hệ thống','madmin','admin',41,'118.70.8.13','2017-02-22 10:40:18','2017-02-22 10:40:18');

/*Table structure for table `admin` */

DROP TABLE IF EXISTS `admin`;

CREATE TABLE `admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL COMMENT 'Nhóm quyền',
  `fullname` varchar(255) DEFAULT NULL COMMENT 'Họ và tên',
  `username` varchar(255) DEFAULT NULL COMMENT 'Tên đăng nhập',
  `salt` varchar(255) DEFAULT NULL COMMENT 'Chuỗi bảo mật',
  `password` varchar(255) DEFAULT NULL COMMENT 'Mật khẩu mã hóa',
  `email` varchar(255) DEFAULT NULL COMMENT 'Email',
  `is_active` tinyint(1) DEFAULT '0' COMMENT '0: Ngừng hoạt động, 1: Hoạt động',
  `is_super` tinyint(1) DEFAULT '0' COMMENT '0: User thường, 1: Super User',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngày tạo',
  `updated_at` datetime DEFAULT NULL COMMENT 'Ngày cập nhật',
  PRIMARY KEY (`id`),
  KEY `fk_admin_group1_idx` (`group_id`),
  CONSTRAINT `fk_admin_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8;

/*Data for the table `admin` */

insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (38,2,'Hùng TN','hungtn',NULL,'c0b1d84fd16d13bf53eb5e8b2c197565b569855240b59ad4b7b812df946534c4',NULL,1,0,'2017-02-13 17:43:09','2017-02-13 17:43:09');
insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (39,1,'ĐoanPV','doan281pv',NULL,'c0b1d84fd16d13bf53eb5e8b2c197565b569855240b59ad4b7b812df946534c4','doan281@gmail.com',1,1,'2017-02-17 14:11:55','2017-02-17 14:12:52');
insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (40,1,'Loan BT','loan_k50a2@yahoo.com',NULL,'25e180e434110c0dbf2a0d7bfbd7b7940f6bbcea0883e7b24e0c3564238bcd0b','loan_k50a2@yahoo.com',1,0,'2017-02-20 14:41:35','2017-02-20 14:41:35');
insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (41,1,'Ms Quỳnh','quynhnt@ngoisaomoi.vn',NULL,'0cfbd367878b78c65ca87344875f730cbfc027bb5f7de4a38692a64d8392ccd5','quynhnt@ngoisaomoi.vn',1,0,'2017-02-22 10:40:18','2017-02-22 10:40:18');

/*Table structure for table `admin_access_action` */

DROP TABLE IF EXISTS `admin_access_action`;

CREATE TABLE `admin_access_action` (
  `admin_id` int(11) NOT NULL,
  `access_action_id` int(11) NOT NULL,
  PRIMARY KEY (`admin_id`,`access_action_id`),
  KEY `fk_admin_has_access_action_admin1_idx` (`admin_id`),
  KEY `fk_admin_has_access_action_access_action1_idx` (`access_action_id`),
  CONSTRAINT `fk_admin_has_access_action_access_action1` FOREIGN KEY (`access_action_id`) REFERENCES `access_action` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_admin_has_access_action_admin1` FOREIGN KEY (`admin_id`) REFERENCES `admin` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `admin_access_action` */

/*Table structure for table `contest` */

DROP TABLE IF EXISTS `contest`;

CREATE TABLE `contest` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_limit` int(11) NOT NULL COMMENT 'Số ngày diễn ra cuộc thi',
  `date_from` date NOT NULL COMMENT 'Ngày bắt đầu diễn ra cuộc thi',
  `priority` int(11) DEFAULT '1' COMMENT 'Độ ưu tiên: 1 cao nhất',
  `is_active` tinyint(1) DEFAULT '1',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

/*Data for the table `contest` */

insert  into `contest`(`id`,`date_limit`,`date_from`,`priority`,`is_active`,`created_at`,`updated_at`) values (1,28,'2017-02-20',1,1,'2017-02-18 11:20:13','2017-02-20 18:18:34');

/*Table structure for table `contest_details` */

DROP TABLE IF EXISTS `contest_details`;

CREATE TABLE `contest_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contest_id` int(11) NOT NULL COMMENT 'Mã cuộc thi',
  `date_order` int(11) NOT NULL COMMENT 'Số thứ tự ngày',
  `name` varchar(45) NOT NULL COMMENT 'Tên: Ngày 1, Ngày 2',
  `date_play` date NOT NULL COMMENT 'Ngày thi: 2017-02-18...',
  `priority` int(11) DEFAULT '1',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_contest_details_contest1_idx` (`contest_id`),
  CONSTRAINT `fk_contest_details_contest1` FOREIGN KEY (`contest_id`) REFERENCES `contest` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;

/*Data for the table `contest_details` */

insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (1,1,1,'Ngày 1','2017-02-20',1,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (2,1,2,'Ngày 2','2017-02-21',2,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (3,1,3,'Ngày 3','2017-02-22',3,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (4,1,4,'Ngày 4','2017-02-23',4,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (5,1,5,'Ngày 5','2017-02-24',5,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (6,1,6,'Ngày 6','2017-02-25',6,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (7,1,7,'Ngày 7','2017-02-26',7,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (8,1,8,'Ngày 8','2017-02-27',8,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (9,1,9,'Ngày 9','2017-02-28',9,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (10,1,10,'Ngày 10','2017-03-01',10,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (11,1,11,'Ngày 11','2017-03-02',11,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (12,1,12,'Ngày 12','2017-03-03',12,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (13,1,13,'Ngày 13','2017-03-04',13,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (14,1,14,'Ngày 14','2017-03-05',14,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (15,1,15,'Ngày 15','2017-03-06',15,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (16,1,16,'Ngày 16','2017-03-07',16,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (17,1,17,'Ngày 17','2017-03-08',17,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (18,1,18,'Ngày 18','2017-03-09',18,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (19,1,19,'Ngày 19','2017-03-10',19,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (20,1,20,'Ngày 20','2017-03-11',20,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (21,1,21,'Ngày 21','2017-03-12',21,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (22,1,22,'Ngày 22','2017-03-13',22,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (23,1,23,'Ngày 23','2017-03-14',23,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (24,1,24,'Ngày 24','2017-03-15',24,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (25,1,25,'Ngày 25','2017-03-16',25,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (26,1,26,'Ngày 26','2017-03-17',26,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (27,1,27,'Ngày 27','2017-03-18',27,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (28,1,28,'Ngày 28','2017-03-19',28,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (29,1,29,'Ngày 29','2017-03-20',29,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (30,1,30,'Ngày 30','2017-03-21',30,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (31,1,31,'Ngày 31','2017-03-22',31,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (32,1,32,'Ngày 32','2017-02-23',32,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (33,1,33,'Ngày 33','2017-02-23',33,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (34,1,34,'Ngày 34','2017-02-23',34,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (35,1,35,'Ngày 35','2017-02-23',35,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (36,1,36,'Ngày 36','2017-02-23',36,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (37,1,37,'Ngày 37','2017-02-23',37,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (38,1,38,'Ngày 38','2017-02-23',38,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (39,1,39,'Ngày 39','2017-02-23',39,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (40,1,40,'Ngày 40','2017-02-23',40,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (41,1,41,'Ngày 41','2017-02-23',41,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (42,1,42,'Ngày 42','2017-02-23',42,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (43,1,43,'Ngày 43','2017-02-23',43,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (44,1,44,'Ngày 44','2017-02-23',44,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (45,1,45,'Ngày 45','2017-02-23',45,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (46,1,46,'Ngày 46','2017-02-23',46,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (47,1,47,'Ngày 47','2017-02-23',47,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (48,1,48,'Ngày 48','2017-02-23',48,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (49,1,49,'Ngày 49','2017-02-23',49,'2017-02-18 11:20:59','2017-02-18 11:21:03');
insert  into `contest_details`(`id`,`contest_id`,`date_order`,`name`,`date_play`,`priority`,`created_at`,`updated_at`) values (50,1,50,'Ngày 50','2017-02-23',50,'2017-02-18 11:20:59','2017-02-18 11:21:03');

/*Table structure for table `game` */

DROP TABLE IF EXISTS `game`;

CREATE TABLE `game` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `total_time` bigint(20) DEFAULT '0' COMMENT 'Tổng thời gian hoàn thành',
  `total_point` bigint(20) DEFAULT '0' COMMENT 'Tổng số điểm chơi',
  `total_game` bigint(20) DEFAULT '0' COMMENT 'Tổng số lần chơi',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_game_user_idx` (`user_id`),
  CONSTRAINT `fk_game_user` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `game` */

insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (4,13,1657,1396471,30,'2017-02-15 11:53:51','2017-03-08 00:02:13');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (5,23,81,32411,9,'2017-02-20 14:33:42','2017-02-22 15:33:37');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (6,25,10,3830,2,'2017-02-20 14:53:59','2017-02-20 15:09:55');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (7,26,36,25546,2,'2017-02-20 14:55:24','2017-02-20 14:56:34');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (8,28,44,30073,1,'2017-02-20 14:59:15','2017-02-20 14:59:15');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (9,29,559,400429,18,'2017-02-20 15:02:11','2017-02-23 14:13:27');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (10,30,35,25526,4,'2017-02-20 15:06:54','2017-02-20 15:08:43');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (11,24,465,325049,9,'2017-02-20 15:27:34','2017-03-01 11:18:55');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (12,19,725,553683,14,'2017-02-20 15:33:41','2017-03-02 16:12:23');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (13,31,12900,12750802,215,'2017-02-20 15:40:59','2017-03-08 17:15:19');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (14,35,480,385611,8,'2017-02-21 09:06:33','2017-03-06 18:31:40');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (15,37,3480,3162847,58,'2017-02-21 09:11:00','2017-03-07 10:27:30');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (16,40,120,85449,2,'2017-02-21 11:29:26','2017-02-28 16:54:22');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (17,18,480,363485,8,'2017-02-21 14:36:46','2017-02-24 23:26:40');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (18,9,780,632860,13,'2017-02-21 17:44:39','2017-03-08 08:36:18');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (19,42,4500,3786479,75,'2017-02-21 17:57:13','2017-03-01 00:01:53');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (20,44,60,53006,1,'2017-02-22 08:50:22','2017-02-22 08:50:22');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (21,45,4980,4513444,83,'2017-02-22 08:54:31','2017-03-08 16:52:52');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (22,46,19800,19877019,330,'2017-02-22 08:57:17','2017-03-08 17:23:03');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (23,21,120,60220,2,'2017-02-22 09:11:24','2017-02-22 15:43:21');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (24,49,120,94661,2,'2017-02-22 09:11:50','2017-02-23 15:55:49');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (25,17,60,43235,1,'2017-02-22 15:34:59','2017-02-22 15:34:59');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (26,39,3660,3340866,61,'2017-02-22 15:57:43','2017-03-08 16:41:35');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (27,62,360,277033,6,'2017-02-22 16:55:38','2017-03-03 13:33:36');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (28,41,120,73831,2,'2017-02-22 17:30:38','2017-03-06 18:00:26');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (29,66,120,89319,2,'2017-02-22 19:04:54','2017-02-22 19:08:31');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (30,79,60,49114,1,'2017-02-22 20:48:44','2017-02-22 20:48:44');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (31,86,60,42665,1,'2017-02-22 21:40:54','2017-02-22 21:40:54');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (32,99,60,42597,1,'2017-02-22 21:45:56','2017-02-22 21:45:56');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (33,104,60,32493,1,'2017-02-22 21:53:49','2017-02-22 21:53:49');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (34,113,60,42272,1,'2017-02-22 23:10:25','2017-02-22 23:10:25');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (35,129,180,169635,3,'2017-02-23 08:29:30','2017-02-23 08:38:08');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (36,140,60,41694,1,'2017-02-23 09:41:54','2017-02-23 09:41:54');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (37,141,60,38520,1,'2017-02-23 09:59:04','2017-02-23 09:59:04');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (38,155,60,48778,1,'2017-02-23 11:30:43','2017-02-23 11:30:43');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (39,156,120,96641,2,'2017-02-23 11:51:00','2017-02-23 11:57:00');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (40,157,60,41656,1,'2017-02-23 11:55:28','2017-02-23 11:55:28');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (41,162,60,44176,1,'2017-02-23 12:50:08','2017-02-23 12:50:08');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (42,173,60,46612,1,'2017-02-23 14:54:26','2017-02-23 14:54:26');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (43,176,420,314548,7,'2017-02-23 15:28:32','2017-02-23 17:55:53');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (44,174,180,96287,3,'2017-02-23 16:15:36','2017-02-23 17:06:06');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (45,177,660,488612,11,'2017-02-23 17:23:03','2017-02-23 18:04:56');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (46,65,60,32297,1,'2017-02-23 17:53:00','2017-02-23 17:53:00');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (47,181,120,94707,2,'2017-02-23 18:53:26','2017-02-23 21:30:22');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (48,193,60,45797,1,'2017-02-23 21:43:34','2017-02-23 21:43:34');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (49,118,840,659169,14,'2017-02-23 22:26:05','2017-03-04 14:22:49');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (50,196,300,259507,5,'2017-02-23 23:27:20','2017-02-28 08:21:48');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (51,214,120,89733,2,'2017-02-24 08:35:44','2017-03-07 11:49:36');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (52,43,1740,1486322,29,'2017-02-24 08:40:03','2017-03-08 08:38:12');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (53,220,540,417074,9,'2017-02-24 08:54:50','2017-02-24 10:40:17');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (54,216,60,42452,1,'2017-02-24 08:57:08','2017-02-24 08:57:08');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (55,215,240,141004,4,'2017-02-24 09:05:15','2017-03-02 18:45:23');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (56,223,120,71081,2,'2017-02-24 09:12:38','2017-02-24 09:20:17');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (57,224,300,251337,5,'2017-02-24 09:32:16','2017-02-24 10:00:32');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (58,231,60,44257,1,'2017-02-24 10:55:35','2017-02-24 10:55:35');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (59,232,120,92220,2,'2017-02-24 11:26:15','2017-03-02 11:10:56');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (60,27,120,93920,2,'2017-02-24 11:34:06','2017-02-24 11:41:00');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (61,239,60,43583,1,'2017-02-24 13:58:02','2017-02-24 13:58:02');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (62,246,60,51363,1,'2017-02-24 15:23:21','2017-02-24 15:23:21');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (63,251,120,93414,2,'2017-02-24 17:54:23','2017-02-24 17:59:16');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (64,255,60,44918,1,'2017-02-24 18:06:41','2017-02-24 18:06:41');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (65,209,60,54915,1,'2017-02-25 00:30:23','2017-02-25 00:30:23');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (66,286,180,132991,3,'2017-02-25 15:20:59','2017-02-25 15:31:48');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (67,309,60,46802,1,'2017-02-27 11:02:30','2017-02-27 11:02:30');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (68,311,300,222407,5,'2017-02-27 11:06:05','2017-02-27 11:39:31');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (69,312,60,42760,1,'2017-02-27 11:08:34','2017-02-27 11:08:34');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (70,306,60,41952,1,'2017-02-27 14:04:02','2017-02-27 14:04:02');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (71,330,120,87417,2,'2017-02-28 13:46:28','2017-02-28 13:51:24');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (72,331,60,40966,1,'2017-02-28 14:53:51','2017-02-28 14:53:51');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (73,338,60,44092,1,'2017-02-28 16:37:27','2017-02-28 16:37:27');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (74,341,60,44640,1,'2017-02-28 17:33:26','2017-02-28 17:33:26');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (75,347,240,139256,4,'2017-02-28 20:47:14','2017-02-28 21:15:02');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (76,362,60,43244,1,'2017-03-01 11:05:03','2017-03-01 11:05:03');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (77,364,1380,1781124,23,'2017-03-01 11:47:45','2017-03-08 11:51:29');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (78,339,60,48828,1,'2017-03-01 12:30:11','2017-03-01 12:30:11');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (79,110,60,33320,1,'2017-03-01 12:46:32','2017-03-01 12:46:32');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (80,378,660,555504,11,'2017-03-01 17:31:16','2017-03-05 16:45:06');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (81,379,780,633792,13,'2017-03-01 18:13:50','2017-03-06 18:32:35');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (82,386,120,88958,2,'2017-03-01 21:41:28','2017-03-01 21:45:28');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (83,58,420,349405,7,'2017-03-02 08:37:39','2017-03-03 17:57:11');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (84,398,540,462853,9,'2017-03-02 11:28:01','2017-03-03 09:47:34');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (85,53,60,44671,1,'2017-03-02 11:42:28','2017-03-02 11:42:28');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (86,397,60,45055,1,'2017-03-02 12:06:23','2017-03-02 12:06:23');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (87,399,7320,7155246,122,'2017-03-02 12:09:20','2017-03-06 17:39:27');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (88,407,720,585910,12,'2017-03-02 14:59:48','2017-03-03 11:38:25');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (89,51,60,43553,1,'2017-03-02 16:15:15','2017-03-02 16:15:15');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (90,420,3120,3179371,52,'2017-03-02 19:18:15','2017-03-06 22:50:57');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (91,423,1380,1532496,23,'2017-03-02 20:34:27','2017-03-06 23:03:37');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (92,434,60,46627,1,'2017-03-03 09:05:11','2017-03-03 09:05:11');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (93,437,120,99956,2,'2017-03-03 10:42:42','2017-03-03 10:53:15');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (94,438,120,92109,2,'2017-03-03 11:02:16','2017-03-03 11:12:49');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (95,440,480,394634,8,'2017-03-03 11:42:28','2017-03-03 13:05:50');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (96,430,60,30769,1,'2017-03-03 17:32:04','2017-03-03 17:32:04');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (97,449,1440,1208702,24,'2017-03-03 19:43:52','2017-03-06 11:10:14');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (98,447,60,46512,1,'2017-03-04 10:09:05','2017-03-04 10:09:05');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (99,356,300,255086,5,'2017-03-04 14:36:34','2017-03-04 15:05:06');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (100,457,60,48436,1,'2017-03-04 16:16:36','2017-03-04 16:16:36');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (101,458,180,307305,3,'2017-03-04 17:37:10','2017-03-08 10:47:56');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (102,460,840,444734,14,'2017-03-05 00:27:04','2017-03-05 03:19:42');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (103,461,120,99682,2,'2017-03-05 03:15:39','2017-03-05 03:19:09');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (104,465,2640,3024800,44,'2017-03-05 18:52:33','2017-03-07 21:56:25');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (105,467,60,81454,1,'2017-03-05 22:13:44','2017-03-05 22:13:44');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (106,468,240,424805,4,'2017-03-05 22:29:36','2017-03-07 16:14:10');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (107,469,180,330472,3,'2017-03-05 22:37:02','2017-03-07 16:37:07');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (108,471,60,115482,1,'2017-03-05 23:05:13','2017-03-05 23:05:13');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (109,472,180,162489,3,'2017-03-06 00:48:53','2017-03-06 00:59:38');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (110,476,60,44416,1,'2017-03-06 11:50:46','2017-03-06 11:50:46');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (111,477,420,476971,7,'2017-03-06 13:30:14','2017-03-07 22:04:49');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (112,101,300,229516,5,'2017-03-06 17:44:26','2017-03-06 18:03:47');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (113,483,60,44161,1,'2017-03-06 18:16:00','2017-03-06 18:16:00');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (114,484,120,87079,2,'2017-03-06 18:24:32','2017-03-06 18:28:22');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (115,485,300,253412,5,'2017-03-06 22:02:42','2017-03-06 22:17:54');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (116,486,180,263689,3,'2017-03-06 23:05:50','2017-03-07 16:34:09');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (117,487,180,360033,3,'2017-03-06 23:56:41','2017-03-08 09:16:08');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (118,488,300,386731,5,'2017-03-07 00:05:42','2017-03-08 10:54:57');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (119,475,600,481891,10,'2017-03-07 12:14:23','2017-03-08 10:34:37');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (120,496,480,381682,8,'2017-03-07 14:05:57','2017-03-07 15:31:15');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (121,499,120,236865,2,'2017-03-07 16:20:37','2017-03-08 09:25:05');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (122,502,300,481251,5,'2017-03-07 20:53:20','2017-03-07 23:46:46');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (123,503,180,207955,3,'2017-03-07 22:23:23','2017-03-07 22:46:15');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (124,504,180,375433,3,'2017-03-07 22:27:17','2017-03-08 10:18:11');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (125,505,120,239504,2,'2017-03-07 22:36:12','2017-03-08 00:02:02');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (126,506,180,287136,3,'2017-03-07 22:42:25','2017-03-08 09:34:01');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (127,508,60,124887,1,'2017-03-08 10:42:40','2017-03-08 10:42:40');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (128,510,60,36035,1,'2017-03-08 13:52:46','2017-03-08 13:52:46');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (129,78,60,46926,1,'2017-03-08 13:53:10','2017-03-08 13:53:10');
insert  into `game`(`id`,`user_id`,`total_time`,`total_point`,`total_game`,`created_at`,`updated_at`) values (130,512,60,47427,1,'2017-03-08 16:27:33','2017-03-08 16:27:33');

/*Table structure for table `game_details` */

DROP TABLE IF EXISTS `game_details`;

CREATE TABLE `game_details` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL COMMENT 'Mã User',
  `time` bigint(20) DEFAULT '0' COMMENT 'Thời gian hoàn thành',
  `point` bigint(20) DEFAULT '0' COMMENT 'Số điểm',
  `time_play` bigint(20) DEFAULT '0' COMMENT 'Thời gian chơi',
  `time_play_2` datetime DEFAULT NULL COMMENT 'Thời gian bắt đầu chơi',
  `image_result` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Đường dẫn ảnh lưu kết quả',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_game_user_idx` (`user_id`),
  CONSTRAINT `fk_game_user0` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1587 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `game_details` */

insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (13,13,100,10,0,'2017-02-15 11:10:30',NULL,'2017-02-15 11:53:51','2017-02-15 11:53:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (14,13,100,10,0,'2017-02-20 11:10:30',NULL,'2017-02-20 11:53:51','2017-02-15 11:53:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (15,23,3,1830,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:33:42','2017-02-20 14:33:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (16,23,3,1830,0,'2010-12-30 04:27:58','upload/result/result_23_1487586800.jpg','2017-02-20 14:35:44','2017-02-20 17:33:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (17,13,42,30520,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:47:21','2017-02-20 14:47:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (18,13,60,43233,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:50:05','2017-02-20 14:50:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (19,25,9,3300,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:53:59','2017-02-20 14:53:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (20,26,17,12305,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:55:24','2017-02-20 14:55:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (21,26,19,13241,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:56:34','2017-02-20 14:56:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (22,28,44,30073,0,'2010-12-30 04:27:58',NULL,'2017-02-20 14:59:15','2017-02-20 14:59:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (23,29,3,1830,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:02:11','2017-02-20 15:02:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (24,29,8,5590,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:02:44','2017-02-20 15:02:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (25,29,15,9571,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:03:18','2017-02-20 15:03:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (26,29,7,4830,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:05:12','2017-02-20 15:05:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (27,29,5,3749,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:05:41','2017-02-20 15:05:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (28,29,7,4915,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:06:08','2017-02-20 15:06:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (29,29,14,9708,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:06:41','2017-02-20 15:06:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (30,30,3,1821,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:06:54','2017-02-20 15:06:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (31,30,3,1821,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:07:26','2017-02-20 15:07:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (32,30,4,2866,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:07:59','2017-02-20 15:07:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (33,29,60,41566,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:08:00','2017-02-20 15:08:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (34,30,25,19018,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:08:43','2017-02-20 15:08:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (35,29,60,39732,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:09:21','2017-02-20 15:09:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (36,25,1,530,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:09:55','2017-02-20 15:09:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (37,13,9,7026,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:13:16','2017-02-20 15:13:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (38,24,7,4943,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:27:34','2017-02-20 15:27:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (39,24,38,25153,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:30:37','2017-02-20 15:30:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (40,19,3,1740,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:33:41','2017-02-20 15:33:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (41,19,2,1770,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:34:06','2017-02-20 15:34:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (42,13,3,1850,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:35:20','2017-02-20 15:35:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (43,19,60,42611,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:35:53','2017-02-20 15:35:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (44,31,60,45505,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:40:59','2017-02-20 15:40:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (45,19,60,43394,0,'2010-12-30 04:27:58',NULL,'2017-02-20 15:44:15','2017-02-20 15:44:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (46,13,3,1840,0,'2017-02-20 15:52:33','upload/result/result_13_1487584705.jpg','2017-02-20 15:54:07','2017-02-20 16:58:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (47,29,4,2550,0,'2017-02-20 16:28:19',NULL,'2017-02-20 16:29:59','2017-02-20 16:29:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (48,29,26,16479,0,'2017-02-20 16:28:47',NULL,'2017-02-20 16:30:49','2017-02-20 16:30:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (49,29,26,15991,0,'2017-02-20 16:29:34',NULL,'2017-02-20 16:31:36','2017-02-20 16:31:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (50,29,36,22294,0,'2017-02-20 16:30:20',NULL,'2017-02-20 16:32:32','2017-02-20 16:32:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (51,29,48,29230,0,'2017-02-20 16:31:41',NULL,'2017-02-20 16:34:06','2017-02-20 16:34:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (52,24,60,43337,0,'2017-02-20 16:52:02',NULL,'2017-02-20 16:54:41','2017-02-20 16:54:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (53,13,60,44178,0,'2017-02-20 21:47:33',NULL,'2017-02-20 21:50:05','2017-02-20 21:50:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (54,31,60,45107,0,'2017-02-21 08:36:14',NULL,'2017-02-21 08:38:46','2017-02-21 08:38:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (55,31,60,49811,0,'2017-02-21 08:37:33',NULL,'2017-02-21 08:40:02','2017-02-21 08:40:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (56,35,60,43398,0,'2017-02-21 09:07:33',NULL,'2017-02-21 09:06:33','2017-02-21 09:06:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (57,37,60,44211,0,'2017-02-21 09:11:59',NULL,'2017-02-21 09:11:00','2017-02-21 09:11:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (58,31,60,47048,0,'2017-02-21 11:00:48',NULL,'2017-02-21 11:03:21','2017-02-21 11:03:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (59,40,60,41589,0,'2017-02-21 11:26:52',NULL,'2017-02-21 11:29:26','2017-02-21 11:29:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (60,19,60,42968,0,'2017-02-21 13:42:11',NULL,'2017-02-21 13:44:40','2017-02-21 13:44:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (61,18,60,48495,0,'2017-02-21 14:34:16',NULL,'2017-02-21 14:36:46','2017-02-21 14:36:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (62,37,60,46639,0,'2017-02-21 15:38:20',NULL,'2017-02-21 15:37:21','2017-02-21 15:37:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (63,35,60,42766,0,'2017-02-21 15:41:57',NULL,'2017-02-21 15:40:58','2017-02-21 15:40:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (64,31,60,50764,0,'2017-02-21 15:42:57',NULL,'2017-02-21 15:45:31','2017-02-21 15:45:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (65,31,60,46074,0,'2017-02-21 15:45:06',NULL,'2017-02-21 15:47:40','2017-02-21 15:47:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (66,24,60,40608,0,'2017-02-21 16:04:22',NULL,'2017-02-21 16:07:08','2017-02-21 16:07:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (67,18,60,42652,0,'2017-02-21 16:05:00',NULL,'2017-02-21 16:07:30','2017-02-21 16:07:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (68,37,60,51180,0,'2017-02-21 16:11:21',NULL,'2017-02-21 16:10:22','2017-02-21 16:10:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (69,23,6,3660,0,'2017-02-21 16:09:32',NULL,'2017-02-21 16:11:40','2017-02-21 16:11:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (70,23,6,3660,0,'2017-02-21 16:09:32',NULL,'2017-02-21 16:12:45','2017-02-21 16:12:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (71,23,6,3660,0,'2017-02-21 16:09:32','upload/result/result_23_1487668393.jpg','2017-02-21 16:13:10','2017-02-21 16:13:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (72,24,60,41094,0,'2017-02-21 16:14:09',NULL,'2017-02-21 16:16:50','2017-02-21 16:16:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (73,18,60,45873,0,'2017-02-21 16:36:59','upload/result/result_18_1487669971.jpg','2017-02-21 16:39:28','2017-02-21 16:39:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (74,19,60,42410,0,'2017-02-21 16:56:27','upload/result/result_19_1487671138.jpg','2017-02-21 16:58:56','2017-02-21 16:58:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (75,9,60,43231,0,'2017-02-21 17:42:04','upload/result/result_9_1487673881.jpg','2017-02-21 17:44:39','2017-02-21 17:44:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (76,9,60,45431,0,'2017-02-21 17:44:01','upload/result/result_9_1487673997.jpg','2017-02-21 17:46:35','2017-02-21 17:46:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (77,9,60,52506,0,'2017-02-21 17:46:35','upload/result/result_9_1487674152.jpg','2017-02-21 17:49:09','2017-02-21 17:49:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (78,9,60,46731,0,'2017-02-21 17:48:13','upload/result/result_9_1487674250.jpg','2017-02-21 17:50:48','2017-02-21 17:50:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (79,42,60,47304,0,'2017-02-21 17:54:30','upload/result/result_42_1487674635.jpg','2017-02-21 17:57:13','2017-02-21 17:57:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (80,42,60,45599,0,'2017-02-21 19:25:06','upload/result/result_42_1487680066.jpg','2017-02-21 19:27:40','2017-02-21 19:27:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (81,13,60,46942,0,'2017-02-21 22:24:00','upload/result/result_13_1487690795.jpg','2017-02-21 22:26:31','2017-02-21 22:26:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (82,13,60,47061,0,'2017-02-21 22:29:13','upload/result/result_13_1487691108.jpg','2017-02-21 22:31:44','2017-02-21 22:31:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (83,13,60,46186,0,'2017-02-21 22:31:35','upload/result/result_13_1487691251.jpg','2017-02-21 22:34:07','2017-02-21 22:34:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (84,13,60,44152,0,'2017-02-21 22:33:54','upload/result/result_13_1487691389.jpg','2017-02-21 22:36:26','2017-02-21 22:36:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (85,13,60,45447,0,'2017-02-21 22:35:31','upload/result/result_13_1487691487.jpg','2017-02-21 22:38:03','2017-02-21 22:38:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (86,13,60,45281,0,'2017-02-21 22:37:57','upload/result/result_13_1487691633.jpg','2017-02-21 22:40:29','2017-02-21 22:40:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (87,13,60,45787,0,'2017-02-21 22:39:33','upload/result/result_13_1487691728.jpg','2017-02-21 22:42:04','2017-02-21 22:42:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (88,44,60,53006,0,'2017-02-22 08:51:21','upload/result/result_44_1487728224.jpg','2017-02-22 08:50:22','2017-02-22 08:50:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (89,45,60,48721,0,'2017-02-22 08:51:56','upload/result/result_45_1487728475.jpg','2017-02-22 08:54:31','2017-02-22 08:54:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (90,46,60,52491,0,'2017-02-22 08:54:39','upload/result/result_46_1487728640.jpg','2017-02-22 08:57:17','2017-02-22 08:57:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (91,46,60,45738,0,'2017-02-22 08:58:11','upload/result/result_46_1487728852.jpg','2017-02-22 09:00:49','2017-02-22 09:00:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (92,46,60,47111,0,'2017-02-22 08:59:45','upload/result/result_46_1487728946.jpg','2017-02-22 09:02:23','2017-02-22 09:02:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (93,46,60,56389,0,'2017-02-22 09:04:22','upload/result/result_46_1487729223.jpg','2017-02-22 09:07:00','2017-02-22 09:07:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (94,19,60,45316,0,'2017-02-22 09:06:03','upload/result/result_19_1487729315.jpg','2017-02-22 09:08:32','2017-02-22 09:08:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (95,21,60,30923,0,'2017-02-22 09:12:15','upload/result/result_21_1487729487.jpg','2017-02-22 09:11:24','2017-02-22 09:11:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (96,49,60,45666,0,'2017-02-22 09:09:15','upload/result/result_49_1487729512.jpg','2017-02-22 09:11:50','2017-02-22 09:11:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (97,46,60,52961,0,'2017-02-22 09:10:17','upload/result/result_46_1487729578.jpg','2017-02-22 09:12:56','2017-02-22 09:12:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (98,46,60,52301,0,'2017-02-22 09:13:44','upload/result/result_46_1487729785.jpg','2017-02-22 09:16:22','2017-02-22 09:16:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (99,45,60,53351,0,'2017-02-22 09:14:17',NULL,'2017-02-22 09:16:52','2017-02-22 09:16:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (100,46,60,50308,0,'2017-02-22 09:16:42','upload/result/result_46_1487729963.jpg','2017-02-22 09:19:20','2017-02-22 09:19:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (101,46,60,47188,0,'2017-02-22 09:18:52','upload/result/result_46_1487730093.jpg','2017-02-22 09:21:31','2017-02-22 09:21:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (102,46,60,50631,0,'2017-02-22 09:22:41','upload/result/result_46_1487730322.jpg','2017-02-22 09:25:19','2017-02-22 09:25:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (103,45,60,59505,0,'2017-02-22 09:24:02','upload/result/result_45_1487730400.jpg','2017-02-22 09:26:37','2017-02-22 09:26:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (104,46,60,55156,0,'2017-02-22 09:24:03','upload/result/result_46_1487730404.jpg','2017-02-22 09:26:42','2017-02-22 09:26:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (105,46,60,61088,0,'2017-02-22 09:33:10','upload/result/result_46_1487730953.jpg','2017-02-22 09:35:49','2017-02-22 09:35:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (106,46,60,49236,0,'2017-02-22 09:35:23','upload/result/result_46_1487731084.jpg','2017-02-22 09:38:02','2017-02-22 09:38:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (107,18,60,44844,0,'2017-02-22 10:08:47','upload/result/result_18_1487733084.jpg','2017-02-22 10:11:21','2017-02-22 10:11:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (108,23,24,14640,0,'2017-02-22 11:19:25','upload/result/result_23_1487737537.jpg','2017-02-22 11:25:33','2017-02-22 11:25:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (109,13,60,45712,0,'2017-02-22 11:36:00','upload/result/result_13_1487738324.jpg','2017-02-22 11:38:32','2017-02-22 11:38:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (110,18,60,47901,0,'2017-02-22 11:48:03','upload/result/result_18_1487739047.jpg','2017-02-22 11:50:37','2017-02-22 11:50:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (111,19,60,47088,0,'2017-02-22 12:13:09','upload/result/result_19_1487740542.jpg','2017-02-22 12:15:38','2017-02-22 12:15:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (112,19,60,47163,0,'2017-02-22 12:21:34','upload/result/result_19_1487741046.jpg','2017-02-22 12:24:03','2017-02-22 12:24:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (113,23,20,1500,0,'2017-02-22 14:48:03','upload/result/result_23_1487750350.jpg','2017-02-22 14:51:29','2017-02-22 14:59:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (114,23,2,1520,0,'2017-02-22 15:05:33','upload/result/result_23_1487750846.jpg','2017-02-22 15:07:23','2017-02-22 15:07:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (115,24,60,43576,0,'2017-02-22 15:27:47','upload/result/result_24_1487752234.jpg','2017-02-22 15:30:30','2017-02-22 15:30:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (116,31,60,45363,0,'2017-02-22 15:29:06','upload/result/result_31_1487752302.jpg','2017-02-22 15:31:40','2017-02-22 15:31:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (117,23,11,111,0,'2017-02-22 15:31:43','upload/result/result_23_1487752420.jpg','2017-02-22 15:33:37','2017-02-22 15:33:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (118,17,60,43235,0,'2017-02-22 15:32:25','upload/result/result_17_1487752502.jpg','2017-02-22 15:34:59','2017-02-22 15:35:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (119,31,60,45123,0,'2017-02-22 15:33:29','upload/result/result_31_1487752566.jpg','2017-02-22 15:36:03','2017-02-22 15:36:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (120,13,60,42136,0,'2017-02-22 15:37:33','upload/result/result_13_1487752809.jpg','2017-02-22 15:40:05','2017-02-22 15:40:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (121,21,60,29297,0,'2017-02-22 15:44:08','upload/result/result_21_1487753005.jpg','2017-02-22 15:43:21','2017-02-22 15:43:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (122,18,60,41640,0,'2017-02-22 15:43:37','upload/result/result_18_1487753174.jpg','2017-02-22 15:46:11','2017-02-22 15:46:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (123,24,60,39527,0,'2017-02-22 15:46:07','upload/result/result_24_1487753334.jpg','2017-02-22 15:48:51','2017-02-22 15:48:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (124,29,60,41736,0,'2017-02-22 15:47:39','upload/result/result_29_1487753421.jpg','2017-02-22 15:50:15','2017-02-22 15:50:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (125,39,60,45952,0,'2017-02-22 15:55:06','upload/result/result_39_1487753866.jpg','2017-02-22 15:57:43','2017-02-22 15:57:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (126,31,60,46248,0,'2017-02-22 15:57:17','upload/result/result_31_1487753994.jpg','2017-02-22 15:59:51','2017-02-22 15:59:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (127,31,60,53234,0,'2017-02-22 16:03:14','upload/result/result_31_1487754351.jpg','2017-02-22 16:05:48','2017-02-22 16:05:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (128,31,60,55111,0,'2017-02-22 16:11:39','upload/result/result_31_1487754856.jpg','2017-02-22 16:14:13','2017-02-22 16:14:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (129,29,60,50760,0,'2017-02-22 16:17:12','upload/result/result_29_1487755194.jpg','2017-02-22 16:19:48','2017-02-22 16:19:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (130,42,60,48221,0,'2017-02-22 16:46:33','upload/result/result_42_1487756951.jpg','2017-02-22 16:49:08','2017-02-22 16:49:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (131,62,60,43594,0,'2017-02-22 16:53:03','upload/result/result_62_1487757341.jpg','2017-02-22 16:55:38','2017-02-22 16:55:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (132,42,60,45444,0,'2017-02-22 17:06:59','upload/result/result_42_1487758177.jpg','2017-02-22 17:09:34','2017-02-22 17:09:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (133,24,60,42810,0,'2017-02-22 17:10:49','upload/result/result_24_1487758414.jpg','2017-02-22 17:13:31','2017-02-22 17:13:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (134,18,60,45483,0,'2017-02-22 17:11:30','upload/result/result_18_1487758448.jpg','2017-02-22 17:14:05','2017-02-22 17:14:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (135,31,60,47783,0,'2017-02-22 17:16:13','upload/result/result_31_1487758730.jpg','2017-02-22 17:18:47','2017-02-22 17:18:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (136,31,60,49505,0,'2017-02-22 17:19:45','upload/result/result_31_1487758942.jpg','2017-02-22 17:22:19','2017-02-22 17:22:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (137,31,60,44085,0,'2017-02-22 17:21:43','upload/result/result_31_1487759060.jpg','2017-02-22 17:24:18','2017-02-22 17:24:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (138,31,60,47993,0,'2017-02-22 17:22:59','upload/result/result_31_1487759136.jpg','2017-02-22 17:25:33','2017-02-22 17:25:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (139,39,60,53349,0,'2017-02-22 17:26:54','upload/result/result_39_1487759375.jpg','2017-02-22 17:29:32','2017-02-22 17:29:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (140,41,60,45751,0,'2017-02-22 17:28:09','upload/result/result_41_1487759441.jpg','2017-02-22 17:30:38','2017-02-22 17:30:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (141,31,60,54624,0,'2017-02-22 17:30:44','upload/result/result_31_1487759601.jpg','2017-02-22 17:33:18','2017-02-22 17:33:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (142,66,60,45598,0,'2017-02-22 19:02:20','upload/result/result_66_1487765097.jpg','2017-02-22 19:04:54','2017-02-22 19:04:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (143,66,60,43721,0,'2017-02-22 19:05:57','upload/result/result_66_1487765313.jpg','2017-02-22 19:08:30','2017-02-22 19:08:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (144,79,60,49114,0,'2017-02-22 20:45:23','upload/result/result_79_1487771330.jpg','2017-02-22 20:48:43','2017-02-22 20:48:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (145,86,60,42665,0,'2017-02-22 21:38:19','upload/result/result_86_1487774467.jpg','2017-02-22 21:40:53','2017-02-22 21:41:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (146,99,60,42597,0,'2017-02-22 21:43:22','upload/result/result_99_1487774768.jpg','2017-02-22 21:45:56','2017-02-22 21:46:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (147,104,60,32493,0,'2017-02-22 21:51:07','upload/result/result_104_1487775234.jpg','2017-02-22 21:53:49','2017-02-22 21:53:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (148,42,60,48652,0,'2017-02-22 22:48:05','upload/result/result_42_1487778644.jpg','2017-02-22 22:50:40','2017-02-22 22:50:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (149,42,60,48794,0,'2017-02-22 22:49:56','upload/result/result_42_1487778754.jpg','2017-02-22 22:52:30','2017-02-22 22:52:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (150,42,60,48493,0,'2017-02-22 22:51:15','upload/result/result_42_1487778836.jpg','2017-02-22 22:53:51','2017-02-22 22:53:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (151,42,60,48434,0,'2017-02-22 22:54:19','upload/result/result_42_1487779018.jpg','2017-02-22 22:56:53','2017-02-22 22:56:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (152,42,60,48681,0,'2017-02-22 22:59:00','upload/result/result_42_1487779300.jpg','2017-02-22 23:01:35','2017-02-22 23:01:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (153,113,60,42272,0,'2017-02-22 23:07:50','upload/result/result_113_1487779835.jpg','2017-02-22 23:10:25','2017-02-22 23:10:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (154,35,60,49622,0,'2017-02-23 08:30:20','upload/result/result_35_1487813366.jpg','2017-02-23 08:29:23','2017-02-23 08:29:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (155,129,60,55577,0,'2017-02-23 08:27:00','upload/result/result_129_1487813373.jpg','2017-02-23 08:29:30','2017-02-23 08:29:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (156,37,60,48798,0,'2017-02-23 08:32:41','upload/result/result_37_1487813507.jpg','2017-02-23 08:31:43','2017-02-23 08:31:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (157,37,60,51722,0,'2017-02-23 08:34:35','upload/result/result_37_1487813619.jpg','2017-02-23 08:33:36','2017-02-23 08:33:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (158,31,60,52836,0,'2017-02-23 08:32:26','upload/result/result_31_1487813702.jpg','2017-02-23 08:34:59','2017-02-23 08:35:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (159,129,60,55240,0,'2017-02-23 08:33:17','upload/result/result_129_1487813751.jpg','2017-02-23 08:35:47','2017-02-23 08:35:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (160,129,60,58818,0,'2017-02-23 08:35:37','upload/result/result_129_1487813890.jpg','2017-02-23 08:38:07','2017-02-23 08:38:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (161,37,60,50412,0,'2017-02-23 08:39:25','upload/result/result_37_1487813909.jpg','2017-02-23 08:38:26','2017-02-23 08:38:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (162,31,60,50149,0,'2017-02-23 08:38:38','upload/result/result_31_1487814074.jpg','2017-02-23 08:41:11','2017-02-23 08:41:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (163,37,60,61311,0,'2017-02-23 08:42:58','upload/result/result_37_1487814123.jpg','2017-02-23 08:42:00','2017-02-23 08:42:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (164,31,60,48994,0,'2017-02-23 08:41:22','upload/result/result_31_1487814238.jpg','2017-02-23 08:43:55','2017-02-23 08:43:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (165,31,60,48173,0,'2017-02-23 08:44:00','upload/result/result_31_1487814402.jpg','2017-02-23 08:46:34','2017-02-23 08:46:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (166,31,60,48052,0,'2017-02-23 08:45:24','upload/result/result_31_1487814491.jpg','2017-02-23 08:47:57','2017-02-23 08:48:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (167,45,60,49975,0,'2017-02-23 08:46:47','upload/result/result_45_1487814649.jpg','2017-02-23 08:49:23','2017-02-23 08:50:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (168,46,60,47433,0,'2017-02-23 08:50:16','upload/result/result_46_1487814789.jpg','2017-02-23 08:52:57','2017-02-23 08:53:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (169,45,60,46026,0,'2017-02-23 08:51:34','upload/result/result_45_1487815043.jpg','2017-02-23 08:54:11','2017-02-23 08:57:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (170,46,60,52283,0,'2017-02-23 08:52:13','upload/result/result_46_1487814902.jpg','2017-02-23 08:54:54','2017-02-23 08:55:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (171,46,60,48947,0,'2017-02-23 08:54:56','upload/result/result_46_1487815066.jpg','2017-02-23 08:57:37','2017-02-23 08:57:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (172,31,60,60078,0,'2017-02-23 08:55:20','upload/result/result_31_1487815081.jpg','2017-02-23 08:57:53','2017-02-23 08:58:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (173,45,60,54226,0,'2017-02-23 08:56:33',NULL,'2017-02-23 08:59:08','2017-02-23 08:59:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (174,46,60,61911,0,'2017-02-23 08:59:42','upload/result/result_46_1487815346.jpg','2017-02-23 09:02:23','2017-02-23 09:02:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (175,31,60,53751,0,'2017-02-23 09:01:56','upload/result/result_31_1487815473.jpg','2017-02-23 09:04:29','2017-02-23 09:04:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (176,46,60,53399,0,'2017-02-23 09:02:14','upload/result/result_46_1487815499.jpg','2017-02-23 09:04:55','2017-02-23 09:04:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (177,46,60,59178,0,'2017-02-23 09:04:41','upload/result/result_46_1487815646.jpg','2017-02-23 09:07:23','2017-02-23 09:07:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (178,46,60,61517,0,'2017-02-23 09:08:11','upload/result/result_46_1487815855.jpg','2017-02-23 09:10:52','2017-02-23 09:10:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (179,46,60,54673,0,'2017-02-23 09:09:36','upload/result/result_46_1487815940.jpg','2017-02-23 09:12:17','2017-02-23 09:12:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (180,46,60,57326,0,'2017-02-23 09:11:34','upload/result/result_46_1487816058.jpg','2017-02-23 09:14:15','2017-02-23 09:14:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (181,140,60,41694,0,'2017-02-23 09:39:20','upload/result/result_140_1487817721.jpg','2017-02-23 09:41:53','2017-02-23 09:42:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (182,141,60,38520,0,'2017-02-23 09:56:25','upload/result/result_141_1487818752.jpg','2017-02-23 09:59:04','2017-02-23 09:59:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (183,45,60,54700,0,'2017-02-23 10:28:56','upload/result/result_45_1487820695.jpg','2017-02-23 10:31:31','2017-02-23 10:31:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (184,46,60,49795,0,'2017-02-23 10:29:03','upload/result/result_46_1487820707.jpg','2017-02-23 10:31:44','2017-02-23 10:31:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (185,45,60,50398,0,'2017-02-23 10:30:12','upload/result/result_45_1487820770.jpg','2017-02-23 10:32:47','2017-02-23 10:32:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (186,46,60,52902,0,'2017-02-23 10:30:20','upload/result/result_46_1487820784.jpg','2017-02-23 10:33:01','2017-02-23 10:33:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (187,46,60,48623,0,'2017-02-23 10:31:38','upload/result/result_46_1487820862.jpg','2017-02-23 10:34:19','2017-02-23 10:34:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (188,45,60,47753,0,'2017-02-23 10:36:05','upload/result/result_45_1487821124.jpg','2017-02-23 10:38:40','2017-02-23 10:38:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (189,31,60,51814,0,'2017-02-23 10:44:08','upload/result/result_31_1487821615.jpg','2017-02-23 10:46:41','2017-02-23 10:46:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (190,31,60,50981,0,'2017-02-23 10:46:16','upload/result/result_31_1487821747.jpg','2017-02-23 10:48:49','2017-02-23 10:49:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (191,31,60,50229,0,'2017-02-23 10:49:13','upload/result/result_31_1487821911.jpg','2017-02-23 10:51:46','2017-02-23 10:51:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (192,46,60,63584,0,'2017-02-23 10:50:22','upload/result/result_46_1487821987.jpg','2017-02-23 10:53:03','2017-02-23 10:53:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (193,45,60,46224,0,'2017-02-23 10:52:03','upload/result/result_45_1487822082.jpg','2017-02-23 10:54:38','2017-02-23 10:54:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (194,31,60,53179,0,'2017-02-23 10:52:56','upload/result/result_31_1487822153.jpg','2017-02-23 10:55:29','2017-02-23 10:55:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (195,45,60,48311,0,'2017-02-23 10:58:10','upload/result/result_45_1487822449.jpg','2017-02-23 11:00:45','2017-02-23 11:00:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (196,31,60,50144,0,'2017-02-23 10:59:04','upload/result/result_31_1487822502.jpg','2017-02-23 11:01:37','2017-02-23 11:01:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (197,46,60,50781,0,'2017-02-23 10:59:16','upload/result/result_46_1487822520.jpg','2017-02-23 11:01:57','2017-02-23 11:02:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (198,31,60,48205,0,'2017-02-23 11:00:20','upload/result/result_31_1487822577.jpg','2017-02-23 11:02:54','2017-02-23 11:02:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (199,31,60,48339,0,'2017-02-23 11:02:44','upload/result/result_31_1487822721.jpg','2017-02-23 11:05:18','2017-02-23 11:05:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (200,31,60,48535,0,'2017-02-23 11:04:02','upload/result/result_31_1487822799.jpg','2017-02-23 11:06:35','2017-02-23 11:06:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (201,31,60,50048,0,'2017-02-23 11:07:55','upload/result/result_31_1487823032.jpg','2017-02-23 11:10:28','2017-02-23 11:10:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (202,31,60,53295,0,'2017-02-23 11:09:47','upload/result/result_31_1487823144.jpg','2017-02-23 11:12:21','2017-02-23 11:12:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (203,31,60,50434,0,'2017-02-23 11:13:23','upload/result/result_31_1487823361.jpg','2017-02-23 11:15:57','2017-02-23 11:16:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (204,31,60,66134,0,'2017-02-23 11:15:21','upload/result/result_31_1487823478.jpg','2017-02-23 11:17:54','2017-02-23 11:17:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (205,31,60,55319,0,'2017-02-23 11:18:16','upload/result/result_31_1487823652.jpg','2017-02-23 11:20:49','2017-02-23 11:20:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (206,46,60,49010,0,'2017-02-23 11:24:17','upload/result/result_46_1487824021.jpg','2017-02-23 11:26:58','2017-02-23 11:27:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (207,155,60,48778,0,'2017-02-23 11:28:09','upload/result/result_155_1487824248.jpg','2017-02-23 11:30:43','2017-02-23 11:30:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (208,46,60,47811,0,'2017-02-23 11:33:19','upload/result/result_46_1487824563.jpg','2017-02-23 11:36:00','2017-02-23 11:36:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (209,31,60,57103,0,'2017-02-23 11:46:49','upload/result/result_31_1487825366.jpg','2017-02-23 11:49:22','2017-02-23 11:49:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (210,156,60,48927,0,'2017-02-23 11:47:27','upload/result/result_156_1487825463.jpg','2017-02-23 11:51:00','2017-02-23 11:51:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (211,31,60,53243,0,'2017-02-23 11:49:30','upload/result/result_31_1487825528.jpg','2017-02-23 11:52:04','2017-02-23 11:52:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (212,157,60,41656,0,'2017-02-23 11:52:12','upload/result/result_157_1487825732.jpg','2017-02-23 11:55:28','2017-02-23 11:55:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (213,31,60,53552,0,'2017-02-23 11:53:54','upload/result/result_31_1487825792.jpg','2017-02-23 11:56:28','2017-02-23 11:56:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (214,156,60,47714,0,'2017-02-23 11:53:26','upload/result/result_156_1487825824.jpg','2017-02-23 11:57:00','2017-02-23 11:57:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (215,46,60,51930,0,'2017-02-23 12:24:20','upload/result/result_46_1487827624.jpg','2017-02-23 12:27:01','2017-02-23 12:27:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (216,46,60,54425,0,'2017-02-23 12:30:46','upload/result/result_46_1487828011.jpg','2017-02-23 12:33:28','2017-02-23 12:33:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (217,46,60,47844,0,'2017-02-23 12:32:34','upload/result/result_46_1487828118.jpg','2017-02-23 12:35:15','2017-02-23 12:35:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (218,46,60,57445,0,'2017-02-23 12:36:24','upload/result/result_46_1487828348.jpg','2017-02-23 12:39:05','2017-02-23 12:39:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (219,162,60,44176,0,'2017-02-22 23:47:30','upload/result/result_162_1487829013.jpg','2017-02-23 12:50:08','2017-02-23 12:50:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (220,46,60,52371,0,'2017-02-23 12:47:57','upload/result/result_46_1487829041.jpg','2017-02-23 12:50:38','2017-02-23 12:50:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (221,46,60,51614,0,'2017-02-23 12:49:13','upload/result/result_46_1487829117.jpg','2017-02-23 12:51:55','2017-02-23 12:51:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (222,46,60,50525,0,'2017-02-23 12:50:29','upload/result/result_46_1487829195.jpg','2017-02-23 12:53:12','2017-02-23 12:53:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (223,31,60,47497,0,'2017-02-23 13:57:08','upload/result/result_31_1487833184.jpg','2017-02-23 13:59:41','2017-02-23 13:59:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (224,29,60,48227,0,'2017-02-23 13:59:40','upload/result/result_29_1487833342.jpg','2017-02-23 14:02:16','2017-02-23 14:02:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (225,31,60,59271,0,'2017-02-23 14:03:34','upload/result/result_31_1487833570.jpg','2017-02-23 14:06:07','2017-02-23 14:06:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (226,31,60,47459,0,'2017-02-23 14:05:34','upload/result/result_31_1487833690.jpg','2017-02-23 14:08:07','2017-02-23 14:08:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (227,39,60,45091,0,'2017-02-23 14:07:42','upload/result/result_39_1487833823.jpg','2017-02-23 14:10:20','2017-02-23 14:10:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (228,31,60,55007,0,'2017-02-23 14:09:28','upload/result/result_31_1487833924.jpg','2017-02-23 14:12:01','2017-02-23 14:12:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (229,29,60,51671,0,'2017-02-23 14:10:42','upload/result/result_29_1487834056.jpg','2017-02-23 14:13:27','2017-02-23 14:14:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (230,31,60,50391,0,'2017-02-23 14:16:59','upload/result/result_31_1487834375.jpg','2017-02-23 14:19:32','2017-02-23 14:19:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (231,31,60,46822,0,'2017-02-23 14:22:17','upload/result/result_31_1487834693.jpg','2017-02-23 14:24:50','2017-02-23 14:24:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (232,46,60,64777,0,'2017-02-23 14:31:39','upload/result/result_46_1487835266.jpg','2017-02-23 14:34:22','2017-02-23 14:34:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (233,46,60,57094,0,'2017-02-23 14:33:04','upload/result/result_46_1487835351.jpg','2017-02-23 14:35:48','2017-02-23 14:35:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (234,46,60,52069,0,'2017-02-23 14:34:28','upload/result/result_46_1487835433.jpg','2017-02-23 14:37:10','2017-02-23 14:37:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (235,31,60,48084,0,'2017-02-23 14:40:04','upload/result/result_31_1487835760.jpg','2017-02-23 14:42:37','2017-02-23 14:42:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (236,31,60,77001,0,'2017-02-23 14:48:27','upload/result/result_31_1487836263.jpg','2017-02-23 14:51:01','2017-02-23 14:51:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (237,173,60,46612,0,'2017-02-23 14:51:53','upload/result/result_173_1487836469.jpg','2017-02-23 14:54:26','2017-02-23 14:54:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (238,31,60,48406,0,'2017-02-23 14:55:41','upload/result/result_31_1487836697.jpg','2017-02-23 14:58:15','2017-02-23 14:58:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (239,176,60,45239,0,'2017-02-23 15:25:58','upload/result/result_176_1487838515.jpg','2017-02-23 15:28:32','2017-02-23 15:28:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (240,176,60,46909,0,'2017-02-23 15:28:47','upload/result/result_176_1487838684.jpg','2017-02-23 15:31:20','2017-02-23 15:31:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (241,49,60,48995,0,'2017-02-23 15:53:14','upload/result/result_49_1487840152.jpg','2017-02-23 15:55:48','2017-02-23 15:55:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (242,174,60,31804,0,'2017-02-23 16:13:02','upload/result/result_174_1487841340.jpg','2017-02-23 16:15:36','2017-02-23 16:15:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (243,46,60,48204,0,'2017-02-23 16:22:12','upload/result/result_46_1487841897.jpg','2017-02-23 16:24:54','2017-02-23 16:24:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (244,46,60,50267,0,'2017-02-23 16:23:29','upload/result/result_46_1487841974.jpg','2017-02-23 16:26:11','2017-02-23 16:26:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (245,31,60,51185,0,'2017-02-23 16:27:32','upload/result/result_31_1487842209.jpg','2017-02-23 16:30:06','2017-02-23 16:30:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (246,46,60,69586,0,'2017-02-23 16:28:24','upload/result/result_46_1487842268.jpg','2017-02-23 16:31:06','2017-02-23 16:31:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (247,45,60,53761,0,'2017-02-23 16:29:43','upload/result/result_45_1487842343.jpg','2017-02-23 16:32:19','2017-02-23 16:32:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (248,42,60,46384,0,'2017-02-23 16:30:49','upload/result/result_42_1487842408.jpg','2017-02-23 16:33:26','2017-02-23 16:33:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (249,46,60,66122,0,'2017-02-23 16:33:18','upload/result/result_46_1487842562.jpg','2017-02-23 16:36:00','2017-02-23 16:36:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (250,45,60,47769,0,'2017-02-23 16:35:01','upload/result/result_45_1487842660.jpg','2017-02-23 16:37:37','2017-02-23 16:37:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (251,42,60,48968,0,'2017-02-23 16:39:44','upload/result/result_42_1487842943.jpg','2017-02-23 16:42:20','2017-02-23 16:42:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (252,42,60,48154,0,'2017-02-23 16:41:02','upload/result/result_42_1487843021.jpg','2017-02-23 16:43:38','2017-02-23 16:43:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (253,42,60,45628,0,'2017-02-23 16:43:54','upload/result/result_42_1487843193.jpg','2017-02-23 16:46:30','2017-02-23 16:46:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (254,42,60,48404,0,'2017-02-23 16:45:12','upload/result/result_42_1487843271.jpg','2017-02-23 16:47:48','2017-02-23 16:47:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (255,46,60,53564,0,'2017-02-23 16:45:07','upload/result/result_46_1487843272.jpg','2017-02-23 16:47:49','2017-02-23 16:47:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (256,46,60,50438,0,'2017-02-23 16:53:41','upload/result/result_46_1487843786.jpg','2017-02-23 16:56:23','2017-02-23 16:56:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (257,46,60,54017,0,'2017-02-23 16:54:58','upload/result/result_46_1487843863.jpg','2017-02-23 16:57:40','2017-02-23 16:57:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (258,45,60,46879,0,'2017-02-23 16:57:36','upload/result/result_45_1487844016.jpg','2017-02-23 17:00:13','2017-02-23 17:00:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (259,174,60,30579,0,'2017-02-23 16:59:53','upload/result/result_174_1487844152.jpg','2017-02-23 17:02:27','2017-02-23 17:02:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (260,45,60,52156,0,'2017-02-23 17:00:04','upload/result/result_45_1487844163.jpg','2017-02-23 17:02:40','2017-02-23 17:02:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (261,174,60,33904,0,'2017-02-23 17:03:32','upload/result/result_174_1487844370.jpg','2017-02-23 17:06:06','2017-02-23 17:06:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (262,45,60,63210,0,'2017-02-23 17:04:59','upload/result/result_45_1487844460.jpg','2017-02-23 17:07:35','2017-02-23 17:07:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (263,45,60,60159,0,'2017-02-23 17:09:43','upload/result/result_45_1487844743.jpg','2017-02-23 17:12:19','2017-02-23 17:12:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (264,177,60,42443,0,'2017-02-23 17:20:27','upload/result/result_177_1487845388.jpg','2017-02-23 17:23:02','2017-02-23 17:23:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (265,176,60,46234,0,'2017-02-23 17:21:53','upload/result/result_176_1487845469.jpg','2017-02-23 17:24:26','2017-02-23 17:24:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (266,42,60,47034,0,'2017-02-23 17:26:02','upload/result/result_42_1487845721.jpg','2017-02-23 17:28:38','2017-02-23 17:28:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (267,177,60,44246,0,'2017-02-23 17:27:24','upload/result/result_177_1487845804.jpg','2017-02-23 17:29:59','2017-02-23 17:30:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (268,176,60,44042,0,'2017-02-23 17:28:32','upload/result/result_176_1487845868.jpg','2017-02-23 17:31:05','2017-02-23 17:31:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (269,177,60,44233,0,'2017-02-23 17:30:12','upload/result/result_177_1487845972.jpg','2017-02-23 17:32:48','2017-02-23 17:32:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (270,177,60,44509,0,'2017-02-23 17:33:06','upload/result/result_177_1487846146.jpg','2017-02-23 17:35:41','2017-02-23 17:35:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (271,177,60,44011,0,'2017-02-23 17:35:39','upload/result/result_177_1487846298.jpg','2017-02-23 17:38:14','2017-02-23 17:38:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (272,176,60,40667,0,'2017-02-23 17:36:41','upload/result/result_176_1487846357.jpg','2017-02-23 17:39:14','2017-02-23 17:39:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (273,35,60,44782,0,'2017-02-23 17:42:35','upload/result/result_35_1487846500.jpg','2017-02-23 17:41:37','2017-02-23 17:41:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (274,176,60,46464,0,'2017-02-23 17:43:07','upload/result/result_176_1487846743.jpg','2017-02-23 17:45:40','2017-02-23 17:45:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (275,177,60,41139,0,'2017-02-23 17:43:59','upload/result/result_177_1487846799.jpg','2017-02-23 17:46:34','2017-02-23 17:46:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (276,177,60,43179,0,'2017-02-23 17:47:58','upload/result/result_177_1487847038.jpg','2017-02-23 17:50:33','2017-02-23 17:50:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (277,65,60,32297,0,'2017-02-23 17:50:21','upload/result/result_65_1487847183.jpg','2017-02-23 17:53:00','2017-02-23 17:53:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (278,177,60,47005,0,'2017-02-23 17:50:48','upload/result/result_177_1487847207.jpg','2017-02-23 17:53:24','2017-02-23 17:53:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (279,176,60,44993,0,'2017-02-23 17:53:19','upload/result/result_176_1487847357.jpg','2017-02-23 17:55:52','2017-02-23 17:55:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (280,177,60,46205,0,'2017-02-23 17:55:32','upload/result/result_177_1487847492.jpg','2017-02-23 17:58:07','2017-02-23 17:58:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (281,177,60,44849,0,'2017-02-23 17:58:52','upload/result/result_177_1487847691.jpg','2017-02-23 18:01:27','2017-02-23 18:01:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (282,177,60,46793,0,'2017-02-23 18:02:20','upload/result/result_177_1487847900.jpg','2017-02-23 18:04:56','2017-02-23 18:05:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (283,181,60,45005,0,'2017-02-23 18:50:52','upload/result/result_181_1487850810.jpg','2017-02-23 18:53:26','2017-02-23 18:53:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (284,42,60,49081,0,'2017-02-23 19:21:52','upload/result/result_42_1487852673.jpg','2017-02-23 19:24:26','2017-02-23 19:24:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (285,42,60,45228,0,'2017-02-23 19:23:58','upload/result/result_42_1487852799.jpg','2017-02-23 19:26:32','2017-02-23 19:26:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (286,42,60,45509,0,'2017-02-23 19:25:16','upload/result/result_42_1487852876.jpg','2017-02-23 19:27:50','2017-02-23 19:27:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (287,42,60,46886,0,'2017-02-23 19:26:34','upload/result/result_42_1487852952.jpg','2017-02-23 19:29:08','2017-02-23 19:29:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (288,46,60,49961,0,'2017-02-23 21:15:39','upload/result/result_46_1487859504.jpg','2017-02-23 21:18:21','2017-02-23 21:18:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (289,181,60,49702,0,'2017-02-23 21:27:46','upload/result/result_181_1487860226.jpg','2017-02-23 21:30:21','2017-02-23 21:30:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (290,193,60,45797,0,'2017-02-23 21:41:00','upload/result/result_193_1487861018.jpg','2017-02-23 21:43:34','2017-02-23 21:43:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (291,118,60,43860,0,'2017-02-23 22:23:29','upload/result/result_118_1487863572.jpg','2017-02-23 22:26:05','2017-02-23 22:26:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (292,196,60,48190,0,'2017-02-23 23:24:50','upload/result/result_196_1487867244.jpg','2017-02-23 23:27:20','2017-02-23 23:27:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (293,39,60,45829,0,'2017-02-24 01:13:27','upload/result/result_39_1487873761.jpg','2017-02-24 01:15:57','2017-02-24 01:16:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (294,9,60,48416,0,'2017-02-24 08:32:45','upload/result/result_9_1487900131.jpg','2017-02-24 08:35:21','2017-02-24 08:35:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (295,214,60,43451,0,'2017-02-24 08:33:18','upload/result/result_214_1487900146.jpg','2017-02-24 08:35:44','2017-02-24 08:35:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (296,31,60,66257,0,'2017-02-24 08:34:27','upload/result/result_31_1487900229.jpg','2017-02-24 08:37:00','2017-02-24 08:37:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (297,43,60,48511,0,'2017-02-24 08:37:30','upload/result/result_43_1487900417.jpg','2017-02-24 08:40:03','2017-02-24 08:40:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (298,46,60,62585,0,'2017-02-24 08:37:23','upload/result/result_46_1487900416.jpg','2017-02-24 08:40:06','2017-02-24 08:40:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (299,43,60,48231,0,'2017-02-24 08:38:51','upload/result/result_43_1487900488.jpg','2017-02-24 08:41:23','2017-02-24 08:41:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (300,46,60,52906,0,'2017-02-24 08:39:28','upload/result/result_46_1487900536.jpg','2017-02-24 08:42:13','2017-02-24 08:42:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (301,220,60,44008,0,'2017-02-24 08:55:47','upload/result/result_220_1487901299.jpg','2017-02-24 08:54:50','2017-02-24 08:54:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (302,31,60,54199,0,'2017-02-24 08:53:10','upload/result/result_31_1487901427.jpg','2017-02-24 08:55:53','2017-02-24 08:57:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (303,216,60,42452,0,'2017-02-24 08:54:35','upload/result/result_216_1487901431.jpg','2017-02-24 08:57:08','2017-02-24 08:57:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (304,31,60,50525,0,'2017-02-24 08:55:32',NULL,'2017-02-24 08:58:16','2017-02-24 08:58:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (305,196,60,46940,0,'2017-02-24 08:59:53',NULL,'2017-02-24 08:58:56','2017-02-24 08:58:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (306,220,60,44227,0,'2017-02-24 08:59:58',NULL,'2017-02-24 08:59:03','2017-02-24 08:59:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (307,220,60,51001,0,'2017-02-24 09:03:12','upload/result/result_220_1487901737.jpg','2017-02-24 09:02:15','2017-02-24 09:02:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (308,220,60,44193,0,'2017-02-24 09:05:54','upload/result/result_220_1487901899.jpg','2017-02-24 09:04:56','2017-02-24 09:04:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (309,215,60,35500,0,'2017-02-24 09:02:28','upload/result/result_215_1487901917.jpg','2017-02-24 09:05:14','2017-02-24 09:05:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (310,220,60,45271,0,'2017-02-24 09:07:35','upload/result/result_220_1487902000.jpg','2017-02-24 09:06:38','2017-02-24 09:06:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (311,220,60,46304,0,'2017-02-24 09:08:51','upload/result/result_220_1487902076.jpg','2017-02-24 09:07:53','2017-02-24 09:07:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (312,220,60,45764,0,'2017-02-24 09:11:22','upload/result/result_220_1487902227.jpg','2017-02-24 09:10:24','2017-02-24 09:10:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (313,223,60,30626,0,'2017-02-24 09:10:04','upload/result/result_223_1487902361.jpg','2017-02-24 09:12:38','2017-02-24 09:12:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (314,223,60,40455,0,'2017-02-24 09:17:42','upload/result/result_223_1487902820.jpg','2017-02-24 09:20:17','2017-02-24 09:20:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (315,224,60,58343,0,'2017-02-24 09:30:03','upload/result/result_224_1487903539.jpg','2017-02-24 09:32:15','2017-02-24 09:32:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (316,224,60,53605,0,'2017-02-24 09:33:08','upload/result/result_224_1487903724.jpg','2017-02-24 09:35:21','2017-02-24 09:35:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (317,46,60,57822,0,'2017-02-24 09:32:38','upload/result/result_46_1487903724.jpg','2017-02-24 09:35:21','2017-02-24 09:35:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (318,46,60,48942,0,'2017-02-24 09:33:55','upload/result/result_46_1487903801.jpg','2017-02-24 09:36:38','2017-02-24 09:36:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (319,45,60,70184,0,'2017-02-24 09:36:03','upload/result/result_45_1487903923.jpg','2017-02-24 09:38:39','2017-02-24 09:38:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (320,46,60,58774,0,'2017-02-24 09:39:48','upload/result/result_46_1487904153.jpg','2017-02-24 09:42:30','2017-02-24 09:42:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (321,46,60,55483,0,'2017-02-24 09:44:34','upload/result/result_46_1487904439.jpg','2017-02-24 09:47:16','2017-02-24 09:47:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (322,224,60,53512,0,'2017-02-24 09:46:27','upload/result/result_224_1487904521.jpg','2017-02-24 09:48:38','2017-02-24 09:48:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (323,224,60,48426,0,'2017-02-24 09:48:30','upload/result/result_224_1487904644.jpg','2017-02-24 09:50:41','2017-02-24 09:50:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (324,46,60,47363,0,'2017-02-24 09:49:35','upload/result/result_46_1487904741.jpg','2017-02-24 09:52:18','2017-02-24 09:52:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (325,37,60,46273,0,'2017-02-24 09:56:55','upload/result/result_37_1487904960.jpg','2017-02-24 09:55:57','2017-02-24 09:56:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (326,46,60,55426,0,'2017-02-24 09:54:56','upload/result/result_46_1487905062.jpg','2017-02-24 09:57:39','2017-02-24 09:57:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (327,37,60,52718,0,'2017-02-24 10:00:19','upload/result/result_37_1487905165.jpg','2017-02-24 09:59:22','2017-02-24 09:59:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (328,46,60,48133,0,'2017-02-24 09:56:44','upload/result/result_46_1487905169.jpg','2017-02-24 09:59:26','2017-02-24 09:59:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (329,224,60,37451,0,'2017-02-24 09:58:13','upload/result/result_224_1487905235.jpg','2017-02-24 10:00:32','2017-02-24 10:00:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (330,37,60,48901,0,'2017-02-24 10:02:02','upload/result/result_37_1487905267.jpg','2017-02-24 10:01:04','2017-02-24 10:01:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (331,46,60,49002,0,'2017-02-24 09:58:37','upload/result/result_46_1487905282.jpg','2017-02-24 10:01:19','2017-02-24 10:01:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (332,37,60,52602,0,'2017-02-24 10:06:54','upload/result/result_37_1487905559.jpg','2017-02-24 10:05:56','2017-02-24 10:05:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (333,37,60,61805,0,'2017-02-24 10:09:07','upload/result/result_37_1487905693.jpg','2017-02-24 10:08:10','2017-02-24 10:08:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (334,220,60,47095,0,'2017-02-24 10:38:36','upload/result/result_220_1487907461.jpg','2017-02-24 10:37:38','2017-02-24 10:37:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (335,45,60,56219,0,'2017-02-24 10:37:23','upload/result/result_45_1487907602.jpg','2017-02-24 10:39:59','2017-02-24 10:40:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (336,220,60,49211,0,'2017-02-24 10:41:13','upload/result/result_220_1487907620.jpg','2017-02-24 10:40:17','2017-02-24 10:40:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (337,231,60,44257,0,'2017-02-24 10:56:32','upload/result/result_231_1487908537.jpg','2017-02-24 10:55:35','2017-02-24 10:55:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (338,19,60,47616,0,'2017-02-24 11:09:01','upload/result/result_19_1487909490.jpg','2017-02-24 11:11:27','2017-02-24 11:11:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (339,232,60,47380,0,'2017-02-24 11:27:12','upload/result/result_232_1487910378.jpg','2017-02-24 11:26:15','2017-02-24 11:26:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (340,27,60,45750,0,'2017-02-24 11:35:04','upload/result/result_27_1487910849.jpg','2017-02-24 11:34:06','2017-02-24 11:34:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (341,27,60,48170,0,'2017-02-24 11:41:57','upload/result/result_27_1487911263.jpg','2017-02-24 11:41:00','2017-02-24 11:41:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (342,31,60,54326,0,'2017-02-24 11:42:18','upload/result/result_31_1487911494.jpg','2017-02-24 11:44:51','2017-02-24 11:44:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (343,31,60,49846,0,'2017-02-24 11:44:23','upload/result/result_31_1487911619.jpg','2017-02-24 11:46:56','2017-02-24 11:46:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (344,31,60,56719,0,'2017-02-24 11:50:45','upload/result/result_31_1487912001.jpg','2017-02-24 11:53:18','2017-02-24 11:53:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (345,31,60,63331,0,'2017-02-24 11:52:30','upload/result/result_31_1487912106.jpg','2017-02-24 11:55:03','2017-02-24 11:55:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (346,31,60,48058,0,'2017-02-24 11:56:12','upload/result/result_31_1487912327.jpg','2017-02-24 11:58:45','2017-02-24 11:58:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (347,42,60,45566,0,'2017-02-24 11:59:49','upload/result/result_42_1487912546.jpg','2017-02-24 12:02:23','2017-02-24 12:02:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (348,46,60,49463,0,'2017-02-24 12:20:20','upload/result/result_46_1487913787.jpg','2017-02-24 12:23:03','2017-02-24 12:23:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (349,46,60,50761,0,'2017-02-24 12:27:14','upload/result/result_46_1487914200.jpg','2017-02-24 12:29:56','2017-02-24 12:30:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (350,45,60,51886,0,'2017-02-24 12:27:34',NULL,'2017-02-24 12:30:09','2017-02-24 12:30:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (351,45,60,60045,0,'2017-02-24 12:28:50','upload/result/result_45_1487914288.jpg','2017-02-24 12:31:25','2017-02-24 12:31:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (352,45,60,48751,0,'2017-02-24 12:31:25','upload/result/result_45_1487914443.jpg','2017-02-24 12:34:00','2017-02-24 12:34:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (353,46,60,63445,0,'2017-02-24 12:32:56','upload/result/result_46_1487914542.jpg','2017-02-24 12:35:39','2017-02-24 12:35:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (354,45,60,51834,0,'2017-02-24 12:34:44','upload/result/result_45_1487914642.jpg','2017-02-24 12:37:19','2017-02-24 12:37:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (355,46,60,101686,0,'2017-02-24 12:37:48','upload/result/result_46_1487914834.jpg','2017-02-24 12:40:30','2017-02-24 12:40:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (356,42,60,55837,0,'2017-02-24 12:41:44','upload/result/result_42_1487915060.jpg','2017-02-24 12:44:17','2017-02-24 12:44:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (357,42,60,48732,0,'2017-02-24 12:46:39','upload/result/result_42_1487915355.jpg','2017-02-24 12:49:12','2017-02-24 12:49:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (358,46,60,53217,0,'2017-02-24 12:47:01','upload/result/result_46_1487915387.jpg','2017-02-24 12:49:43','2017-02-24 12:49:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (359,46,60,52383,0,'2017-02-24 12:48:18','upload/result/result_46_1487915464.jpg','2017-02-24 12:51:00','2017-02-24 12:51:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (360,42,60,48143,0,'2017-02-24 12:49:46','upload/result/result_42_1487915542.jpg','2017-02-24 12:52:19','2017-02-24 12:52:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (361,42,60,48026,0,'2017-02-24 12:51:06','upload/result/result_42_1487915622.jpg','2017-02-24 12:53:39','2017-02-24 12:53:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (362,42,60,43923,0,'2017-02-24 12:53:53','upload/result/result_42_1487915788.jpg','2017-02-24 12:56:26','2017-02-24 12:56:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (363,42,60,49172,0,'2017-02-24 12:55:11','upload/result/result_42_1487915867.jpg','2017-02-24 12:57:44','2017-02-24 12:57:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (364,46,60,88793,0,'2017-02-24 13:00:57','upload/result/result_46_1487916223.jpg','2017-02-24 13:03:40','2017-02-24 13:03:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (365,46,60,50617,0,'2017-02-24 13:04:53','upload/result/result_46_1487916458.jpg','2017-02-24 13:07:36','2017-02-24 13:07:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (366,46,60,52608,0,'2017-02-24 13:07:11','upload/result/result_46_1487916597.jpg','2017-02-24 13:09:54','2017-02-24 13:09:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (367,42,60,45999,0,'2017-02-24 13:23:26','upload/result/result_42_1487917561.jpg','2017-02-24 13:25:59','2017-02-24 13:26:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (368,9,60,45301,0,'2017-02-24 13:25:32','upload/result/result_9_1487917691.jpg','2017-02-24 13:28:08','2017-02-24 13:28:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (369,42,60,53642,0,'2017-02-24 13:25:59','upload/result/result_42_1487917715.jpg','2017-02-24 13:28:32','2017-02-24 13:28:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (370,9,60,51185,0,'2017-02-24 13:26:55','upload/result/result_9_1487917773.jpg','2017-02-24 13:29:30','2017-02-24 13:29:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (371,42,60,50175,0,'2017-02-24 13:28:14','upload/result/result_42_1487917850.jpg','2017-02-24 13:30:47','2017-02-24 13:30:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (372,42,60,51361,0,'2017-02-24 13:31:14','upload/result/result_42_1487918030.jpg','2017-02-24 13:33:47','2017-02-24 13:33:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (373,31,60,69981,0,'2017-02-24 13:48:44','upload/result/result_31_1487919080.jpg','2017-02-24 13:51:18','2017-02-24 13:51:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (374,239,60,43583,0,'2017-02-24 13:55:18','upload/result/result_239_1487919485.jpg','2017-02-24 13:58:01','2017-02-24 13:58:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (375,37,60,54113,0,'2017-02-24 14:10:25','upload/result/result_37_1487920171.jpg','2017-02-24 14:09:28','2017-02-24 14:09:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (376,31,60,54007,0,'2017-02-24 14:08:17','upload/result/result_31_1487920262.jpg','2017-02-24 14:10:59','2017-02-24 14:11:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (377,37,60,53365,0,'2017-02-24 14:11:41','upload/result/result_37_1487920264.jpg','2017-02-24 14:11:01','2017-02-24 14:11:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (378,37,60,51349,0,'2017-02-24 14:13:16','upload/result/result_37_1487920343.jpg','2017-02-24 14:12:20','2017-02-24 14:12:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (379,31,60,49549,0,'2017-02-24 14:10:11','upload/result/result_31_1487920367.jpg','2017-02-24 14:12:44','2017-02-24 14:12:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (380,37,60,54313,0,'2017-02-24 14:15:42','upload/result/result_37_1487920488.jpg','2017-02-24 14:14:45','2017-02-24 14:14:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (381,37,60,59998,0,'2017-02-24 14:16:58','upload/result/result_37_1487920564.jpg','2017-02-24 14:16:01','2017-02-24 14:16:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (382,37,60,52775,0,'2017-02-24 14:21:47','upload/result/result_37_1487920854.jpg','2017-02-24 14:20:51','2017-02-24 14:20:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (383,37,60,49333,0,'2017-02-24 14:23:03','upload/result/result_37_1487920929.jpg','2017-02-24 14:22:06','2017-02-24 14:22:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (384,37,60,48414,0,'2017-02-24 14:24:51','upload/result/result_37_1487921037.jpg','2017-02-24 14:23:55','2017-02-24 14:23:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (385,31,60,62682,0,'2017-02-24 14:23:05','upload/result/result_31_1487921141.jpg','2017-02-24 14:25:38','2017-02-24 14:25:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (386,42,60,50326,0,'2017-02-24 14:24:39','upload/result/result_42_1487921235.jpg','2017-02-24 14:27:12','2017-02-24 14:27:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (387,31,60,47157,0,'2017-02-24 14:24:58','upload/result/result_31_1487921254.jpg','2017-02-24 14:27:31','2017-02-24 14:27:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (388,42,60,47630,0,'2017-02-24 14:27:30','upload/result/result_42_1487921407.jpg','2017-02-24 14:30:03','2017-02-24 14:30:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (389,31,60,57472,0,'2017-02-24 14:28:37','upload/result/result_31_1487921473.jpg','2017-02-24 14:31:10','2017-02-24 14:31:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (390,42,60,65637,0,'2017-02-24 14:28:48','upload/result/result_42_1487921484.jpg','2017-02-24 14:31:21','2017-02-24 14:31:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (391,42,60,53006,0,'2017-02-24 14:32:24','upload/result/result_42_1487921700.jpg','2017-02-24 14:34:57','2017-02-24 14:35:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (392,31,60,54153,0,'2017-02-24 14:37:19','upload/result/result_31_1487921995.jpg','2017-02-24 14:39:52','2017-02-24 14:39:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (393,42,60,50571,0,'2017-02-24 14:39:30','upload/result/result_42_1487922126.jpg','2017-02-24 14:42:03','2017-02-24 14:42:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (394,31,60,60901,0,'2017-02-24 14:40:37','upload/result/result_31_1487922193.jpg','2017-02-24 14:43:10','2017-02-24 14:43:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (395,42,60,54401,0,'2017-02-24 14:43:42','upload/result/result_42_1487922378.jpg','2017-02-24 14:46:15','2017-02-24 14:46:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (396,31,60,55408,0,'2017-02-24 14:55:10','upload/result/result_31_1487923066.jpg','2017-02-24 14:57:43','2017-02-24 14:57:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (397,31,60,49475,0,'2017-02-24 15:02:46','upload/result/result_31_1487923522.jpg','2017-02-24 15:05:19','2017-02-24 15:05:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (398,31,60,51988,0,'2017-02-24 15:11:24','upload/result/result_31_1487924040.jpg','2017-02-24 15:13:57','2017-02-24 15:14:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (399,196,60,50846,0,'2017-02-24 15:19:39','upload/result/result_196_1487924325.jpg','2017-02-24 15:18:42','2017-02-24 15:18:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (400,196,60,49786,0,'2017-02-24 15:22:35','upload/result/result_196_1487924500.jpg','2017-02-24 15:21:37','2017-02-24 15:21:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (401,246,60,51363,0,'2017-02-24 15:20:47','upload/result/result_246_1487924605.jpg','2017-02-24 15:23:20','2017-02-24 15:23:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (402,31,60,68487,0,'2017-02-24 15:28:28','upload/result/result_31_1487925064.jpg','2017-02-24 15:31:01','2017-02-24 15:31:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (403,31,60,79460,0,'2017-02-24 15:29:46','upload/result/result_31_1487925142.jpg','2017-02-24 15:32:19','2017-02-24 15:32:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (404,19,60,47944,0,'2017-02-24 15:30:25','upload/result/result_19_1487925173.jpg','2017-02-24 15:32:51','2017-02-24 15:32:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (405,42,60,46120,0,'2017-02-24 15:31:08','upload/result/result_42_1487925420.jpg','2017-02-24 15:36:57','2017-02-24 15:37:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (406,31,60,58621,0,'2017-02-24 15:36:14','upload/result/result_31_1487925530.jpg','2017-02-24 15:38:48','2017-02-24 15:38:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (407,31,60,53146,0,'2017-02-24 15:48:41','upload/result/result_31_1487926278.jpg','2017-02-24 15:51:15','2017-02-24 15:51:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (408,251,60,45403,0,'2017-02-24 17:51:50','upload/result/result_251_1487933666.jpg','2017-02-24 17:54:23','2017-02-24 17:54:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (409,251,60,48011,0,'2017-02-24 17:56:44','upload/result/result_251_1487933959.jpg','2017-02-24 17:59:16','2017-02-24 17:59:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (410,255,60,44918,0,'2017-02-24 18:04:09','upload/result/result_255_1487934405.jpg','2017-02-24 18:06:41','2017-02-24 18:06:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (411,42,60,61511,0,'2017-02-24 22:36:26','upload/result/result_42_1487950744.jpg','2017-02-24 22:39:00','2017-02-24 22:39:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (412,42,60,52680,0,'2017-02-24 22:40:58','upload/result/result_42_1487951017.jpg','2017-02-24 22:43:33','2017-02-24 22:43:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (413,42,60,65125,0,'2017-02-24 22:45:30','upload/result/result_42_1487951289.jpg','2017-02-24 22:48:05','2017-02-24 22:48:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (414,42,60,52117,0,'2017-02-24 22:46:50','upload/result/result_42_1487951369.jpg','2017-02-24 22:49:24','2017-02-24 22:49:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (415,18,60,46597,0,'2017-02-24 23:24:07','upload/result/result_18_1487953603.jpg','2017-02-24 23:26:40','2017-02-24 23:26:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (416,39,60,49886,0,'2017-02-24 23:29:56','upload/result/result_39_1487953950.jpg','2017-02-24 23:32:26','2017-02-24 23:32:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (417,39,60,44778,0,'2017-02-25 00:20:38','upload/result/result_39_1487956992.jpg','2017-02-25 00:23:07','2017-02-25 00:23:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (418,209,60,54915,0,'2017-02-25 00:27:49','upload/result/result_209_1487957448.jpg','2017-02-25 00:30:23','2017-02-25 00:30:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (419,13,60,46647,0,'2017-02-25 08:03:23','upload/result/result_13_1487984756.jpg','2017-02-25 08:05:52','2017-02-25 08:05:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (420,9,60,49011,0,'2017-02-25 08:31:05','upload/result/result_9_1487986422.jpg','2017-02-25 08:33:39','2017-02-25 08:33:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (421,9,60,52564,0,'2017-02-25 08:32:25','upload/result/result_9_1487986502.jpg','2017-02-25 08:34:58','2017-02-25 08:35:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (422,31,60,60012,0,'2017-02-25 08:35:55','upload/result/result_31_1487986714.jpg','2017-02-25 08:38:30','2017-02-25 08:38:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (423,31,60,51441,0,'2017-02-25 08:37:10','upload/result/result_31_1487986788.jpg','2017-02-25 08:39:45','2017-02-25 08:39:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (424,9,60,48658,0,'2017-02-25 08:38:10','upload/result/result_9_1487986848.jpg','2017-02-25 08:40:44','2017-02-25 08:40:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (425,31,60,47479,0,'2017-02-25 08:38:25','upload/result/result_31_1487986862.jpg','2017-02-25 08:40:59','2017-02-25 08:41:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (426,31,60,48594,0,'2017-02-25 08:40:12','upload/result/result_31_1487986970.jpg','2017-02-25 08:42:46','2017-02-25 08:42:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (427,31,60,48750,0,'2017-02-25 08:42:51','upload/result/result_31_1487987129.jpg','2017-02-25 08:45:25','2017-02-25 08:45:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (428,31,60,50559,0,'2017-02-25 08:44:47','upload/result/result_31_1487987245.jpg','2017-02-25 08:47:21','2017-02-25 08:47:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (429,31,60,48905,0,'2017-02-25 08:46:25','upload/result/result_31_1487987342.jpg','2017-02-25 08:48:59','2017-02-25 08:49:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (430,31,60,60034,0,'2017-02-25 08:48:30','upload/result/result_31_1487987467.jpg','2017-02-25 08:51:04','2017-02-25 08:51:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (431,31,60,62572,0,'2017-02-25 08:54:10','upload/result/result_31_1487987808.jpg','2017-02-25 08:56:44','2017-02-25 08:56:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (432,31,60,72022,0,'2017-02-25 08:56:09','upload/result/result_31_1487987926.jpg','2017-02-25 08:58:43','2017-02-25 08:58:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (433,45,60,47692,0,'2017-02-25 12:16:13','upload/result/result_45_1487999931.jpg','2017-02-25 12:18:48','2017-02-25 12:18:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (434,286,60,42573,0,'2017-02-25 15:18:21','upload/result/result_286_1488010862.jpg','2017-02-25 15:20:59','2017-02-25 15:21:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (435,286,60,44995,0,'2017-02-25 15:20:59','upload/result/result_286_1488011020.jpg','2017-02-25 15:23:37','2017-02-25 15:23:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (436,286,60,45423,0,'2017-02-25 15:29:09','upload/result/result_286_1488011511.jpg','2017-02-25 15:31:48','2017-02-25 15:31:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (437,31,60,52806,0,'2017-02-25 22:12:01','upload/result/result_31_1488035679.jpg','2017-02-25 22:14:35','2017-02-25 22:14:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (438,31,60,52311,0,'2017-02-25 22:13:47','upload/result/result_31_1488035787.jpg','2017-02-25 22:16:21','2017-02-25 22:16:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (439,31,60,73245,0,'2017-02-25 22:18:42','upload/result/result_31_1488036079.jpg','2017-02-25 22:21:16','2017-02-25 22:21:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (440,31,60,51340,0,'2017-02-25 22:23:50','upload/result/result_31_1488036388.jpg','2017-02-25 22:26:24','2017-02-25 22:26:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (441,31,60,51474,0,'2017-02-25 22:25:04','upload/result/result_31_1488036462.jpg','2017-02-25 22:27:38','2017-02-25 22:27:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (442,42,60,56724,0,'2017-02-26 18:45:53','upload/result/result_42_1488109712.jpg','2017-02-26 18:48:27','2017-02-26 18:48:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (443,42,60,47715,0,'2017-02-26 18:50:13','upload/result/result_42_1488109970.jpg','2017-02-26 18:52:46','2017-02-26 18:52:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (444,42,60,45790,0,'2017-02-26 18:57:15','upload/result/result_42_1488110395.jpg','2017-02-26 18:59:49','2017-02-26 18:59:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (445,42,60,49855,0,'2017-02-26 19:01:19','upload/result/result_42_1488110639.jpg','2017-02-26 19:03:53','2017-02-26 19:03:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (446,42,60,50744,0,'2017-02-26 19:02:37','upload/result/result_42_1488110714.jpg','2017-02-26 19:05:10','2017-02-26 19:05:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (447,42,60,52983,0,'2017-02-26 19:03:55','upload/result/result_42_1488110804.jpg','2017-02-26 19:06:30','2017-02-26 19:06:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (448,42,60,51184,0,'2017-02-26 19:05:13','upload/result/result_42_1488110889.jpg','2017-02-26 19:07:47','2017-02-26 19:08:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (449,42,60,50709,0,'2017-02-26 19:10:27','upload/result/result_42_1488111185.jpg','2017-02-26 19:13:00','2017-02-26 19:13:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (450,42,60,51820,0,'2017-02-26 19:11:45','upload/result/result_42_1488111263.jpg','2017-02-26 19:14:18','2017-02-26 19:14:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (451,42,60,44506,0,'2017-02-26 19:14:46','upload/result/result_42_1488111445.jpg','2017-02-26 19:17:21','2017-02-26 19:17:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (452,42,60,48744,0,'2017-02-26 19:16:05','upload/result/result_42_1488111523.jpg','2017-02-26 19:18:38','2017-02-26 19:18:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (453,42,60,48408,0,'2017-02-26 23:07:07','upload/result/result_42_1488125387.jpg','2017-02-26 23:09:43','2017-02-26 23:09:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (454,42,60,47966,0,'2017-02-26 23:12:11','upload/result/result_42_1488125716.jpg','2017-02-26 23:14:49','2017-02-26 23:15:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (455,42,60,56052,0,'2017-02-26 23:13:30','upload/result/result_42_1488125778.jpg','2017-02-26 23:16:07','2017-02-26 23:16:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (456,42,60,50394,0,'2017-02-26 23:14:48','upload/result/result_42_1488125850.jpg','2017-02-26 23:17:25','2017-02-26 23:17:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (457,42,60,55648,0,'2017-02-26 23:16:06','upload/result/result_42_1488125927.jpg','2017-02-26 23:18:43','2017-02-26 23:18:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (458,42,60,71082,0,'2017-02-26 23:18:00','upload/result/result_42_1488126041.jpg','2017-02-26 23:20:37','2017-02-26 23:20:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (459,42,60,48069,0,'2017-02-26 23:19:19','upload/result/result_42_1488126120.jpg','2017-02-26 23:21:56','2017-02-26 23:22:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (460,42,60,48371,0,'2017-02-26 23:26:33','upload/result/result_42_1488126554.jpg','2017-02-26 23:29:10','2017-02-26 23:29:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (461,42,60,55846,0,'2017-02-26 23:27:51','upload/result/result_42_1488126633.jpg','2017-02-26 23:30:29','2017-02-26 23:30:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (462,42,60,50739,0,'2017-02-26 23:30:59','upload/result/result_42_1488126819.jpg','2017-02-26 23:33:35','2017-02-26 23:33:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (463,31,60,50726,0,'2017-02-27 08:43:31','upload/result/result_31_1488159973.jpg','2017-02-27 08:46:05','2017-02-27 08:46:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (464,309,60,46802,0,'2017-02-27 10:59:59','upload/result/result_309_1488168155.jpg','2017-02-27 11:02:30','2017-02-27 11:02:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (465,311,60,44280,0,'2017-02-27 11:03:32','upload/result/result_311_1488168370.jpg','2017-02-27 11:06:05','2017-02-27 11:06:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (466,312,60,42760,0,'2017-02-27 11:08:27','upload/result/result_312_1488168518.jpg','2017-02-27 11:08:34','2017-02-27 11:08:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (467,311,60,43325,0,'2017-02-27 11:12:43','upload/result/result_311_1488168927.jpg','2017-02-27 11:15:16','2017-02-27 11:15:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (468,311,60,42916,0,'2017-02-27 11:18:02','upload/result/result_311_1488169240.jpg','2017-02-27 11:20:35','2017-02-27 11:20:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (469,311,60,45909,0,'2017-02-27 11:19:24','upload/result/result_311_1488169322.jpg','2017-02-27 11:21:57','2017-02-27 11:22:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (470,311,60,45977,0,'2017-02-27 11:36:57','upload/result/result_311_1488170375.jpg','2017-02-27 11:39:31','2017-02-27 11:39:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (471,306,60,41952,0,'2017-02-27 14:01:28','upload/result/result_306_1488179045.jpg','2017-02-27 14:04:02','2017-02-27 14:04:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (472,42,60,50071,0,'2017-02-27 20:39:41','upload/result/result_42_1488202940.jpg','2017-02-27 20:42:16','2017-02-27 20:42:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (473,42,60,54406,0,'2017-02-27 20:42:09','upload/result/result_42_1488203088.jpg','2017-02-27 20:44:43','2017-02-27 20:44:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (474,196,60,63745,0,'2017-02-28 08:22:45','upload/result/result_196_1488244911.jpg','2017-02-28 08:21:48','2017-02-28 08:21:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (475,31,60,53615,0,'2017-02-28 09:02:15','upload/result/result_31_1488247494.jpg','2017-02-28 09:04:50','2017-02-28 09:04:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (476,31,60,46374,0,'2017-02-28 09:07:43','upload/result/result_31_1488247821.jpg','2017-02-28 09:10:17','2017-02-28 09:10:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (477,31,60,52042,0,'2017-02-28 13:41:51','upload/result/result_31_1488264267.jpg','2017-02-28 13:44:24','2017-02-28 13:44:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (478,330,60,43718,0,'2017-02-28 13:43:54','upload/result/result_330_1488264391.jpg','2017-02-28 13:46:28','2017-02-28 13:46:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (479,31,60,47172,0,'2017-02-28 13:44:26','upload/result/result_31_1488264422.jpg','2017-02-28 13:46:59','2017-02-28 13:47:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (480,31,60,50756,0,'2017-02-28 13:45:41','upload/result/result_31_1488264498.jpg','2017-02-28 13:48:15','2017-02-28 13:48:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (481,31,60,55098,0,'2017-02-28 13:46:57','upload/result/result_31_1488264573.jpg','2017-02-28 13:49:30','2017-02-28 13:49:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (482,330,60,43699,0,'2017-02-28 13:48:51','upload/result/result_330_1488264688.jpg','2017-02-28 13:51:24','2017-02-28 13:51:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (483,31,60,68562,0,'2017-02-28 13:50:05','upload/result/result_31_1488264761.jpg','2017-02-28 13:52:38','2017-02-28 13:52:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (484,331,60,40966,0,'2017-02-28 14:51:16','upload/result/result_331_1488268434.jpg','2017-02-28 14:53:50','2017-02-28 14:53:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (485,31,60,48938,0,'2017-02-28 15:09:48','upload/result/result_31_1488269544.jpg','2017-02-28 15:12:21','2017-02-28 15:12:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (486,31,60,54360,0,'2017-02-28 15:11:24','upload/result/result_31_1488269641.jpg','2017-02-28 15:13:58','2017-02-28 15:14:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (487,31,60,48802,0,'2017-02-28 15:13:06','upload/result/result_31_1488269743.jpg','2017-02-28 15:15:40','2017-02-28 15:15:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (488,31,60,51519,0,'2017-02-28 15:16:48','upload/result/result_31_1488269965.jpg','2017-02-28 15:19:22','2017-02-28 15:19:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (489,31,60,51292,0,'2017-02-28 15:24:45','upload/result/result_31_1488270441.jpg','2017-02-28 15:27:19','2017-02-28 15:27:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (490,31,60,53558,0,'2017-02-28 15:27:50','upload/result/result_31_1488270628.jpg','2017-02-28 15:30:25','2017-02-28 15:30:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (491,31,60,52417,0,'2017-02-28 15:33:24','upload/result/result_31_1488270960.jpg','2017-02-28 15:35:57','2017-02-28 15:36:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (492,31,60,48640,0,'2017-02-28 15:34:39','upload/result/result_31_1488271039.jpg','2017-02-28 15:37:16','2017-02-28 15:37:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (493,31,60,53858,0,'2017-02-28 15:36:53','upload/result/result_31_1488271169.jpg','2017-02-28 15:39:26','2017-02-28 15:39:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (494,31,60,53758,0,'2017-02-28 15:39:31','upload/result/result_31_1488271328.jpg','2017-02-28 15:42:05','2017-02-28 15:42:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (495,31,60,73220,0,'2017-02-28 15:43:05','upload/result/result_31_1488271541.jpg','2017-02-28 15:45:39','2017-02-28 15:45:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (496,31,60,51795,0,'2017-02-28 15:46:53','upload/result/result_31_1488271769.jpg','2017-02-28 15:49:26','2017-02-28 15:49:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (497,31,60,51777,0,'2017-02-28 15:50:42','upload/result/result_31_1488271999.jpg','2017-02-28 15:53:16','2017-02-28 15:53:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (498,31,60,51790,0,'2017-02-28 15:53:22','upload/result/result_31_1488272159.jpg','2017-02-28 15:55:56','2017-02-28 15:55:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (499,31,60,50680,0,'2017-02-28 15:55:14','upload/result/result_31_1488272270.jpg','2017-02-28 15:57:47','2017-02-28 15:57:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (500,31,60,49523,0,'2017-02-28 15:56:29','upload/result/result_31_1488272345.jpg','2017-02-28 15:59:02','2017-02-28 15:59:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (501,31,60,48681,0,'2017-02-28 15:58:39','upload/result/result_31_1488272476.jpg','2017-02-28 16:01:13','2017-02-28 16:01:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (502,31,60,57119,0,'2017-02-28 16:00:37','upload/result/result_31_1488272594.jpg','2017-02-28 16:03:10','2017-02-28 16:03:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (503,31,60,55623,0,'2017-02-28 16:01:51','upload/result/result_31_1488272668.jpg','2017-02-28 16:04:25','2017-02-28 16:04:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (504,338,60,44092,0,'2017-02-28 16:39:12','upload/result/result_338_1488274650.jpg','2017-02-28 16:37:27','2017-02-28 16:37:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (505,40,60,43860,0,'2017-02-28 16:51:46','upload/result/result_40_1488275666.jpg','2017-02-28 16:54:22','2017-02-28 16:54:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (506,341,60,44640,0,'2017-02-28 17:30:50','upload/result/result_341_1488278009.jpg','2017-02-28 17:33:26','2017-02-28 17:33:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (507,347,60,34415,0,'2017-02-28 20:44:39','upload/result/result_347_1488289637.jpg','2017-02-28 20:47:14','2017-02-28 20:47:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (508,347,60,34873,0,'2017-02-28 21:07:26','upload/result/result_347_1488291008.jpg','2017-02-28 21:10:04','2017-02-28 21:10:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (509,347,60,34724,0,'2017-02-28 21:10:07','upload/result/result_347_1488291165.jpg','2017-02-28 21:12:41','2017-02-28 21:12:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (510,347,60,35244,0,'2017-02-28 21:12:27','upload/result/result_347_1488291305.jpg','2017-02-28 21:15:02','2017-02-28 21:15:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (511,42,60,52926,0,'2017-02-28 22:54:26','upload/result/result_42_1488297425.jpg','2017-02-28 22:57:00','2017-02-28 22:57:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (512,42,60,49898,0,'2017-02-28 22:56:33','upload/result/result_42_1488297551.jpg','2017-02-28 22:59:06','2017-02-28 22:59:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (513,42,60,54407,0,'2017-02-28 22:57:52','upload/result/result_42_1488297633.jpg','2017-02-28 23:00:29','2017-02-28 23:00:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (514,42,60,45894,0,'2017-02-28 23:40:43','upload/result/result_42_1488300203.jpg','2017-02-28 23:43:18','2017-02-28 23:43:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (515,42,60,45886,0,'2017-02-28 23:45:38','upload/result/result_42_1488300498.jpg','2017-02-28 23:48:13','2017-02-28 23:48:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (516,42,60,50962,0,'2017-02-28 23:47:34','upload/result/result_42_1488300614.jpg','2017-02-28 23:50:09','2017-02-28 23:50:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (517,42,60,49656,0,'2017-02-28 23:50:13','upload/result/result_42_1488300772.jpg','2017-02-28 23:52:48','2017-02-28 23:52:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (518,42,60,51222,0,'2017-02-28 23:52:05','upload/result/result_42_1488300884.jpg','2017-02-28 23:54:40','2017-02-28 23:54:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (519,42,60,49596,0,'2017-02-28 23:53:46','upload/result/result_42_1488300986.jpg','2017-02-28 23:56:22','2017-02-28 23:56:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (520,42,60,59246,0,'2017-02-28 23:55:06','upload/result/result_42_1488301066.jpg','2017-02-28 23:57:41','2017-02-28 23:57:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (521,42,60,48362,0,'2017-02-28 23:59:18','upload/result/result_42_1488301318.jpg','2017-03-01 00:01:53','2017-03-01 00:01:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (522,46,60,50747,0,'2017-03-01 08:29:10','upload/result/result_46_1488331908.jpg','2017-03-01 08:31:45','2017-03-01 08:31:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (523,46,60,51635,0,'2017-03-01 08:34:39','upload/result/result_46_1488332238.jpg','2017-03-01 08:37:15','2017-03-01 08:37:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (524,46,60,57065,0,'2017-03-01 08:35:55','upload/result/result_46_1488332314.jpg','2017-03-01 08:38:31','2017-03-01 08:38:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (525,46,60,61221,0,'2017-03-01 08:45:38','upload/result/result_46_1488332897.jpg','2017-03-01 08:48:14','2017-03-01 08:48:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (526,31,60,51770,0,'2017-03-01 09:33:00','upload/result/result_31_1488335736.jpg','2017-03-01 09:35:33','2017-03-01 09:35:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (527,31,60,52857,0,'2017-03-01 09:36:12','upload/result/result_31_1488335928.jpg','2017-03-01 09:38:45','2017-03-01 09:38:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (528,31,60,49442,0,'2017-03-01 09:38:38','upload/result/result_31_1488336191.jpg','2017-03-01 09:43:08','2017-03-01 09:43:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (529,31,60,52754,0,'2017-03-01 09:43:08','upload/result/result_31_1488336344.jpg','2017-03-01 09:45:41','2017-03-01 09:45:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (530,362,60,43244,0,'2017-03-01 11:00:02','upload/result/result_362_1488341131.jpg','2017-03-01 11:05:03','2017-03-01 11:05:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (531,24,60,44001,0,'2017-03-01 11:16:19','upload/result/result_24_1488341938.jpg','2017-03-01 11:18:55','2017-03-01 11:18:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (532,46,60,52822,0,'2017-03-01 11:17:05','upload/result/result_46_1488341984.jpg','2017-03-01 11:19:41','2017-03-01 11:19:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (533,31,60,60265,0,'2017-03-01 11:17:09','upload/result/result_31_1488341985.jpg','2017-03-01 11:19:42','2017-03-01 11:19:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (534,46,60,48738,0,'2017-03-01 11:18:53','upload/result/result_46_1488342154.jpg','2017-03-01 11:22:31','2017-03-01 11:22:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (535,46,60,49257,0,'2017-03-01 11:22:13','upload/result/result_46_1488342292.jpg','2017-03-01 11:24:48','2017-03-01 11:24:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (536,46,60,53951,0,'2017-03-01 11:23:30','upload/result/result_46_1488342368.jpg','2017-03-01 11:26:06','2017-03-01 11:26:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (537,45,60,48461,0,'2017-03-01 11:24:14','upload/result/result_45_1488342416.jpg','2017-03-01 11:26:47','2017-03-01 11:26:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (538,46,60,50780,0,'2017-03-01 11:26:45','upload/result/result_46_1488342564.jpg','2017-03-01 11:29:21','2017-03-01 11:29:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (539,45,60,53277,0,'2017-03-01 11:27:47','upload/result/result_45_1488342624.jpg','2017-03-01 11:30:20','2017-03-01 11:30:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (540,45,60,50761,0,'2017-03-01 11:30:45','upload/result/result_45_1488342804.jpg','2017-03-01 11:33:21','2017-03-01 11:33:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (541,46,60,58222,0,'2017-03-01 11:31:05','upload/result/result_46_1488342824.jpg','2017-03-01 11:33:41','2017-03-01 11:33:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (542,46,60,69556,0,'2017-03-01 11:40:33','upload/result/result_46_1488343392.jpg','2017-03-01 11:43:09','2017-03-01 11:43:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (543,46,60,82128,0,'2017-03-01 11:41:56','upload/result/result_46_1488343475.jpg','2017-03-01 11:44:32','2017-03-01 11:44:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (544,364,60,47401,0,'2017-03-01 11:45:12','upload/result/result_364_1488343669.jpg','2017-03-01 11:47:45','2017-03-01 11:47:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (545,364,60,51399,0,'2017-03-01 12:15:31','upload/result/result_364_1488345488.jpg','2017-03-01 12:18:04','2017-03-01 12:18:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (546,339,60,48828,0,'2017-03-01 12:27:36','upload/result/result_339_1488346214.jpg','2017-03-01 12:30:11','2017-03-01 12:30:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (547,45,60,49255,0,'2017-03-01 12:29:08','upload/result/result_45_1488346304.jpg','2017-03-01 12:31:41','2017-03-01 12:31:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (548,45,60,51549,0,'2017-03-01 12:30:54','upload/result/result_45_1488346410.jpg','2017-03-01 12:33:27','2017-03-01 12:33:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (549,46,60,51286,0,'2017-03-01 12:36:06','upload/result/result_46_1488346725.jpg','2017-03-01 12:38:42','2017-03-01 12:38:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (550,45,60,69600,0,'2017-03-01 12:36:40','upload/result/result_45_1488346756.jpg','2017-03-01 12:39:13','2017-03-01 12:39:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (551,46,60,51921,0,'2017-03-01 12:37:22','upload/result/result_46_1488346801.jpg','2017-03-01 12:39:58','2017-03-01 12:40:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (552,46,60,50070,0,'2017-03-01 12:39:50','upload/result/result_46_1488346948.jpg','2017-03-01 12:42:26','2017-03-01 12:42:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (553,110,60,33320,0,'2017-03-01 12:43:29','upload/result/result_110_1488347196.jpg','2017-03-01 12:46:32','2017-03-01 12:46:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (554,46,60,50058,0,'2017-03-01 12:44:48','upload/result/result_46_1488347246.jpg','2017-03-01 12:47:24','2017-03-01 12:47:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (555,31,60,66797,0,'2017-03-01 13:41:52','upload/result/result_31_1488350668.jpg','2017-03-01 13:44:25','2017-03-01 13:44:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (556,31,60,88875,0,'2017-03-01 13:44:29','upload/result/result_31_1488350825.jpg','2017-03-01 13:47:03','2017-03-01 13:47:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (557,39,60,59795,0,'2017-03-01 14:38:18','upload/result/result_39_1488354054.jpg','2017-03-01 14:40:51','2017-03-01 14:40:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (558,364,60,52520,0,'2017-03-01 14:41:10','upload/result/result_364_1488354227.jpg','2017-03-01 14:43:43','2017-03-01 14:43:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (559,364,60,49085,0,'2017-03-01 14:43:08','upload/result/result_364_1488354345.jpg','2017-03-01 14:45:41','2017-03-01 14:45:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (560,13,60,50892,0,'2017-03-01 15:07:47','upload/result/result_13_1488355824.jpg','2017-03-01 15:10:20','2017-03-01 15:10:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (561,31,60,49497,0,'2017-03-01 15:57:53','upload/result/result_31_1488358830.jpg','2017-03-01 16:00:27','2017-03-01 16:00:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (562,39,60,45745,0,'2017-03-01 16:08:51','upload/result/result_39_1488359486.jpg','2017-03-01 16:11:23','2017-03-01 16:11:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (563,39,60,48212,0,'2017-03-01 16:10:07','upload/result/result_39_1488359563.jpg','2017-03-01 16:12:40','2017-03-01 16:12:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (564,39,60,47381,0,'2017-03-01 16:13:48','upload/result/result_39_1488359783.jpg','2017-03-01 16:16:21','2017-03-01 16:16:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (565,46,60,84625,0,'2017-03-01 16:43:35','upload/result/result_46_1488361574.jpg','2017-03-01 16:46:11','2017-03-01 16:46:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (566,46,60,48693,0,'2017-03-01 16:57:31','upload/result/result_46_1488362412.jpg','2017-03-01 17:00:09','2017-03-01 17:00:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (567,45,60,67262,0,'2017-03-01 16:57:46',NULL,'2017-03-01 17:00:20','2017-03-01 17:00:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (568,46,60,63680,0,'2017-03-01 16:59:53','upload/result/result_46_1488362553.jpg','2017-03-01 17:02:30','2017-03-01 17:02:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (569,46,60,53571,0,'2017-03-01 17:10:03','upload/result/result_46_1488363162.jpg','2017-03-01 17:12:39','2017-03-01 17:12:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (570,46,60,51584,0,'2017-03-01 17:11:59','upload/result/result_46_1488363278.jpg','2017-03-01 17:14:35','2017-03-01 17:14:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (571,46,60,50795,0,'2017-03-01 17:23:48','upload/result/result_46_1488363988.jpg','2017-03-01 17:26:25','2017-03-01 17:26:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (572,46,60,62640,0,'2017-03-01 17:25:05','upload/result/result_46_1488364065.jpg','2017-03-01 17:27:42','2017-03-01 17:27:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (573,378,60,56211,0,'2017-03-01 17:28:42','upload/result/result_378_1488364279.jpg','2017-03-01 17:31:16','2017-03-01 17:31:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (574,379,60,41961,0,'2017-03-01 18:11:18','upload/result/result_379_1488366833.jpg','2017-03-01 18:13:49','2017-03-01 18:13:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (575,379,60,47745,0,'2017-03-01 18:26:03','upload/result/result_379_1488367718.jpg','2017-03-01 18:28:35','2017-03-01 18:28:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (576,379,60,51381,0,'2017-03-01 18:28:25','upload/result/result_379_1488367860.jpg','2017-03-01 18:30:57','2017-03-01 18:31:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (577,379,60,47235,0,'2017-03-01 18:31:07','upload/result/result_379_1488368022.jpg','2017-03-01 18:33:38','2017-03-01 18:33:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (578,386,60,42668,0,'2017-03-01 21:38:52','upload/result/result_386_1488379291.jpg','2017-03-01 21:41:28','2017-03-01 21:41:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (579,386,60,46290,0,'2017-03-01 21:42:52','upload/result/result_386_1488379533.jpg','2017-03-01 21:45:28','2017-03-01 21:45:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (580,364,60,59338,0,'2017-03-01 23:45:24','upload/result/result_364_1488386882.jpg','2017-03-01 23:47:58','2017-03-01 23:48:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (581,31,60,56476,0,'2017-03-02 08:23:46','upload/result/result_31_1488417987.jpg','2017-03-02 08:26:24','2017-03-02 08:26:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (582,31,60,65738,0,'2017-03-02 08:26:12','upload/result/result_31_1488418138.jpg','2017-03-02 08:28:45','2017-03-02 08:28:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (583,31,60,60479,0,'2017-03-02 08:28:39','upload/result/result_31_1488418274.jpg','2017-03-02 08:31:11','2017-03-02 08:31:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (584,39,60,53083,0,'2017-03-02 08:31:40','upload/result/result_39_1488418465.jpg','2017-03-02 08:34:13','2017-03-02 08:34:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (585,31,60,52996,0,'2017-03-02 08:33:54','upload/result/result_31_1488418590.jpg','2017-03-02 08:36:27','2017-03-02 08:36:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (586,58,60,49600,0,'2017-03-02 08:35:06','upload/result/result_58_1488418662.jpg','2017-03-02 08:37:39','2017-03-02 08:37:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (587,43,60,52458,0,'2017-03-02 08:36:05','upload/result/result_43_1488418725.jpg','2017-03-02 08:38:37','2017-03-02 08:38:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (588,39,60,48732,0,'2017-03-02 08:37:16','upload/result/result_39_1488418811.jpg','2017-03-02 08:39:49','2017-03-02 08:40:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (589,39,60,47351,0,'2017-03-02 08:38:32','upload/result/result_39_1488418868.jpg','2017-03-02 08:41:05','2017-03-02 08:41:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (590,58,60,49389,0,'2017-03-02 08:38:36','upload/result/result_58_1488418872.jpg','2017-03-02 08:41:09','2017-03-02 08:41:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (591,364,60,66516,0,'2017-03-02 11:01:20','upload/result/result_364_1488427441.jpg','2017-03-02 11:03:56','2017-03-02 11:04:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (592,232,60,44840,0,'2017-03-02 11:11:55','upload/result/result_232_1488427859.jpg','2017-03-02 11:10:56','2017-03-02 11:10:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (593,398,60,44952,0,'2017-03-02 11:25:25','upload/result/result_398_1488428886.jpg','2017-03-02 11:28:01','2017-03-02 11:28:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (594,398,60,47683,0,'2017-03-02 11:28:12','upload/result/result_398_1488429054.jpg','2017-03-02 11:30:48','2017-03-02 11:30:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (595,53,60,44671,0,'2017-03-02 11:39:53','upload/result/result_53_1488429751.jpg','2017-03-02 11:42:28','2017-03-02 11:42:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (596,364,60,53955,0,'2017-03-02 11:52:49','upload/result/result_364_1488430537.jpg','2017-03-02 11:55:24','2017-03-02 11:55:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (597,397,60,45055,0,'2017-03-02 12:03:54','upload/result/result_397_1488431186.jpg','2017-03-02 12:06:23','2017-03-02 12:06:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (598,399,60,45697,0,'2017-03-02 12:06:48','upload/result/result_399_1488431363.jpg','2017-03-02 12:09:20','2017-03-02 12:09:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (599,399,60,46372,0,'2017-03-02 12:11:00','upload/result/result_399_1488431615.jpg','2017-03-02 12:13:32','2017-03-02 12:13:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (600,399,60,56185,0,'2017-03-02 12:19:27','upload/result/result_399_1488432122.jpg','2017-03-02 12:21:59','2017-03-02 12:22:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (601,399,60,48671,0,'2017-03-02 12:21:56','upload/result/result_399_1488432272.jpg','2017-03-02 12:24:29','2017-03-02 12:24:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (602,399,60,50350,0,'2017-03-02 12:24:09','upload/result/result_399_1488432404.jpg','2017-03-02 12:26:41','2017-03-02 12:26:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (603,399,60,51075,0,'2017-03-02 12:25:34','upload/result/result_399_1488432490.jpg','2017-03-02 12:28:07','2017-03-02 12:28:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (604,399,60,52419,0,'2017-03-02 12:27:57','upload/result/result_399_1488432632.jpg','2017-03-02 12:30:29','2017-03-02 12:30:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (605,399,60,51382,0,'2017-03-02 12:29:59','upload/result/result_399_1488432754.jpg','2017-03-02 12:32:31','2017-03-02 12:32:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (606,399,60,58352,0,'2017-03-02 12:31:32','upload/result/result_399_1488432848.jpg','2017-03-02 12:34:05','2017-03-02 12:34:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (607,399,60,50127,0,'2017-03-02 12:46:10','upload/result/result_399_1488433725.jpg','2017-03-02 12:48:42','2017-03-02 12:48:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (608,399,60,57854,0,'2017-03-02 12:58:02','upload/result/result_399_1488434438.jpg','2017-03-02 13:00:34','2017-03-02 13:00:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (609,45,60,53857,0,'2017-03-02 13:52:09','upload/result/result_45_1488437686.jpg','2017-03-02 13:54:42','2017-03-02 13:54:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (610,31,60,74667,0,'2017-03-02 13:53:18','upload/result/result_31_1488437754.jpg','2017-03-02 13:55:51','2017-03-02 13:55:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (611,46,60,87135,0,'2017-03-02 13:57:19','upload/result/result_46_1488438000.jpg','2017-03-02 13:59:57','2017-03-02 14:00:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (612,46,60,47838,0,'2017-03-02 14:07:36','upload/result/result_46_1488438617.jpg','2017-03-02 14:10:14','2017-03-02 14:10:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (613,46,60,57236,0,'2017-03-02 14:11:52','upload/result/result_46_1488438873.jpg','2017-03-02 14:14:30','2017-03-02 14:14:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (614,379,60,45625,0,'2017-03-02 14:20:06','upload/result/result_379_1488439161.jpg','2017-03-02 14:19:17','2017-03-02 14:19:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (615,46,60,67339,0,'2017-03-02 14:32:53','upload/result/result_46_1488440133.jpg','2017-03-02 14:35:30','2017-03-02 14:35:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (616,46,60,52319,0,'2017-03-02 14:40:45','upload/result/result_46_1488440606.jpg','2017-03-02 14:43:23','2017-03-02 14:43:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (617,407,60,53372,0,'2017-03-02 14:57:16','upload/result/result_407_1488441595.jpg','2017-03-02 14:59:48','2017-03-02 14:59:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (618,46,60,63786,0,'2017-03-02 15:12:53','upload/result/result_46_1488442533.jpg','2017-03-02 15:15:30','2017-03-02 15:15:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (619,46,60,48439,0,'2017-03-02 15:20:25','upload/result/result_46_1488442986.jpg','2017-03-02 15:23:03','2017-03-02 15:23:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (620,31,60,50165,0,'2017-03-02 15:21:35','upload/result/result_31_1488443051.jpg','2017-03-02 15:24:08','2017-03-02 15:24:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (621,31,60,47710,0,'2017-03-02 15:25:03','upload/result/result_31_1488443259.jpg','2017-03-02 15:27:36','2017-03-02 15:27:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (622,407,60,43195,0,'2017-03-02 15:25:14','upload/result/result_407_1488443269.jpg','2017-03-02 15:27:45','2017-03-02 15:27:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (623,46,60,50049,0,'2017-03-02 15:26:42','upload/result/result_46_1488443363.jpg','2017-03-02 15:29:21','2017-03-02 15:29:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (624,407,60,45079,0,'2017-03-02 15:33:13','upload/result/result_407_1488443748.jpg','2017-03-02 15:35:44','2017-03-02 15:35:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (625,407,60,48014,0,'2017-03-02 15:34:50','upload/result/result_407_1488443845.jpg','2017-03-02 15:37:21','2017-03-02 15:37:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (626,46,60,53751,0,'2017-03-02 15:39:33','upload/result/result_46_1488444135.jpg','2017-03-02 15:42:11','2017-03-02 15:42:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (627,46,60,47549,0,'2017-03-02 15:40:49','upload/result/result_46_1488444209.jpg','2017-03-02 15:43:27','2017-03-02 15:43:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (628,46,60,71602,0,'2017-03-02 15:44:26','upload/result/result_46_1488444430.jpg','2017-03-02 15:47:05','2017-03-02 15:47:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (629,46,60,59232,0,'2017-03-02 15:59:32','upload/result/result_46_1488445333.jpg','2017-03-02 16:02:10','2017-03-02 16:02:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (630,19,60,46610,0,'2017-03-02 16:05:06','upload/result/result_19_1488445656.jpg','2017-03-02 16:07:32','2017-03-02 16:07:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (631,45,60,46851,0,'2017-03-02 16:06:52','upload/result/result_45_1488445768.jpg','2017-03-02 16:09:24','2017-03-02 16:09:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (632,46,60,52172,0,'2017-03-02 16:07:08','upload/result/result_46_1488445790.jpg','2017-03-02 16:09:46','2017-03-02 16:09:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (633,19,60,45532,0,'2017-03-02 16:07:37','upload/result/result_19_1488445811.jpg','2017-03-02 16:10:07','2017-03-02 16:10:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (634,46,60,55858,0,'2017-03-02 16:09:17','upload/result/result_46_1488445918.jpg','2017-03-02 16:11:55','2017-03-02 16:11:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (635,19,60,51521,0,'2017-03-02 16:09:57','upload/result/result_19_1488445947.jpg','2017-03-02 16:12:23','2017-03-02 16:12:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (636,45,60,56452,0,'2017-03-02 16:10:04','upload/result/result_45_1488445960.jpg','2017-03-02 16:12:37','2017-03-02 16:12:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (637,43,60,48632,0,'2017-03-02 16:11:04','upload/result/result_43_1488446019.jpg','2017-03-02 16:13:36','2017-03-02 16:13:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (638,51,60,43553,0,'2017-03-02 16:16:13','upload/result/result_51_1488446118.jpg','2017-03-02 16:15:15','2017-03-02 16:15:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (639,45,60,53772,0,'2017-03-02 16:12:44','upload/result/result_45_1488446120.jpg','2017-03-02 16:15:17','2017-03-02 16:15:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (640,398,60,51094,0,'2017-03-02 16:12:52','upload/result/result_398_1488446132.jpg','2017-03-02 16:15:29','2017-03-02 16:15:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (641,46,60,48458,0,'2017-03-02 16:15:32','upload/result/result_46_1488446293.jpg','2017-03-02 16:18:10','2017-03-02 16:18:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (642,45,60,58360,0,'2017-03-02 16:16:31','upload/result/result_45_1488446352.jpg','2017-03-02 16:19:08','2017-03-02 16:19:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (643,46,60,51082,0,'2017-03-02 16:16:48','upload/result/result_46_1488446369.jpg','2017-03-02 16:19:26','2017-03-02 16:19:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (644,45,60,54132,0,'2017-03-02 16:17:52','upload/result/result_45_1488446428.jpg','2017-03-02 16:20:25','2017-03-02 16:20:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (645,46,60,59641,0,'2017-03-02 16:19:19','upload/result/result_46_1488446520.jpg','2017-03-02 16:21:57','2017-03-02 16:22:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (646,45,60,65681,0,'2017-03-02 16:19:49','upload/result/result_45_1488446545.jpg','2017-03-02 16:22:22','2017-03-02 16:22:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (647,46,60,58572,0,'2017-03-02 16:25:21','upload/result/result_46_1488446882.jpg','2017-03-02 16:27:59','2017-03-02 16:28:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (648,45,60,57523,0,'2017-03-02 16:28:44','upload/result/result_45_1488447080.jpg','2017-03-02 16:31:16','2017-03-02 16:31:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (649,46,60,48355,0,'2017-03-02 16:29:54','upload/result/result_46_1488447162.jpg','2017-03-02 16:32:32','2017-03-02 16:32:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (650,45,60,55319,0,'2017-03-02 16:30:39','upload/result/result_45_1488447196.jpg','2017-03-02 16:33:12','2017-03-02 16:33:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (651,399,60,50498,0,'2017-03-02 16:31:42','upload/result/result_399_1488447261.jpg','2017-03-02 16:34:18','2017-03-02 16:34:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (652,45,60,56340,0,'2017-03-02 16:33:05','upload/result/result_45_1488447342.jpg','2017-03-02 16:35:38','2017-03-02 16:35:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (653,46,60,58151,0,'2017-03-02 16:33:21','upload/result/result_46_1488447362.jpg','2017-03-02 16:35:59','2017-03-02 16:36:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (654,46,60,49821,0,'2017-03-02 16:34:38','upload/result/result_46_1488447439.jpg','2017-03-02 16:37:16','2017-03-02 16:37:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (655,31,60,72558,0,'2017-03-02 16:36:11','upload/result/result_31_1488447528.jpg','2017-03-02 16:38:45','2017-03-02 16:38:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (656,399,60,54121,0,'2017-03-02 16:41:00','upload/result/result_399_1488447823.jpg','2017-03-02 16:43:37','2017-03-02 16:43:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (657,45,60,52340,0,'2017-03-02 16:41:44','upload/result/result_45_1488447861.jpg','2017-03-02 16:44:17','2017-03-02 16:44:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (658,46,60,62988,0,'2017-03-02 16:43:43','upload/result/result_46_1488447988.jpg','2017-03-02 16:46:21','2017-03-02 16:46:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (659,46,60,53436,0,'2017-03-02 16:45:08','upload/result/result_46_1488448070.jpg','2017-03-02 16:47:47','2017-03-02 16:47:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (660,46,60,56524,0,'2017-03-02 16:47:59','upload/result/result_46_1488448242.jpg','2017-03-02 16:50:37','2017-03-02 16:50:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (661,45,60,52883,0,'2017-03-02 16:48:16','upload/result/result_45_1488448252.jpg','2017-03-02 16:50:48','2017-03-02 16:50:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (662,46,60,77325,0,'2017-03-02 16:49:15','upload/result/result_46_1488448317.jpg','2017-03-02 16:51:53','2017-03-02 16:51:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (663,43,60,49198,0,'2017-03-02 16:51:56','upload/result/result_43_1488448481.jpg','2017-03-02 16:54:28','2017-03-02 16:54:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (664,31,60,84644,0,'2017-03-02 16:55:43','upload/result/result_31_1488448703.jpg','2017-03-02 16:58:16','2017-03-02 16:58:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (665,45,60,51655,0,'2017-03-02 16:58:48','upload/result/result_45_1488448884.jpg','2017-03-02 17:01:21','2017-03-02 17:01:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (666,215,60,31393,0,'2017-03-02 16:58:39','upload/result/result_215_1488448886.jpg','2017-03-02 17:01:23','2017-03-02 17:01:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (667,31,60,54165,0,'2017-03-02 16:59:28','upload/result/result_31_1488448924.jpg','2017-03-02 17:02:01','2017-03-02 17:02:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (668,46,60,56168,0,'2017-03-02 17:00:55','upload/result/result_46_1488449016.jpg','2017-03-02 17:03:34','2017-03-02 17:03:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (669,45,60,51369,0,'2017-03-02 17:04:22','upload/result/result_45_1488449218.jpg','2017-03-02 17:06:55','2017-03-02 17:06:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (670,46,60,51360,0,'2017-03-02 17:06:43','upload/result/result_46_1488449364.jpg','2017-03-02 17:09:21','2017-03-02 17:09:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (671,45,60,48884,0,'2017-03-02 17:06:56','upload/result/result_45_1488449372.jpg','2017-03-02 17:09:29','2017-03-02 17:09:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (672,31,60,57075,0,'2017-03-02 17:09:30','upload/result/result_31_1488449526.jpg','2017-03-02 17:12:03','2017-03-02 17:12:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (673,46,60,84565,0,'2017-03-02 17:09:41','upload/result/result_46_1488449542.jpg','2017-03-02 17:12:19','2017-03-02 17:12:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (674,39,60,48583,0,'2017-03-02 17:11:12','upload/result/result_39_1488449628.jpg','2017-03-02 17:13:45','2017-03-02 17:13:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (675,45,60,49417,0,'2017-03-02 17:12:15','upload/result/result_45_1488449692.jpg','2017-03-02 17:14:48','2017-03-02 17:14:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (676,31,60,60277,0,'2017-03-02 17:13:01','upload/result/result_31_1488449737.jpg','2017-03-02 17:15:35','2017-03-02 17:15:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (677,45,60,51329,0,'2017-03-02 17:15:56','upload/result/result_45_1488449913.jpg','2017-03-02 17:18:29','2017-03-02 17:18:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (678,31,60,54157,0,'2017-03-02 17:17:41','upload/result/result_31_1488450017.jpg','2017-03-02 17:20:14','2017-03-02 17:20:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (679,46,60,70229,0,'2017-03-02 17:17:53','upload/result/result_46_1488450035.jpg','2017-03-02 17:20:31','2017-03-02 17:20:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (680,31,60,87877,0,'2017-03-02 17:20:45','upload/result/result_31_1488450201.jpg','2017-03-02 17:23:18','2017-03-02 17:23:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (681,46,60,60650,0,'2017-03-02 17:23:19','upload/result/result_46_1488450360.jpg','2017-03-02 17:25:57','2017-03-02 17:26:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (682,58,60,48550,0,'2017-03-02 17:24:18','upload/result/result_58_1488450414.jpg','2017-03-02 17:26:51','2017-03-02 17:26:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (683,58,60,54737,0,'2017-03-02 17:25:33','upload/result/result_58_1488450490.jpg','2017-03-02 17:28:07','2017-03-02 17:28:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (684,39,60,51541,0,'2017-03-02 17:28:23','upload/result/result_39_1488450660.jpg','2017-03-02 17:30:56','2017-03-02 17:31:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (685,39,60,52198,0,'2017-03-02 17:30:44','upload/result/result_39_1488450800.jpg','2017-03-02 17:33:17','2017-03-02 17:33:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (686,9,60,48723,0,'2017-03-02 17:32:41','upload/result/result_9_1488450917.jpg','2017-03-02 17:35:15','2017-03-02 17:35:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (687,39,60,48640,0,'2017-03-02 17:32:55','upload/result/result_39_1488450931.jpg','2017-03-02 17:35:28','2017-03-02 17:35:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (688,9,60,48469,0,'2017-03-02 17:34:01','upload/result/result_9_1488450997.jpg','2017-03-02 17:36:34','2017-03-02 17:36:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (689,399,60,50736,0,'2017-03-02 18:25:14','upload/result/result_399_1488454070.jpg','2017-03-02 18:27:47','2017-03-02 18:27:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (690,399,60,63362,0,'2017-03-02 18:27:37','upload/result/result_399_1488454214.jpg','2017-03-02 18:30:10','2017-03-02 18:30:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (691,399,60,52729,0,'2017-03-02 18:31:31','upload/result/result_399_1488454447.jpg','2017-03-02 18:34:04','2017-03-02 18:34:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (692,215,60,38531,0,'2017-03-02 18:32:56','upload/result/result_215_1488454539.jpg','2017-03-02 18:35:36','2017-03-02 18:35:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (693,399,60,54959,0,'2017-03-02 18:35:19','upload/result/result_399_1488454675.jpg','2017-03-02 18:37:52','2017-03-02 18:37:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (694,399,60,50975,0,'2017-03-02 18:36:43','upload/result/result_399_1488454763.jpg','2017-03-02 18:39:20','2017-03-02 18:39:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (695,399,60,51771,0,'2017-03-02 18:41:20','upload/result/result_399_1488455037.jpg','2017-03-02 18:43:53','2017-03-02 18:43:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (696,215,60,35580,0,'2017-03-02 18:42:43','upload/result/result_215_1488455126.jpg','2017-03-02 18:45:23','2017-03-02 18:45:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (697,399,60,51476,0,'2017-03-02 18:48:27','upload/result/result_399_1488455463.jpg','2017-03-02 18:51:00','2017-03-02 18:51:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (698,399,60,48409,0,'2017-03-02 18:53:27','upload/result/result_399_1488455764.jpg','2017-03-02 18:56:01','2017-03-02 18:56:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (699,399,60,50512,0,'2017-03-02 18:57:25','upload/result/result_399_1488456001.jpg','2017-03-02 18:59:58','2017-03-02 19:00:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (700,399,60,52352,0,'2017-03-02 19:00:12','upload/result/result_399_1488456168.jpg','2017-03-02 19:02:45','2017-03-02 19:02:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (701,420,60,51279,0,'2017-03-02 19:15:42','upload/result/result_420_1488457100.jpg','2017-03-02 19:18:15','2017-03-02 19:18:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (702,420,60,49915,0,'2017-03-02 19:18:20','upload/result/result_420_1488457257.jpg','2017-03-02 19:20:54','2017-03-02 19:20:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (703,420,60,49651,0,'2017-03-02 19:21:02','upload/result/result_420_1488457418.jpg','2017-03-02 19:23:35','2017-03-02 19:23:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (704,420,60,67735,0,'2017-03-02 19:22:58','upload/result/result_420_1488457534.jpg','2017-03-02 19:25:31','2017-03-02 19:25:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (705,420,60,51285,0,'2017-03-02 19:26:32','upload/result/result_420_1488457749.jpg','2017-03-02 19:29:05','2017-03-02 19:29:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (706,420,60,53406,0,'2017-03-02 19:28:21','upload/result/result_420_1488457858.jpg','2017-03-02 19:30:54','2017-03-02 19:30:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (707,420,60,50422,0,'2017-03-02 19:30:37','upload/result/result_420_1488457993.jpg','2017-03-02 19:33:10','2017-03-02 19:33:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (708,420,60,59626,0,'2017-03-02 19:33:49','upload/result/result_420_1488458186.jpg','2017-03-02 19:36:23','2017-03-02 19:36:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (709,399,60,53334,0,'2017-03-02 19:39:11','upload/result/result_399_1488458511.jpg','2017-03-02 19:41:44','2017-03-02 19:41:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (710,31,60,50009,0,'2017-03-02 19:49:01','upload/result/result_31_1488459097.jpg','2017-03-02 19:51:34','2017-03-02 19:51:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (711,31,60,88923,0,'2017-03-02 19:53:19','upload/result/result_31_1488459356.jpg','2017-03-02 19:55:53','2017-03-02 19:55:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (712,31,60,49171,0,'2017-03-02 19:55:27','upload/result/result_31_1488459484.jpg','2017-03-02 19:58:00','2017-03-02 19:58:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (713,31,60,53216,0,'2017-03-02 19:57:53','upload/result/result_31_1488459630.jpg','2017-03-02 20:00:27','2017-03-02 20:00:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (714,31,60,50416,0,'2017-03-02 19:59:08','upload/result/result_31_1488459706.jpg','2017-03-02 20:01:43','2017-03-02 20:01:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (715,31,60,48108,0,'2017-03-02 20:00:23','upload/result/result_31_1488459780.jpg','2017-03-02 20:02:57','2017-03-02 20:03:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (716,31,60,53409,0,'2017-03-02 20:02:55','upload/result/result_31_1488459932.jpg','2017-03-02 20:05:29','2017-03-02 20:05:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (717,31,60,51600,0,'2017-03-02 20:04:10','upload/result/result_31_1488460007.jpg','2017-03-02 20:06:44','2017-03-02 20:06:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (718,31,60,101533,0,'2017-03-02 20:12:05','upload/result/result_31_1488460482.jpg','2017-03-02 20:14:39','2017-03-02 20:14:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (719,420,60,53839,0,'2017-03-02 20:16:16','upload/result/result_420_1488460732.jpg','2017-03-02 20:18:49','2017-03-02 20:18:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (720,423,60,65425,0,'2017-03-02 20:31:51','upload/result/result_423_1488461671.jpg','2017-03-02 20:34:27','2017-03-02 20:34:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (721,398,60,66059,0,'2017-03-02 20:33:50','upload/result/result_398_1488461791.jpg','2017-03-02 20:36:27','2017-03-02 20:36:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (722,423,60,75278,0,'2017-03-02 20:34:51','upload/result/result_423_1488461850.jpg','2017-03-02 20:37:26','2017-03-02 20:37:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (723,423,60,58077,0,'2017-03-02 20:39:30','upload/result/result_423_1488462129.jpg','2017-03-02 20:42:06','2017-03-02 20:42:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (724,398,60,48705,0,'2017-03-02 20:41:05','upload/result/result_398_1488462225.jpg','2017-03-02 20:43:42','2017-03-02 20:43:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (725,398,60,55379,0,'2017-03-02 20:42:59','upload/result/result_398_1488462340.jpg','2017-03-02 20:45:35','2017-03-02 20:45:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (726,398,60,47328,0,'2017-03-02 20:44:15','upload/result/result_398_1488462422.jpg','2017-03-02 20:46:52','2017-03-02 20:47:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (727,398,60,50650,0,'2017-03-02 20:47:06','upload/result/result_398_1488462586.jpg','2017-03-02 20:49:42','2017-03-02 20:49:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (728,423,60,52199,0,'2017-03-02 20:51:17','upload/result/result_423_1488462836.jpg','2017-03-02 20:53:53','2017-03-02 20:53:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (729,423,60,52728,0,'2017-03-02 20:53:44','upload/result/result_423_1488462990.jpg','2017-03-02 20:56:20','2017-03-02 20:56:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (730,423,60,45975,0,'2017-03-02 21:02:22','upload/result/result_423_1488463516.jpg','2017-03-02 21:04:57','2017-03-02 21:05:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (731,46,60,51061,0,'2017-03-02 21:19:41','upload/result/result_46_1488464544.jpg','2017-03-02 21:22:20','2017-03-02 21:22:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (732,46,60,53005,0,'2017-03-02 21:20:58','upload/result/result_46_1488464621.jpg','2017-03-02 21:23:37','2017-03-02 21:23:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (733,46,60,74352,0,'2017-03-02 21:28:36','upload/result/result_46_1488465079.jpg','2017-03-02 21:31:15','2017-03-02 21:31:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (734,46,60,59741,0,'2017-03-02 21:29:54','upload/result/result_46_1488465157.jpg','2017-03-02 21:32:33','2017-03-02 21:32:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (735,46,60,54023,0,'2017-03-02 21:32:06','upload/result/result_46_1488465289.jpg','2017-03-02 21:34:45','2017-03-02 21:34:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (736,46,60,90912,0,'2017-03-02 21:36:01','upload/result/result_46_1488465523.jpg','2017-03-02 21:38:40','2017-03-02 21:38:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (737,46,60,47892,0,'2017-03-02 21:37:26','upload/result/result_46_1488465608.jpg','2017-03-02 21:40:05','2017-03-02 21:40:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (738,46,60,58478,0,'2017-03-02 21:42:47','upload/result/result_46_1488465930.jpg','2017-03-02 21:45:26','2017-03-02 21:45:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (739,46,60,52292,0,'2017-03-02 21:44:04','upload/result/result_46_1488466007.jpg','2017-03-02 21:46:43','2017-03-02 21:46:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (740,46,60,76642,0,'2017-03-02 21:46:35','upload/result/result_46_1488466158.jpg','2017-03-02 21:49:14','2017-03-02 21:49:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (741,46,60,48183,0,'2017-03-02 21:49:48','upload/result/result_46_1488466349.jpg','2017-03-02 21:52:26','2017-03-02 21:52:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (742,46,60,95957,0,'2017-03-02 21:55:34','upload/result/result_46_1488466696.jpg','2017-03-02 21:58:13','2017-03-02 21:58:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (743,46,60,50168,0,'2017-03-02 22:01:58','upload/result/result_46_1488467080.jpg','2017-03-02 22:04:37','2017-03-02 22:04:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (744,46,60,52372,0,'2017-03-02 22:03:15','upload/result/result_46_1488467157.jpg','2017-03-02 22:05:54','2017-03-02 22:05:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (745,46,60,56024,0,'2017-03-02 22:09:00','upload/result/result_46_1488467502.jpg','2017-03-02 22:11:39','2017-03-02 22:11:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (746,46,60,91754,0,'2017-03-02 22:13:04','upload/result/result_46_1488467748.jpg','2017-03-02 22:15:42','2017-03-02 22:15:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (747,46,60,53223,0,'2017-03-02 22:15:27','upload/result/result_46_1488467891.jpg','2017-03-02 22:18:06','2017-03-02 22:18:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (748,46,60,60391,0,'2017-03-02 22:17:41','upload/result/result_46_1488468025.jpg','2017-03-02 22:20:20','2017-03-02 22:20:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (749,46,60,58574,0,'2017-03-02 22:19:26','upload/result/result_46_1488468128.jpg','2017-03-02 22:22:05','2017-03-02 22:22:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (750,46,60,52414,0,'2017-03-02 22:22:35','upload/result/result_46_1488468317.jpg','2017-03-02 22:25:14','2017-03-02 22:25:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (751,46,60,46857,0,'2017-03-02 22:35:08','upload/result/result_46_1488469070.jpg','2017-03-02 22:37:47','2017-03-02 22:37:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (752,46,60,51345,0,'2017-03-02 22:41:01','upload/result/result_46_1488469423.jpg','2017-03-02 22:43:40','2017-03-02 22:43:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (753,46,60,50168,0,'2017-03-02 22:42:20','upload/result/result_46_1488469503.jpg','2017-03-02 22:45:00','2017-03-02 22:45:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (754,46,60,52621,0,'2017-03-02 22:44:28','upload/result/result_46_1488469635.jpg','2017-03-02 22:47:08','2017-03-02 22:47:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (755,46,60,48592,0,'2017-03-02 22:46:51','upload/result/result_46_1488469774.jpg','2017-03-02 22:49:30','2017-03-02 22:49:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (756,46,60,58460,0,'2017-03-02 22:50:13','upload/result/result_46_1488469975.jpg','2017-03-02 22:52:52','2017-03-02 22:52:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (757,46,60,52178,0,'2017-03-02 22:51:36','upload/result/result_46_1488470060.jpg','2017-03-02 22:54:15','2017-03-02 22:54:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (758,46,60,48814,0,'2017-03-02 22:54:07','upload/result/result_46_1488470210.jpg','2017-03-02 22:56:46','2017-03-02 22:56:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (759,46,60,60299,0,'2017-03-02 22:56:59','upload/result/result_46_1488470381.jpg','2017-03-02 22:59:38','2017-03-02 22:59:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (760,46,60,49021,0,'2017-03-02 22:58:17','upload/result/result_46_1488470461.jpg','2017-03-02 23:00:56','2017-03-02 23:01:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (761,46,60,57703,0,'2017-03-02 23:00:02','upload/result/result_46_1488470595.jpg','2017-03-02 23:02:41','2017-03-02 23:03:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (762,399,60,59687,0,'2017-03-02 23:00:29','upload/result/result_399_1488470585.jpg','2017-03-02 23:03:02','2017-03-02 23:03:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (763,46,60,55076,0,'2017-03-02 23:01:23','upload/result/result_46_1488470647.jpg','2017-03-02 23:04:03','2017-03-02 23:04:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (764,399,60,49065,0,'2017-03-02 23:02:55','upload/result/result_399_1488470731.jpg','2017-03-02 23:05:28','2017-03-02 23:05:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (765,399,60,56132,0,'2017-03-02 23:04:12','upload/result/result_399_1488470809.jpg','2017-03-02 23:06:45','2017-03-02 23:06:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (766,46,60,79333,0,'2017-03-02 23:04:23','upload/result/result_46_1488470825.jpg','2017-03-02 23:07:02','2017-03-02 23:07:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (767,399,60,52082,0,'2017-03-02 23:05:37','upload/result/result_399_1488470893.jpg','2017-03-02 23:08:10','2017-03-02 23:08:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (768,46,60,45962,0,'2017-03-02 23:06:39','upload/result/result_46_1488470963.jpg','2017-03-02 23:09:18','2017-03-02 23:09:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (769,399,60,53498,0,'2017-03-02 23:07:16','upload/result/result_399_1488470992.jpg','2017-03-02 23:09:49','2017-03-02 23:09:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (770,46,60,50330,0,'2017-03-02 23:08:31','upload/result/result_46_1488471073.jpg','2017-03-02 23:11:10','2017-03-02 23:11:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (771,399,60,92902,0,'2017-03-02 23:09:12','upload/result/result_399_1488471108.jpg','2017-03-02 23:11:45','2017-03-02 23:11:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (772,399,60,72425,0,'2017-03-02 23:13:05','upload/result/result_399_1488471344.jpg','2017-03-02 23:15:41','2017-03-02 23:15:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (773,46,60,47303,0,'2017-03-02 23:13:44','upload/result/result_46_1488471387.jpg','2017-03-02 23:16:24','2017-03-02 23:16:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (774,46,60,47825,0,'2017-03-02 23:17:45','upload/result/result_46_1488471628.jpg','2017-03-02 23:20:25','2017-03-02 23:20:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (775,46,60,51316,0,'2017-03-02 23:19:02','upload/result/result_46_1488471704.jpg','2017-03-02 23:21:41','2017-03-02 23:21:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (776,46,60,66448,0,'2017-03-02 23:23:31','upload/result/result_46_1488471973.jpg','2017-03-02 23:26:10','2017-03-02 23:26:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (777,46,60,88341,0,'2017-03-02 23:29:33','upload/result/result_46_1488472335.jpg','2017-03-02 23:32:12','2017-03-02 23:32:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (778,46,60,66303,0,'2017-03-02 23:31:55','upload/result/result_46_1488472478.jpg','2017-03-02 23:34:34','2017-03-02 23:34:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (779,46,60,51310,0,'2017-03-02 23:40:36','upload/result/result_46_1488472998.jpg','2017-03-02 23:43:15','2017-03-02 23:43:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (780,46,60,49878,0,'2017-03-02 23:41:52','upload/result/result_46_1488473074.jpg','2017-03-02 23:44:31','2017-03-02 23:44:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (781,420,60,53242,0,'2017-03-02 23:42:36','upload/result/result_420_1488473112.jpg','2017-03-02 23:45:09','2017-03-02 23:45:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (782,46,60,62098,0,'2017-03-02 23:43:41','upload/result/result_46_1488473183.jpg','2017-03-02 23:46:20','2017-03-02 23:46:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (783,420,60,53761,0,'2017-03-02 23:45:45','upload/result/result_420_1488473301.jpg','2017-03-02 23:48:18','2017-03-02 23:48:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (784,420,60,48973,0,'2017-03-02 23:47:01','upload/result/result_420_1488473377.jpg','2017-03-02 23:49:34','2017-03-02 23:49:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (785,420,60,51261,0,'2017-03-02 23:48:25','upload/result/result_420_1488473461.jpg','2017-03-02 23:50:58','2017-03-02 23:51:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (786,420,60,50146,0,'2017-03-02 23:51:47','upload/result/result_420_1488473663.jpg','2017-03-02 23:54:20','2017-03-02 23:54:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (787,420,60,47427,0,'2017-03-02 23:53:46','upload/result/result_420_1488473782.jpg','2017-03-02 23:56:19','2017-03-02 23:56:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (788,420,60,59477,0,'2017-03-03 00:01:11','upload/result/result_420_1488474245.jpg','2017-03-03 00:04:02','2017-03-03 00:04:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (789,420,60,50563,0,'2017-03-03 00:05:07','upload/result/result_420_1488474463.jpg','2017-03-03 00:07:40','2017-03-03 00:07:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (790,420,60,48735,0,'2017-03-03 00:06:22','upload/result/result_420_1488474539.jpg','2017-03-03 00:08:56','2017-03-03 00:08:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (791,420,60,51855,0,'2017-03-03 00:08:34','upload/result/result_420_1488474670.jpg','2017-03-03 00:11:07','2017-03-03 00:11:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (792,420,60,60682,0,'2017-03-03 00:10:41','upload/result/result_420_1488474797.jpg','2017-03-03 00:13:14','2017-03-03 00:13:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (793,420,60,51714,0,'2017-03-03 00:13:23','upload/result/result_420_1488474959.jpg','2017-03-03 00:15:56','2017-03-03 00:15:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (794,45,60,49806,0,'2017-03-03 08:26:13','upload/result/result_45_1488504535.jpg','2017-03-03 08:28:47','2017-03-03 08:28:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (795,46,60,61372,0,'2017-03-03 08:26:11','upload/result/result_46_1488504533.jpg','2017-03-03 08:28:50','2017-03-03 08:28:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (796,45,60,53619,0,'2017-03-03 08:27:29','upload/result/result_45_1488504611.jpg','2017-03-03 08:30:04','2017-03-03 08:30:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (797,46,60,51048,0,'2017-03-03 08:27:36','upload/result/result_46_1488504618.jpg','2017-03-03 08:30:15','2017-03-03 08:30:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (798,45,60,69932,0,'2017-03-03 08:30:45','upload/result/result_45_1488504810.jpg','2017-03-03 08:33:19','2017-03-03 08:33:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (799,46,60,47668,0,'2017-03-03 08:32:11','upload/result/result_46_1488504892.jpg','2017-03-03 08:34:49','2017-03-03 08:34:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (800,45,60,64557,0,'2017-03-03 08:34:02','upload/result/result_45_1488505016.jpg','2017-03-03 08:36:36','2017-03-03 08:36:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (801,46,60,48348,0,'2017-03-03 08:34:49','upload/result/result_46_1488505050.jpg','2017-03-03 08:37:27','2017-03-03 08:37:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (802,45,60,47660,0,'2017-03-03 08:35:18',NULL,'2017-03-03 08:37:52','2017-03-03 08:37:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (803,46,60,78591,0,'2017-03-03 08:37:47','upload/result/result_46_1488505228.jpg','2017-03-03 08:40:26','2017-03-03 08:40:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (804,46,60,51373,0,'2017-03-03 08:41:47','upload/result/result_46_1488505468.jpg','2017-03-03 08:44:26','2017-03-03 08:44:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (805,46,60,51428,0,'2017-03-03 08:45:30','upload/result/result_46_1488505691.jpg','2017-03-03 08:48:09','2017-03-03 08:48:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (806,46,60,48928,0,'2017-03-03 08:46:46','upload/result/result_46_1488505767.jpg','2017-03-03 08:49:24','2017-03-03 08:49:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (807,46,60,51664,0,'2017-03-03 08:48:03','upload/result/result_46_1488505844.jpg','2017-03-03 08:50:42','2017-03-03 08:50:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (808,46,60,64414,0,'2017-03-03 08:50:17','upload/result/result_46_1488505978.jpg','2017-03-03 08:52:55','2017-03-03 08:52:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (809,434,60,46627,0,'2017-03-03 09:06:10','upload/result/result_434_1488506713.jpg','2017-03-03 09:05:11','2017-03-03 09:05:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (810,45,60,52876,0,'2017-03-03 09:34:11','upload/result/result_45_1488508608.jpg','2017-03-03 09:36:44','2017-03-03 09:36:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (811,46,60,49320,0,'2017-03-03 09:39:58','upload/result/result_46_1488508960.jpg','2017-03-03 09:42:37','2017-03-03 09:42:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (812,46,60,60691,0,'2017-03-03 09:42:02','upload/result/result_46_1488509084.jpg','2017-03-03 09:44:41','2017-03-03 09:44:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (813,398,60,51003,0,'2017-03-03 09:44:57','upload/result/result_398_1488509259.jpg','2017-03-03 09:47:33','2017-03-03 09:47:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (814,46,60,75692,0,'2017-03-03 10:23:26','upload/result/result_46_1488511568.jpg','2017-03-03 10:26:05','2017-03-03 10:26:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (815,46,60,80615,0,'2017-03-03 10:25:00','upload/result/result_46_1488511662.jpg','2017-03-03 10:27:39','2017-03-03 10:27:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (816,46,60,48813,0,'2017-03-03 10:26:41','upload/result/result_46_1488511763.jpg','2017-03-03 10:29:19','2017-03-03 10:29:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (817,39,60,52235,0,'2017-03-03 10:32:19','upload/result/result_39_1488512095.jpg','2017-03-03 10:34:53','2017-03-03 10:34:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (818,39,60,50357,0,'2017-03-03 10:34:24','upload/result/result_39_1488512220.jpg','2017-03-03 10:36:58','2017-03-03 10:37:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (819,46,60,52905,0,'2017-03-03 10:39:14','upload/result/result_46_1488512516.jpg','2017-03-03 10:41:53','2017-03-03 10:41:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (820,437,60,52194,0,'2017-03-03 10:42:58','upload/result/result_437_1488512565.jpg','2017-03-03 10:42:42','2017-03-03 10:42:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (821,39,60,53374,0,'2017-03-03 10:46:50','upload/result/result_39_1488512968.jpg','2017-03-03 10:49:24','2017-03-03 10:49:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (822,437,60,47762,0,'2017-03-03 10:53:31','upload/result/result_437_1488513198.jpg','2017-03-03 10:53:15','2017-03-03 10:53:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (823,43,60,49291,0,'2017-03-03 10:51:45','upload/result/result_43_1488513261.jpg','2017-03-03 10:54:18','2017-03-03 10:54:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (824,45,60,47041,0,'2017-03-03 10:52:25','upload/result/result_45_1488513302.jpg','2017-03-03 10:54:59','2017-03-03 10:55:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (825,43,60,51718,0,'2017-03-03 10:54:12','upload/result/result_43_1488513409.jpg','2017-03-03 10:56:46','2017-03-03 10:56:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (826,45,60,58671,0,'2017-03-03 10:55:09','upload/result/result_45_1488513466.jpg','2017-03-03 10:57:43','2017-03-03 10:57:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (827,399,60,94948,0,'2017-03-03 10:55:33','upload/result/result_399_1488513490.jpg','2017-03-03 10:58:04','2017-03-03 10:58:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (828,45,60,49071,0,'2017-03-03 10:56:25','upload/result/result_45_1488513542.jpg','2017-03-03 10:58:59','2017-03-03 10:59:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (829,438,60,45248,0,'2017-03-03 10:59:43','upload/result/result_438_1488513740.jpg','2017-03-03 11:02:16','2017-03-03 11:02:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (830,43,60,65068,0,'2017-03-03 11:03:27','upload/result/result_43_1488513963.jpg','2017-03-03 11:06:00','2017-03-03 11:06:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (831,46,60,101059,0,'2017-03-03 11:08:01','upload/result/result_46_1488514243.jpg','2017-03-03 11:10:39','2017-03-03 11:10:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (832,45,60,47475,0,'2017-03-03 11:08:20',NULL,'2017-03-03 11:10:54','2017-03-03 11:10:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (833,43,60,46864,0,'2017-03-03 11:09:20','upload/result/result_43_1488514317.jpg','2017-03-03 11:11:54','2017-03-03 11:11:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (834,438,60,46861,0,'2017-03-03 11:10:16','upload/result/result_438_1488514372.jpg','2017-03-03 11:12:49','2017-03-03 11:12:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (835,45,60,51455,0,'2017-03-03 11:11:04','upload/result/result_45_1488514421.jpg','2017-03-03 11:13:37','2017-03-03 11:13:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (836,46,60,51447,0,'2017-03-03 11:11:03','upload/result/result_46_1488514425.jpg','2017-03-03 11:13:42','2017-03-03 11:13:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (837,46,60,95186,0,'2017-03-03 11:13:16','upload/result/result_46_1488514557.jpg','2017-03-03 11:15:54','2017-03-03 11:15:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (838,420,60,60204,0,'2017-03-03 11:13:39','upload/result/result_420_1488514575.jpg','2017-03-03 11:16:12','2017-03-03 11:16:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (839,407,60,49619,0,'2017-03-03 11:14:02','upload/result/result_407_1488514606.jpg','2017-03-03 11:16:33','2017-03-03 11:16:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (840,407,60,46419,0,'2017-03-03 11:21:37','upload/result/result_407_1488515063.jpg','2017-03-03 11:24:08','2017-03-03 11:24:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (841,407,60,45322,0,'2017-03-03 11:22:55',NULL,'2017-03-03 11:25:26','2017-03-03 11:25:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (842,46,60,68613,0,'2017-03-03 11:24:26','upload/result/result_46_1488515228.jpg','2017-03-03 11:27:05','2017-03-03 11:27:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (843,407,60,50946,0,'2017-03-03 11:25:15','upload/result/result_407_1488515272.jpg','2017-03-03 11:27:46','2017-03-03 11:27:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (844,407,60,50583,0,'2017-03-03 11:26:45','upload/result/result_407_1488515361.jpg','2017-03-03 11:29:16','2017-03-03 11:29:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (845,46,60,64886,0,'2017-03-03 11:27:56','upload/result/result_46_1488515438.jpg','2017-03-03 11:30:35','2017-03-03 11:30:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (846,407,60,48963,0,'2017-03-03 11:28:51','upload/result/result_407_1488515488.jpg','2017-03-03 11:31:21','2017-03-03 11:31:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (847,407,60,49680,0,'2017-03-03 11:30:30','upload/result/result_407_1488515588.jpg','2017-03-03 11:33:01','2017-03-03 11:33:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (848,46,60,96724,0,'2017-03-03 11:31:12','upload/result/result_46_1488515633.jpg','2017-03-03 11:33:50','2017-03-03 11:33:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (849,407,60,54718,0,'2017-03-03 11:35:55','upload/result/result_407_1488515910.jpg','2017-03-03 11:38:25','2017-03-03 11:38:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (850,46,60,49242,0,'2017-03-03 11:36:03','upload/result/result_46_1488515925.jpg','2017-03-03 11:38:42','2017-03-03 11:38:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (851,45,60,48850,0,'2017-03-03 11:36:20',NULL,'2017-03-03 11:38:55','2017-03-03 11:38:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (852,440,60,60284,0,'2017-03-03 11:39:57','upload/result/result_440_1488516152.jpg','2017-03-03 11:42:28','2017-03-03 11:42:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (853,46,60,73672,0,'2017-03-03 11:44:09','upload/result/result_46_1488516411.jpg','2017-03-03 11:46:48','2017-03-03 11:46:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (854,46,60,66404,0,'2017-03-03 11:45:26','upload/result/result_46_1488516488.jpg','2017-03-03 11:48:05','2017-03-03 11:48:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (855,45,60,57961,0,'2017-03-03 11:46:12','upload/result/result_45_1488516529.jpg','2017-03-03 11:48:46','2017-03-03 11:48:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (856,45,60,79444,0,'2017-03-03 11:48:23','upload/result/result_45_1488516660.jpg','2017-03-03 11:50:56','2017-03-03 11:51:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (857,399,60,59715,0,'2017-03-03 11:57:57','upload/result/result_399_1488517233.jpg','2017-03-03 12:00:30','2017-03-03 12:00:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (858,46,60,68243,0,'2017-03-03 12:34:40','upload/result/result_46_1488519442.jpg','2017-03-03 12:37:19','2017-03-03 12:37:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (859,45,60,56957,0,'2017-03-03 12:37:35','upload/result/result_45_1488519613.jpg','2017-03-03 12:40:09','2017-03-03 12:40:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (860,46,60,85179,0,'2017-03-03 12:37:37','upload/result/result_46_1488519619.jpg','2017-03-03 12:40:16','2017-03-03 12:40:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (861,46,60,52801,0,'2017-03-03 12:38:54','upload/result/result_46_1488519696.jpg','2017-03-03 12:41:33','2017-03-03 12:41:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (862,46,60,49416,0,'2017-03-03 12:41:41','upload/result/result_46_1488519863.jpg','2017-03-03 12:44:20','2017-03-03 12:44:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (863,46,60,52606,0,'2017-03-03 12:43:01','upload/result/result_46_1488519942.jpg','2017-03-03 12:45:39','2017-03-03 12:45:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (864,62,60,46692,0,'2017-03-03 12:43:40','upload/result/result_62_1488519976.jpg','2017-03-03 12:46:13','2017-03-03 12:46:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (865,13,60,47187,0,'2017-03-03 12:43:43','upload/result/result_13_1488519980.jpg','2017-03-03 12:46:13','2017-03-03 12:46:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (866,39,60,48810,0,'2017-03-03 12:43:52','upload/result/result_39_1488519990.jpg','2017-03-03 12:46:26','2017-03-03 12:46:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (867,62,60,45954,0,'2017-03-03 12:45:40','upload/result/result_62_1488520096.jpg','2017-03-03 12:48:13','2017-03-03 12:48:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (868,46,60,49197,0,'2017-03-03 12:45:52','upload/result/result_46_1488520114.jpg','2017-03-03 12:48:31','2017-03-03 12:48:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (869,13,60,46456,0,'2017-03-03 12:46:34','upload/result/result_13_1488520147.jpg','2017-03-03 12:49:04','2017-03-03 12:49:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (870,399,60,50976,0,'2017-03-03 12:46:48','upload/result/result_399_1488520164.jpg','2017-03-03 12:49:21','2017-03-03 12:49:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (871,39,60,68552,0,'2017-03-03 12:47:32','upload/result/result_39_1488520210.jpg','2017-03-03 12:50:07','2017-03-03 12:50:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (872,62,60,45723,0,'2017-03-03 12:48:12','upload/result/result_62_1488520248.jpg','2017-03-03 12:50:45','2017-03-03 12:50:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (873,46,60,54476,0,'2017-03-03 12:49:50','upload/result/result_46_1488520352.jpg','2017-03-03 12:52:29','2017-03-03 12:52:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (874,39,60,50766,0,'2017-03-03 12:50:29','upload/result/result_39_1488520386.jpg','2017-03-03 12:53:03','2017-03-03 12:53:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (875,13,60,49110,0,'2017-03-03 12:51:42','upload/result/result_13_1488520455.jpg','2017-03-03 12:54:11','2017-03-03 12:54:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (876,39,60,50107,0,'2017-03-03 12:51:46','upload/result/result_39_1488520465.jpg','2017-03-03 12:54:20','2017-03-03 12:54:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (877,440,60,52103,0,'2017-03-03 12:52:07','upload/result/result_440_1488520504.jpg','2017-03-03 12:54:37','2017-03-03 12:55:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (878,39,60,51616,0,'2017-03-03 12:53:06','upload/result/result_39_1488520544.jpg','2017-03-03 12:55:40','2017-03-03 12:55:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (879,46,60,53288,0,'2017-03-03 12:53:15','upload/result/result_46_1488520557.jpg','2017-03-03 12:55:54','2017-03-03 12:55:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (880,440,60,51687,0,'2017-03-03 12:53:25','upload/result/result_440_1488520563.jpg','2017-03-03 12:55:55','2017-03-03 12:56:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (881,399,60,48861,0,'2017-03-03 12:54:42','upload/result/result_399_1488520638.jpg','2017-03-03 12:57:15','2017-03-03 12:57:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (882,13,60,53114,0,'2017-03-03 12:55:23','upload/result/result_13_1488520676.jpg','2017-03-03 12:57:52','2017-03-03 12:57:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (883,440,60,47818,0,'2017-03-03 12:55:34','upload/result/result_440_1488520690.jpg','2017-03-03 12:58:04','2017-03-03 12:58:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (884,399,60,60279,0,'2017-03-03 12:56:47','upload/result/result_399_1488520763.jpg','2017-03-03 12:59:20','2017-03-03 12:59:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (885,39,60,47917,0,'2017-03-03 12:56:53','upload/result/result_39_1488520771.jpg','2017-03-03 12:59:27','2017-03-03 12:59:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (886,440,60,43301,0,'2017-03-03 12:57:53','upload/result/result_440_1488520829.jpg','2017-03-03 13:00:24','2017-03-03 13:00:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (887,43,60,59914,0,'2017-03-03 12:58:00','upload/result/result_43_1488520837.jpg','2017-03-03 13:00:33','2017-03-03 13:00:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (888,399,60,54379,0,'2017-03-03 12:58:23','upload/result/result_399_1488520859.jpg','2017-03-03 13:00:56','2017-03-03 13:00:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (889,440,60,44423,0,'2017-03-03 12:59:14','upload/result/result_440_1488520912.jpg','2017-03-03 13:01:44','2017-03-03 13:01:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (890,13,60,46861,0,'2017-03-03 12:59:26','upload/result/result_13_1488520933.jpg','2017-03-03 13:02:10','2017-03-03 13:02:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (891,440,60,48904,0,'2017-03-03 13:02:02','upload/result/result_440_1488521076.jpg','2017-03-03 13:04:31','2017-03-03 13:04:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (892,43,60,47634,0,'2017-03-03 13:02:51','upload/result/result_43_1488521128.jpg','2017-03-03 13:05:25','2017-03-03 13:05:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (893,440,60,46114,0,'2017-03-03 13:03:20','upload/result/result_440_1488521155.jpg','2017-03-03 13:05:50','2017-03-03 13:05:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (894,399,60,63014,0,'2017-03-03 13:20:49','upload/result/result_399_1488522204.jpg','2017-03-03 13:23:20','2017-03-03 13:23:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (895,39,60,53307,0,'2017-03-03 13:25:59','upload/result/result_39_1488522516.jpg','2017-03-03 13:28:33','2017-03-03 13:28:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (896,39,60,55815,0,'2017-03-03 13:27:16','upload/result/result_39_1488522593.jpg','2017-03-03 13:29:49','2017-03-03 13:29:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (897,399,60,48997,0,'2017-03-03 13:28:08','upload/result/result_399_1488522643.jpg','2017-03-03 13:30:39','2017-03-03 13:30:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (898,39,60,52716,0,'2017-03-03 13:29:05','upload/result/result_39_1488522703.jpg','2017-03-03 13:31:39','2017-03-03 13:31:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (899,62,60,48658,0,'2017-03-03 13:29:18','upload/result/result_62_1488522714.jpg','2017-03-03 13:31:51','2017-03-03 13:31:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (900,39,60,50847,0,'2017-03-03 13:30:21','upload/result/result_39_1488522780.jpg','2017-03-03 13:32:55','2017-03-03 13:33:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (901,43,60,53351,0,'2017-03-03 13:30:53','upload/result/result_43_1488522810.jpg','2017-03-03 13:33:27','2017-03-03 13:33:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (902,62,60,46412,0,'2017-03-03 13:31:03','upload/result/result_62_1488522819.jpg','2017-03-03 13:33:36','2017-03-03 13:33:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (903,43,60,46215,0,'2017-03-03 13:33:05','upload/result/result_43_1488522941.jpg','2017-03-03 13:35:38','2017-03-03 13:35:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (904,39,60,46305,0,'2017-03-03 13:33:10','upload/result/result_39_1488522947.jpg','2017-03-03 13:35:44','2017-03-03 13:35:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (905,399,60,54820,0,'2017-03-03 13:33:47','upload/result/result_399_1488522983.jpg','2017-03-03 13:36:19','2017-03-03 13:36:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (906,43,60,49621,0,'2017-03-03 13:34:21','upload/result/result_43_1488523017.jpg','2017-03-03 13:36:54','2017-03-03 13:36:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (907,43,60,52511,0,'2017-03-03 13:35:37','upload/result/result_43_1488523093.jpg','2017-03-03 13:38:10','2017-03-03 13:38:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (908,399,60,62373,0,'2017-03-03 13:37:44','upload/result/result_399_1488523219.jpg','2017-03-03 13:40:16','2017-03-03 13:40:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (909,45,60,53208,0,'2017-03-03 14:06:08','upload/result/result_45_1488524928.jpg','2017-03-03 14:08:45','2017-03-03 14:08:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (910,45,60,46634,0,'2017-03-03 14:07:28','upload/result/result_45_1488525005.jpg','2017-03-03 14:10:01','2017-03-03 14:10:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (911,45,60,46267,0,'2017-03-03 14:08:43','upload/result/result_45_1488525080.jpg','2017-03-03 14:11:17','2017-03-03 14:11:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (912,45,60,63625,0,'2017-03-03 14:12:19','upload/result/result_45_1488525296.jpg','2017-03-03 14:14:53','2017-03-03 14:14:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (913,45,60,50566,0,'2017-03-03 14:13:35','upload/result/result_45_1488525371.jpg','2017-03-03 14:16:08','2017-03-03 14:16:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (914,46,60,55179,0,'2017-03-03 14:25:26','upload/result/result_46_1488526088.jpg','2017-03-03 14:28:05','2017-03-03 14:28:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (915,46,60,59946,0,'2017-03-03 14:27:27','upload/result/result_46_1488526210.jpg','2017-03-03 14:30:07','2017-03-03 14:30:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (916,46,60,49296,0,'2017-03-03 14:28:49','upload/result/result_46_1488526290.jpg','2017-03-03 14:31:28','2017-03-03 14:31:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (917,46,60,104348,0,'2017-03-03 14:34:25','upload/result/result_46_1488526627.jpg','2017-03-03 14:37:04','2017-03-03 14:37:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (918,45,60,46419,0,'2017-03-03 14:35:41','upload/result/result_45_1488526698.jpg','2017-03-03 14:38:14','2017-03-03 14:38:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (919,364,60,47749,0,'2017-03-03 15:38:30','upload/result/result_364_1488530466.jpg','2017-03-03 15:41:03','2017-03-03 15:41:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (920,39,60,55803,0,'2017-03-03 16:14:16','upload/result/result_39_1488532615.jpg','2017-03-03 16:16:50','2017-03-03 16:16:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (921,399,60,49796,0,'2017-03-03 16:35:32','upload/result/result_399_1488533886.jpg','2017-03-03 16:38:03','2017-03-03 16:38:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (922,420,60,47596,0,'2017-03-03 16:43:27','upload/result/result_420_1488534363.jpg','2017-03-03 16:46:00','2017-03-03 16:46:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (923,420,60,52166,0,'2017-03-03 16:44:45','upload/result/result_420_1488534440.jpg','2017-03-03 16:47:17','2017-03-03 16:47:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (924,420,60,51698,0,'2017-03-03 16:46:33','upload/result/result_420_1488534548.jpg','2017-03-03 16:49:05','2017-03-03 16:49:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (925,420,60,70243,0,'2017-03-03 16:48:31','upload/result/result_420_1488534666.jpg','2017-03-03 16:51:03','2017-03-03 16:51:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (926,420,60,48844,0,'2017-03-03 16:53:17','upload/result/result_420_1488534953.jpg','2017-03-03 16:55:50','2017-03-03 16:55:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (927,420,60,51113,0,'2017-03-03 16:54:32','upload/result/result_420_1488535028.jpg','2017-03-03 16:57:05','2017-03-03 16:57:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (928,420,60,48105,0,'2017-03-03 17:03:53','upload/result/result_420_1488535588.jpg','2017-03-03 17:06:25','2017-03-03 17:06:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (929,46,60,66695,0,'2017-03-03 17:08:14','upload/result/result_46_1488535856.jpg','2017-03-03 17:10:53','2017-03-03 17:10:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (930,46,60,82721,0,'2017-03-03 17:11:04','upload/result/result_46_1488536026.jpg','2017-03-03 17:13:43','2017-03-03 17:13:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (931,46,60,70934,0,'2017-03-03 17:18:27','upload/result/result_46_1488536469.jpg','2017-03-03 17:21:07','2017-03-03 17:21:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (932,420,60,119301,0,'2017-03-03 17:17:51','upload/result/result_420_1488536566.jpg','2017-03-03 17:22:43','2017-03-03 17:22:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (933,46,60,90599,0,'2017-03-03 17:21:50','upload/result/result_46_1488536672.jpg','2017-03-03 17:24:29','2017-03-03 17:24:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (934,43,60,48738,0,'2017-03-03 17:21:54','upload/result/result_43_1488536674.jpg','2017-03-03 17:24:31','2017-03-03 17:24:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (935,39,60,50709,0,'2017-03-03 17:22:28','upload/result/result_39_1488536706.jpg','2017-03-03 17:25:02','2017-03-03 17:25:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (936,39,60,52865,0,'2017-03-03 17:23:45','upload/result/result_39_1488536783.jpg','2017-03-03 17:26:18','2017-03-03 17:26:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (937,39,60,81236,0,'2017-03-03 17:25:01','upload/result/result_39_1488536858.jpg','2017-03-03 17:27:35','2017-03-03 17:27:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (938,430,60,30769,0,'2017-03-03 17:29:19','upload/result/result_430_1488537127.jpg','2017-03-03 17:32:04','2017-03-03 17:32:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (939,420,60,132609,0,'2017-03-03 17:29:48','upload/result/result_420_1488537304.jpg','2017-03-03 17:35:01','2017-03-03 17:35:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (940,58,60,49752,0,'2017-03-03 17:45:01','upload/result/result_58_1488538056.jpg','2017-03-03 17:47:33','2017-03-03 17:47:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (941,58,60,50642,0,'2017-03-03 17:48:04','upload/result/result_58_1488538240.jpg','2017-03-03 17:50:37','2017-03-03 17:50:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (942,43,60,47688,0,'2017-03-03 17:50:37','upload/result/result_43_1488538395.jpg','2017-03-03 17:53:12','2017-03-03 17:53:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (943,58,60,46735,0,'2017-03-03 17:54:38','upload/result/result_58_1488538634.jpg','2017-03-03 17:57:11','2017-03-03 17:57:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (944,420,60,68346,0,'2017-03-03 17:52:46','upload/result/result_420_1488539084.jpg','2017-03-03 18:04:41','2017-03-03 18:04:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (945,43,60,62587,0,'2017-03-03 18:06:56','upload/result/result_43_1488539375.jpg','2017-03-03 18:09:32','2017-03-03 18:09:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (946,420,60,56401,0,'2017-03-03 18:04:00','upload/result/result_420_1488539400.jpg','2017-03-03 18:09:56','2017-03-03 18:10:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (947,31,60,49837,0,'2017-03-03 18:10:38','upload/result/result_31_1488539594.jpg','2017-03-03 18:13:10','2017-03-03 18:13:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (948,420,60,100973,0,'2017-03-03 18:09:44','upload/result/result_420_1488539655.jpg','2017-03-03 18:14:11','2017-03-03 18:14:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (949,31,60,57425,0,'2017-03-03 18:11:55','upload/result/result_31_1488539671.jpg','2017-03-03 18:14:28','2017-03-03 18:14:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (950,31,60,70635,0,'2017-03-03 18:16:01','upload/result/result_31_1488539917.jpg','2017-03-03 18:18:33','2017-03-03 18:18:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (951,31,60,49522,0,'2017-03-03 18:18:50','upload/result/result_31_1488540086.jpg','2017-03-03 18:21:23','2017-03-03 18:21:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (952,31,60,59166,0,'2017-03-03 18:20:05','upload/result/result_31_1488540161.jpg','2017-03-03 18:22:38','2017-03-03 18:22:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (953,31,60,50514,0,'2017-03-03 18:21:20','upload/result/result_31_1488540236.jpg','2017-03-03 18:23:53','2017-03-03 18:23:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (954,31,60,51043,0,'2017-03-03 18:24:06','upload/result/result_31_1488540402.jpg','2017-03-03 18:26:39','2017-03-03 18:26:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (955,399,60,51262,0,'2017-03-03 18:26:52','upload/result/result_399_1488540568.jpg','2017-03-03 18:29:25','2017-03-03 18:29:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (956,31,60,78323,0,'2017-03-03 18:31:12','upload/result/result_31_1488540827.jpg','2017-03-03 18:33:44','2017-03-03 18:33:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (957,31,60,56325,0,'2017-03-03 18:33:39','upload/result/result_31_1488540975.jpg','2017-03-03 18:36:12','2017-03-03 18:36:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (958,399,60,53233,0,'2017-03-03 18:36:09','upload/result/result_399_1488541128.jpg','2017-03-03 18:38:42','2017-03-03 18:38:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (959,31,60,53984,0,'2017-03-03 19:33:26','upload/result/result_31_1488544563.jpg','2017-03-03 19:36:00','2017-03-03 19:36:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (960,449,60,47440,0,'2017-03-03 19:41:21','upload/result/result_449_1488545035.jpg','2017-03-03 19:43:52','2017-03-03 19:43:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (961,31,60,92490,0,'2017-03-03 19:41:50','upload/result/result_31_1488545067.jpg','2017-03-03 19:44:24','2017-03-03 19:44:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (962,449,60,52495,0,'2017-03-03 19:44:08','upload/result/result_449_1488545203.jpg','2017-03-03 19:46:40','2017-03-03 19:46:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (963,449,60,48533,0,'2017-03-03 19:45:43','upload/result/result_449_1488545298.jpg','2017-03-03 19:48:14','2017-03-03 19:48:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (964,31,60,61072,0,'2017-03-03 19:52:02','upload/result/result_31_1488545679.jpg','2017-03-03 19:54:36','2017-03-03 19:54:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (965,423,60,53593,0,'2017-03-03 19:52:22','upload/result/result_423_1488545705.jpg','2017-03-03 19:55:02','2017-03-03 19:55:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (966,31,60,72090,0,'2017-03-03 19:53:29','upload/result/result_31_1488545767.jpg','2017-03-03 19:56:03','2017-03-03 19:56:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (967,423,60,58340,0,'2017-03-03 19:55:31','upload/result/result_423_1488545895.jpg','2017-03-03 19:58:10','2017-03-03 19:58:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (968,31,60,87187,0,'2017-03-03 20:01:52','upload/result/result_31_1488546270.jpg','2017-03-03 20:04:27','2017-03-03 20:04:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (969,449,60,52319,0,'2017-03-03 20:02:41','upload/result/result_449_1488546315.jpg','2017-03-03 20:05:12','2017-03-03 20:05:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (970,423,60,80357,0,'2017-03-03 20:05:16','upload/result/result_423_1488546479.jpg','2017-03-03 20:07:55','2017-03-03 20:07:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (971,423,60,54794,0,'2017-03-03 20:10:08','upload/result/result_423_1488546770.jpg','2017-03-03 20:12:47','2017-03-03 20:12:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (972,423,60,64533,0,'2017-03-03 20:13:39','upload/result/result_423_1488546983.jpg','2017-03-03 20:16:19','2017-03-03 20:16:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (973,423,60,98692,0,'2017-03-03 20:14:55','upload/result/result_423_1488547059.jpg','2017-03-03 20:17:35','2017-03-03 20:17:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (974,449,60,48218,0,'2017-03-03 20:15:58','upload/result/result_449_1488547113.jpg','2017-03-03 20:18:29','2017-03-03 20:18:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (975,31,60,73968,0,'2017-03-03 20:21:00','upload/result/result_31_1488547417.jpg','2017-03-03 20:23:34','2017-03-03 20:23:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (976,31,60,86408,0,'2017-03-03 20:33:29','upload/result/result_31_1488548171.jpg','2017-03-03 20:36:03','2017-03-03 20:36:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (977,31,60,80229,0,'2017-03-03 20:38:27','upload/result/result_31_1488548465.jpg','2017-03-03 20:41:02','2017-03-03 20:41:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (978,399,60,56076,0,'2017-03-03 20:44:46','upload/result/result_399_1488548842.jpg','2017-03-03 20:47:19','2017-03-03 20:47:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (979,399,60,55918,0,'2017-03-03 20:46:23','upload/result/result_399_1488548939.jpg','2017-03-03 20:48:56','2017-03-03 20:48:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (980,399,60,74082,0,'2017-03-03 20:54:16','upload/result/result_399_1488549480.jpg','2017-03-03 20:57:57','2017-03-03 20:58:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (981,378,60,50422,0,'2017-03-03 21:07:30','upload/result/result_378_1488550222.jpg','2017-03-03 21:10:18','2017-03-03 21:10:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (982,399,60,78367,0,'2017-03-03 21:08:34','upload/result/result_399_1488550339.jpg','2017-03-03 21:12:16','2017-03-03 21:12:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (983,378,60,49598,0,'2017-03-03 21:09:59','upload/result/result_378_1488550369.jpg','2017-03-03 21:12:45','2017-03-03 21:12:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (984,378,60,54283,0,'2017-03-03 21:13:26','upload/result/result_378_1488550577.jpg','2017-03-03 21:16:12','2017-03-03 21:16:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (985,399,60,75700,0,'2017-03-03 21:13:11','upload/result/result_399_1488550618.jpg','2017-03-03 21:16:52','2017-03-03 21:16:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (986,449,60,54661,0,'2017-03-03 21:22:56','upload/result/result_449_1488551131.jpg','2017-03-03 21:25:27','2017-03-03 21:25:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (987,449,60,48792,0,'2017-03-03 21:26:26','upload/result/result_449_1488551343.jpg','2017-03-03 21:28:57','2017-03-03 21:29:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (988,449,60,49036,0,'2017-03-03 21:29:46','upload/result/result_449_1488551541.jpg','2017-03-03 21:32:18','2017-03-03 21:32:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (989,449,60,57378,0,'2017-03-03 21:34:49','upload/result/result_449_1488551845.jpg','2017-03-03 21:37:20','2017-03-03 21:37:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (990,449,60,47759,0,'2017-03-03 21:36:39','upload/result/result_449_1488551954.jpg','2017-03-03 21:39:10','2017-03-03 21:39:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (991,378,60,49878,0,'2017-03-03 21:37:48','upload/result/result_378_1488552039.jpg','2017-03-03 21:40:35','2017-03-03 21:40:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (992,378,60,47864,0,'2017-03-03 21:39:36','upload/result/result_378_1488552147.jpg','2017-03-03 21:42:24','2017-03-03 21:42:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (993,378,60,44131,0,'2017-03-03 21:40:58','upload/result/result_378_1488552229.jpg','2017-03-03 21:43:45','2017-03-03 21:43:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (994,31,60,51067,0,'2017-03-03 21:42:19','upload/result/result_31_1488552297.jpg','2017-03-03 21:44:54','2017-03-03 21:44:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (995,449,60,49992,0,'2017-03-03 21:42:48','upload/result/result_449_1488552323.jpg','2017-03-03 21:45:19','2017-03-03 21:45:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (996,449,60,47164,0,'2017-03-03 21:44:26','upload/result/result_449_1488552422.jpg','2017-03-03 21:46:58','2017-03-03 21:47:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (997,31,60,52017,0,'2017-03-03 21:46:32','upload/result/result_31_1488552549.jpg','2017-03-03 21:49:06','2017-03-03 21:49:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (998,449,60,53090,0,'2017-03-03 21:47:29','upload/result/result_449_1488552606.jpg','2017-03-03 21:50:00','2017-03-03 21:50:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (999,31,60,64579,0,'2017-03-03 21:50:41','upload/result/result_31_1488552798.jpg','2017-03-03 21:53:15','2017-03-03 21:53:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1000,449,60,50915,0,'2017-03-03 21:52:23','upload/result/result_449_1488552898.jpg','2017-03-03 21:54:54','2017-03-03 21:54:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1001,31,60,73222,0,'2017-03-03 21:52:49','upload/result/result_31_1488552927.jpg','2017-03-03 21:55:23','2017-03-03 21:55:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1002,449,60,54007,0,'2017-03-03 21:55:07','upload/result/result_449_1488553062.jpg','2017-03-03 21:57:38','2017-03-03 21:57:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1003,31,60,85658,0,'2017-03-03 21:57:34','upload/result/result_31_1488553214.jpg','2017-03-03 22:00:08','2017-03-03 22:00:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1004,449,60,48063,0,'2017-03-03 21:58:43','upload/result/result_449_1488553278.jpg','2017-03-03 22:01:14','2017-03-03 22:01:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1005,31,60,51711,0,'2017-03-03 22:02:17','upload/result/result_31_1488553494.jpg','2017-03-03 22:04:51','2017-03-03 22:04:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1006,31,60,52463,0,'2017-03-03 22:07:16','upload/result/result_31_1488553793.jpg','2017-03-03 22:09:50','2017-03-03 22:09:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1007,449,60,53021,0,'2017-03-03 22:13:13','upload/result/result_449_1488554148.jpg','2017-03-03 22:15:44','2017-03-03 22:15:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1008,31,60,86505,0,'2017-03-03 22:13:40','upload/result/result_31_1488554177.jpg','2017-03-03 22:16:14','2017-03-03 22:16:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1009,449,60,48333,0,'2017-03-03 22:16:25','upload/result/result_449_1488554342.jpg','2017-03-03 22:18:57','2017-03-03 22:19:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1010,31,60,86038,0,'2017-03-03 22:17:57','upload/result/result_31_1488554434.jpg','2017-03-03 22:20:31','2017-03-03 22:20:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1011,399,60,49110,0,'2017-03-03 22:19:53','upload/result/result_399_1488554550.jpg','2017-03-03 22:22:27','2017-03-03 22:22:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1012,399,60,61361,0,'2017-03-03 22:22:41','upload/result/result_399_1488554776.jpg','2017-03-03 22:26:12','2017-03-03 22:26:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1013,399,60,71429,0,'2017-03-03 22:25:01','upload/result/result_399_1488554916.jpg','2017-03-03 22:28:33','2017-03-03 22:28:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1014,399,60,68567,0,'2017-03-03 22:27:25','upload/result/result_399_1488555060.jpg','2017-03-03 22:30:57','2017-03-03 22:31:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1015,399,60,48006,0,'2017-03-03 22:29:51','upload/result/result_399_1488555208.jpg','2017-03-03 22:33:20','2017-03-03 22:33:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1016,399,60,50495,0,'2017-03-03 22:32:08','upload/result/result_399_1488555340.jpg','2017-03-03 22:35:37','2017-03-03 22:35:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1017,31,60,55841,0,'2017-03-03 22:33:37','upload/result/result_31_1488555373.jpg','2017-03-03 22:36:10','2017-03-03 22:36:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1018,31,60,75442,0,'2017-03-03 22:35:52','upload/result/result_31_1488555509.jpg','2017-03-03 22:38:25','2017-03-03 22:38:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1019,46,60,53853,0,'2017-03-03 22:38:55','upload/result/result_46_1488555699.jpg','2017-03-03 22:41:35','2017-03-03 22:41:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1020,399,60,64112,0,'2017-03-03 22:38:31','upload/result/result_399_1488555721.jpg','2017-03-03 22:41:57','2017-03-03 22:42:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1021,399,60,50005,0,'2017-03-03 22:41:26','upload/result/result_399_1488555897.jpg','2017-03-03 22:44:54','2017-03-03 22:44:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1022,31,60,84693,0,'2017-03-03 22:43:35','upload/result/result_31_1488555973.jpg','2017-03-03 22:46:09','2017-03-03 22:46:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1023,399,60,50593,0,'2017-03-03 22:48:52','upload/result/result_399_1488556342.jpg','2017-03-03 22:52:18','2017-03-03 22:52:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1024,449,60,49899,0,'2017-03-03 22:58:52','upload/result/result_449_1488556889.jpg','2017-03-03 23:01:25','2017-03-03 23:01:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1025,31,60,98578,0,'2017-03-03 23:02:21','upload/result/result_31_1488557098.jpg','2017-03-03 23:04:54','2017-03-03 23:04:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1026,449,60,48907,0,'2017-03-03 23:05:46','upload/result/result_449_1488557301.jpg','2017-03-03 23:08:18','2017-03-03 23:08:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1027,31,60,88009,0,'2017-03-03 23:08:04','upload/result/result_31_1488557441.jpg','2017-03-03 23:10:37','2017-03-03 23:10:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1028,31,60,70260,0,'2017-03-03 23:19:58','upload/result/result_31_1488558155.jpg','2017-03-03 23:22:32','2017-03-03 23:22:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1029,31,60,78294,0,'2017-03-03 23:35:06','upload/result/result_31_1488559063.jpg','2017-03-03 23:37:40','2017-03-03 23:37:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1030,449,60,47701,0,'2017-03-03 23:40:48','upload/result/result_449_1488559403.jpg','2017-03-03 23:43:19','2017-03-03 23:43:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1031,449,60,52960,0,'2017-03-03 23:46:50','upload/result/result_449_1488559766.jpg','2017-03-03 23:49:22','2017-03-03 23:49:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1032,449,60,49475,0,'2017-03-04 00:27:19','upload/result/result_449_1488562194.jpg','2017-03-04 00:29:51','2017-03-04 00:29:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1033,31,60,49652,0,'2017-03-04 07:07:57','upload/result/result_31_1488586248.jpg','2017-03-04 07:10:45','2017-03-04 07:10:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1034,31,60,93800,0,'2017-03-04 07:10:50','upload/result/result_31_1488586407.jpg','2017-03-04 07:13:24','2017-03-04 07:13:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1035,31,60,67200,0,'2017-03-04 07:16:31','upload/result/result_31_1488586782.jpg','2017-03-04 07:19:39','2017-03-04 07:19:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1036,31,60,77307,0,'2017-03-04 07:18:20','upload/result/result_31_1488586857.jpg','2017-03-04 07:20:54','2017-03-04 07:20:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1037,31,60,49722,0,'2017-03-04 07:25:04','upload/result/result_31_1488587260.jpg','2017-03-04 07:27:37','2017-03-04 07:27:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1038,31,60,49499,0,'2017-03-04 07:28:14','upload/result/result_31_1488587451.jpg','2017-03-04 07:30:48','2017-03-04 07:30:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1039,31,60,56541,0,'2017-03-04 07:31:12','upload/result/result_31_1488587629.jpg','2017-03-04 07:33:46','2017-03-04 07:33:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1040,31,60,57621,0,'2017-03-04 07:32:28','upload/result/result_31_1488587704.jpg','2017-03-04 07:35:01','2017-03-04 07:35:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1041,31,60,102915,0,'2017-03-04 07:36:02','upload/result/result_31_1488587919.jpg','2017-03-04 07:38:36','2017-03-04 07:38:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1042,46,60,62307,0,'2017-03-04 07:57:51','upload/result/result_46_1488589235.jpg','2017-03-04 08:00:32','2017-03-04 08:00:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1043,46,60,75721,0,'2017-03-04 07:59:07','upload/result/result_46_1488589311.jpg','2017-03-04 08:01:48','2017-03-04 08:01:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1044,46,60,71953,0,'2017-03-04 08:00:24','upload/result/result_46_1488589387.jpg','2017-03-04 08:03:04','2017-03-04 08:03:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1045,46,60,52994,0,'2017-03-04 08:07:30','upload/result/result_46_1488589814.jpg','2017-03-04 08:10:11','2017-03-04 08:10:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1046,46,60,60423,0,'2017-03-04 08:12:44','upload/result/result_46_1488590128.jpg','2017-03-04 08:15:25','2017-03-04 08:15:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1047,46,60,70795,0,'2017-03-04 08:30:10','upload/result/result_46_1488591175.jpg','2017-03-04 08:32:51','2017-03-04 08:32:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1048,46,60,101969,0,'2017-03-04 08:31:35','upload/result/result_46_1488591259.jpg','2017-03-04 08:34:16','2017-03-04 08:34:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1049,46,60,81262,0,'2017-03-04 08:46:27','upload/result/result_46_1488592152.jpg','2017-03-04 08:49:07','2017-03-04 08:49:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1050,46,60,56345,0,'2017-03-04 08:51:13','upload/result/result_46_1488592438.jpg','2017-03-04 08:53:54','2017-03-04 08:53:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1051,46,60,46678,0,'2017-03-04 08:53:39','upload/result/result_46_1488592582.jpg','2017-03-04 08:56:19','2017-03-04 08:56:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1052,43,60,49134,0,'2017-03-04 09:07:54','upload/result/result_43_1488593432.jpg','2017-03-04 09:10:29','2017-03-04 09:10:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1053,43,60,48100,0,'2017-03-04 09:11:42','upload/result/result_43_1488593660.jpg','2017-03-04 09:14:16','2017-03-04 09:14:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1054,43,60,48310,0,'2017-03-04 09:14:11','upload/result/result_43_1488593808.jpg','2017-03-04 09:16:45','2017-03-04 09:16:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1055,31,60,66351,0,'2017-03-04 09:31:37','upload/result/result_31_1488594854.jpg','2017-03-04 09:34:11','2017-03-04 09:34:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1056,31,60,48665,0,'2017-03-04 09:34:11','upload/result/result_31_1488595008.jpg','2017-03-04 09:36:45','2017-03-04 09:36:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1057,31,60,51295,0,'2017-03-04 09:35:27','upload/result/result_31_1488595083.jpg','2017-03-04 09:38:00','2017-03-04 09:38:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1058,31,60,50368,0,'2017-03-04 09:36:42','upload/result/result_31_1488595159.jpg','2017-03-04 09:39:16','2017-03-04 09:39:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1059,31,60,62807,0,'2017-03-04 09:41:14','upload/result/result_31_1488595431.jpg','2017-03-04 09:43:48','2017-03-04 09:43:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1060,31,60,85100,0,'2017-03-04 09:52:25','upload/result/result_31_1488596102.jpg','2017-03-04 09:54:59','2017-03-04 09:55:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1061,31,60,106821,0,'2017-03-04 09:55:38','upload/result/result_31_1488596295.jpg','2017-03-04 09:58:11','2017-03-04 09:58:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1062,447,60,46512,0,'2017-03-04 10:06:32','upload/result/result_447_1488596948.jpg','2017-03-04 10:09:05','2017-03-04 10:09:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1063,13,60,56061,0,'2017-03-04 10:42:18','upload/result/result_13_1488599092.jpg','2017-03-04 10:44:47','2017-03-04 10:44:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1064,46,60,49379,0,'2017-03-04 10:43:06','upload/result/result_46_1488599150.jpg','2017-03-04 10:45:47','2017-03-04 10:45:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1065,46,60,54075,0,'2017-03-04 10:44:55','upload/result/result_46_1488599259.jpg','2017-03-04 10:47:36','2017-03-04 10:47:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1066,399,60,53861,0,'2017-03-04 10:45:05','upload/result/result_399_1488599261.jpg','2017-03-04 10:47:38','2017-03-04 10:47:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1067,46,60,104836,0,'2017-03-04 10:46:48','upload/result/result_46_1488599372.jpg','2017-03-04 10:49:29','2017-03-04 10:49:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1068,13,60,49108,0,'2017-03-04 10:47:38','upload/result/result_13_1488599413.jpg','2017-03-04 10:50:08','2017-03-04 10:50:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1069,46,60,85842,0,'2017-03-04 10:48:11','upload/result/result_46_1488599455.jpg','2017-03-04 10:50:51','2017-03-04 10:50:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1070,399,60,56996,0,'2017-03-04 10:49:28','upload/result/result_399_1488599589.jpg','2017-03-04 10:53:05','2017-03-04 10:53:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1071,46,60,69625,0,'2017-03-04 10:50:21','upload/result/result_46_1488599600.jpg','2017-03-04 10:53:16','2017-03-04 10:53:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1072,46,60,78412,0,'2017-03-04 10:53:46','upload/result/result_46_1488599790.jpg','2017-03-04 10:56:27','2017-03-04 10:56:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1073,399,60,67790,0,'2017-03-04 10:55:54','upload/result/result_399_1488599960.jpg','2017-03-04 10:59:17','2017-03-04 10:59:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1074,399,60,54117,0,'2017-03-04 10:59:21','upload/result/result_399_1488600167.jpg','2017-03-04 11:02:43','2017-03-04 11:02:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1075,399,60,49782,0,'2017-03-04 11:01:49','upload/result/result_399_1488600313.jpg','2017-03-04 11:05:10','2017-03-04 11:05:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1076,399,60,51327,0,'2017-03-04 11:05:14','upload/result/result_399_1488600517.jpg','2017-03-04 11:08:34','2017-03-04 11:08:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1077,399,60,51875,0,'2017-03-04 11:08:59','upload/result/result_399_1488600743.jpg','2017-03-04 11:12:20','2017-03-04 11:12:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1078,399,60,54265,0,'2017-03-04 11:13:46','upload/result/result_399_1488601030.jpg','2017-03-04 11:17:07','2017-03-04 11:17:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1079,399,60,54836,0,'2017-03-04 11:16:25','upload/result/result_399_1488601190.jpg','2017-03-04 11:19:46','2017-03-04 11:19:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1080,399,60,92826,0,'2017-03-04 11:18:33','upload/result/result_399_1488601317.jpg','2017-03-04 11:21:54','2017-03-04 11:21:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1081,399,60,55053,0,'2017-03-04 11:21:20','upload/result/result_399_1488601484.jpg','2017-03-04 11:24:41','2017-03-04 11:24:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1082,399,60,46627,0,'2017-03-04 11:23:28','upload/result/result_399_1488601611.jpg','2017-03-04 11:26:48','2017-03-04 11:26:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1083,399,60,64082,0,'2017-03-04 11:25:37','upload/result/result_399_1488601743.jpg','2017-03-04 11:28:57','2017-03-04 11:29:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1084,399,60,97144,0,'2017-03-04 11:28:46','upload/result/result_399_1488601931.jpg','2017-03-04 11:32:08','2017-03-04 11:32:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1085,399,60,51395,0,'2017-03-04 11:31:56','upload/result/result_399_1488602120.jpg','2017-03-04 11:35:17','2017-03-04 11:35:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1086,399,60,54251,0,'2017-03-04 11:34:07','upload/result/result_399_1488602251.jpg','2017-03-04 11:37:28','2017-03-04 11:37:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1087,399,60,49747,0,'2017-03-04 11:36:36','upload/result/result_399_1488602400.jpg','2017-03-04 11:39:57','2017-03-04 11:40:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1088,399,60,55446,0,'2017-03-04 11:41:24','upload/result/result_399_1488602688.jpg','2017-03-04 11:44:45','2017-03-04 11:44:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1089,399,60,50753,0,'2017-03-04 11:43:33','upload/result/result_399_1488602816.jpg','2017-03-04 11:46:53','2017-03-04 11:46:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1090,399,60,54265,0,'2017-03-04 11:45:46','upload/result/result_399_1488602950.jpg','2017-03-04 11:49:06','2017-03-04 11:49:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1091,399,60,56254,0,'2017-03-04 11:51:15','upload/result/result_399_1488603279.jpg','2017-03-04 11:54:36','2017-03-04 11:54:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1092,399,60,58504,0,'2017-03-04 11:55:49','upload/result/result_399_1488603574.jpg','2017-03-04 11:59:30','2017-03-04 11:59:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1093,399,60,54508,0,'2017-03-04 11:58:19','upload/result/result_399_1488603724.jpg','2017-03-04 12:02:01','2017-03-04 12:02:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1094,399,60,78442,0,'2017-03-04 12:01:02','upload/result/result_399_1488603887.jpg','2017-03-04 12:04:44','2017-03-04 12:04:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1095,399,60,78959,0,'2017-03-04 12:03:33','upload/result/result_399_1488604038.jpg','2017-03-04 12:07:14','2017-03-04 12:07:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1096,364,60,143075,0,'2017-03-04 12:06:41','upload/result/result_364_1488604160.jpg','2017-03-04 12:09:14','2017-03-04 12:09:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1097,399,60,49201,0,'2017-03-04 12:29:43','upload/result/result_399_1488605743.jpg','2017-03-04 12:35:40','2017-03-04 12:35:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1098,118,60,47873,0,'2017-03-04 13:14:44','upload/result/result_118_1488608239.jpg','2017-03-04 13:17:17','2017-03-04 13:17:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1099,118,60,46104,0,'2017-03-04 13:19:29','upload/result/result_118_1488608525.jpg','2017-03-04 13:22:02','2017-03-04 13:22:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1100,118,60,46172,0,'2017-03-04 13:21:42','upload/result/result_118_1488608658.jpg','2017-03-04 13:24:15','2017-03-04 13:24:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1101,118,60,51023,0,'2017-03-04 13:24:43','upload/result/result_118_1488608839.jpg','2017-03-04 13:27:16','2017-03-04 13:27:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1102,46,60,84981,0,'2017-03-04 13:52:44','upload/result/result_46_1488610529.jpg','2017-03-04 13:55:26','2017-03-04 13:55:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1103,118,60,46340,0,'2017-03-04 13:59:08','upload/result/result_118_1488610904.jpg','2017-03-04 14:01:41','2017-03-04 14:01:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1104,118,60,47789,0,'2017-03-04 14:00:54','upload/result/result_118_1488611009.jpg','2017-03-04 14:03:27','2017-03-04 14:03:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1105,118,60,47709,0,'2017-03-04 14:03:35','upload/result/result_118_1488611171.jpg','2017-03-04 14:06:08','2017-03-04 14:06:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1106,118,60,45911,0,'2017-03-04 14:08:01','upload/result/result_118_1488611436.jpg','2017-03-04 14:10:33','2017-03-04 14:10:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1107,118,60,45576,0,'2017-03-04 14:09:17','upload/result/result_118_1488611513.jpg','2017-03-04 14:11:50','2017-03-04 14:11:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1108,118,60,48553,0,'2017-03-04 14:12:36','upload/result/result_118_1488611712.jpg','2017-03-04 14:15:09','2017-03-04 14:15:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1109,118,60,48498,0,'2017-03-04 14:14:46','upload/result/result_118_1488611842.jpg','2017-03-04 14:17:19','2017-03-04 14:17:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1110,118,60,46368,0,'2017-03-04 14:16:55','upload/result/result_118_1488611971.jpg','2017-03-04 14:19:28','2017-03-04 14:19:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1111,118,60,47393,0,'2017-03-04 14:20:16','upload/result/result_118_1488612172.jpg','2017-03-04 14:22:49','2017-03-04 14:22:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1112,356,60,47505,0,'2017-03-04 14:33:58','upload/result/result_356_1488612997.jpg','2017-03-04 14:36:34','2017-03-04 14:36:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1113,356,60,48254,0,'2017-03-04 14:40:44','upload/result/result_356_1488613404.jpg','2017-03-04 14:43:20','2017-03-04 14:43:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1114,356,60,47818,0,'2017-03-04 14:44:26','upload/result/result_356_1488613626.jpg','2017-03-04 14:47:03','2017-03-04 14:47:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1115,356,60,62122,0,'2017-03-04 15:00:28','upload/result/result_356_1488614588.jpg','2017-03-04 15:03:05','2017-03-04 15:03:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1116,356,60,49387,0,'2017-03-04 15:02:29','upload/result/result_356_1488614709.jpg','2017-03-04 15:05:06','2017-03-04 15:05:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1117,45,60,49405,0,'2017-03-04 15:27:31','upload/result/result_45_1488616209.jpg','2017-03-04 15:30:06','2017-03-04 15:30:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1118,45,60,53530,0,'2017-03-04 15:30:54','upload/result/result_45_1488616410.jpg','2017-03-04 15:33:27','2017-03-04 15:33:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1119,45,60,50125,0,'2017-03-04 15:33:17','upload/result/result_45_1488616554.jpg','2017-03-04 15:35:51','2017-03-04 15:35:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1120,45,60,50222,0,'2017-03-04 15:43:47','upload/result/result_45_1488617184.jpg','2017-03-04 15:46:21','2017-03-04 15:46:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1121,457,60,48436,0,'2017-03-04 16:14:02','upload/result/result_457_1488619001.jpg','2017-03-04 16:16:36','2017-03-04 16:16:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1122,458,60,70856,0,'2017-03-04 17:34:38','upload/result/result_458_1488623834.jpg','2017-03-04 17:37:10','2017-03-04 17:37:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1123,420,60,59906,0,'2017-03-04 18:18:48','upload/result/result_420_1488626485.jpg','2017-03-04 18:21:22','2017-03-04 18:21:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1124,420,60,49763,0,'2017-03-04 18:29:25','upload/result/result_420_1488627208.jpg','2017-03-04 18:33:25','2017-03-04 18:33:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1125,420,60,76123,0,'2017-03-04 18:32:43','upload/result/result_420_1488627388.jpg','2017-03-04 18:36:25','2017-03-04 18:36:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1126,420,60,67839,0,'2017-03-04 18:41:42','upload/result/result_420_1488627927.jpg','2017-03-04 18:45:24','2017-03-04 18:45:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1127,420,60,78928,0,'2017-03-04 18:44:12','upload/result/result_420_1488628076.jpg','2017-03-04 18:47:54','2017-03-04 18:47:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1128,420,60,82391,0,'2017-03-04 18:46:42','upload/result/result_420_1488628233.jpg','2017-03-04 18:50:27','2017-03-04 18:50:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1129,420,60,81898,0,'2017-03-04 18:49:14','upload/result/result_420_1488628379.jpg','2017-03-04 18:52:56','2017-03-04 18:52:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1130,420,60,74016,0,'2017-03-04 18:51:44','upload/result/result_420_1488628543.jpg','2017-03-04 18:55:40','2017-03-04 18:55:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1131,420,60,56319,0,'2017-03-04 18:54:56','upload/result/result_420_1488628721.jpg','2017-03-04 18:58:38','2017-03-04 18:58:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1132,420,60,106341,0,'2017-03-04 19:02:40','upload/result/result_420_1488629189.jpg','2017-03-04 19:06:23','2017-03-04 19:06:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1133,399,60,55934,0,'2017-03-04 19:07:21','upload/result/result_399_1488629466.jpg','2017-03-04 19:11:03','2017-03-04 19:11:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1134,378,60,51853,0,'2017-03-04 21:43:14','upload/result/result_378_1488638805.jpg','2017-03-04 21:46:35','2017-03-04 21:46:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1135,378,60,50295,0,'2017-03-04 21:48:46','upload/result/result_378_1488639141.jpg','2017-03-04 21:52:07','2017-03-04 21:52:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1136,378,60,51944,0,'2017-03-04 21:56:03','upload/result/result_378_1488639578.jpg','2017-03-04 21:59:25','2017-03-04 21:59:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1137,39,60,45838,0,'2017-03-04 23:03:31','upload/result/result_39_1488643574.jpg','2017-03-04 23:06:10','2017-03-04 23:06:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1138,39,60,47963,0,'2017-03-04 23:05:39','upload/result/result_39_1488643718.jpg','2017-03-04 23:08:17','2017-03-04 23:08:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1139,46,60,51038,0,'2017-03-04 23:05:45','upload/result/result_46_1488643722.jpg','2017-03-04 23:08:30','2017-03-04 23:08:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1140,39,60,55511,0,'2017-03-04 23:07:18','upload/result/result_39_1488643807.jpg','2017-03-04 23:09:56','2017-03-04 23:10:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1141,46,60,50233,0,'2017-03-04 23:29:15','upload/result/result_46_1488645135.jpg','2017-03-04 23:31:57','2017-03-04 23:32:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1142,423,60,68249,0,'2017-03-04 23:36:59','upload/result/result_423_1488645587.jpg','2017-03-04 23:39:41','2017-03-04 23:39:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1143,423,60,92438,0,'2017-03-04 23:39:07','upload/result/result_423_1488645714.jpg','2017-03-04 23:41:48','2017-03-04 23:41:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1144,460,60,30290,0,'2017-03-05 00:23:43','upload/result/result_460_1488648429.jpg','2017-03-05 00:27:03','2017-03-05 00:27:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1145,460,60,28037,0,'2017-03-05 00:56:23','upload/result/result_460_1488650385.jpg','2017-03-05 00:59:39','2017-03-05 00:59:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1146,460,60,32241,0,'2017-03-05 00:59:01','upload/result/result_460_1488650547.jpg','2017-03-05 01:02:22','2017-03-05 01:02:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1147,460,60,29728,0,'2017-03-05 01:20:56','upload/result/result_460_1488651867.jpg','2017-03-05 01:24:21','2017-03-05 01:24:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1148,460,60,29714,0,'2017-03-05 01:40:52','upload/result/result_460_1488653083.jpg','2017-03-05 01:44:36','2017-03-05 01:44:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1149,460,60,32623,0,'2017-03-05 01:54:59','upload/result/result_460_1488653922.jpg','2017-03-05 01:58:36','2017-03-05 01:58:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1150,460,60,30081,0,'2017-03-05 02:12:45','upload/result/result_460_1488654983.jpg','2017-03-05 02:16:16','2017-03-05 02:16:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1151,460,60,36693,0,'2017-03-05 02:15:03','upload/result/result_460_1488655125.jpg','2017-03-05 02:18:39','2017-03-05 02:18:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1152,460,60,41442,0,'2017-03-05 02:27:05','upload/result/result_460_1488655846.jpg','2017-03-05 02:30:41','2017-03-05 02:30:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1153,460,60,27305,0,'2017-03-05 02:38:11','upload/result/result_460_1488656505.jpg','2017-03-05 02:41:41','2017-03-05 02:41:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1154,460,60,31796,0,'2017-03-05 02:40:32','upload/result/result_460_1488656649.jpg','2017-03-05 02:44:04','2017-03-05 02:44:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1155,460,60,28811,0,'2017-03-05 02:43:41','upload/result/result_460_1488656840.jpg','2017-03-05 02:47:10','2017-03-05 02:47:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1156,461,60,50219,0,'2017-03-05 03:13:06','upload/result/result_461_1488658554.jpg','2017-03-05 03:15:39','2017-03-05 03:15:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1157,460,60,31810,0,'2017-03-05 03:13:46','upload/result/result_460_1488658643.jpg','2017-03-05 03:17:18','2017-03-05 03:17:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1158,461,60,49463,0,'2017-03-05 03:16:36','upload/result/result_461_1488658752.jpg','2017-03-05 03:19:09','2017-03-05 03:19:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1159,460,60,34163,0,'2017-03-05 03:16:07','upload/result/result_460_1488658792.jpg','2017-03-05 03:19:42','2017-03-05 03:19:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1160,399,60,50444,0,'2017-03-05 10:49:45','upload/result/result_399_1488686010.jpg','2017-03-05 10:53:27','2017-03-05 10:53:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1161,399,60,63448,0,'2017-03-05 10:52:15','upload/result/result_399_1488686161.jpg','2017-03-05 10:55:57','2017-03-05 10:56:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1162,399,60,60396,0,'2017-03-05 11:06:59','upload/result/result_399_1488687044.jpg','2017-03-05 11:10:41','2017-03-05 11:10:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1163,399,60,66434,0,'2017-03-05 11:11:45','upload/result/result_399_1488687331.jpg','2017-03-05 11:15:27','2017-03-05 11:15:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1164,399,60,48627,0,'2017-03-05 11:15:21','upload/result/result_399_1488687546.jpg','2017-03-05 11:19:03','2017-03-05 11:19:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1165,378,60,49025,0,'2017-03-05 16:41:42','upload/result/result_378_1488707109.jpg','2017-03-05 16:45:06','2017-03-05 16:45:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1166,420,60,56191,0,'2017-03-05 17:19:02','upload/result/result_420_1488709299.jpg','2017-03-05 17:21:36','2017-03-05 17:21:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1167,420,60,49568,0,'2017-03-05 17:20:31','upload/result/result_420_1488709388.jpg','2017-03-05 17:23:05','2017-03-05 17:23:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1168,399,60,52525,0,'2017-03-05 17:32:22','upload/result/result_399_1488710167.jpg','2017-03-05 17:36:04','2017-03-05 17:36:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1169,399,60,52326,0,'2017-03-05 17:36:54','upload/result/result_399_1488710439.jpg','2017-03-05 17:40:35','2017-03-05 17:40:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1170,399,60,49216,0,'2017-03-05 17:39:27','upload/result/result_399_1488710585.jpg','2017-03-05 17:43:01','2017-03-05 17:43:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1171,399,60,51593,0,'2017-03-05 17:44:10','upload/result/result_399_1488710868.jpg','2017-03-05 17:47:45','2017-03-05 17:47:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1172,43,60,53833,0,'2017-03-05 18:07:13','upload/result/result_43_1488712191.jpg','2017-03-05 18:09:48','2017-03-05 18:09:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1173,43,60,70184,0,'2017-03-05 18:09:10','upload/result/result_43_1488712308.jpg','2017-03-05 18:11:45','2017-03-05 18:11:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1174,399,60,78890,0,'2017-03-05 18:33:11','upload/result/result_399_1488713808.jpg','2017-03-05 18:36:45','2017-03-05 18:36:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1175,465,60,53003,0,'2017-03-05 18:50:00','upload/result/result_465_1488714756.jpg','2017-03-05 18:52:33','2017-03-05 18:52:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1176,420,60,55860,0,'2017-03-05 19:57:32','upload/result/result_420_1488718812.jpg','2017-03-05 20:00:09','2017-03-05 20:00:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1177,420,60,55407,0,'2017-03-05 20:00:29','upload/result/result_420_1488718986.jpg','2017-03-05 20:03:03','2017-03-05 20:03:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1178,465,60,53121,0,'2017-03-05 20:09:12','upload/result/result_465_1488719508.jpg','2017-03-05 20:11:45','2017-03-05 20:11:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1179,465,60,68799,0,'2017-03-05 20:23:28','upload/result/result_465_1488720365.jpg','2017-03-05 20:26:02','2017-03-05 20:26:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1180,465,60,54947,0,'2017-03-05 20:33:51','upload/result/result_465_1488720989.jpg','2017-03-05 20:36:25','2017-03-05 20:36:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1181,465,60,93346,0,'2017-03-05 20:35:35','upload/result/result_465_1488721092.jpg','2017-03-05 20:38:08','2017-03-05 20:38:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1182,465,60,78822,0,'2017-03-05 20:47:37',NULL,'2017-03-05 20:50:12','2017-03-05 20:50:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1183,39,60,50359,0,'2017-03-05 21:01:58','upload/result/result_39_1488722677.jpg','2017-03-05 21:04:32','2017-03-05 21:04:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1184,39,60,48693,0,'2017-03-05 21:03:31','upload/result/result_39_1488722768.jpg','2017-03-05 21:06:04','2017-03-05 21:06:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1185,39,60,61528,0,'2017-03-05 21:05:42','upload/result/result_39_1488722899.jpg','2017-03-05 21:08:15','2017-03-05 21:08:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1186,39,60,48963,0,'2017-03-05 21:07:30','upload/result/result_39_1488723008.jpg','2017-03-05 21:10:04','2017-03-05 21:10:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1187,46,60,57201,0,'2017-03-05 21:29:00','upload/result/result_46_1488724299.jpg','2017-03-05 21:31:35','2017-03-05 21:31:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1188,46,60,76153,0,'2017-03-05 21:30:42','upload/result/result_46_1488724401.jpg','2017-03-05 21:33:15','2017-03-05 21:33:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1189,46,60,63508,0,'2017-03-05 21:36:36','upload/result/result_46_1488724754.jpg','2017-03-05 21:39:10','2017-03-05 21:39:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1190,465,60,49610,0,'2017-03-05 21:39:33','upload/result/result_465_1488724930.jpg','2017-03-05 21:42:07','2017-03-05 21:42:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1191,46,60,70871,0,'2017-03-05 21:41:00','upload/result/result_46_1488725019.jpg','2017-03-05 21:43:34','2017-03-05 21:43:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1192,46,60,65587,0,'2017-03-05 21:42:16','upload/result/result_46_1488725094.jpg','2017-03-05 21:44:50','2017-03-05 21:44:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1193,465,60,48810,0,'2017-03-05 21:43:36','upload/result/result_465_1488725173.jpg','2017-03-05 21:46:10','2017-03-05 21:46:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1194,46,60,64091,0,'2017-03-05 21:44:09','upload/result/result_46_1488725207.jpg','2017-03-05 21:46:43','2017-03-05 21:46:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1195,465,60,52531,0,'2017-03-05 21:48:29','upload/result/result_465_1488725466.jpg','2017-03-05 21:51:03','2017-03-05 21:51:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1196,46,60,80058,0,'2017-03-05 21:48:39','upload/result/result_46_1488725477.jpg','2017-03-05 21:51:14','2017-03-05 21:51:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1197,465,60,50325,0,'2017-03-05 21:50:38','upload/result/result_465_1488725594.jpg','2017-03-05 21:53:11','2017-03-05 21:53:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1198,46,60,71985,0,'2017-03-05 21:50:53','upload/result/result_46_1488725610.jpg','2017-03-05 21:53:27','2017-03-05 21:53:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1199,465,60,66874,0,'2017-03-05 21:51:53','upload/result/result_465_1488725669.jpg','2017-03-05 21:54:26','2017-03-05 21:54:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1200,465,60,51448,0,'2017-03-05 21:53:07','upload/result/result_465_1488725751.jpg','2017-03-05 21:55:41','2017-03-05 21:55:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1201,46,60,51219,0,'2017-03-05 21:53:38','upload/result/result_46_1488725775.jpg','2017-03-05 21:56:12','2017-03-05 21:56:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1202,46,60,78354,0,'2017-03-05 21:59:08','upload/result/result_46_1488726106.jpg','2017-03-05 22:01:42','2017-03-05 22:01:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1203,46,60,54449,0,'2017-03-05 22:01:57','upload/result/result_46_1488726276.jpg','2017-03-05 22:04:31','2017-03-05 22:04:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1204,46,60,82213,0,'2017-03-05 22:03:33','upload/result/result_46_1488726371.jpg','2017-03-05 22:06:07','2017-03-05 22:06:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1205,46,60,48868,0,'2017-03-05 22:04:49','upload/result/result_46_1488726446.jpg','2017-03-05 22:07:23','2017-03-05 22:07:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1206,46,60,51518,0,'2017-03-05 22:06:32','upload/result/result_46_1488726551.jpg','2017-03-05 22:09:05','2017-03-05 22:09:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1207,46,60,85755,0,'2017-03-05 22:07:47','upload/result/result_46_1488726624.jpg','2017-03-05 22:10:21','2017-03-05 22:10:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1208,46,60,71643,0,'2017-03-05 22:10:18','upload/result/result_46_1488726776.jpg','2017-03-05 22:12:52','2017-03-05 22:12:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1209,467,60,81454,0,'2017-03-05 22:11:11','upload/result/result_467_1488726828.jpg','2017-03-05 22:13:44','2017-03-05 22:13:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1210,465,60,66436,0,'2017-03-05 22:11:25','upload/result/result_465_1488726842.jpg','2017-03-05 22:13:59','2017-03-05 22:14:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1211,46,60,90779,0,'2017-03-05 22:11:33','upload/result/result_46_1488726853.jpg','2017-03-05 22:14:07','2017-03-05 22:14:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1212,46,60,48620,0,'2017-03-05 22:12:51','upload/result/result_46_1488726943.jpg','2017-03-05 22:15:40','2017-03-05 22:15:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1213,46,60,50970,0,'2017-03-05 22:17:33','upload/result/result_46_1488727212.jpg','2017-03-05 22:20:08','2017-03-05 22:20:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1214,364,60,102153,0,'2017-03-05 22:17:50','upload/result/result_364_1488727227.jpg','2017-03-05 22:20:23','2017-03-05 22:20:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1215,46,60,53585,0,'2017-03-05 22:19:55','upload/result/result_46_1488727352.jpg','2017-03-05 22:22:29','2017-03-05 22:22:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1216,46,60,105002,0,'2017-03-05 22:25:28','upload/result/result_46_1488727687.jpg','2017-03-05 22:28:02','2017-03-05 22:28:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1217,468,60,94313,0,'2017-03-05 22:27:03','upload/result/result_468_1488727779.jpg','2017-03-05 22:29:35','2017-03-05 22:29:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1218,46,60,50249,0,'2017-03-05 22:27:27','upload/result/result_46_1488727808.jpg','2017-03-05 22:30:00','2017-03-05 22:30:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1219,465,60,90275,0,'2017-03-05 22:31:25','upload/result/result_465_1488728042.jpg','2017-03-05 22:33:58','2017-03-05 22:34:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1220,399,60,49045,0,'2017-03-05 22:32:38','upload/result/result_399_1488728115.jpg','2017-03-05 22:35:12','2017-03-05 22:35:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1221,469,60,115014,0,'2017-03-05 22:34:29','upload/result/result_469_1488728227.jpg','2017-03-05 22:37:02','2017-03-05 22:37:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1222,46,60,64794,0,'2017-03-05 22:34:55','upload/result/result_46_1488728253.jpg','2017-03-05 22:37:29','2017-03-05 22:37:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1223,399,60,61312,0,'2017-03-05 22:36:18','upload/result/result_399_1488728385.jpg','2017-03-05 22:39:41','2017-03-05 22:39:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1224,399,60,58843,0,'2017-03-05 22:38:26','upload/result/result_399_1488728462.jpg','2017-03-05 22:40:59','2017-03-05 22:41:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1225,364,60,117462,0,'2017-03-05 22:40:53','upload/result/result_364_1488728610.jpg','2017-03-05 22:43:26','2017-03-05 22:43:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1226,399,60,88252,0,'2017-03-05 22:41:00','upload/result/result_399_1488728616.jpg','2017-03-05 22:43:33','2017-03-05 22:43:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1227,399,60,48100,0,'2017-03-05 22:42:29','upload/result/result_399_1488728707.jpg','2017-03-05 22:45:04','2017-03-05 22:45:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1228,423,60,53580,0,'2017-03-05 22:43:09','upload/result/result_423_1488728748.jpg','2017-03-05 22:45:45','2017-03-05 22:45:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1229,423,60,59262,0,'2017-03-05 22:44:29','upload/result/result_423_1488728826.jpg','2017-03-05 22:47:03','2017-03-05 22:47:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1230,465,60,73877,0,'2017-03-05 22:44:45',NULL,'2017-03-05 22:47:18','2017-03-05 22:47:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1231,43,60,47752,0,'2017-03-05 22:45:36','upload/result/result_43_1488728896.jpg','2017-03-05 22:48:11','2017-03-05 22:48:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1232,468,60,114904,0,'2017-03-05 22:45:43','upload/result/result_468_1488728901.jpg','2017-03-05 22:48:16','2017-03-05 22:48:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1233,43,60,50071,0,'2017-03-05 22:47:05','upload/result/result_43_1488728987.jpg','2017-03-05 22:49:41','2017-03-05 22:49:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1234,423,60,52111,0,'2017-03-05 22:47:15','upload/result/result_423_1488728993.jpg','2017-03-05 22:49:49','2017-03-05 22:49:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1235,423,60,88327,0,'2017-03-05 22:48:31','upload/result/result_423_1488729068.jpg','2017-03-05 22:51:05','2017-03-05 22:51:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1236,465,60,54336,0,'2017-03-05 22:57:52','upload/result/result_465_1488729630.jpg','2017-03-05 23:00:26','2017-03-05 23:00:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1237,471,60,115482,0,'2017-03-05 23:02:39','upload/result/result_471_1488729916.jpg','2017-03-05 23:05:12','2017-03-05 23:05:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1238,46,60,50131,0,'2017-03-05 23:03:57','upload/result/result_46_1488729995.jpg','2017-03-05 23:06:32','2017-03-05 23:06:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1239,46,60,50624,0,'2017-03-05 23:05:40','upload/result/result_46_1488730097.jpg','2017-03-05 23:08:13','2017-03-05 23:08:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1240,364,60,117467,0,'2017-03-05 23:11:29','upload/result/result_364_1488730449.jpg','2017-03-05 23:14:06','2017-03-05 23:14:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1241,465,60,52480,0,'2017-03-05 23:18:44','upload/result/result_465_1488730881.jpg','2017-03-05 23:21:18','2017-03-05 23:21:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1242,420,60,54313,0,'2017-03-05 23:47:08','upload/result/result_420_1488732631.jpg','2017-03-05 23:50:28','2017-03-05 23:50:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1243,399,60,73460,0,'2017-03-05 23:59:08','upload/result/result_399_1488733324.jpg','2017-03-06 00:01:59','2017-03-06 00:02:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1244,472,60,56290,0,'2017-03-06 00:49:18','upload/result/result_472_1488736138.jpg','2017-03-06 00:48:53','2017-03-06 00:48:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1245,472,60,53310,0,'2017-03-06 00:58:19','upload/result/result_472_1488736678.jpg','2017-03-06 00:57:54','2017-03-06 00:57:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1246,472,60,52889,0,'2017-03-06 01:00:04','upload/result/result_472_1488736784.jpg','2017-03-06 00:59:38','2017-03-06 00:59:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1247,399,60,80746,0,'2017-03-06 03:13:47','upload/result/result_399_1488744984.jpg','2017-03-06 03:16:21','2017-03-06 03:16:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1248,399,60,52132,0,'2017-03-06 03:24:32','upload/result/result_399_1488745697.jpg','2017-03-06 03:28:14','2017-03-06 03:28:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1249,399,60,50419,0,'2017-03-06 03:27:43','upload/result/result_399_1488745888.jpg','2017-03-06 03:31:25','2017-03-06 03:31:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1250,399,60,53210,0,'2017-03-06 03:30:13','upload/result/result_399_1488746038.jpg','2017-03-06 03:33:55','2017-03-06 03:33:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1251,399,60,82950,0,'2017-03-06 03:32:43','upload/result/result_399_1488746188.jpg','2017-03-06 03:36:25','2017-03-06 03:36:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1252,399,60,65409,0,'2017-03-06 03:36:48','upload/result/result_399_1488746434.jpg','2017-03-06 03:40:31','2017-03-06 03:40:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1253,399,60,73520,0,'2017-03-06 03:39:18','upload/result/result_399_1488746584.jpg','2017-03-06 03:43:00','2017-03-06 03:43:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1254,399,60,78918,0,'2017-03-06 03:50:00','upload/result/result_399_1488747215.jpg','2017-03-06 03:53:32','2017-03-06 03:53:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1255,399,60,94472,0,'2017-03-06 04:04:35','upload/result/result_399_1488748081.jpg','2017-03-06 04:07:58','2017-03-06 04:08:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1256,399,60,55529,0,'2017-03-06 04:08:52','upload/result/result_399_1488748283.jpg','2017-03-06 04:11:20','2017-03-06 04:11:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1257,399,60,64707,0,'2017-03-06 04:13:29','upload/result/result_399_1488748629.jpg','2017-03-06 04:17:06','2017-03-06 04:17:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1258,399,60,53775,0,'2017-03-06 08:52:19','upload/result/result_399_1488765349.jpg','2017-03-06 08:55:45','2017-03-06 08:55:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1259,45,60,58453,0,'2017-03-06 10:46:47','upload/result/result_45_1488772164.jpg','2017-03-06 10:49:21','2017-03-06 10:49:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1260,43,60,55205,0,'2017-03-06 10:48:46','upload/result/result_43_1488772283.jpg','2017-03-06 10:51:20','2017-03-06 10:51:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1261,46,60,58284,0,'2017-03-06 10:50:07','upload/result/result_46_1488772364.jpg','2017-03-06 10:52:42','2017-03-06 10:52:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1262,43,60,56887,0,'2017-03-06 10:50:28','upload/result/result_43_1488772385.jpg','2017-03-06 10:53:02','2017-03-06 10:53:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1263,45,60,62957,0,'2017-03-06 10:50:50','upload/result/result_45_1488772407.jpg','2017-03-06 10:53:24','2017-03-06 10:53:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1264,46,60,58417,0,'2017-03-06 10:51:23','upload/result/result_46_1488772442.jpg','2017-03-06 10:53:59','2017-03-06 10:54:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1265,46,60,81489,0,'2017-03-06 10:53:03','upload/result/result_46_1488772540.jpg','2017-03-06 10:55:37','2017-03-06 10:55:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1266,46,60,53177,0,'2017-03-06 10:55:53','upload/result/result_46_1488772711.jpg','2017-03-06 10:58:28','2017-03-06 10:58:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1267,45,60,52929,0,'2017-03-06 11:00:09','upload/result/result_45_1488772966.jpg','2017-03-06 11:02:43','2017-03-06 11:02:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1268,46,60,49816,0,'2017-03-06 11:00:23','upload/result/result_46_1488772980.jpg','2017-03-06 11:02:57','2017-03-06 11:03:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1269,46,60,54434,0,'2017-03-06 11:02:03','upload/result/result_46_1488773080.jpg','2017-03-06 11:04:37','2017-03-06 11:04:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1270,46,60,62669,0,'2017-03-06 11:05:14','upload/result/result_46_1488773272.jpg','2017-03-06 11:07:49','2017-03-06 11:07:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1271,45,60,48054,0,'2017-03-06 11:05:42','upload/result/result_45_1488773298.jpg','2017-03-06 11:08:15','2017-03-06 11:08:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1272,46,60,54262,0,'2017-03-06 11:06:33','upload/result/result_46_1488773351.jpg','2017-03-06 11:09:08','2017-03-06 11:09:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1273,449,60,48544,0,'2017-03-06 11:07:40','upload/result/result_449_1488773417.jpg','2017-03-06 11:10:13','2017-03-06 11:10:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1274,46,60,95600,0,'2017-03-06 11:10:16','upload/result/result_46_1488773573.jpg','2017-03-06 11:12:50','2017-03-06 11:12:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1275,46,60,75297,0,'2017-03-06 11:12:14','upload/result/result_46_1488773691.jpg','2017-03-06 11:14:48','2017-03-06 11:14:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1276,46,60,57145,0,'2017-03-06 11:15:06','upload/result/result_46_1488773863.jpg','2017-03-06 11:17:40','2017-03-06 11:17:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1277,46,60,53978,0,'2017-03-06 11:17:30','upload/result/result_46_1488774008.jpg','2017-03-06 11:20:05','2017-03-06 11:20:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1278,46,60,68162,0,'2017-03-06 11:31:01','upload/result/result_46_1488774818.jpg','2017-03-06 11:33:36','2017-03-06 11:33:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1279,46,60,59623,0,'2017-03-06 11:32:16','upload/result/result_46_1488774894.jpg','2017-03-06 11:34:51','2017-03-06 11:34:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1280,46,60,56011,0,'2017-03-06 11:34:31','upload/result/result_46_1488775028.jpg','2017-03-06 11:37:05','2017-03-06 11:37:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1281,476,60,44416,0,'2017-03-06 11:48:13','upload/result/result_476_1488775894.jpg','2017-03-06 11:50:46','2017-03-06 11:51:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1282,39,60,49569,0,'2017-03-06 12:06:35','upload/result/result_39_1488776953.jpg','2017-03-06 12:09:10','2017-03-06 12:09:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1283,46,60,75843,0,'2017-03-06 12:26:39','upload/result/result_46_1488778157.jpg','2017-03-06 12:29:14','2017-03-06 12:29:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1284,477,60,53593,0,'2017-03-06 13:27:37','upload/result/result_477_1488781817.jpg','2017-03-06 13:30:14','2017-03-06 13:30:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1285,477,60,87428,0,'2017-03-06 13:32:45','upload/result/result_477_1488782177.jpg','2017-03-06 13:36:14','2017-03-06 13:36:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1286,477,60,84555,0,'2017-03-06 13:38:33','upload/result/result_477_1488782564.jpg','2017-03-06 13:42:40','2017-03-06 13:42:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1287,46,60,67918,0,'2017-03-06 15:51:11','upload/result/result_46_1488790430.jpg','2017-03-06 15:53:47','2017-03-06 15:53:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1288,46,60,63213,0,'2017-03-06 16:01:25','upload/result/result_46_1488791043.jpg','2017-03-06 16:04:00','2017-03-06 16:04:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1289,46,60,54377,0,'2017-03-06 16:03:17','upload/result/result_46_1488791155.jpg','2017-03-06 16:05:52','2017-03-06 16:05:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1290,46,60,51023,0,'2017-03-06 16:05:03','upload/result/result_46_1488791261.jpg','2017-03-06 16:07:38','2017-03-06 16:07:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1291,31,60,47946,0,'2017-03-06 16:06:00','upload/result/result_31_1488791314.jpg','2017-03-06 16:08:30','2017-03-06 16:08:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1292,46,60,60352,0,'2017-03-06 16:06:19','upload/result/result_46_1488791337.jpg','2017-03-06 16:08:54','2017-03-06 16:08:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1293,46,60,55124,0,'2017-03-06 16:07:39','upload/result/result_46_1488791418.jpg','2017-03-06 16:10:15','2017-03-06 16:10:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1294,39,60,47971,0,'2017-03-06 16:09:26','upload/result/result_39_1488791525.jpg','2017-03-06 16:12:01','2017-03-06 16:12:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1295,39,60,48043,0,'2017-03-06 16:15:53','upload/result/result_39_1488791912.jpg','2017-03-06 16:18:28','2017-03-06 16:18:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1296,39,60,57607,0,'2017-03-06 16:18:05','upload/result/result_39_1488792043.jpg','2017-03-06 16:20:40','2017-03-06 16:20:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1297,399,60,51544,0,'2017-03-06 16:32:16','upload/result/result_399_1488792892.jpg','2017-03-06 16:34:48','2017-03-06 16:34:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1298,399,60,72675,0,'2017-03-06 17:08:18','upload/result/result_399_1488795055.jpg','2017-03-06 17:10:51','2017-03-06 17:10:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1299,399,60,72077,0,'2017-03-06 17:10:43','upload/result/result_399_1488795200.jpg','2017-03-06 17:13:15','2017-03-06 17:13:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1300,399,60,52838,0,'2017-03-06 17:22:15','upload/result/result_399_1488795892.jpg','2017-03-06 17:24:48','2017-03-06 17:24:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1301,399,60,53432,0,'2017-03-06 17:23:35','upload/result/result_399_1488795972.jpg','2017-03-06 17:26:08','2017-03-06 17:26:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1302,399,60,49124,0,'2017-03-06 17:25:17','upload/result/result_399_1488796075.jpg','2017-03-06 17:27:50','2017-03-06 17:27:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1303,399,60,51179,0,'2017-03-06 17:28:32','upload/result/result_399_1488796270.jpg','2017-03-06 17:31:05','2017-03-06 17:31:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1304,399,60,50407,0,'2017-03-06 17:33:43','upload/result/result_399_1488796582.jpg','2017-03-06 17:36:18','2017-03-06 17:36:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1305,399,60,49049,0,'2017-03-06 17:36:54','upload/result/result_399_1488796771.jpg','2017-03-06 17:39:27','2017-03-06 17:39:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1306,101,60,42727,0,'2017-03-06 17:45:30','upload/result/result_101_1488797068.jpg','2017-03-06 17:44:25','2017-03-06 17:44:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1307,101,60,45185,0,'2017-03-06 17:49:38','upload/result/result_101_1488797317.jpg','2017-03-06 17:48:34','2017-03-06 17:48:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1308,101,60,45662,0,'2017-03-06 17:54:21','upload/result/result_101_1488797599.jpg','2017-03-06 17:53:16','2017-03-06 17:53:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1309,37,60,53869,0,'2017-03-06 17:59:31','upload/result/result_37_1488797913.jpg','2017-03-06 17:58:26','2017-03-06 17:58:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1310,41,60,28080,0,'2017-03-06 18:01:05','upload/result/result_41_1488798029.jpg','2017-03-06 18:00:26','2017-03-06 18:00:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1311,37,60,48167,0,'2017-03-06 18:01:41','upload/result/result_37_1488798041.jpg','2017-03-06 18:00:37','2017-03-06 18:00:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1312,37,60,52692,0,'2017-03-06 18:02:58','upload/result/result_37_1488798117.jpg','2017-03-06 18:01:54','2017-03-06 18:01:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1313,101,60,44681,0,'2017-03-06 18:03:18','upload/result/result_101_1488798136.jpg','2017-03-06 18:02:13','2017-03-06 18:02:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1314,379,60,47281,0,'2017-03-06 18:04:17','upload/result/result_379_1488798199.jpg','2017-03-06 18:03:16','2017-03-06 18:03:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1315,101,60,51261,0,'2017-03-06 18:04:52','upload/result/result_101_1488798230.jpg','2017-03-06 18:03:47','2017-03-06 18:03:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1316,379,60,45514,0,'2017-03-06 18:12:17','upload/result/result_379_1488798675.jpg','2017-03-06 18:11:13','2017-03-06 18:11:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1317,37,60,47196,0,'2017-03-06 18:12:47','upload/result/result_37_1488798705.jpg','2017-03-06 18:11:43','2017-03-06 18:11:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1318,379,60,57818,0,'2017-03-06 18:14:00','upload/result/result_379_1488798778.jpg','2017-03-06 18:12:55','2017-03-06 18:12:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1319,379,60,49510,0,'2017-03-06 18:15:17','upload/result/result_379_1488798855.jpg','2017-03-06 18:14:13','2017-03-06 18:14:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1320,379,60,47223,0,'2017-03-06 18:16:33','upload/result/result_379_1488798931.jpg','2017-03-06 18:15:29','2017-03-06 18:15:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1321,483,60,44161,0,'2017-03-06 18:17:04','upload/result/result_483_1488798963.jpg','2017-03-06 18:16:00','2017-03-06 18:16:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1322,35,60,53219,0,'2017-03-06 18:19:57','upload/result/result_35_1488799136.jpg','2017-03-06 18:18:53','2017-03-06 18:18:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1323,37,60,48982,0,'2017-03-06 18:20:51','upload/result/result_37_1488799190.jpg','2017-03-06 18:19:47','2017-03-06 18:19:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1324,35,60,52667,0,'2017-03-06 18:21:47','upload/result/result_35_1488799245.jpg','2017-03-06 18:20:42','2017-03-06 18:20:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1325,37,60,53392,0,'2017-03-06 18:22:09','upload/result/result_37_1488799267.jpg','2017-03-06 18:21:04','2017-03-06 18:21:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1326,379,60,48894,0,'2017-03-06 18:22:20','upload/result/result_379_1488799284.jpg','2017-03-06 18:21:21','2017-03-06 18:21:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1327,37,60,47991,0,'2017-03-06 18:23:25','upload/result/result_37_1488799343.jpg','2017-03-06 18:22:21','2017-03-06 18:22:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1328,37,60,53481,0,'2017-03-06 18:25:18','upload/result/result_37_1488799457.jpg','2017-03-06 18:24:14','2017-03-06 18:24:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1329,484,60,43014,0,'2017-03-06 18:21:59','upload/result/result_484_1488799476.jpg','2017-03-06 18:24:32','2017-03-06 18:24:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1330,379,60,50787,0,'2017-03-06 18:25:52','upload/result/result_379_1488799490.jpg','2017-03-06 18:24:47','2017-03-06 18:24:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1331,465,60,55527,0,'2017-03-06 18:22:58','upload/result/result_465_1488799534.jpg','2017-03-06 18:25:31','2017-03-06 18:25:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1332,37,60,56575,0,'2017-03-06 18:27:17','upload/result/result_37_1488799576.jpg','2017-03-06 18:26:13','2017-03-06 18:26:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1333,465,60,74478,0,'2017-03-06 18:24:13','upload/result/result_465_1488799610.jpg','2017-03-06 18:26:46','2017-03-06 18:26:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1334,465,60,69106,0,'2017-03-06 18:25:28','upload/result/result_465_1488799685.jpg','2017-03-06 18:28:01','2017-03-06 18:28:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1335,37,60,54123,0,'2017-03-06 18:29:15','upload/result/result_37_1488799694.jpg','2017-03-06 18:28:11','2017-03-06 18:28:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1336,484,60,44065,0,'2017-03-06 18:25:48','upload/result/result_484_1488799706.jpg','2017-03-06 18:28:22','2017-03-06 18:28:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1337,465,60,79056,0,'2017-03-06 18:27:05','upload/result/result_465_1488799781.jpg','2017-03-06 18:29:38','2017-03-06 18:29:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1338,35,60,48740,0,'2017-03-06 18:31:29','upload/result/result_35_1488799833.jpg','2017-03-06 18:30:25','2017-03-06 18:30:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1339,37,60,50404,0,'2017-03-06 18:31:59','upload/result/result_37_1488799858.jpg','2017-03-06 18:30:55','2017-03-06 18:30:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1340,35,60,50417,0,'2017-03-06 18:32:45','upload/result/result_35_1488799903.jpg','2017-03-06 18:31:40','2017-03-06 18:31:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1341,379,60,52818,0,'2017-03-06 18:33:39','upload/result/result_379_1488799958.jpg','2017-03-06 18:32:35','2017-03-06 18:32:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1342,465,60,76402,0,'2017-03-06 18:34:38','upload/result/result_465_1488800234.jpg','2017-03-06 18:37:11','2017-03-06 18:37:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1343,37,60,54491,0,'2017-03-06 18:40:06','upload/result/result_37_1488800347.jpg','2017-03-06 18:39:02','2017-03-06 18:39:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1344,465,60,53203,0,'2017-03-06 18:39:16','upload/result/result_465_1488800513.jpg','2017-03-06 18:41:50','2017-03-06 18:41:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1345,465,60,57263,0,'2017-03-06 18:40:50','upload/result/result_465_1488800607.jpg','2017-03-06 18:43:24','2017-03-06 18:43:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1346,465,60,81617,0,'2017-03-06 18:44:25','upload/result/result_465_1488800821.jpg','2017-03-06 18:46:58','2017-03-06 18:47:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1347,465,60,72623,0,'2017-03-06 19:38:09','upload/result/result_465_1488804045.jpg','2017-03-06 19:40:42','2017-03-06 19:40:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1348,465,60,55019,0,'2017-03-06 19:57:48','upload/result/result_465_1488805270.jpg','2017-03-06 20:01:07','2017-03-06 20:01:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1349,465,60,52638,0,'2017-03-06 20:01:42','upload/result/result_465_1488805460.jpg','2017-03-06 20:04:16','2017-03-06 20:04:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1350,465,60,84497,0,'2017-03-06 20:04:13','upload/result/result_465_1488805610.jpg','2017-03-06 20:06:46','2017-03-06 20:06:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1351,465,60,104572,0,'2017-03-06 20:10:48','upload/result/result_465_1488806005.jpg','2017-03-06 20:13:22','2017-03-06 20:13:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1352,465,60,81959,0,'2017-03-06 20:26:50','upload/result/result_465_1488806966.jpg','2017-03-06 20:29:23','2017-03-06 20:29:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1353,465,60,77522,0,'2017-03-06 20:44:41','upload/result/result_465_1488808044.jpg','2017-03-06 20:47:20','2017-03-06 20:47:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1354,465,60,83681,0,'2017-03-06 20:49:53','upload/result/result_465_1488808350.jpg','2017-03-06 20:52:26','2017-03-06 20:52:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1355,39,60,52530,0,'2017-03-06 21:01:22','upload/result/result_39_1488809043.jpg','2017-03-06 21:03:57','2017-03-06 21:04:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1356,39,60,48277,0,'2017-03-06 21:02:51','upload/result/result_39_1488809130.jpg','2017-03-06 21:05:25','2017-03-06 21:05:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1357,39,60,49840,0,'2017-03-06 21:06:13','upload/result/result_39_1488809332.jpg','2017-03-06 21:08:48','2017-03-06 21:08:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1358,39,60,49822,0,'2017-03-06 21:09:57','upload/result/result_39_1488809557.jpg','2017-03-06 21:12:32','2017-03-06 21:12:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1359,39,60,49927,0,'2017-03-06 21:11:14','upload/result/result_39_1488809634.jpg','2017-03-06 21:13:49','2017-03-06 21:13:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1360,39,60,60132,0,'2017-03-06 21:12:49','upload/result/result_39_1488809728.jpg','2017-03-06 21:15:24','2017-03-06 21:15:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1361,39,60,47162,0,'2017-03-06 21:15:47','upload/result/result_39_1488809907.jpg','2017-03-06 21:18:22','2017-03-06 21:18:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1362,39,60,47488,0,'2017-03-06 21:17:03','upload/result/result_39_1488809986.jpg','2017-03-06 21:19:39','2017-03-06 21:19:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1363,39,60,49554,0,'2017-03-06 21:42:40','upload/result/result_39_1488811535.jpg','2017-03-06 21:45:15','2017-03-06 21:45:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1364,465,60,51606,0,'2017-03-06 21:47:30','upload/result/result_465_1488811809.jpg','2017-03-06 21:50:06','2017-03-06 21:50:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1365,465,60,54722,0,'2017-03-06 21:48:57','upload/result/result_465_1488811894.jpg','2017-03-06 21:51:30','2017-03-06 21:51:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1366,39,60,54906,0,'2017-03-06 21:49:16','upload/result/result_39_1488811912.jpg','2017-03-06 21:51:48','2017-03-06 21:51:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1367,465,60,51896,0,'2017-03-06 21:51:25','upload/result/result_465_1488812043.jpg','2017-03-06 21:53:58','2017-03-06 21:54:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1368,465,60,47963,0,'2017-03-06 21:52:40','upload/result/result_465_1488812116.jpg','2017-03-06 21:55:13','2017-03-06 21:55:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1370,485,60,46352,0,'2017-03-06 22:00:10','upload/result/result_485_1488812566.jpg','2017-03-06 22:02:42','2017-03-06 22:02:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1371,465,60,51984,0,'2017-03-06 22:01:27','upload/result/result_465_1488812643.jpg','2017-03-06 22:04:00','2017-03-06 22:04:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1372,485,60,45095,0,'2017-03-06 22:03:22','upload/result/result_485_1488812758.jpg','2017-03-06 22:05:54','2017-03-06 22:05:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1373,485,60,55696,0,'2017-03-06 22:07:27','upload/result/result_485_1488813003.jpg','2017-03-06 22:09:59','2017-03-06 22:10:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1374,485,60,51184,0,'2017-03-06 22:08:50','upload/result/result_485_1488813086.jpg','2017-03-06 22:11:21','2017-03-06 22:11:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1375,465,60,50724,0,'2017-03-06 22:11:32','upload/result/result_465_1488813250.jpg','2017-03-06 22:14:07','2017-03-06 22:14:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1376,485,60,55085,0,'2017-03-06 22:15:22','upload/result/result_485_1488813478.jpg','2017-03-06 22:17:54','2017-03-06 22:17:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1377,46,60,48380,0,'2017-03-06 22:18:41','upload/result/result_46_1488813680.jpg','2017-03-06 22:21:16','2017-03-06 22:21:20');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1378,46,60,50305,0,'2017-03-06 22:19:57','upload/result/result_46_1488813756.jpg','2017-03-06 22:22:33','2017-03-06 22:22:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1379,46,60,61148,0,'2017-03-06 22:21:13','upload/result/result_46_1488813832.jpg','2017-03-06 22:23:48','2017-03-06 22:23:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1380,46,60,49920,0,'2017-03-06 22:22:29','upload/result/result_46_1488813908.jpg','2017-03-06 22:25:04','2017-03-06 22:25:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1381,465,60,94516,0,'2017-03-06 22:24:11','upload/result/result_465_1488814008.jpg','2017-03-06 22:26:45','2017-03-06 22:26:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1382,46,60,64233,0,'2017-03-06 22:28:16','upload/result/result_46_1488814254.jpg','2017-03-06 22:30:51','2017-03-06 22:30:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1383,46,60,53153,0,'2017-03-06 22:29:33','upload/result/result_46_1488814331.jpg','2017-03-06 22:32:08','2017-03-06 22:32:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1384,465,60,101270,0,'2017-03-06 22:32:23','upload/result/result_465_1488814503.jpg','2017-03-06 22:35:00','2017-03-06 22:35:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1385,46,60,63892,0,'2017-03-06 22:33:03','upload/result/result_46_1488814541.jpg','2017-03-06 22:35:38','2017-03-06 22:35:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1386,46,60,73187,0,'2017-03-06 22:35:18','upload/result/result_46_1488814677.jpg','2017-03-06 22:37:54','2017-03-06 22:37:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1387,13,60,47366,0,'2017-03-06 22:38:31','upload/result/result_13_1488814868.jpg','2017-03-06 22:41:04','2017-03-06 22:41:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1388,420,60,52432,0,'2017-03-06 22:39:41','upload/result/result_420_1488814939.jpg','2017-03-06 22:42:16','2017-03-06 22:42:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1389,13,60,52359,0,'2017-03-06 22:41:27','upload/result/result_13_1488815044.jpg','2017-03-06 22:43:59','2017-03-06 22:44:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1390,423,60,60224,0,'2017-03-06 22:44:54','upload/result/result_423_1488815253.jpg','2017-03-06 22:47:29','2017-03-06 22:47:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1391,420,60,52144,0,'2017-03-06 22:45:27','upload/result/result_420_1488815284.jpg','2017-03-06 22:48:01','2017-03-06 22:48:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1392,420,60,47339,0,'2017-03-06 22:48:23','upload/result/result_420_1488815460.jpg','2017-03-06 22:50:57','2017-03-06 22:51:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1393,423,60,53702,0,'2017-03-06 22:49:34','upload/result/result_423_1488815532.jpg','2017-03-06 22:52:09','2017-03-06 22:52:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1394,423,60,81750,0,'2017-03-06 22:55:31','upload/result/result_423_1488815890.jpg','2017-03-06 22:58:06','2017-03-06 22:58:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1395,423,60,59956,0,'2017-03-06 22:59:46','upload/result/result_423_1488816145.jpg','2017-03-06 23:02:21','2017-03-06 23:02:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1396,423,60,102906,0,'2017-03-06 23:01:02','upload/result/result_423_1488816220.jpg','2017-03-06 23:03:37','2017-03-06 23:03:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1397,486,60,43078,0,'2017-03-06 23:03:16','upload/result/result_486_1488816354.jpg','2017-03-06 23:05:50','2017-03-06 23:05:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1398,46,60,64393,0,'2017-03-06 23:04:46','upload/result/result_46_1488816444.jpg','2017-03-06 23:07:21','2017-03-06 23:07:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1399,46,60,87934,0,'2017-03-06 23:10:16','upload/result/result_46_1488816774.jpg','2017-03-06 23:12:51','2017-03-06 23:12:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1400,46,60,60389,0,'2017-03-06 23:11:32','upload/result/result_46_1488816868.jpg','2017-03-06 23:14:15','2017-03-06 23:14:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1401,46,60,45787,0,'2017-03-06 23:12:48','upload/result/result_46_1488816928.jpg','2017-03-06 23:15:25','2017-03-06 23:15:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1402,46,60,64818,0,'2017-03-06 23:14:54','upload/result/result_46_1488817053.jpg','2017-03-06 23:17:29','2017-03-06 23:17:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1403,46,60,72216,0,'2017-03-06 23:19:19','upload/result/result_46_1488817317.jpg','2017-03-06 23:21:54','2017-03-06 23:21:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1404,46,60,54492,0,'2017-03-06 23:20:35','upload/result/result_46_1488817393.jpg','2017-03-06 23:23:10','2017-03-06 23:23:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1405,46,60,47856,0,'2017-03-06 23:25:09','upload/result/result_46_1488817667.jpg','2017-03-06 23:27:44','2017-03-06 23:27:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1406,46,60,80004,0,'2017-03-06 23:26:28','upload/result/result_46_1488817746.jpg','2017-03-06 23:29:03','2017-03-06 23:29:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1407,364,60,44586,0,'2017-03-06 23:28:13','upload/result/result_364_1488817849.jpg','2017-03-06 23:30:45','2017-03-06 23:30:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1408,486,60,110462,0,'2017-03-06 23:32:08','upload/result/result_486_1488818087.jpg','2017-03-06 23:34:42','2017-03-06 23:34:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1409,364,60,118135,0,'2017-03-06 23:36:39','upload/result/result_364_1488818356.jpg','2017-03-06 23:39:12','2017-03-06 23:39:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1410,46,60,50344,0,'2017-03-06 23:37:54','upload/result/result_46_1488818433.jpg','2017-03-06 23:40:30','2017-03-06 23:40:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1411,46,60,56069,0,'2017-03-06 23:40:01','upload/result/result_46_1488818559.jpg','2017-03-06 23:42:36','2017-03-06 23:42:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1412,468,60,108427,0,'2017-03-06 23:40:46','upload/result/result_468_1488818604.jpg','2017-03-06 23:43:20','2017-03-06 23:43:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1413,46,60,58486,0,'2017-03-06 23:41:17','upload/result/result_46_1488818635.jpg','2017-03-06 23:43:52','2017-03-06 23:43:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1414,39,60,115486,0,'2017-03-06 23:44:10','upload/result/result_39_1488818819.jpg','2017-03-06 23:46:44','2017-03-06 23:46:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1415,46,60,80141,0,'2017-03-06 23:47:53','upload/result/result_46_1488819032.jpg','2017-03-06 23:50:28','2017-03-06 23:50:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1416,487,60,115243,0,'2017-03-06 23:54:07','upload/result/result_487_1488819404.jpg','2017-03-06 23:56:41','2017-03-06 23:56:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1417,469,60,109486,0,'2017-03-06 23:57:12','upload/result/result_469_1488819590.jpg','2017-03-06 23:59:46','2017-03-06 23:59:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1418,46,60,89240,0,'2017-03-06 23:59:43','upload/result/result_46_1488819743.jpg','2017-03-07 00:02:19','2017-03-07 00:02:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1419,488,60,48496,0,'2017-03-07 00:03:09','upload/result/result_488_1488819946.jpg','2017-03-07 00:05:42','2017-03-07 00:05:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1420,477,60,51285,0,'2017-03-07 03:28:56','upload/result/result_477_1488832295.jpg','2017-03-07 03:31:30','2017-03-07 03:31:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1421,477,60,63777,0,'2017-03-07 03:33:58','upload/result/result_477_1488832597.jpg','2017-03-07 03:36:33','2017-03-07 03:36:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1422,37,60,57946,0,'2017-03-07 08:07:57','upload/result/result_37_1488848814.jpg','2017-03-07 08:06:52','2017-03-07 08:06:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1423,37,60,48201,0,'2017-03-07 08:09:32','upload/result/result_37_1488848910.jpg','2017-03-07 08:08:27','2017-03-07 08:08:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1424,37,60,50569,0,'2017-03-07 08:11:51','upload/result/result_37_1488849049.jpg','2017-03-07 08:10:46','2017-03-07 08:10:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1425,37,60,74311,0,'2017-03-07 08:13:09','upload/result/result_37_1488849127.jpg','2017-03-07 08:12:04','2017-03-07 08:12:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1426,37,60,82533,0,'2017-03-07 08:19:02','upload/result/result_37_1488849479.jpg','2017-03-07 08:17:56','2017-03-07 08:17:59');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1427,37,60,54521,0,'2017-03-07 08:23:18','upload/result/result_37_1488849735.jpg','2017-03-07 08:22:12','2017-03-07 08:22:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1428,37,60,53044,0,'2017-03-07 08:24:35','upload/result/result_37_1488849813.jpg','2017-03-07 08:23:30','2017-03-07 08:23:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1429,37,60,49455,0,'2017-03-07 08:25:52','upload/result/result_37_1488849889.jpg','2017-03-07 08:24:46','2017-03-07 08:24:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1430,46,60,46945,0,'2017-03-07 08:22:16','upload/result/result_46_1488849895.jpg','2017-03-07 08:24:52','2017-03-07 08:24:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1431,37,60,49942,0,'2017-03-07 08:27:08','upload/result/result_37_1488849965.jpg','2017-03-07 08:26:03','2017-03-07 08:26:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1432,37,60,62933,0,'2017-03-07 08:28:27','upload/result/result_37_1488850044.jpg','2017-03-07 08:27:21','2017-03-07 08:27:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1433,46,60,58473,0,'2017-03-07 08:25:23','upload/result/result_46_1488850081.jpg','2017-03-07 08:27:58','2017-03-07 08:28:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1434,37,60,73796,0,'2017-03-07 08:30:38','upload/result/result_37_1488850175.jpg','2017-03-07 08:29:32','2017-03-07 08:29:35');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1435,46,60,48328,0,'2017-03-07 08:27:09','upload/result/result_46_1488850187.jpg','2017-03-07 08:29:44','2017-03-07 08:29:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1436,31,60,75873,0,'2017-03-07 08:27:45','upload/result/result_31_1488850216.jpg','2017-03-07 08:30:13','2017-03-07 08:30:16');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1437,37,60,51699,0,'2017-03-07 08:32:16','upload/result/result_37_1488850273.jpg','2017-03-07 08:31:10','2017-03-07 08:31:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1438,46,60,70020,0,'2017-03-07 08:30:10','upload/result/result_46_1488850369.jpg','2017-03-07 08:32:45','2017-03-07 08:32:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1439,37,60,49718,0,'2017-03-07 08:34:40','upload/result/result_37_1488850417.jpg','2017-03-07 08:33:34','2017-03-07 08:33:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1440,46,60,89200,0,'2017-03-07 08:31:28','upload/result/result_46_1488850446.jpg','2017-03-07 08:34:04','2017-03-07 08:34:07');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1441,37,60,46583,0,'2017-03-07 08:35:57','upload/result/result_37_1488850495.jpg','2017-03-07 08:34:52','2017-03-07 08:34:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1442,37,60,58616,0,'2017-03-07 08:38:12','upload/result/result_37_1488850630.jpg','2017-03-07 08:37:07','2017-03-07 08:37:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1443,31,60,48867,0,'2017-03-07 08:41:38','upload/result/result_31_1488851049.jpg','2017-03-07 08:44:06','2017-03-07 08:44:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1444,37,60,57678,0,'2017-03-07 08:49:42','upload/result/result_37_1488851319.jpg','2017-03-07 08:48:36','2017-03-07 08:48:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1445,31,60,58502,0,'2017-03-07 08:48:36','upload/result/result_31_1488851467.jpg','2017-03-07 08:51:05','2017-03-07 08:51:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1446,37,60,56639,0,'2017-03-07 10:12:40','upload/result/result_37_1488856297.jpg','2017-03-07 10:11:34','2017-03-07 10:11:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1447,37,60,84628,0,'2017-03-07 10:13:58','upload/result/result_37_1488856375.jpg','2017-03-07 10:12:52','2017-03-07 10:12:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1448,37,60,47963,0,'2017-03-07 10:15:32','upload/result/result_37_1488856469.jpg','2017-03-07 10:14:26','2017-03-07 10:14:29');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1449,37,60,75430,0,'2017-03-07 10:17:28','upload/result/result_37_1488856585.jpg','2017-03-07 10:16:23','2017-03-07 10:16:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1450,37,60,49981,0,'2017-03-07 10:18:45','upload/result/result_37_1488856662.jpg','2017-03-07 10:17:39','2017-03-07 10:17:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1451,37,60,50855,0,'2017-03-07 10:20:01','upload/result/result_37_1488856738.jpg','2017-03-07 10:18:55','2017-03-07 10:18:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1452,37,60,51501,0,'2017-03-07 10:21:16','upload/result/result_37_1488856814.jpg','2017-03-07 10:20:11','2017-03-07 10:20:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1453,37,60,48265,0,'2017-03-07 10:23:45','upload/result/result_37_1488856962.jpg','2017-03-07 10:22:39','2017-03-07 10:22:42');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1454,37,60,57344,0,'2017-03-07 10:26:29','upload/result/result_37_1488857126.jpg','2017-03-07 10:25:24','2017-03-07 10:25:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1455,37,60,57101,0,'2017-03-07 10:28:36','upload/result/result_37_1488857253.jpg','2017-03-07 10:27:30','2017-03-07 10:27:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1456,214,60,46282,0,'2017-03-07 11:47:03','upload/result/result_214_1488862179.jpg','2017-03-07 11:49:36','2017-03-07 11:49:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1457,475,60,46819,0,'2017-03-07 12:11:48','upload/result/result_475_1488863674.jpg','2017-03-07 12:14:22','2017-03-07 12:14:34');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1458,475,60,48484,0,'2017-03-07 12:17:47','upload/result/result_475_1488864032.jpg','2017-03-07 12:20:21','2017-03-07 12:20:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1459,43,60,50773,0,'2017-03-07 12:39:25','upload/result/result_43_1488865322.jpg','2017-03-07 12:41:59','2017-03-07 12:42:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1460,477,60,67914,0,'2017-03-07 13:16:32','upload/result/result_477_1488867549.jpg','2017-03-07 13:19:04','2017-03-07 13:19:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1461,496,60,44438,0,'2017-03-07 14:03:23','upload/result/result_496_1488870360.jpg','2017-03-07 14:05:57','2017-03-07 14:06:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1462,496,60,47343,0,'2017-03-07 14:10:51','upload/result/result_496_1488870808.jpg','2017-03-07 14:13:25','2017-03-07 14:13:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1463,496,60,46010,0,'2017-03-07 14:13:40','upload/result/result_496_1488870977.jpg','2017-03-07 14:16:15','2017-03-07 14:16:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1464,496,60,46665,0,'2017-03-07 14:31:06','upload/result/result_496_1488872023.jpg','2017-03-07 14:33:40','2017-03-07 14:33:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1465,496,60,45508,0,'2017-03-07 14:33:10','upload/result/result_496_1488872147.jpg','2017-03-07 14:35:44','2017-03-07 14:35:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1466,364,60,116394,0,'2017-03-07 15:07:13','upload/result/result_364_1488874189.jpg','2017-03-07 15:09:45','2017-03-07 15:09:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1467,496,60,54535,0,'2017-03-07 15:18:58','upload/result/result_496_1488874893.jpg','2017-03-07 15:21:31','2017-03-07 15:21:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1468,496,60,49715,0,'2017-03-07 15:24:19','upload/result/result_496_1488875215.jpg','2017-03-07 15:26:52','2017-03-07 15:26:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1469,496,60,47468,0,'2017-03-07 15:28:42','upload/result/result_496_1488875478.jpg','2017-03-07 15:31:15','2017-03-07 15:31:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1470,488,60,45143,0,'2017-03-07 15:48:54','upload/result/result_488_1488876693.jpg','2017-03-07 15:51:28','2017-03-07 15:51:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1471,488,60,52650,0,'2017-03-07 15:51:11','upload/result/result_488_1488876829.jpg','2017-03-07 15:53:45','2017-03-07 15:53:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1472,488,60,117451,0,'2017-03-07 15:56:45','upload/result/result_488_1488877162.jpg','2017-03-07 15:59:18','2017-03-07 15:59:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1473,46,60,52398,0,'2017-03-07 16:00:06','upload/result/result_46_1488877366.jpg','2017-03-07 16:02:43','2017-03-07 16:02:47');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1474,46,60,50873,0,'2017-03-07 16:01:23','upload/result/result_46_1488877443.jpg','2017-03-07 16:04:00','2017-03-07 16:04:03');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1475,46,60,54598,0,'2017-03-07 16:02:44','upload/result/result_46_1488877523.jpg','2017-03-07 16:05:20','2017-03-07 16:05:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1476,487,60,117776,0,'2017-03-07 16:03:50','upload/result/result_487_1488877587.jpg','2017-03-07 16:06:23','2017-03-07 16:06:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1477,45,60,56307,0,'2017-03-07 16:06:28','upload/result/result_45_1488877745.jpg','2017-03-07 16:09:01','2017-03-07 16:09:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1478,46,60,49155,0,'2017-03-07 16:06:42','upload/result/result_46_1488877762.jpg','2017-03-07 16:09:19','2017-03-07 16:09:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1479,39,60,112904,0,'2017-03-07 16:07:39','upload/result/result_39_1488877814.jpg','2017-03-07 16:10:11','2017-03-07 16:10:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1480,46,60,66950,0,'2017-03-07 16:07:59','upload/result/result_46_1488877838.jpg','2017-03-07 16:10:36','2017-03-07 16:10:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1481,46,60,61933,0,'2017-03-07 16:09:29','upload/result/result_46_1488877928.jpg','2017-03-07 16:12:05','2017-03-07 16:12:08');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1482,46,60,80517,0,'2017-03-07 16:10:44','upload/result/result_46_1488878003.jpg','2017-03-07 16:13:20','2017-03-07 16:13:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1483,468,60,107161,0,'2017-03-07 16:11:36','upload/result/result_468_1488878053.jpg','2017-03-07 16:14:09','2017-03-07 16:14:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1484,45,60,64468,0,'2017-03-07 16:12:54','upload/result/result_45_1488878130.jpg','2017-03-07 16:15:27','2017-03-07 16:15:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1485,46,60,85048,0,'2017-03-07 16:15:41','upload/result/result_46_1488878301.jpg','2017-03-07 16:18:18','2017-03-07 16:18:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1486,46,60,71922,0,'2017-03-07 16:16:58','upload/result/result_46_1488878377.jpg','2017-03-07 16:19:34','2017-03-07 16:19:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1487,45,60,55139,0,'2017-03-07 16:17:10',NULL,'2017-03-07 16:19:43','2017-03-07 16:19:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1488,499,60,113817,0,'2017-03-07 16:17:59','upload/result/result_499_1488878441.jpg','2017-03-07 16:20:37','2017-03-07 16:20:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1489,46,60,52490,0,'2017-03-07 16:19:00','upload/result/result_46_1488878500.jpg','2017-03-07 16:21:37','2017-03-07 16:21:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1490,475,60,47699,0,'2017-03-07 16:20:58','upload/result/result_475_1488878620.jpg','2017-03-07 16:23:32','2017-03-07 16:23:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1491,46,60,53149,0,'2017-03-07 16:21:07','upload/result/result_46_1488878626.jpg','2017-03-07 16:23:43','2017-03-07 16:23:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1492,45,60,50471,0,'2017-03-07 16:21:55',NULL,'2017-03-07 16:24:28','2017-03-07 16:24:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1493,475,60,48659,0,'2017-03-07 16:29:27','upload/result/result_475_1488879132.jpg','2017-03-07 16:32:01','2017-03-07 16:32:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1494,475,60,45791,0,'2017-03-07 16:31:09','upload/result/result_475_1488879232.jpg','2017-03-07 16:33:43','2017-03-07 16:33:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1495,486,60,110149,0,'2017-03-07 16:31:36','upload/result/result_486_1488879253.jpg','2017-03-07 16:34:09','2017-03-07 16:34:14');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1496,475,60,47903,0,'2017-03-07 16:33:56','upload/result/result_475_1488879400.jpg','2017-03-07 16:36:30','2017-03-07 16:36:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1497,469,60,105972,0,'2017-03-07 16:34:30','upload/result/result_469_1488879431.jpg','2017-03-07 16:37:06','2017-03-07 16:37:11');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1498,31,60,56312,0,'2017-03-07 18:13:35','upload/result/result_31_1488885372.jpg','2017-03-07 18:16:08','2017-03-07 18:16:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1499,31,60,51631,0,'2017-03-07 18:21:08','upload/result/result_31_1488885824.jpg','2017-03-07 18:23:41','2017-03-07 18:23:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1500,31,60,60475,0,'2017-03-07 18:28:12','upload/result/result_31_1488886248.jpg','2017-03-07 18:30:45','2017-03-07 18:30:49');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1501,31,60,86225,0,'2017-03-07 18:30:24','upload/result/result_31_1488886380.jpg','2017-03-07 18:32:57','2017-03-07 18:33:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1502,31,60,67142,0,'2017-03-07 18:51:26','upload/result/result_31_1488887657.jpg','2017-03-07 18:54:14','2017-03-07 18:54:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1503,31,60,82442,0,'2017-03-07 19:54:42','upload/result/result_31_1488891451.jpg','2017-03-07 19:57:28','2017-03-07 19:57:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1504,31,60,56209,0,'2017-03-07 20:15:04','upload/result/result_31_1488892661.jpg','2017-03-07 20:17:37','2017-03-07 20:17:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1505,31,60,48635,0,'2017-03-07 20:19:27','upload/result/result_31_1488892924.jpg','2017-03-07 20:22:00','2017-03-07 20:22:04');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1506,31,60,52604,0,'2017-03-07 20:46:45','upload/result/result_31_1488894561.jpg','2017-03-07 20:49:18','2017-03-07 20:49:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1507,39,60,50917,0,'2017-03-07 20:46:47','upload/result/result_39_1488894562.jpg','2017-03-07 20:49:18','2017-03-07 20:49:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1508,31,60,84087,0,'2017-03-07 20:47:59','upload/result/result_31_1488894636.jpg','2017-03-07 20:50:32','2017-03-07 20:50:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1509,502,60,44773,0,'2017-03-07 20:50:50','upload/result/result_502_1488894805.jpg','2017-03-07 20:53:20','2017-03-07 20:53:25');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1510,31,60,73475,0,'2017-03-07 20:56:44','upload/result/result_31_1488895160.jpg','2017-03-07 20:59:17','2017-03-07 20:59:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1511,502,60,90124,0,'2017-03-07 20:58:30',NULL,'2017-03-07 20:59:54','2017-03-07 20:59:54');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1512,31,60,53526,0,'2017-03-07 20:59:26','upload/result/result_31_1488895330.jpg','2017-03-07 21:02:07','2017-03-07 21:02:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1513,502,60,109354,0,'2017-03-07 21:04:45',NULL,'2017-03-07 21:06:09','2017-03-07 21:06:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1515,31,60,110774,0,'2017-03-07 21:41:04','upload/result/result_31_1488897820.jpg','2017-03-07 21:43:37','2017-03-07 21:43:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1516,465,60,102180,0,'2017-03-07 21:45:12','upload/result/result_465_1488898068.jpg','2017-03-07 21:47:45','2017-03-07 21:47:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1517,465,60,96550,0,'2017-03-07 21:52:36','upload/result/result_465_1488898513.jpg','2017-03-07 21:55:10','2017-03-07 21:55:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1518,465,60,103186,0,'2017-03-07 21:53:52','upload/result/result_465_1488898588.jpg','2017-03-07 21:56:25','2017-03-07 21:56:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1519,477,60,68419,0,'2017-03-07 22:02:18','upload/result/result_477_1488899092.jpg','2017-03-07 22:04:49','2017-03-07 22:04:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1520,502,60,113972,0,'2017-03-07 22:09:20',NULL,'2017-03-07 22:10:46','2017-03-07 22:10:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1521,503,60,73833,0,'2017-03-07 22:20:49','upload/result/result_503_1488900206.jpg','2017-03-07 22:23:22','2017-03-07 22:23:26');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1522,504,60,118093,0,'2017-03-07 22:24:44','upload/result/result_504_1488900441.jpg','2017-03-07 22:27:17','2017-03-07 22:27:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1523,364,60,125469,0,'2017-03-07 22:28:09','upload/result/result_364_1488900646.jpg','2017-03-07 22:30:42','2017-03-07 22:30:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1524,505,60,115343,0,'2017-03-07 22:33:38','upload/result/result_505_1488900977.jpg','2017-03-07 22:36:12','2017-03-07 22:36:17');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1525,503,60,48807,0,'2017-03-07 22:36:50','upload/result/result_503_1488901167.jpg','2017-03-07 22:39:23','2017-03-07 22:39:27');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1526,506,60,114768,0,'2017-03-07 22:39:53','upload/result/result_506_1488901349.jpg','2017-03-07 22:42:25','2017-03-07 22:42:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1527,458,60,112649,0,'2017-03-07 22:43:02','upload/result/result_458_1488901539.jpg','2017-03-07 22:45:34','2017-03-07 22:45:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1528,503,60,85315,0,'2017-03-07 22:43:42','upload/result/result_503_1488901578.jpg','2017-03-07 22:46:14','2017-03-07 22:46:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1529,46,60,50064,0,'2017-03-07 22:53:29','upload/result/result_46_1488902170.jpg','2017-03-07 22:56:05','2017-03-07 22:56:10');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1530,46,60,47937,0,'2017-03-07 23:03:44','upload/result/result_46_1488902783.jpg','2017-03-07 23:06:20','2017-03-07 23:06:24');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1531,46,60,88056,0,'2017-03-07 23:05:00','upload/result/result_46_1488902860.jpg','2017-03-07 23:07:36','2017-03-07 23:07:40');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1532,46,60,51240,0,'2017-03-07 23:06:16','upload/result/result_46_1488902937.jpg','2017-03-07 23:08:53','2017-03-07 23:08:57');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1533,46,60,54115,0,'2017-03-07 23:11:50','upload/result/result_46_1488903270.jpg','2017-03-07 23:14:26','2017-03-07 23:14:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1534,46,60,51153,0,'2017-03-07 23:15:18','upload/result/result_46_1488903478.jpg','2017-03-07 23:17:55','2017-03-07 23:17:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1535,46,60,52639,0,'2017-03-07 23:17:36','upload/result/result_46_1488903619.jpg','2017-03-07 23:20:13','2017-03-07 23:20:19');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1536,46,60,51275,0,'2017-03-07 23:18:52','upload/result/result_46_1488903699.jpg','2017-03-07 23:21:29','2017-03-07 23:21:39');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1537,46,60,83860,0,'2017-03-07 23:20:12','upload/result/result_46_1488903792.jpg','2017-03-07 23:22:48','2017-03-07 23:23:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1538,46,60,64827,0,'2017-03-07 23:21:31','upload/result/result_46_1488903872.jpg','2017-03-07 23:24:08','2017-03-07 23:24:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1539,46,60,48236,0,'2017-03-07 23:24:53','upload/result/result_46_1488904063.jpg','2017-03-07 23:27:30','2017-03-07 23:27:43');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1540,46,60,50761,0,'2017-03-07 23:26:55','upload/result/result_46_1488904201.jpg','2017-03-07 23:29:32','2017-03-07 23:30:01');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1541,46,60,73218,0,'2017-03-07 23:28:13','upload/result/result_46_1488904262.jpg','2017-03-07 23:30:50','2017-03-07 23:31:02');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1542,46,60,51864,0,'2017-03-07 23:31:12','upload/result/result_46_1488904432.jpg','2017-03-07 23:33:49','2017-03-07 23:33:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1543,46,60,71852,0,'2017-03-07 23:34:50','upload/result/result_46_1488904650.jpg','2017-03-07 23:37:26','2017-03-07 23:37:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1544,46,60,50590,0,'2017-03-07 23:39:31','upload/result/result_46_1488904931.jpg','2017-03-07 23:42:07','2017-03-07 23:42:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1545,46,60,54248,0,'2017-03-07 23:42:38','upload/result/result_46_1488905118.jpg','2017-03-07 23:45:14','2017-03-07 23:45:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1546,46,60,51582,0,'2017-03-07 23:43:56','upload/result/result_46_1488905196.jpg','2017-03-07 23:46:32','2017-03-07 23:46:36');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1547,502,60,123028,0,'2017-03-07 23:45:20',NULL,'2017-03-07 23:46:46','2017-03-07 23:46:46');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1548,504,60,129487,0,'2017-03-07 23:55:11','upload/result/result_504_1488905867.jpg','2017-03-07 23:57:44','2017-03-07 23:57:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1549,505,60,124161,0,'2017-03-07 23:59:20','upload/result/result_505_1488906126.jpg','2017-03-08 00:02:02','2017-03-08 00:02:06');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1551,364,60,136484,0,'2017-03-08 00:02:17','upload/result/result_364_1488906296.jpg','2017-03-08 00:04:50','2017-03-08 00:04:56');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1552,9,60,52634,0,'2017-03-08 08:33:45','upload/result/result_9_1488936987.jpg','2017-03-08 08:36:18','2017-03-08 08:36:28');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1553,43,60,48669,0,'2017-03-08 08:35:37','upload/result/result_43_1488937109.jpg','2017-03-08 08:38:12','2017-03-08 08:38:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1554,487,60,127014,0,'2017-03-08 09:13:34','upload/result/result_487_1488939371.jpg','2017-03-08 09:16:08','2017-03-08 09:16:12');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1555,499,60,123048,0,'2017-03-08 09:22:31','upload/result/result_499_1488939909.jpg','2017-03-08 09:25:05','2017-03-08 09:25:09');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1556,506,60,45538,0,'2017-03-08 09:26:44','upload/result/result_506_1488940161.jpg','2017-03-08 09:29:17','2017-03-08 09:29:21');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1557,506,60,126830,0,'2017-03-08 09:31:27','upload/result/result_506_1488940445.jpg','2017-03-08 09:34:01','2017-03-08 09:34:05');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1558,504,60,127853,0,'2017-03-08 10:15:36','upload/result/result_504_1488943094.jpg','2017-03-08 10:18:10','2017-03-08 10:18:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1559,475,60,51671,0,'2017-03-08 10:15:58','upload/result/result_475_1488943121.jpg','2017-03-08 10:18:33','2017-03-08 10:18:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1560,475,60,48817,0,'2017-03-08 10:21:31','upload/result/result_475_1488943454.jpg','2017-03-08 10:24:06','2017-03-08 10:24:15');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1561,475,60,48702,0,'2017-03-08 10:29:48','upload/result/result_475_1488943951.jpg','2017-03-08 10:32:23','2017-03-08 10:32:31');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1562,475,60,47346,0,'2017-03-08 10:31:57','upload/result/result_475_1488944084.jpg','2017-03-08 10:34:36','2017-03-08 10:34:45');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1563,508,60,124887,0,'2017-03-08 10:40:08','upload/result/result_508_1488944564.jpg','2017-03-08 10:42:39','2017-03-08 10:42:44');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1564,458,60,123800,0,'2017-03-08 10:45:23','upload/result/result_458_1488944880.jpg','2017-03-08 10:47:55','2017-03-08 10:48:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1565,39,60,125840,0,'2017-03-08 10:49:13','upload/result/result_39_1488945109.jpg','2017-03-08 10:51:45','2017-03-08 10:51:50');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1566,488,60,122991,0,'2017-03-08 10:52:21','upload/result/result_488_1488945300.jpg','2017-03-08 10:54:56','2017-03-08 10:55:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1567,364,60,46940,0,'2017-03-08 11:33:05','upload/result/result_364_1488947741.jpg','2017-03-08 11:35:37','2017-03-08 11:35:41');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1568,364,60,55918,0,'2017-03-08 11:36:16','upload/result/result_364_1488947932.jpg','2017-03-08 11:38:49','2017-03-08 11:38:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1569,364,60,50168,0,'2017-03-08 11:38:42','upload/result/result_364_1488948078.jpg','2017-03-08 11:41:15','2017-03-08 11:41:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1570,364,60,68189,0,'2017-03-08 11:44:17','upload/result/result_364_1488948413.jpg','2017-03-08 11:46:50','2017-03-08 11:46:53');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1571,364,60,59084,0,'2017-03-08 11:46:11','upload/result/result_364_1488948527.jpg','2017-03-08 11:48:43','2017-03-08 11:48:48');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1572,364,60,51637,0,'2017-03-08 11:48:51','upload/result/result_364_1488948692.jpg','2017-03-08 11:51:28','2017-03-08 11:51:32');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1573,510,60,36035,0,'2017-03-08 13:50:13','upload/result/result_510_1488955972.jpg','2017-03-08 13:52:46','2017-03-08 13:52:52');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1574,78,60,46926,0,'2017-03-08 13:50:36','upload/result/result_78_1488955993.jpg','2017-03-08 13:53:09','2017-03-08 13:53:13');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1575,31,60,56408,0,'2017-03-08 14:42:53','upload/result/result_31_1488959130.jpg','2017-03-08 14:45:27','2017-03-08 14:45:30');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1576,512,60,47427,0,'2017-03-08 16:25:03','upload/result/result_512_1488965256.jpg','2017-03-08 16:27:33','2017-03-08 16:27:37');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1577,39,60,54553,0,'2017-03-08 16:39:02','upload/result/result_39_1488966098.jpg','2017-03-08 16:41:34','2017-03-08 16:41:38');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1578,31,60,84340,0,'2017-03-08 16:48:23','upload/result/result_31_1488966660.jpg','2017-03-08 16:50:57','2017-03-08 16:51:00');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1579,45,60,74593,0,'2017-03-08 16:48:46','upload/result/result_45_1488966683.jpg','2017-03-08 16:51:20','2017-03-08 16:51:23');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1580,45,60,68633,0,'2017-03-08 16:50:19','upload/result/result_45_1488966775.jpg','2017-03-08 16:52:52','2017-03-08 16:52:55');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1581,31,60,52912,0,'2017-03-08 17:00:14','upload/result/result_31_1488967371.jpg','2017-03-08 17:02:48','2017-03-08 17:02:51');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1582,31,60,98457,0,'2017-03-08 17:12:45','upload/result/result_31_1488968121.jpg','2017-03-08 17:15:19','2017-03-08 17:15:22');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1583,46,60,66205,0,'2017-03-08 17:15:37','upload/result/result_46_1488968298.jpg','2017-03-08 17:18:15','2017-03-08 17:18:18');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1584,46,60,50534,0,'2017-03-08 17:16:52','upload/result/result_46_1488968373.jpg','2017-03-08 17:19:30','2017-03-08 17:19:33');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1585,46,60,50381,0,'2017-03-08 17:18:17','upload/result/result_46_1488968458.jpg','2017-03-08 17:20:55','2017-03-08 17:20:58');
insert  into `game_details`(`id`,`user_id`,`time`,`point`,`time_play`,`time_play_2`,`image_result`,`created_at`,`updated_at`) values (1586,46,60,88660,0,'2017-03-08 17:20:25','upload/result/result_46_1488968586.jpg','2017-03-08 17:23:03','2017-03-08 17:23:06');

/*Table structure for table `group` */

DROP TABLE IF EXISTS `group`;

CREATE TABLE `group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten nhom',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Mo ta',
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Kich hoat',
  `is_super_group` tinyint(1) DEFAULT '0' COMMENT 'super group',
  `group_type` int(1) DEFAULT '0' COMMENT 'Loại nhóm: 0:Nhóm thông thường, 1:Nhóm đối tác truyền thông, 2:Nhóm Super Admin',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngay tao',
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group` */

insert  into `group`(`id`,`name`,`description`,`is_active`,`is_super_group`,`group_type`,`created_at`,`updated_at`) values (1,'Admin','Admin',1,0,0,'2017-02-13 17:40:36','2017-02-18 18:08:48');
insert  into `group`(`id`,`name`,`description`,`is_active`,`is_super_group`,`group_type`,`created_at`,`updated_at`) values (2,'SuperAdmin','SuperAdmin',1,0,0,'2017-02-13 17:41:41','2017-02-17 14:08:03');
insert  into `group`(`id`,`name`,`description`,`is_active`,`is_super_group`,`group_type`,`created_at`,`updated_at`) values (3,'Client','Client',1,0,0,'2017-02-17 14:12:24','2017-02-17 14:12:43');

/*Table structure for table `group_access_controller` */

DROP TABLE IF EXISTS `group_access_controller`;

CREATE TABLE `group_access_controller` (
  `group_id` int(11) NOT NULL,
  `access_controller_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`access_controller_id`),
  KEY `fk_group_has_access_controller_access_controller1_idx` (`access_controller_id`),
  KEY `fk_group_has_access_controller_group1_idx` (`group_id`),
  CONSTRAINT `fk_group_has_access_controller_access_controller1` FOREIGN KEY (`access_controller_id`) REFERENCES `access_controller` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_group_has_access_controller_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group_access_controller` */

/*Table structure for table `link_clicked` */

DROP TABLE IF EXISTS `link_clicked`;

CREATE TABLE `link_clicked` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL COMMENT 'ID Người chơi',
  `link` varchar(255) DEFAULT NULL COMMENT 'Link đã kích',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_link_clicked_user1_idx` (`user_id`),
  CONSTRAINT `fk_link_clicked_user1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=305 DEFAULT CHARSET=latin1;

/*Data for the table `link_clicked` */

insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (1,13,'www.thegoldenpalm.vn','2017-02-24 12:03:32','2017-02-24 12:03:32');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (2,13,'www.thegoldenpalm.vn','2017-02-24 12:04:32','2017-02-24 12:04:32');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (3,13,'vongduakythu.vn','2017-02-24 12:12:20','2017-02-24 12:12:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (4,13,'www.thegoldenpalm.vn','2017-02-24 23:55:02','2017-02-24 23:55:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (5,39,'http://thegoldenpalm.vn/','2017-02-25 00:01:28','2017-02-25 00:01:28');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (6,39,'http://nghemoigioi.vn/','2017-02-25 00:01:53','2017-02-25 00:01:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (7,39,'http://thegoldenpalm.vn/','2017-02-25 00:24:08','2017-02-25 00:24:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (8,39,'http://nghemoigioi.vn/','2017-02-25 00:24:43','2017-02-25 00:24:43');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (9,209,'http://nghemoigioi.vn/','2017-02-25 00:26:50','2017-02-25 00:26:50');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (10,209,'http://thegoldenpalm.vn/','2017-02-25 00:28:10','2017-02-25 00:28:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (11,39,'http://thegoldenpalm.vn/','2017-02-25 00:32:33','2017-02-25 00:32:33');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (12,209,'http://nghemoigioi.vn/','2017-02-25 00:32:44','2017-02-25 00:32:44');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (13,18,'http://thegoldenpalm.vn/','2017-02-25 00:35:26','2017-02-25 00:35:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (14,18,'http://nghemoigioi.vn/','2017-02-25 00:35:38','2017-02-25 00:35:38');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (15,277,'http://thegoldenpalm.vn/','2017-02-25 06:36:54','2017-02-25 06:36:54');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (16,277,'http://thegoldenpalm.vn/','2017-02-25 06:36:54','2017-02-25 06:36:54');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (17,277,'http://thegoldenpalm.vn/','2017-02-25 06:36:59','2017-02-25 06:36:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (18,277,'http://thegoldenpalm.vn/','2017-02-25 06:37:02','2017-02-25 06:37:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (19,275,'http://thegoldenpalm.vn/','2017-02-25 10:03:54','2017-02-25 10:03:54');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (20,275,'http://nghemoigioi.vn/','2017-02-25 10:03:59','2017-02-25 10:03:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (21,280,'http://thegoldenpalm.vn/','2017-02-25 10:14:48','2017-02-25 10:14:48');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (22,284,'http://thegoldenpalm.vn/','2017-02-25 14:21:12','2017-02-25 14:21:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (23,286,'http://nghemoigioi.vn/','2017-02-25 15:21:35','2017-02-25 15:21:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (24,286,'http://thegoldenpalm.vn/','2017-02-25 15:21:49','2017-02-25 15:21:49');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (25,286,'http://nghemoigioi.vn/','2017-02-25 15:22:13','2017-02-25 15:22:13');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (26,300,'http://thegoldenpalm.vn/','2017-02-26 21:57:19','2017-02-26 21:57:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (27,167,'http://nghemoigioi.vn/','2017-02-27 08:10:17','2017-02-27 08:10:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (28,305,'http://nghemoigioi.vn/','2017-02-27 08:40:02','2017-02-27 08:40:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (29,306,'http://nghemoigioi.vn/','2017-02-27 10:09:12','2017-02-27 10:09:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (30,308,'http://thegoldenpalm.vn/','2017-02-27 10:54:38','2017-02-27 10:54:38');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (31,308,'http://nghemoigioi.vn/','2017-02-27 10:55:25','2017-02-27 10:55:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (32,311,'http://nghemoigioi.vn/','2017-02-27 11:00:51','2017-02-27 11:00:51');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (33,306,'http://nghemoigioi.vn/','2017-02-27 13:02:51','2017-02-27 13:02:51');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (34,306,'http://nghemoigioi.vn/','2017-02-27 13:06:59','2017-02-27 13:06:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (35,306,'http://nghemoigioi.vn/','2017-02-27 13:11:23','2017-02-27 13:11:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (36,306,'http://thegoldenpalm.vn/','2017-02-27 13:15:13','2017-02-27 13:15:13');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (37,306,'http://nghemoigioi.vn/','2017-02-27 13:56:25','2017-02-27 13:56:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (38,306,'http://nghemoigioi.vn/','2017-02-27 14:05:10','2017-02-27 14:05:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (39,321,'http://thegoldenpalm.vn/','2017-02-27 23:05:35','2017-02-27 23:05:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (40,321,'http://nghemoigioi.vn/','2017-02-27 23:05:40','2017-02-27 23:05:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (41,321,'http://nghemoigioi.vn/','2017-02-27 23:05:41','2017-02-27 23:05:41');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (42,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (43,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (44,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (45,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (46,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (47,321,'http://nghemoigioi.vn/','2017-02-27 23:05:42','2017-02-27 23:05:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (48,321,'http://nghemoigioi.vn/','2017-02-27 23:05:43','2017-02-27 23:05:43');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (49,321,'http://nghemoigioi.vn/','2017-02-27 23:05:43','2017-02-27 23:05:43');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (50,324,'http://nghemoigioi.vn/','2017-02-28 08:11:06','2017-02-28 08:11:06');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (51,324,'http://nghemoigioi.vn/','2017-02-28 08:11:08','2017-02-28 08:11:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (52,324,'http://nghemoigioi.vn/','2017-02-28 08:11:11','2017-02-28 08:11:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (53,324,'http://nghemoigioi.vn/','2017-02-28 08:11:11','2017-02-28 08:11:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (54,324,'http://nghemoigioi.vn/','2017-02-28 08:11:11','2017-02-28 08:11:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (55,324,'http://nghemoigioi.vn/','2017-02-28 08:11:11','2017-02-28 08:11:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (56,324,'http://nghemoigioi.vn/','2017-02-28 08:11:13','2017-02-28 08:11:13');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (57,324,'http://nghemoigioi.vn/','2017-02-28 08:11:13','2017-02-28 08:11:13');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (58,324,'http://nghemoigioi.vn/','2017-02-28 08:11:15','2017-02-28 08:11:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (59,324,'http://nghemoigioi.vn/','2017-02-28 08:11:17','2017-02-28 08:11:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (60,324,'http://nghemoigioi.vn/','2017-02-28 08:11:19','2017-02-28 08:11:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (61,324,'http://nghemoigioi.vn/','2017-02-28 08:11:20','2017-02-28 08:11:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (62,324,'http://nghemoigioi.vn/','2017-02-28 08:11:20','2017-02-28 08:11:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (63,324,'http://nghemoigioi.vn/','2017-02-28 08:11:20','2017-02-28 08:11:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (64,326,'http://nghemoigioi.vn/','2017-02-28 10:47:04','2017-02-28 10:47:04');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (65,326,'http://nghemoigioi.vn/','2017-02-28 10:47:08','2017-02-28 10:47:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (66,330,'http://nghemoigioi.vn/','2017-02-28 13:48:41','2017-02-28 13:48:41');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (67,330,'http://nghemoigioi.vn/','2017-02-28 13:49:45','2017-02-28 13:49:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (68,335,'http://thegoldenpalm.vn/','2017-02-28 15:57:02','2017-02-28 15:57:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (69,336,'http://nghemoigioi.vn/','2017-02-28 16:05:18','2017-02-28 16:05:18');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (70,336,'http://nghemoigioi.vn/','2017-02-28 16:10:36','2017-02-28 16:10:36');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (71,337,'http://nghemoigioi.vn/','2017-02-28 16:25:58','2017-02-28 16:25:58');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (72,338,'http://nghemoigioi.vn/','2017-02-28 16:37:58','2017-02-28 16:37:58');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (73,341,'http://nghemoigioi.vn/','2017-02-28 17:33:49','2017-02-28 17:33:49');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (74,345,'http://nghemoigioi.vn/','2017-02-28 19:06:55','2017-02-28 19:06:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (75,348,'http://nghemoigioi.vn/','2017-03-01 00:12:42','2017-03-01 00:12:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (76,348,'http://nghemoigioi.vn/','2017-03-01 00:12:45','2017-03-01 00:12:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (77,348,'http://nghemoigioi.vn/','2017-03-01 00:12:46','2017-03-01 00:12:46');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (78,349,'http://nghemoigioi.vn/','2017-03-01 01:51:15','2017-03-01 01:51:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (79,349,'http://nghemoigioi.vn/','2017-03-01 01:51:19','2017-03-01 01:51:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (80,349,'http://nghemoigioi.vn/','2017-03-01 01:51:20','2017-03-01 01:51:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (81,349,'http://nghemoigioi.vn/','2017-03-01 01:51:20','2017-03-01 01:51:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (82,349,'http://nghemoigioi.vn/','2017-03-01 01:51:20','2017-03-01 01:51:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (83,349,'http://thegoldenpalm.vn/','2017-03-01 01:51:20','2017-03-01 01:51:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (84,349,'http://thegoldenpalm.vn/','2017-03-01 01:51:21','2017-03-01 01:51:21');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (85,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:08','2017-03-01 05:00:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (86,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:08','2017-03-01 05:00:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (87,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:09','2017-03-01 05:00:09');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (88,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:10','2017-03-01 05:00:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (89,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:11','2017-03-01 05:00:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (90,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:11','2017-03-01 05:00:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (91,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:12','2017-03-01 05:00:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (92,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:12','2017-03-01 05:00:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (93,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:12','2017-03-01 05:00:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (94,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:15','2017-03-01 05:00:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (95,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:16','2017-03-01 05:00:16');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (96,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:16','2017-03-01 05:00:16');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (97,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:17','2017-03-01 05:00:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (98,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:17','2017-03-01 05:00:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (99,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:17','2017-03-01 05:00:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (100,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:20','2017-03-01 05:00:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (101,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:21','2017-03-01 05:00:21');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (102,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:23','2017-03-01 05:00:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (103,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:24','2017-03-01 05:00:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (104,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:24','2017-03-01 05:00:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (105,352,'http://thegoldenpalm.vn/','2017-03-01 05:00:24','2017-03-01 05:00:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (106,353,'http://nghemoigioi.vn/','2017-03-01 08:18:53','2017-03-01 08:18:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (107,358,'http://nghemoigioi.vn/','2017-03-01 10:27:51','2017-03-01 10:27:51');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (108,358,'http://nghemoigioi.vn/','2017-03-01 10:27:52','2017-03-01 10:27:52');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (109,358,'http://nghemoigioi.vn/','2017-03-01 10:27:56','2017-03-01 10:27:56');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (110,362,'http://nghemoigioi.vn/','2017-03-01 11:01:02','2017-03-01 11:01:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (111,362,'http://thegoldenpalm.vn/','2017-03-01 11:03:11','2017-03-01 11:03:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (112,351,'http://thegoldenpalm.vn/','2017-03-01 11:22:47','2017-03-01 11:22:47');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (113,351,'http://nghemoigioi.vn/','2017-03-01 11:26:40','2017-03-01 11:26:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (114,46,'http://nghemoigioi.vn/','2017-03-01 11:45:25','2017-03-01 11:45:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (115,364,'http://nghemoigioi.vn/','2017-03-01 11:52:54','2017-03-01 11:52:54');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (116,362,'http://nghemoigioi.vn/','2017-03-01 11:59:22','2017-03-01 11:59:22');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (117,362,'http://nghemoigioi.vn/','2017-03-01 12:05:37','2017-03-01 12:05:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (118,364,'http://nghemoigioi.vn/','2017-03-01 12:19:10','2017-03-01 12:19:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (119,364,'http://thegoldenpalm.vn/','2017-03-01 12:19:14','2017-03-01 12:19:14');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (120,110,'http://nghemoigioi.vn/','2017-03-01 12:47:08','2017-03-01 12:47:08');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (121,110,'http://thegoldenpalm.vn/','2017-03-01 12:47:29','2017-03-01 12:47:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (122,370,'http://nghemoigioi.vn/','2017-03-01 13:17:16','2017-03-01 13:17:16');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (123,370,'http://thegoldenpalm.vn/','2017-03-01 13:17:19','2017-03-01 13:17:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (124,370,'http://thegoldenpalm.vn/','2017-03-01 13:17:20','2017-03-01 13:17:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (125,370,'http://nghemoigioi.vn/','2017-03-01 13:17:21','2017-03-01 13:17:21');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (126,370,'http://nghemoigioi.vn/','2017-03-01 13:17:22','2017-03-01 13:17:22');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (127,370,'http://nghemoigioi.vn/','2017-03-01 13:17:22','2017-03-01 13:17:22');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (128,370,'http://nghemoigioi.vn/','2017-03-01 13:17:32','2017-03-01 13:17:32');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (129,370,'http://nghemoigioi.vn/','2017-03-01 13:17:32','2017-03-01 13:17:32');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (130,370,'http://nghemoigioi.vn/','2017-03-01 13:17:38','2017-03-01 13:17:38');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (131,370,'http://nghemoigioi.vn/','2017-03-01 13:17:38','2017-03-01 13:17:38');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (132,370,'http://nghemoigioi.vn/','2017-03-01 13:17:56','2017-03-01 13:17:56');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (133,370,'http://nghemoigioi.vn/','2017-03-01 13:17:56','2017-03-01 13:17:56');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (134,370,'http://nghemoigioi.vn/','2017-03-01 13:17:56','2017-03-01 13:17:56');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (135,370,'http://nghemoigioi.vn/','2017-03-01 13:19:20','2017-03-01 13:19:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (136,364,'http://thegoldenpalm.vn/','2017-03-01 14:26:55','2017-03-01 14:26:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (137,364,'http://nghemoigioi.vn/','2017-03-01 14:26:58','2017-03-01 14:26:58');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (138,39,'http://nghemoigioi.vn/','2017-03-01 14:42:41','2017-03-01 14:42:41');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (139,364,'http://thegoldenpalm.vn/','2017-03-01 14:52:49','2017-03-01 14:52:49');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (140,364,'http://google.com/','2017-03-01 14:53:05','2017-03-01 14:53:05');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (141,9,'http://nghemoigioi.vn/','2017-03-01 15:06:04','2017-03-01 15:06:04');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (142,374,'http://nghemoigioi.vn/','2017-03-01 15:20:05','2017-03-01 15:20:05');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (143,374,'http://nghemoigioi.vn/','2017-03-01 15:22:53','2017-03-01 15:22:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (144,379,'http://nghemoigioi.vn/','2017-03-01 18:37:25','2017-03-01 18:37:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (145,386,'http://nghemoigioi.vn/','2017-03-01 21:34:50','2017-03-01 21:34:50');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (146,386,'http://nghemoigioi.vn/','2017-03-01 21:36:19','2017-03-01 21:36:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (147,386,'http://nghemoigioi.vn/','2017-03-01 21:36:22','2017-03-01 21:36:22');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (148,386,'http://nghemoigioi.vn/','2017-03-01 21:36:23','2017-03-01 21:36:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (149,386,'http://nghemoigioi.vn/','2017-03-01 21:36:23','2017-03-01 21:36:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (150,386,'http://nghemoigioi.vn/','2017-03-01 21:36:23','2017-03-01 21:36:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (151,386,'http://nghemoigioi.vn/','2017-03-01 21:36:23','2017-03-01 21:36:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (152,386,'http://nghemoigioi.vn/','2017-03-01 21:36:24','2017-03-01 21:36:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (153,386,'http://nghemoigioi.vn/','2017-03-01 21:36:24','2017-03-01 21:36:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (154,386,'http://nghemoigioi.vn/','2017-03-01 21:36:24','2017-03-01 21:36:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (155,386,'http://thegoldenpalm.vn/','2017-03-01 21:36:26','2017-03-01 21:36:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (156,386,'http://thegoldenpalm.vn/','2017-03-01 21:36:26','2017-03-01 21:36:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (157,386,'http://nghemoigioi.vn/','2017-03-01 21:36:26','2017-03-01 21:36:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (158,386,'http://nghemoigioi.vn/','2017-03-01 21:36:26','2017-03-01 21:36:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (159,386,'http://nghemoigioi.vn/','2017-03-01 21:36:27','2017-03-01 21:36:27');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (160,386,'http://nghemoigioi.vn/','2017-03-01 21:36:29','2017-03-01 21:36:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (161,386,'http://nghemoigioi.vn/','2017-03-01 21:36:30','2017-03-01 21:36:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (162,386,'http://nghemoigioi.vn/','2017-03-01 21:36:30','2017-03-01 21:36:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (163,386,'http://nghemoigioi.vn/','2017-03-01 21:36:30','2017-03-01 21:36:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (164,386,'http://nghemoigioi.vn/','2017-03-01 21:36:30','2017-03-01 21:36:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (165,386,'http://nghemoigioi.vn/','2017-03-01 21:36:30','2017-03-01 21:36:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (166,386,'http://nghemoigioi.vn/','2017-03-01 21:36:31','2017-03-01 21:36:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (167,386,'http://nghemoigioi.vn/','2017-03-01 21:36:31','2017-03-01 21:36:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (168,386,'http://nghemoigioi.vn/','2017-03-01 21:36:31','2017-03-01 21:36:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (169,386,'http://nghemoigioi.vn/','2017-03-01 21:36:31','2017-03-01 21:36:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (170,386,'http://nghemoigioi.vn/','2017-03-01 21:36:31','2017-03-01 21:36:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (171,386,'http://nghemoigioi.vn/','2017-03-01 21:36:37','2017-03-01 21:36:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (172,386,'http://nghemoigioi.vn/','2017-03-01 21:36:37','2017-03-01 21:36:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (173,386,'http://nghemoigioi.vn/','2017-03-01 21:36:37','2017-03-01 21:36:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (174,386,'http://nghemoigioi.vn/','2017-03-01 21:45:55','2017-03-01 21:45:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (175,386,'http://nghemoigioi.vn/','2017-03-01 21:45:55','2017-03-01 21:45:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (176,386,'http://nghemoigioi.vn/','2017-03-01 21:45:55','2017-03-01 21:45:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (177,387,'http://nghemoigioi.vn/','2017-03-01 22:55:27','2017-03-01 22:55:27');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (178,387,'http://nghemoigioi.vn/','2017-03-01 22:55:31','2017-03-01 22:55:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (179,387,'http://nghemoigioi.vn/','2017-03-01 22:55:34','2017-03-01 22:55:34');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (180,387,'http://thegoldenpalm.vn/','2017-03-01 22:55:35','2017-03-01 22:55:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (181,387,'http://nghemoigioi.vn/','2017-03-01 22:55:36','2017-03-01 22:55:36');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (182,390,'http://thegoldenpalm.vn/','2017-03-02 00:31:40','2017-03-02 00:31:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (183,390,'http://thegoldenpalm.vn/','2017-03-02 00:31:42','2017-03-02 00:31:42');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (184,390,'http://thegoldenpalm.vn/','2017-03-02 00:31:44','2017-03-02 00:31:44');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (185,390,'http://thegoldenpalm.vn/','2017-03-02 00:31:45','2017-03-02 00:31:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (186,399,'http://thegoldenpalm.vn/','2017-03-02 12:04:35','2017-03-02 12:04:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (187,397,'http://nghemoigioi.vn/','2017-03-02 12:07:13','2017-03-02 12:07:13');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (188,399,'http://nghemoigioi.vn/','2017-03-02 12:09:58','2017-03-02 12:09:58');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (189,399,'http://nghemoigioi.vn/','2017-03-02 12:14:53','2017-03-02 12:14:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (190,364,'http://thegoldenpalm.vn/','2017-03-02 12:19:26','2017-03-02 12:19:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (191,399,'http://thegoldenpalm.vn/','2017-03-02 12:54:58','2017-03-02 12:54:58');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (192,399,'http://nghemoigioi.vn/','2017-03-02 12:55:10','2017-03-02 12:55:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (193,399,'http://nghemoigioi.vn/','2017-03-02 12:56:15','2017-03-02 12:56:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (194,364,'http://nghemoigioi.vn/','2017-03-02 14:54:28','2017-03-02 14:54:28');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (195,407,'http://nghemoigioi.vn/','2017-03-02 15:00:16','2017-03-02 15:00:16');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (196,409,'http://nghemoigioi.vn/','2017-03-02 15:12:14','2017-03-02 15:12:14');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (197,409,'http://nghemoigioi.vn/','2017-03-02 15:12:17','2017-03-02 15:12:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (198,409,'http://nghemoigioi.vn/','2017-03-02 15:12:17','2017-03-02 15:12:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (199,409,'http://thegoldenpalm.vn/','2017-03-02 15:12:20','2017-03-02 15:12:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (200,409,'http://thegoldenpalm.vn/','2017-03-02 15:12:20','2017-03-02 15:12:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (201,409,'http://thegoldenpalm.vn/','2017-03-02 15:12:21','2017-03-02 15:12:21');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (202,398,'http://nghemoigioi.vn/','2017-03-02 16:12:53','2017-03-02 16:12:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (203,19,'http://nghemoigioi.vn/','2017-03-02 16:13:02','2017-03-02 16:13:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (204,19,'http://thegoldenpalm.vn/','2017-03-02 16:13:15','2017-03-02 16:13:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (205,31,'http://nghemoigioi.vn/','2017-03-02 16:53:47','2017-03-02 16:53:47');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (206,416,'http://nghemoigioi.vn/','2017-03-02 18:13:28','2017-03-02 18:13:28');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (207,416,'http://nghemoigioi.vn/','2017-03-02 18:21:00','2017-03-02 18:21:00');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (208,416,'http://nghemoigioi.vn/','2017-03-02 18:21:03','2017-03-02 18:21:03');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (209,416,'http://nghemoigioi.vn/','2017-03-02 18:21:06','2017-03-02 18:21:06');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (210,416,'http://nghemoigioi.vn/','2017-03-02 18:22:45','2017-03-02 18:22:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (211,399,'http://nghemoigioi.vn/','2017-03-02 18:26:35','2017-03-02 18:26:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (212,399,'http://nghemoigioi.vn/','2017-03-02 18:30:45','2017-03-02 18:30:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (213,416,'http://nghemoigioi.vn/','2017-03-02 18:46:56','2017-03-02 18:46:56');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (214,416,'http://nghemoigioi.vn/','2017-03-02 18:46:57','2017-03-02 18:46:57');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (215,399,'http://thegoldenpalm.vn/','2017-03-02 19:05:40','2017-03-02 19:05:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (216,399,'http://nghemoigioi.vn/','2017-03-02 19:13:49','2017-03-02 19:13:49');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (217,427,'http://nghemoigioi.vn/','2017-03-02 23:15:57','2017-03-02 23:15:57');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (218,432,'http://nghemoigioi.vn/','2017-03-03 07:58:49','2017-03-03 07:58:49');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (219,437,'http://nghemoigioi.vn/','2017-03-03 10:43:33','2017-03-03 10:43:33');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (220,437,'http://nghemoigioi.vn/','2017-03-03 10:43:53','2017-03-03 10:43:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (221,43,'http://nghemoigioi.vn/','2017-03-03 10:57:20','2017-03-03 10:57:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (222,420,'http://nghemoigioi.vn/','2017-03-03 11:13:59','2017-03-03 11:13:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (223,399,'http://nghemoigioi.vn/','2017-03-03 12:00:36','2017-03-03 12:00:36');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (224,364,'http://thegoldenpalm.vn/','2017-03-03 15:48:00','2017-03-03 15:48:00');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (225,364,'http://nghemoigioi.vn/','2017-03-03 15:48:04','2017-03-03 15:48:04');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (226,364,'http://nghemoigioi.vn/','2017-03-03 15:48:10','2017-03-03 15:48:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (227,364,'http://nghemoigioi.vn/','2017-03-03 15:48:14','2017-03-03 15:48:14');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (228,446,'http://nghemoigioi.vn/','2017-03-03 16:01:59','2017-03-03 16:01:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (229,420,'http://thegoldenpalm.vn/','2017-03-03 17:23:11','2017-03-03 17:23:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (230,420,'http://nghemoigioi.vn/','2017-03-03 18:10:31','2017-03-03 18:10:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (231,420,'http://nghemoigioi.vn/','2017-03-03 18:21:37','2017-03-03 18:21:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (232,449,'http://nghemoigioi.vn/','2017-03-03 19:49:29','2017-03-03 19:49:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (233,449,'http://nghemoigioi.vn/','2017-03-03 20:21:40','2017-03-03 20:21:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (234,399,'http://nghemoigioi.vn/','2017-03-03 20:47:43','2017-03-03 20:47:43');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (235,449,'http://nghemoigioi.vn/','2017-03-03 21:45:26','2017-03-03 21:45:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (236,449,'http://nghemoigioi.vn/','2017-03-03 21:55:59','2017-03-03 21:55:59');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (237,447,'http://thegoldenpalm.vn/','2017-03-04 10:07:22','2017-03-04 10:07:22');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (238,447,'http://nghemoigioi.vn/','2017-03-04 10:09:46','2017-03-04 10:09:46');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (239,13,'http://thegoldenpalm.vn/','2017-03-04 10:45:46','2017-03-04 10:45:46');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (240,13,'http://nghemoigioi.vn/','2017-03-04 10:46:07','2017-03-04 10:46:07');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (241,399,'http://nghemoigioi.vn/','2017-03-04 11:17:45','2017-03-04 11:17:45');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (242,399,'http://nghemoigioi.vn/','2017-03-04 11:26:57','2017-03-04 11:26:57');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (243,399,'http://nghemoigioi.vn/','2017-03-04 12:18:15','2017-03-04 12:18:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (244,399,'http://nghemoigioi.vn/','2017-03-04 12:36:02','2017-03-04 12:36:02');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (245,356,'http://thegoldenpalm.vn/','2017-03-04 14:42:05','2017-03-04 14:42:05');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (246,356,'http://nghemoigioi.vn/','2017-03-04 14:47:21','2017-03-04 14:47:21');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (247,457,'http://nghemoigioi.vn/','2017-03-04 16:12:35','2017-03-04 16:12:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (248,457,'http://nghemoigioi.vn/','2017-03-04 16:12:39','2017-03-04 16:12:39');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (249,457,'http://nghemoigioi.vn/','2017-03-04 16:12:40','2017-03-04 16:12:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (250,457,'http://nghemoigioi.vn/','2017-03-04 16:12:40','2017-03-04 16:12:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (251,457,'http://nghemoigioi.vn/','2017-03-04 16:16:53','2017-03-04 16:16:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (252,420,'http://nghemoigioi.vn/','2017-03-04 18:11:26','2017-03-04 18:11:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (253,420,'http://nghemoigioi.vn/','2017-03-04 18:50:35','2017-03-04 18:50:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (254,460,'http://nghemoigioi.vn/','2017-03-05 01:45:07','2017-03-05 01:45:07');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (255,461,'http://nghemoigioi.vn/','2017-03-05 03:16:11','2017-03-05 03:16:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (256,461,'http://thegoldenpalm.vn/','2017-03-05 03:16:36','2017-03-05 03:16:36');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (257,399,'http://nghemoigioi.vn/','2017-03-05 17:45:30','2017-03-05 17:45:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (258,465,'http://nghemoigioi.vn/','2017-03-05 22:34:29','2017-03-05 22:34:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (259,364,'http://nghemoigioi.vn/','2017-03-05 23:16:52','2017-03-05 23:16:52');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (260,364,'http://nghemoigioi.vn/','2017-03-05 23:21:26','2017-03-05 23:21:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (261,364,'http://nghemoigioi.vn/','2017-03-05 23:28:17','2017-03-05 23:28:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (262,364,'http://nghemoigioi.vn/','2017-03-05 23:45:18','2017-03-05 23:45:18');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (263,399,'http://nghemoigioi.vn/','2017-03-06 03:29:03','2017-03-06 03:29:03');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (264,399,'http://nghemoigioi.vn/','2017-03-06 03:54:43','2017-03-06 03:54:43');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (265,399,'http://nghemoigioi.vn/','2017-03-06 04:18:32','2017-03-06 04:18:32');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (266,474,'http://thegoldenpalm.vn/','2017-03-06 10:12:19','2017-03-06 10:12:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (267,476,'http://nghemoigioi.vn/','2017-03-06 11:48:19','2017-03-06 11:48:19');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (268,477,'http://nghemoigioi.vn/','2017-03-06 13:38:37','2017-03-06 13:38:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (269,13,'http://thegoldenpalm.vn/','2017-03-06 22:44:54','2017-03-06 22:44:54');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (270,13,'http://nghemoigioi.vn/','2017-03-06 22:45:25','2017-03-06 22:45:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (271,486,'http://nghemoigioi.vn/','2017-03-06 23:08:31','2017-03-06 23:08:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (272,486,'http://nghemoigioi.vn/','2017-03-06 23:12:53','2017-03-06 23:12:53');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (273,486,'http://nghemoigioi.vn/','2017-03-06 23:24:55','2017-03-06 23:24:55');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (274,486,'http://thegoldenpalm.vn/','2017-03-06 23:26:15','2017-03-06 23:26:15');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (275,489,'http://thegoldenpalm.vn/','2017-03-07 00:17:01','2017-03-07 00:17:01');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (276,489,'http://nghemoigioi.vn/','2017-03-07 00:17:09','2017-03-07 00:17:09');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (277,477,'http://nghemoigioi.vn/','2017-03-07 00:22:07','2017-03-07 00:22:07');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (278,492,'http://thegoldenpalm.vn/','2017-03-07 08:54:31','2017-03-07 08:54:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (279,492,'http://nghemoigioi.vn/','2017-03-07 09:10:40','2017-03-07 09:10:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (280,492,'http://nghemoigioi.vn/','2017-03-07 09:11:05','2017-03-07 09:11:05');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (281,492,'http://thegoldenpalm.vn/','2017-03-07 09:14:35','2017-03-07 09:14:35');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (282,214,'http://thegoldenpalm.vn/','2017-03-07 11:47:07','2017-03-07 11:47:07');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (283,214,'http://thegoldenpalm.vn/','2017-03-07 11:47:10','2017-03-07 11:47:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (284,214,'http://nghemoigioi.vn/','2017-03-07 11:50:12','2017-03-07 11:50:12');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (285,214,'http://thegoldenpalm.vn/','2017-03-07 11:50:44','2017-03-07 11:50:44');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (286,496,'http://nghemoigioi.vn/','2017-03-07 14:06:18','2017-03-07 14:06:18');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (287,496,'http://nghemoigioi.vn/','2017-03-07 14:06:23','2017-03-07 14:06:23');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (288,496,'http://nghemoigioi.vn/','2017-03-07 14:06:24','2017-03-07 14:06:24');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (289,496,'http://nghemoigioi.vn/','2017-03-07 14:06:26','2017-03-07 14:06:26');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (290,496,'http://nghemoigioi.vn/','2017-03-07 14:06:27','2017-03-07 14:06:27');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (291,496,'http://thegoldenpalm.vn/','2017-03-07 14:06:30','2017-03-07 14:06:30');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (292,496,'http://nghemoigioi.vn/','2017-03-07 14:41:25','2017-03-07 14:41:25');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (293,496,'http://nghemoigioi.vn/','2017-03-07 15:22:10','2017-03-07 15:22:10');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (294,500,'http://nghemoigioi.vn/','2017-03-07 17:03:20','2017-03-07 17:03:20');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (295,500,'http://thegoldenpalm.vn/','2017-03-07 17:05:41','2017-03-07 17:05:41');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (296,39,'http://thegoldenpalm.vn/','2017-03-07 20:50:17','2017-03-07 20:50:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (297,39,'http://nghemoigioi.vn/','2017-03-07 20:50:29','2017-03-07 20:50:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (298,502,'http://thegoldenpalm.vn/','2017-03-07 20:54:29','2017-03-07 20:54:29');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (299,502,'http://nghemoigioi.vn/','2017-03-07 20:54:37','2017-03-07 20:54:37');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (300,475,'http://nghemoigioi.vn/','2017-03-08 10:19:11','2017-03-08 10:19:11');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (301,475,'http://thegoldenpalm.vn/','2017-03-08 13:24:31','2017-03-08 13:24:31');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (302,475,'http://nghemoigioi.vn/','2017-03-08 13:24:40','2017-03-08 13:24:40');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (303,78,'http://nghemoigioi.vn/','2017-03-08 13:48:17','2017-03-08 13:48:17');
insert  into `link_clicked`(`id`,`user_id`,`link`,`created_at`,`updated_at`) values (304,78,'http://thegoldenpalm.vn/','2017-03-08 13:48:29','2017-03-08 13:48:29');

/*Table structure for table `user` */

DROP TABLE IF EXISTS `user`;

CREATE TABLE `user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `fullname` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Họ và tên',
  `avatar` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Đường dẫn ảnh đại diện',
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Tài khoản',
  `salt` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Salt',
  `password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Mật khẩu',
  `gender` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Giới tính: Male-Nam, Female-Nữ',
  `birthday` date DEFAULT NULL COMMENT 'Ngày sinh 2017-01-10',
  `address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Địa chỉ',
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Email',
  `mobile` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Số điện thoại',
  `reward_code` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Mã dự thưởng',
  `is_active` tinyint(1) DEFAULT '1' COMMENT 'Trạng thái kích hoạt:\n1-Hoạt động\n0-Tạm dừng\n2-Khóa tài khoản',
  `account_type` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'Loại tài khoản: fb-Facebook, gg-Google',
  `last_logged` datetime DEFAULT NULL COMMENT 'Lần login gần đây nhất',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngày tạo',
  `updated_at` datetime DEFAULT NULL COMMENT 'Ngày cập nhật',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=515 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `user` */

insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (9,'Đàm Hiệu','upload/avatar/1270461036368677_avatar_thumb.jpg','1270461036368677','','','male','2017-02-15','','vboys_dhbk@yahoo.com.vn','01673109200','1487132697',1,'fb','2017-03-08 08:34:55','2017-02-15 11:24:59','2017-02-24 08:33:56');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (10,'Đàm Hiệu','upload/avatar/102209033446893080158_avatar_thumb.jpg','102209033446893080158','','','male','2017-02-15','','hieudd.bk@gmail.com','','1487132756',1,'gg','2017-02-15 11:25:57','2017-02-15 11:25:57','2017-02-15 11:25:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (13,'Phạm Văn Đoan','upload/avatar/1383356375043295_avatar_thumb.jpg','1383356375043295','','','male','2017-02-15','','chuottui281@gmail.com','0947097092','1487134050',1,'fb','2017-03-06 21:55:41','2017-02-15 11:47:32','2017-02-23 16:22:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (14,'Đoan Phạm Văn','upload/avatar/112233284234278425861_avatar_thumb.jpg','112233284234278425861','','','male','2017-02-15','','doan281@gmail.com','0975155281','1487134069',1,'gg','2017-02-24 01:21:59','2017-02-15 11:47:51','2017-02-24 01:22:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (15,'Nguyễn Lan Anh','upload/avatar/1875339092743092_avatar_thumb.jpg','1875339092743092','','','female','2017-02-17','','','0977209682','1487316654',1,'fb','2017-03-03 12:41:41','2017-02-17 14:30:56','2017-02-17 14:31:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (16,'Hàn Minh Dũng','upload/avatar/101844013422849215361_avatar_thumb.jpg','101844013422849215361','','','','2017-02-17','','hanminhdung5590@gmail.com','','1487316703',1,'gg','2017-02-17 14:31:45','2017-02-17 14:31:45','2017-02-17 14:31:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (17,'Phap Mr','upload/avatar/104156393972960985115_avatar_thumb.jpg','104156393972960985115','','','male','2017-02-17','','kimaruta@gmail.com','0918888888','1487318568',1,'gg','2017-02-22 15:32:19','2017-02-17 15:02:50','2017-02-17 15:03:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (18,'To Nhan Hung','upload/avatar/1443852728960395_avatar_thumb.jpg','1443852728960395','','','male','2017-02-20','','tonhanhung@gmail.com','0977376288','1487566370',1,'fb','2017-03-08 00:30:07','2017-02-20 11:52:52','2017-02-20 11:53:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (19,'Nguyen Van Thi','upload/avatar/10155116285227764_avatar_thumb.jpg','10155116285227764','','','male','2017-02-20','','nguyenthivn@gmail.com','0936778585','1487566519',1,'fb','2017-03-07 14:20:22','2017-02-20 11:55:21','2017-02-20 11:55:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (20,'Luv Kim','upload/avatar/107335991874810287776_avatar_thumb.jpg','107335991874810287776','','','','2017-02-20','','lylynim9392@gmail.com','0943226836','1487566751',1,'gg','2017-02-20 12:01:40','2017-02-20 11:59:14','2017-02-20 11:59:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (21,'Quỳnh Nguyễn','upload/avatar/1372082822814178_avatar_thumb.jpg','1372082822814178','','','female','2017-02-20','','marukodangyeu_vp@yahoo.com','0964601057','1487567319',1,'fb','2017-02-23 09:28:14','2017-02-20 12:08:40','2017-02-20 12:08:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (22,'Hữu Tú','upload/avatar/1426866474004287_avatar_thumb.jpg','1426866474004287','','','male','2017-02-20','','tullap88@gmail.com','0941941698','1487567542',1,'fb','2017-03-02 15:10:44','2017-02-20 12:12:24','2017-02-20 12:12:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (23,'Mèo Đi Hoang','upload/avatar/1449143358491248_avatar_thumb.jpg','1449143358491248','','','','2017-02-20','','silver.programmer@yahoo.com.vn','0934547060','1487572835',1,'fb','2017-02-24 14:18:21','2017-02-20 13:40:37','2017-02-20 13:40:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (24,'Bui Loan','upload/avatar/1514073725272047_avatar_thumb.jpg','1514073725272047','','','female','2017-02-20','','loan_k50a2@yahoo.com','0923131233','1487573698',1,'fb','2017-03-01 11:13:14','2017-02-20 13:55:00','2017-02-20 13:55:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (25,'Phạm Tiến','upload/avatar/110471386709229288170_avatar_thumb.jpg','110471386709229288170','','','male','2017-02-20','','hotabit@gmail.com','0985325152','1487577183',1,'gg','2017-02-22 15:49:55','2017-02-20 14:53:05','2017-02-20 14:53:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (26,'Thùy Linh','upload/avatar/988370551264279_avatar_thumb.jpg','988370551264279','','','female','2017-02-20','','thuylinh_711@yahoo.com','01669764611','1487577251',1,'fb','2017-02-22 15:36:58','2017-02-20 14:54:13','2017-02-20 14:54:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (27,'Nguyễn Lệ Hằng','upload/avatar/10208247299961974_avatar_thumb.jpg','10208247299961974','','','female','2017-02-20','','nguyenhang_cncn@yahoo.com','0942666583','1487577328',1,'fb','2017-03-02 11:44:45','2017-02-20 14:55:30','2017-02-20 14:56:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (28,'Tiến Vũ Đình','upload/avatar/105229634324103080137_avatar_thumb.jpg','105229634324103080137','','','male','2017-02-20','','omaidie@gmail.com','','1487577488',1,'gg','2017-02-22 17:31:44','2017-02-20 14:58:09','2017-02-20 14:58:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (29,'Hiếu Vũ','upload/avatar/768060550014282_avatar_thumb.jpg','768060550014282','','','male','2017-02-20','','hieuvuvitv@gmail.com','0977803297','1487577686',1,'fb','2017-02-27 15:44:31','2017-02-20 15:01:28','2017-02-20 15:01:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (30,'vân anh nguyễn','upload/avatar/110427879278004383335_avatar_thumb.jpg','110427879278004383335','','','female','2017-02-20','','nguyen.vanh.88@gmail.com','0975852090','1487577968',1,'gg','2017-02-20 15:06:10','2017-02-20 15:06:10','2017-02-20 15:06:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (31,'Trần Thanh Tùng','upload/avatar/1266811680052691_avatar_thumb.jpg','1266811680052691','','','male','2017-02-20','','rysergt@gmail.com','01648830009','1487579983',1,'fb','2017-03-08 23:23:20','2017-02-20 15:39:45','2017-02-23 15:57:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (32,'Cường Đl','upload/avatar/1775961269393169_avatar_thumb.jpg','1775961269393169','','','male','2017-02-20','','mongmanh.ptit@gmail.com','0962231059','1487605751',1,'fb','2017-02-24 14:46:55','2017-02-20 22:49:14','2017-02-23 16:31:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (33,'Thu Thủy','upload/avatar/1609860955705635_avatar_thumb.jpg','1609860955705635','','','female','2017-02-21','','nguyenthuy2d@yahoo.com.vn','','1487642056',1,'fb','2017-02-21 08:54:18','2017-02-21 08:54:18','2017-02-21 08:54:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (34,'Hà Nguyễn','upload/avatar/1118857874891140_avatar_thumb.jpg','1118857874891140','','','female','2017-02-21','','thanhha38.nguyen@gmail.com','','1487642264',1,'fb','2017-02-22 15:44:51','2017-02-21 08:57:46','2017-02-21 08:57:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (35,'Hien Dao','upload/avatar/111086725991806440217_avatar_thumb.jpg','111086725991806440217','','','','2017-02-21','','daohien92@gmail.com','0936819918','1487642691',1,'gg','2017-03-07 08:21:07','2017-02-21 09:04:54','2017-02-23 16:30:29');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (36,'Thế Anh Ngô','upload/avatar/658838817635126_avatar_thumb.jpg','658838817635126','','','male','2017-02-21','','theanh0409@gmail.com','','1487642783',1,'fb','2017-02-21 09:06:25','2017-02-21 09:06:25','2017-02-21 09:06:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (37,'The Anh Ngo','upload/avatar/101091361875430789901_avatar_thumb.jpg','101091361875430789901','','','male','2017-02-21','','theanh0409@gmail.com','0914789632','1487642977',1,'gg','2017-03-07 08:02:35','2017-02-21 09:09:41','2017-02-24 09:51:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (38,'Minh Hào Vũ','upload/avatar/105738654416211755212_avatar_thumb.jpg','105738654416211755212','','','','2017-02-21','','vuminhhao.2107@gmail.com','','1487643082',1,'gg','2017-02-21 09:11:24','2017-02-21 09:11:24','2017-02-21 09:11:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (39,'Ha Mien','upload/avatar/1397180170346953_avatar_thumb.jpg','1397180170346953','','','female','2017-02-21','','miendns@gmail.com','0976009025','1487649643',1,'fb','2017-03-08 16:30:23','2017-02-21 11:00:46','2017-02-23 22:25:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (40,'Dương Công Đồng','upload/avatar/10154561428124480_avatar_thumb.jpg','10154561428124480','','','male','2017-02-21','','dongdc_123@yahoo.com','0898388433','1487651115',1,'fb','2017-02-28 16:47:30','2017-02-21 11:25:17','2017-02-28 16:47:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (41,'Trang Thu','upload/avatar/108912924102518003912_avatar_thumb.jpg','108912924102518003912','','','female','2017-02-21','','seichan.trang@gmail.com','0964601057','1487663825',1,'gg','2017-02-21 14:57:07','2017-02-21 14:57:07','2017-02-23 15:58:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (42,'Thành','upload/avatar/10211213135791755_avatar_thumb.jpg','10211213135791755','','','male','2017-02-21','','thanh_bk9530@yahoo.com','0906235787','1487666968',1,'fb','2017-02-28 22:54:21','2017-02-21 15:49:29','2017-02-23 16:32:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (43,'Dũng Lê','upload/avatar/10206409872524728_avatar_thumb.jpg','10206409872524728','','','male','2017-02-21','','dkny1987@gmail.com','01695711562','1487671938',1,'fb','2017-03-08 08:31:11','2017-02-21 17:12:20','2017-02-24 08:37:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (44,'Mari Ô','upload/avatar/114736168914347646408_avatar_thumb.jpg','114736168914347646408','','','other','2017-02-22','','mylop000@gmail.com','','1487727731',1,'gg','2017-02-23 08:50:48','2017-02-22 08:42:13','2017-02-22 08:42:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (45,'Phương Nam FLC GARDEN CITY','upload/avatar/116372749480999369441_avatar_thumb.jpg','116372749480999369441','','','male','2017-02-22','','phamphuongnam1410@gmail.com','0966984853','1487728090',1,'gg','2017-03-08 16:48:07','2017-02-22 08:48:21','2017-02-23 16:18:59');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (46,'binh anh','upload/avatar/108852409126662205270_avatar_thumb.jpg','108852409126662205270','','','male','2017-02-22','','anhbinh287@gmail.com','0917785225','1487728216',1,'gg','2017-03-08 17:08:22','2017-02-22 08:50:18','2017-02-23 16:18:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (47,'Lâm Ánh','upload/avatar/109102723404885566224_avatar_thumb.jpg','109102723404885566224','','','female','2017-02-22','','anhlam.ussh@gmail.com','0977608468','1487728231',1,'gg','2017-02-24 14:43:00','2017-02-22 08:50:33','2017-02-24 14:43:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (48,'Bách Vũ Xuân','upload/avatar/1867482720142029_avatar_thumb.jpg','1867482720142029','','','male','2017-02-22','','bachvx@outlook.com','0987801393','1487728290',1,'fb','2017-02-24 08:45:57','2017-02-22 08:51:32','2017-02-24 08:46:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (49,'Trưởng','upload/avatar/391582961204124_avatar_thumb.jpg','391582961204124','','','male','2017-02-22','','caotruong.homecenter@gmail.com','0912639216','1487729036',1,'fb','2017-02-23 15:51:49','2017-02-22 09:03:58','2017-02-23 16:22:53');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (50,'Mai Mai','upload/avatar/1200240540093923_avatar_thumb.jpg','1200240540093923','','','female','2017-02-22','','','','1487730435',1,'fb','2017-02-22 09:27:17','2017-02-22 09:27:17','2017-02-22 09:27:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (51,'Huyền Đô Rê Mon','upload/avatar/10212043100649647_avatar_thumb.jpg','10212043100649647','','','female','2017-02-22','','gioxuan_915@yahoo.com.vn','0976199587','1487732370',1,'fb','2017-03-02 15:27:41','2017-02-22 09:59:32','2017-03-02 15:27:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (52,'Tien Vu','upload/avatar/113471409569866940596_avatar_thumb.jpg','113471409569866940596','','','','2017-02-22','','tienvuskda@gmail.com','','1487734919',1,'gg','2017-02-22 10:42:01','2017-02-22 10:42:01','2017-02-22 10:42:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (53,'Ngalx Lee','upload/avatar/111943472918042065388_avatar_thumb.jpg','111943472918042065388','','','male','2017-02-22','','ngalx112@gmail.com','0945192468','1487735333',1,'gg','2017-03-02 11:36:12','2017-02-22 10:48:55','2017-03-02 11:36:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (54,'Hoàng Nam','upload/avatar/107511692706299842645_avatar_thumb.jpg','107511692706299842645','','','','2017-02-22','','namseocen@gmail.com','','1487736503',1,'gg','2017-02-22 11:08:25','2017-02-22 11:08:25','2017-02-22 11:08:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (55,'Nam Pham','upload/avatar/309643719451908_avatar_thumb.jpg','309643719451908','','','male','2017-02-22','','','','1487746535',1,'fb','2017-02-22 13:55:37','2017-02-22 13:55:37','2017-02-22 13:55:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (56,'Phuc Tpn','upload/avatar/1042130672559096_avatar_thumb.jpg','1042130672559096','','','male','2017-02-22','','ngtuphuk95.del@gmail.com','','1487747255',1,'fb','2017-02-22 14:07:37','2017-02-22 14:07:37','2017-02-22 14:07:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (57,'Phạm Thu Thu','upload/avatar/180546162436276_avatar_thumb.jpg','180546162436276','','','female','2017-02-22','','thupt@dcv.vn','','1487752588',1,'fb','2017-03-03 15:58:43','2017-02-22 15:36:30','2017-02-22 15:36:30');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (58,'Khổng Tước','upload/avatar/1269494956476497_avatar_thumb.jpg','1269494956476497','','','female','2017-02-22','','dieppnntt@gmail.com','0933938228','1487752590',1,'fb','2017-03-03 22:52:43','2017-02-22 15:36:32','2017-02-24 08:30:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (59,'Lala Đỗ','upload/avatar/111220956111948576381_avatar_thumb.jpg','111220956111948576381','','','female','2017-02-22','','niemtinphale2909@gmail.com','','1487753098',1,'gg','2017-02-22 15:45:01','2017-02-22 15:45:01','2017-02-22 15:45:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (60,'Mai Anh Nguyen','upload/avatar/732839466875766_avatar_thumb.jpg','732839466875766','','','female','2017-02-22','','maianhhvtc1207@gmail.com','','1487753347',1,'fb','2017-02-22 15:49:10','2017-02-22 15:49:10','2017-02-22 15:49:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (61,'Bùi Jún','upload/avatar/1372490042797971_avatar_thumb.jpg','1372490042797971','','','male','2017-02-22','','vandela_anhyeuem@yahoo.com','','1487756137',1,'fb','2017-02-22 16:52:12','2017-02-22 16:35:39','2017-02-22 16:35:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (62,'Nguyen Anh Dung','upload/avatar/1449646618413182_avatar_thumb.jpg','1449646618413182','','','male','2017-02-22','','dungpro_102@yahoo.com','01689961340','1487757215',1,'fb','2017-03-08 08:31:07','2017-02-22 16:53:38','2017-03-03 12:42:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (63,'Xuân Nghi Nguyễn','upload/avatar/1193698340750030_avatar_thumb.jpg','1193698340750030','','','male','2017-02-22','','','','1487759679',1,'fb','2017-02-22 17:34:41','2017-02-22 17:34:41','2017-02-22 17:34:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (64,'Nguyễn Thành Văn','upload/avatar/1341037902619065_avatar_thumb.jpg','1341037902619065','','','male','2017-02-22','','traiphonui_11591@yahoo.com','','1487761742',1,'fb','2017-02-22 18:10:46','2017-02-22 18:09:05','2017-02-22 18:09:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (65,'Son Le','upload/avatar/1465862306771596_avatar_thumb.jpg','1465862306771596','','','male','2017-02-22','','sonleduc01@gmail.com','0984952486','1487764277',1,'fb','2017-02-23 15:09:43','2017-02-22 18:51:19','2017-02-23 17:14:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (66,'Hoan Nguyen','upload/avatar/116951451633617439460_avatar_thumb.jpg','116951451633617439460','','','male','2017-02-22','','kinhdoanhflc@gmail.com','','1487764898',1,'gg','2017-02-22 19:01:40','2017-02-22 19:01:40','2017-02-22 19:01:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (67,'Thuy An','upload/avatar/1938653603033444_avatar_thumb.jpg','1938653603033444','','','male','2017-02-22','','kiemvu28@gmail.com','','1487764982',1,'fb','2017-02-22 19:03:04','2017-02-22 19:03:04','2017-02-22 19:03:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (68,'Pham Hong Ngoc','upload/avatar/10206607238819782_avatar_thumb.jpg','10206607238819782','','','female','2017-02-22','','phngocxd@yahoo.com','','1487765220',1,'fb','2017-02-23 08:21:44','2017-02-22 19:07:02','2017-02-22 19:07:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (69,'Quách Tĩnh','upload/avatar/107472576771396866507_avatar_thumb.jpg','107472576771396866507','','','male','2017-02-22','','quachtinh.239@gmail.com','','1487765626',1,'gg','2017-02-22 19:13:49','2017-02-22 19:13:49','2017-02-22 19:13:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (70,'Phạm Tiến Công','upload/avatar/1400199196711368_avatar_thumb.jpg','1400199196711368','','','male','2017-02-22','','phamtiencong89@yahoo.com','','1487766498',1,'fb','2017-02-22 19:28:20','2017-02-22 19:28:20','2017-02-22 19:28:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (71,'Lý Hoài Nam','upload/avatar/1178935365556733_avatar_thumb.jpg','1178935365556733','','','male','2017-02-22','','hoainamtq93@yahoo.com','','1487767450',1,'fb','2017-02-22 19:44:12','2017-02-22 19:44:12','2017-02-22 19:44:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (72,'Mai Thanh','upload/avatar/106423910228235467337_avatar_thumb.jpg','106423910228235467337','','','','2017-02-22','','mailt.stda@gmail.com','','1487767569',1,'gg','2017-02-22 19:46:12','2017-02-22 19:46:12','2017-02-22 19:46:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (73,'Lưu Hoàng An','upload/avatar/10208554176310574_avatar_thumb.jpg','10208554176310574','','','male','2017-02-22','','13nov88@gmail.com','','1487767752',1,'fb','2017-02-22 19:49:14','2017-02-22 19:49:14','2017-02-22 19:49:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (74,'Diệu Linh','upload/avatar/621244188072817_avatar_thumb.jpg','621244188072817','','','female','2017-02-22','','toanlinh993@gmail.com','','1487767987',1,'fb','2017-02-22 19:53:09','2017-02-22 19:53:09','2017-02-22 19:53:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (75,'Truong Nguyen','upload/avatar/105041907496736199013_avatar_thumb.jpg','105041907496736199013','','','male','2017-02-22','','nguyenarc88@gmail.com','','1487768156',1,'gg','2017-02-22 19:56:04','2017-02-22 19:56:04','2017-02-22 19:56:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (76,'Trương Bình','upload/avatar/1202491783153732_avatar_thumb.jpg','1202491783153732','','','male','2017-02-22','','truongbinh.dhtm@gmail.com','','1487768775',1,'fb','2017-02-22 20:09:32','2017-02-22 20:06:17','2017-02-22 20:06:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (77,'Duong Nguyen','upload/avatar/1395119937226593_avatar_thumb.jpg','1395119937226593','','','male','2017-02-22','','duongnv@stda.vn','','1487769587',1,'fb','2017-02-22 23:06:02','2017-02-22 20:19:49','2017-02-22 20:19:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (78,'Phùng Quang Quang','upload/avatar/1249211538526072_avatar_thumb.jpg','1249211538526072','','','male','2017-02-22','','phungquangquang@gmail.com','0967987345','1487770560',1,'fb','2017-03-08 13:46:16','2017-02-22 20:36:03','2017-03-08 13:46:30');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (79,'Hoang Son Anh','upload/avatar/10154457791354010_avatar_thumb.jpg','10154457791354010','','','male','2017-02-22','','sonanh162@yahoo.com','','1487771108',1,'fb','2017-02-22 20:45:10','2017-02-22 20:45:10','2017-02-22 20:45:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (80,'Trần Thanh Huyền','upload/avatar/10206552726296811_avatar_thumb.jpg','10206552726296811','','','female','2017-02-22','','thanhhuyen231192@yahoo.com','','1487771356',1,'fb','2017-02-22 20:49:18','2017-02-22 20:49:18','2017-02-22 20:49:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (81,'Ánh Nguyệt','upload/avatar/1201540339965520_avatar_thumb.jpg','1201540339965520','','','female','2017-02-22','','nguyet.dvt@gmail.com','','1487771730',1,'fb','2017-02-22 20:55:33','2017-02-22 20:55:33','2017-02-22 20:55:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (82,'Van Anh Bui','upload/avatar/1329949343734669_avatar_thumb.jpg','1329949343734669','','','female','2017-02-22','','','','1487771841',1,'fb','2017-02-22 20:57:23','2017-02-22 20:57:23','2017-02-22 20:57:23');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (83,'Duyệt Nguyễn','upload/avatar/110737176169671151172_avatar_thumb.jpg','110737176169671151172','','','','2017-02-22','','duyetnv.stda@gmail.com','','1487772064',1,'gg','2017-02-22 21:01:08','2017-02-22 21:01:08','2017-02-22 21:01:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (84,'Tam Nguyen','upload/avatar/10155252391809411_avatar_thumb.jpg','10155252391809411','','','male','2017-02-22','','congtamnguyen1368@gmail.com','','1487772220',1,'fb','2017-02-22 21:05:59','2017-02-22 21:03:44','2017-02-22 21:03:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (85,'Ngọc Nguyễn','upload/avatar/108325967282761780471_avatar_thumb.jpg','108325967282761780471','','','male','2017-02-22','','xuanngocnc@gmail.com','','1487772417',1,'gg','2017-02-22 21:07:02','2017-02-22 21:07:02','2017-02-22 21:07:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (86,'Anh Lan','upload/avatar/107715525868451677508_avatar_thumb.jpg','107715525868451677508','','','','2017-02-22','','anhttl1109@gmail.com','','1487772512',1,'gg','2017-02-22 21:08:35','2017-02-22 21:08:35','2017-02-22 21:08:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (87,'Phương Thỏ','upload/avatar/1229103207186139_avatar_thumb.jpg','1229103207186139','','','female','2017-02-22','','phuonght86@yahoo.com','','1487772726',1,'fb','2017-02-22 21:12:09','2017-02-22 21:12:09','2017-02-22 21:12:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (88,'Nguyễn Thanh Huy','upload/avatar/253489055108119_avatar_thumb.jpg','253489055108119','','','male','2017-02-22','','','','1487772787',1,'fb','2017-02-22 21:15:36','2017-02-22 21:13:09','2017-02-22 21:13:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (89,'Visser','upload/avatar/583732658483922_avatar_thumb.jpg','583732658483922','','','male','2017-02-22','','visser1987@gmail.com','0935581563','1487772911',1,'fb','2017-02-24 14:56:32','2017-02-22 21:15:13','2017-02-24 14:56:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (90,'Nguyễn Văn Nam','upload/avatar/916660995103641_avatar_thumb.jpg','916660995103641','','','male','2017-02-22','','boykut3_n2v@yahoo.com','','1487772993',1,'fb','2017-02-22 21:16:36','2017-02-22 21:16:36','2017-02-22 21:16:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (91,'Đào Ngọc Ân','upload/avatar/1402803269761349_avatar_thumb.jpg','1402803269761349','','','male','2017-02-22','','socsieuquay_91@yahoo.com.vn','','1487773019',1,'fb','2017-02-22 21:18:23','2017-02-22 21:17:01','2017-02-22 21:17:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (92,'Hơn Văn Vũ','upload/avatar/1582818631735907_avatar_thumb.jpg','1582818631735907','','','male','2017-02-22','','vuvanhon5793@gmail.com','','1487773160',1,'fb','2017-02-22 21:19:22','2017-02-22 21:19:22','2017-02-22 21:19:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (93,'Lê Hà Hải','upload/avatar/1047600148678453_avatar_thumb.jpg','1047600148678453','','','female','2017-02-22','','','','1487773504',1,'fb','2017-02-22 21:25:07','2017-02-22 21:25:07','2017-02-22 21:25:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (94,'Thành Lê Văn','upload/avatar/755921117905358_avatar_thumb.jpg','755921117905358','','','male','2017-02-22','','tapbanbi2@yahoo.com','','1487773516',1,'fb','2017-02-22 21:25:18','2017-02-22 21:25:18','2017-02-22 21:25:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (95,'Thang Ngo','upload/avatar/10206717329090461_avatar_thumb.jpg','10206717329090461','','','male','2017-02-22','','annyse7en@yahoo.com','','1487773773',1,'fb','2017-02-22 21:29:35','2017-02-22 21:29:35','2017-02-22 21:29:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (96,'Mỹ Đức','upload/avatar/411894622483241_avatar_thumb.jpg','411894622483241','','','female','2017-02-22','','myducht.93@gmail.com','','1487774048',1,'fb','2017-02-22 21:34:11','2017-02-22 21:34:11','2017-02-22 21:34:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (97,'Quyet Nguyen','upload/avatar/610624609126721_avatar_thumb.jpg','610624609126721','','','male','2017-02-22','','tinhyeu_cuaanh464@yahoo.com','','1487774084',1,'fb','2017-02-22 21:34:46','2017-02-22 21:34:46','2017-02-22 21:34:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (98,'Cường Lê','upload/avatar/108008654996013524900_avatar_thumb.jpg','108008654996013524900','','','','2017-02-22','','lecuonghb2002@gmail.com','','1487774250',1,'gg','2017-02-22 21:44:34','2017-02-22 21:37:34','2017-02-22 21:37:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (99,'Hai Nguyen','upload/avatar/1794124117578909_avatar_thumb.jpg','1794124117578909','','','male','2017-02-22','','nguyenbahaips@gmail.com','','1487774357',1,'fb','2017-02-22 21:41:05','2017-02-22 21:39:19','2017-02-22 21:39:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (100,'Viết Đạt Lê','upload/avatar/1216524778454714_avatar_thumb.jpg','1216524778454714','','','male','2017-02-22','','levietdathero@gmail.com','','1487774750',1,'fb','2017-02-22 21:45:53','2017-02-22 21:45:53','2017-02-22 21:45:53');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (101,'Dương Hương Quế','upload/avatar/681350568692212_avatar_thumb.jpg','681350568692212','','','female','2017-02-22','','huongque08@gmail.com','0977857189','1487774755',1,'fb','2017-03-06 17:38:19','2017-02-22 21:45:58','2017-03-03 10:28:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (102,'Thưởng Kều','upload/avatar/1886392394912237_avatar_thumb.jpg','1886392394912237','','','male','2017-02-22','','','','1487774858',1,'fb','2017-02-22 21:47:40','2017-02-22 21:47:40','2017-02-22 21:47:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (103,'Lê Trung Kiên','upload/avatar/1083894268388848_avatar_thumb.jpg','1083894268388848','','','male','2017-02-22','','trungkien.stda@gmail.com','0962894512','1487774932',1,'fb','2017-03-01 11:59:09','2017-02-22 21:48:55','2017-03-01 11:59:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (104,'Tuấn Anh','upload/avatar/1228858730566690_avatar_thumb.jpg','1228858730566690','','','male','2017-02-22','','tuan.anh1712@yahoo.com.vn','','1487775035',1,'fb','2017-02-22 21:50:37','2017-02-22 21:50:37','2017-02-22 21:50:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (105,'Vân Anh','upload/avatar/1145765805545496_avatar_thumb.jpg','1145765805545496','','','female','2017-02-22','','cityhunter_1017@yahoo.com.vn','0983063686','1487775383',1,'fb','2017-02-24 10:21:55','2017-02-22 21:56:25','2017-02-24 10:22:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (106,'Nguyễn Tuấn','upload/avatar/264126864040454_avatar_thumb.jpg','264126864040454','','','male','2017-02-22','','','','1487777287',1,'fb','2017-02-22 22:28:10','2017-02-22 22:28:10','2017-02-22 22:28:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (107,'thành công nguyễn','upload/avatar/115032510549655407759_avatar_thumb.jpg','115032510549655407759','','','','2017-02-22','','congstda@gmail.com','','1487777479',1,'gg','2017-02-22 22:31:24','2017-02-22 22:31:24','2017-02-22 22:31:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (108,'Jessica Ngọc','upload/avatar/117957488720147503729_avatar_thumb.jpg','117957488720147503729','','','female','2017-02-22','','ngocbui158@gmail.com','','1487777957',1,'gg','2017-02-23 21:37:49','2017-02-22 22:39:20','2017-02-22 22:39:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (109,'Thanh Hải','upload/avatar/1606327459384558_avatar_thumb.jpg','1606327459384558','','','male','2017-02-22','','','','1487777966',1,'fb','2017-02-22 22:39:27','2017-02-22 22:39:27','2017-02-22 22:39:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (110,'Thành Đạt','upload/avatar/391858251187994_avatar_thumb.jpg','391858251187994','','','male','2017-02-22','','thanhdat.cengroup@gmail.com','0966452449','1487778053',1,'fb','2017-03-02 09:05:41','2017-02-22 22:40:56','2017-03-01 12:44:03');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (111,'Nguyễn Thị Quỳnh Trang','upload/avatar/1317358108330275_avatar_thumb.jpg','1317358108330275','','','female','2017-02-22','','qtrang89297@gmail.com','','1487778640',1,'fb','2017-02-22 22:50:43','2017-02-22 22:50:43','2017-02-22 22:50:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (112,'Tùng Tống','upload/avatar/1399029463450609_avatar_thumb.jpg','1399029463450609','','','male','2017-02-22','','langtu2007vn@yahoo.com','','1487779332',1,'fb','2017-02-23 14:14:49','2017-02-22 23:02:14','2017-02-22 23:02:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (113,'Phạm Đức Hiệu','upload/avatar/663726460495703_avatar_thumb.jpg','663726460495703','','','male','2017-02-22','','hieupd.iphone@gmail.com','','1487779383',1,'fb','2017-02-22 23:13:51','2017-02-22 23:03:06','2017-02-22 23:03:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (114,'Hinh Nguyễn','upload/avatar/569626686566041_avatar_thumb.jpg','569626686566041','','','male','2017-02-22','','','','1487781272',1,'fb','2017-02-22 23:34:34','2017-02-22 23:34:34','2017-02-22 23:34:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (115,'Nguyên Khôi','upload/avatar/1877355702511126_avatar_thumb.jpg','1877355702511126','','','male','2017-02-22','','d.dragon.mrk@gmail.com','','1487781287',1,'fb','2017-02-22 23:34:49','2017-02-22 23:34:49','2017-02-22 23:34:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (116,'Minh Nhồng','upload/avatar/1452482228096843_avatar_thumb.jpg','1452482228096843','','','male','2017-02-22','','damquangminh76@gmail.com','','1487781361',1,'fb','2017-02-22 23:36:03','2017-02-22 23:36:03','2017-02-22 23:36:03');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (117,'Đặng Thái Sơn','upload/avatar/10206684526472245_avatar_thumb.jpg','10206684526472245','','','male','2017-02-22','','deptraichangbietyeuaibaygio@yahoo.com','','1487781438',1,'fb','2017-02-22 23:37:20','2017-02-22 23:37:20','2017-02-22 23:37:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (118,'Chi Phuong','upload/avatar/1219344878181114_avatar_thumb.jpg','1219344878181114','','','female','2017-02-22','','hoadai.xuyenchiktqd@gmail.com','01279669669','1487781449',1,'fb','2017-03-04 13:12:40','2017-02-22 23:37:31','2017-03-03 19:23:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (119,'Viy Nguyễn','upload/avatar/960499897415167_avatar_thumb.jpg','960499897415167','','','male','2017-02-22','','nguyenducnam31121992@gmail.com','','1487782784',1,'fb','2017-02-22 23:59:47','2017-02-22 23:59:47','2017-02-22 23:59:47');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (120,'Tricky Nguyen','upload/avatar/1360112920676434_avatar_thumb.jpg','1360112920676434','','','male','2017-02-23','','namnguyen2785@yahoo.com','','1487783623',1,'fb','2017-02-23 00:14:18','2017-02-23 00:13:46','2017-02-23 00:13:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (121,'Hoàng Phi Điệp','upload/avatar/1604175609611754_avatar_thumb.jpg','1604175609611754','','','male','2017-02-23','','hpdiep@gmail.com','','1487787995',1,'fb','2017-02-23 01:26:37','2017-02-23 01:26:37','2017-02-23 01:26:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (122,'Lê Trinh','upload/avatar/779863105497371_avatar_thumb.jpg','779863105497371','','','male','2017-02-23','','letrinhhht94@gmail.com','','1487789671',1,'fb','2017-02-23 01:54:33','2017-02-23 01:54:33','2017-02-23 01:54:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (123,'Đặng Đình Toàn','upload/avatar/668866253322013_avatar_thumb.jpg','668866253322013','','','male','2017-02-23','','dangdinhtoan1906@gmail.com','','1487792737',1,'fb','2017-02-23 02:45:39','2017-02-23 02:45:39','2017-02-23 02:45:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (124,'Thuận Phạm Văn','upload/avatar/110005482883043583638_avatar_thumb.jpg','110005482883043583638','','','male','2017-02-23','','phamvanthuan.0103@gmail.com','','1487802963',1,'gg','2017-02-23 05:41:13','2017-02-23 05:36:05','2017-02-23 05:36:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (125,'Khiem Le','upload/avatar/583465518517250_avatar_thumb.jpg','583465518517250','','','male','2017-02-23','','le.van.khiem@gmail.com','','1487805449',1,'fb','2017-02-23 06:17:31','2017-02-23 06:17:31','2017-02-23 06:17:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (126,'Lâm Duy Hoàng Minh','upload/avatar/10206689260950744_avatar_thumb.jpg','10206689260950744','','','male','2017-02-23','','netmen66@gmail.com','0913024401','1487809241',1,'fb','2017-02-23 21:38:56','2017-02-23 07:20:43','2017-02-23 21:39:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (127,'Quang Trung','upload/avatar/1029875220478866_avatar_thumb.jpg','1029875220478866','','','male','2017-02-23','','pqtrung153@yahoo.com','','1487810423',1,'fb','2017-02-23 07:40:25','2017-02-23 07:40:25','2017-02-23 07:40:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (128,'Quân Hecquyn','upload/avatar/996582630475557_avatar_thumb.jpg','996582630475557','','','male','2017-02-23','','minhquanpham114@gmail.com','','1487812574',1,'fb','2017-02-23 08:16:16','2017-02-23 08:16:16','2017-02-23 08:16:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (129,'Ninh Nguyễn','upload/avatar/1902619016649219_avatar_thumb.jpg','1902619016649219','','','male','2017-02-23','','ninhnv.master.niit@gmail.com','','1487813065',1,'fb','2017-02-23 08:24:27','2017-02-23 08:24:27','2017-02-23 08:24:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (130,'Tiền LàTiên Là Phật','upload/avatar/1219496391478834_avatar_thumb.jpg','1219496391478834','','','male','2017-02-23','','toantienhaui90@gmail.com','','1487813104',1,'fb','2017-02-23 08:26:10','2017-02-23 08:25:06','2017-02-23 08:25:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (131,'Minh Hào Vũ','upload/avatar/115866306885385179261_avatar_thumb.jpg','115866306885385179261','','','female','2017-02-23','','vuminhhao.8115@gmail.com','','1487813135',1,'gg','2017-02-23 08:25:37','2017-02-23 08:25:37','2017-02-23 08:25:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (132,'Yến Chi Miriki','upload/avatar/1049066565194864_avatar_thumb.jpg','1049066565194864','','','female','2017-02-23','','yenchitcnh06@gmail.com','','1487813294',1,'fb','2017-02-23 08:28:16','2017-02-23 08:28:16','2017-02-23 08:28:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (133,'Minh Meo','upload/avatar/1601136553234766_avatar_thumb.jpg','1601136553234766','','','female','2017-02-23','','sunflower9_2@yahoo.com','0983606898','1487813308',1,'fb','2017-02-24 08:18:58','2017-02-23 08:28:30','2017-02-24 08:19:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (134,'nguyen an','upload/avatar/103949765469916367020_avatar_thumb.jpg','103949765469916367020','','','female','2017-02-23','','nguyen.an263@gmail.com','','1487814595',1,'gg','2017-02-23 08:49:57','2017-02-23 08:49:57','2017-02-23 08:49:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (135,'Phạm Long (famlog)','upload/avatar/115434778113572912732_avatar_thumb.jpg','115434778113572912732','','','male','2017-02-23','','pngoclong1288@gmail.com','','1487814600',1,'gg','2017-02-23 08:50:02','2017-02-23 08:50:02','2017-02-23 08:50:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (136,'Long Nguyễn','upload/avatar/10206031662949416_avatar_thumb.jpg','10206031662949416','','','male','2017-02-23','','longbjsc12@gmail.com','','1487815174',1,'fb','2017-02-23 08:59:36','2017-02-23 08:59:36','2017-02-23 08:59:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (137,'Cá Nhỏ','upload/avatar/1821617268097120_avatar_thumb.jpg','1821617268097120','','','female','2017-02-23','','thunguyendohoa@gmail.com','','1487815861',1,'fb','2017-02-23 09:11:04','2017-02-23 09:11:04','2017-02-23 09:11:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (138,'Nguyễn Xuân Thiên','upload/avatar/10208123360741793_avatar_thumb.jpg','10208123360741793','','','male','2017-02-23','','thiennx23@gmail.com','','1487816029',1,'fb','2017-02-23 09:25:32','2017-02-23 09:13:51','2017-02-23 09:13:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (139,'Dương Ngọc Minh','upload/avatar/1734828266847133_avatar_thumb.jpg','1734828266847133','','','male','2017-02-23','','','','1487817125',1,'fb','2017-02-23 09:33:04','2017-02-23 09:32:07','2017-02-23 09:32:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (140,'Duan Vu','upload/avatar/101538711295867262244_avatar_thumb.jpg','101538711295867262244','','','','2017-02-23','','bautroixanh1984@gmail.com','','1487817377',1,'gg','2017-02-23 13:02:41','2017-02-23 09:36:19','2017-02-23 09:36:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (141,'Nam Wallit','upload/avatar/744020242415668_avatar_thumb.jpg','744020242415668','','','male','2017-02-23','','','0984217718','1487817914',1,'fb','2017-02-24 14:09:30','2017-02-23 09:45:16','2017-02-24 14:09:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (142,'Vũ Lừng','upload/avatar/784769695024023_avatar_thumb.jpg','784769695024023','','','male','2017-02-23','','vungoclung@gmail.com','','1487817970',1,'fb','2017-02-23 09:47:36','2017-02-23 09:46:12','2017-02-23 09:46:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (143,'Thảo Vũ','upload/avatar/1337619439594855_avatar_thumb.jpg','1337619439594855','','','female','2017-02-23','','nhoc_hay_cuoi_89@yahoo.com','','1487818014',1,'fb','2017-02-23 14:27:05','2017-02-23 09:46:55','2017-02-23 09:46:55');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (144,'Nguyễn Hà','upload/avatar/263399447417635_avatar_thumb.jpg','263399447417635','','','male','2017-02-23','','ht199.hanguyen@gmail.com','','1487818364',1,'fb','2017-02-23 09:52:46','2017-02-23 09:52:46','2017-02-23 09:52:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (145,'Oanh Dinh','upload/avatar/1589801177715939_avatar_thumb.jpg','1589801177715939','','','female','2017-02-23','','oanhdinh711@yahoo.com','','1487818449',1,'fb','2017-02-23 09:58:00','2017-02-23 09:54:11','2017-02-23 09:54:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (146,'Phạm Tiến Mạnh','upload/avatar/1339799869411404_avatar_thumb.jpg','1339799869411404','','','male','2017-02-23','','newsky2206@gmail.com','','1487818601',1,'fb','2017-02-23 09:56:43','2017-02-23 09:56:43','2017-02-23 09:56:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (147,'Anh Tuấn Bạch','upload/avatar/1277930428929045_avatar_thumb.jpg','1277930428929045','','','male','2017-02-23','','','','1487818624',1,'fb','2017-02-23 09:57:06','2017-02-23 09:57:06','2017-02-23 09:57:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (148,'Phạm Bảo Trung','upload/avatar/1382139391842505_avatar_thumb.jpg','1382139391842505','','','male','2017-02-23','','cancion_del_pistolero@yahoo.com.vn','','1487818951',1,'fb','2017-02-23 10:02:33','2017-02-23 10:02:33','2017-02-23 10:02:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (149,'Nguyen Hoang Minh','upload/avatar/1492738087456881_avatar_thumb.jpg','1492738087456881','','','male','2017-02-23','','hoangminh20@yahoo.com','','1487819829',1,'fb','2017-02-23 10:17:11','2017-02-23 10:17:11','2017-02-23 10:17:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (150,'Bách Hợp','upload/avatar/1851175915163291_avatar_thumb.jpg','1851175915163291','','','female','2017-02-23','','mai.stda@gmail.com','','1487819937',1,'fb','2017-02-23 21:58:26','2017-02-23 10:18:59','2017-02-23 10:18:59');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (151,'Hang Do','upload/avatar/1476098815768449_avatar_thumb.jpg','1476098815768449','','','female','2017-02-23','','','','1487820572',1,'fb','2017-02-23 10:29:35','2017-02-23 10:29:35','2017-02-23 10:29:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (152,'Tam Dinh','upload/avatar/747492672066979_avatar_thumb.jpg','747492672066979','','','female','2017-02-23','','','','1487821756',1,'fb','2017-02-23 10:49:18','2017-02-23 10:49:18','2017-02-23 10:49:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (153,'Hai Dang','upload/avatar/107662926550117254314_avatar_thumb.jpg','107662926550117254314','','','male','2017-02-23','','anhlaai8867@gmail.com','','1487822842',1,'gg','2017-02-23 11:07:24','2017-02-23 11:07:24','2017-02-23 11:07:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (154,'Kiên Khuất Duy','upload/avatar/117396909840354709294_avatar_thumb.jpg','117396909840354709294','','','male','2017-02-23','','kienkd27@gmail.com','','1487823753',1,'gg','2017-02-23 11:22:35','2017-02-23 11:22:35','2017-02-23 11:22:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (155,'Tổ Ong Chiến','upload/avatar/1801163380202775_avatar_thumb.jpg','1801163380202775','','','male','2017-02-23','','phuonghuytraco.jsc@gmail.com','','1487823908',1,'fb','2017-02-23 11:25:10','2017-02-23 11:25:10','2017-02-23 11:25:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (156,'Nguyễn Dũng Remem','upload/avatar/1199431573510108_avatar_thumb.jpg','1199431573510108','','','male','2017-02-23','','vandung50hk@gmail.com','','1487825061',1,'fb','2017-02-23 12:00:41','2017-02-23 11:44:24','2017-02-23 11:44:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (157,'Hoàng Hôn Tím','upload/avatar/2084746395085248_avatar_thumb.jpg','2084746395085248','','','male','2017-02-23','','','','1487825443',1,'fb','2017-02-23 11:50:46','2017-02-23 11:50:46','2017-02-23 11:50:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (158,'Hei La','upload/avatar/1116534841790436_avatar_thumb.jpg','1116534841790436','','','female','2017-02-23','','lethy1210@gmail.com','','1487825617',1,'fb','2017-02-23 11:53:39','2017-02-23 11:53:39','2017-02-23 11:53:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (159,'Upin Trần','upload/avatar/1691118387570932_avatar_thumb.jpg','1691118387570932','','','female','2017-02-23','','jupiter_7604@yahoo.com','','1487826152',1,'fb','2017-02-23 12:02:34','2017-02-23 12:02:34','2017-02-23 12:02:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (160,'Mộc Di','upload/avatar/1653483698001250_avatar_thumb.jpg','1653483698001250','','','female','2017-02-23','','mandy_girl2810@yahoo.com','','1487826304',1,'fb','2017-02-23 12:05:06','2017-02-23 12:05:06','2017-02-23 12:05:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (161,'Nguyễn Quý','upload/avatar/1642470019102205_avatar_thumb.jpg','1642470019102205','','','male','2017-02-23','','','','1487827877',1,'fb','2017-02-23 12:31:20','2017-02-23 12:31:20','2017-02-23 12:31:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (162,'Bùi Tích Lực WEaholic','upload/avatar/1585800604764253_avatar_thumb.jpg','1585800604764253','','','male','2017-02-23','','','','1487828269',1,'fb','2017-02-23 12:48:53','2017-02-23 12:37:51','2017-02-23 12:37:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (163,'Giang Nguyễn Văn','upload/avatar/104135224186280890980_avatar_thumb.jpg','104135224186280890980','','','','2017-02-23','','giangnv.cen@gmail.com','','1487828681',1,'gg','2017-02-23 12:44:43','2017-02-23 12:44:43','2017-02-23 12:44:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (164,'Vũ Đức','upload/avatar/1465640430146848_avatar_thumb.jpg','1465640430146848','','','male','2017-02-23','','www.nh0k_k0ol@yahoo.com.vn','','1487830394',1,'fb','2017-02-23 13:13:17','2017-02-23 13:13:17','2017-02-23 13:13:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (165,'Lê Trung','upload/avatar/1228556083918802_avatar_thumb.jpg','1228556083918802','','','male','2017-02-23','','trunghuyle@yahoo.com.vn','01669608888','1487831953',1,'fb','2017-02-23 21:52:15','2017-02-23 13:39:15','2017-02-23 21:52:29');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (166,'Mio Nguyen','upload/avatar/804687943021820_avatar_thumb.jpg','804687943021820','','','female','2017-02-23','','hangntt.rsm@gmail.com','','1487832175',1,'fb','2017-02-23 13:42:58','2017-02-23 13:42:58','2017-02-23 13:42:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (167,'Minh Thắng','upload/avatar/644820095709770_avatar_thumb.jpg','644820095709770','','','male','2017-02-23','','thang_tute@yahoo.com','0982389625','1487832407',1,'fb','2017-02-27 08:05:03','2017-02-23 13:46:49','2017-02-27 08:05:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (168,'Linh Già','upload/avatar/1393120814091920_avatar_thumb.jpg','1393120814091920','','','male','2017-02-23','','hailinhbds@gmail.com','','1487832654',1,'fb','2017-02-23 13:50:56','2017-02-23 13:50:56','2017-02-23 13:50:56');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (169,'Nhân Võ','upload/avatar/104472393989272699669_avatar_thumb.jpg','104472393989272699669','','','','2017-02-23','','hoainhanstda.cengroup@gmail.com','','1487833686',1,'gg','2017-02-23 14:26:47','2017-02-23 14:08:08','2017-02-23 14:08:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (170,'Sasuke Kenshi','upload/avatar/100165522880571616187_avatar_thumb.jpg','100165522880571616187','','','','2017-02-23','','cp5011.13@gmail.com','','1487833771',1,'gg','2017-02-23 14:09:33','2017-02-23 14:09:33','2017-02-23 14:09:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (171,'TÂM-LORD ĐỨC','upload/avatar/108828140022820369800_avatar_thumb.jpg','108828140022820369800','','','male','2017-02-23','','doductam2211991@gmail.com','','1487834178',1,'gg','2017-02-23 14:16:21','2017-02-23 14:16:21','2017-02-23 14:16:21');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (172,'Mừng Đỗ Thị','upload/avatar/113976298584539072585_avatar_thumb.jpg','113976298584539072585','','','female','2017-02-23','','ngocnguyen19062013@gmail.com','','1487834841',1,'gg','2017-02-23 14:27:23','2017-02-23 14:27:23','2017-02-23 14:27:23');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (173,'Vũ Xuân Quang','upload/avatar/731737800334020_avatar_thumb.jpg','731737800334020','','','male','2017-02-23','','s3357831@rmit.edu.vn','','1487835968',1,'fb','2017-02-23 14:47:20','2017-02-23 14:46:10','2017-02-23 14:46:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (174,'Hung Hbb','upload/avatar/102015773149636390409_avatar_thumb.jpg','102015773149636390409','','','male','2017-02-23','','hunghbb06@gmail.com','0912279696','1487836100',1,'gg','2017-02-23 14:48:22','2017-02-23 14:48:22','2017-02-23 16:19:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (175,'Hoàng Trung Hải','upload/avatar/113331117001040789979_avatar_thumb.jpg','113331117001040789979','','','','2017-02-23','','traucaybds19@gmail.com','','1487837381',1,'gg','2017-02-23 15:09:42','2017-02-23 15:09:42','2017-02-23 15:09:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (176,'Lik Việt Nam','upload/avatar/176870386145038_avatar_thumb.jpg','176870386145038','','','male','2017-02-23','','likvietnam2015@gmail.com','0919919586','1487837592',1,'fb','2017-02-23 21:57:15','2017-02-23 15:13:14','2017-02-23 17:18:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (177,'Ban Phạm Quang','upload/avatar/1641442192539010_avatar_thumb.jpg','1641442192539010','','','male','2017-02-23','','quangban_dhtm@yahoo.com','0979365679','1487838157',1,'fb','2017-02-23 15:22:39','2017-02-23 15:22:39','2017-02-23 17:25:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (178,'Mai Mai','upload/avatar/1810571532542583_avatar_thumb.jpg','1810571532542583','','','female','2017-02-23','','','','1487838667',1,'fb','2017-02-23 15:31:09','2017-02-23 15:31:09','2017-02-23 15:31:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (179,'Đào Hải Lam','upload/avatar/416231725396965_avatar_thumb.jpg','416231725396965','','','female','2017-02-23','','pinkstorevnn@gmail.com','','1487838984',1,'fb','2017-02-23 15:40:36','2017-02-23 15:36:26','2017-02-23 15:36:26');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (180,'Kien Kien','upload/avatar/781421008679862_avatar_thumb.jpg','781421008679862','','','male','2017-02-23','','','','1487839229',1,'fb','2017-02-23 15:40:32','2017-02-23 15:40:32','2017-02-23 15:40:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (181,'Chinh Nguyễn Đức','upload/avatar/1972431672978388_avatar_thumb.jpg','1972431672978388','','','male','2017-02-23','','','0989885233','1487840420',1,'fb','2017-02-24 08:20:10','2017-02-23 16:00:22','2017-02-23 16:00:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (182,'Thắng Phạm Đình','upload/avatar/1578803108804338_avatar_thumb.jpg','1578803108804338','','','male','2017-02-23','','thang_taiwan@yahoo.com','01235857777','1487841218',1,'fb','2017-02-23 16:14:31','2017-02-23 16:13:40','2017-02-23 16:13:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (183,'Hung To Nhan','upload/avatar/105006319919537799131_avatar_thumb.jpg','105006319919537799131','','','male','2017-02-23','','tonhanhung@gmail.com','','1487841565',1,'gg','2017-02-23 16:19:27','2017-02-23 16:19:27','2017-02-23 16:19:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (184,'Cà Chua','upload/avatar/639790522874725_avatar_thumb.jpg','639790522874725','','','male','2017-02-23','','cachua1908@gmail.com','84963819898','1487843507',1,'fb','2017-02-23 16:51:49','2017-02-23 16:51:49','2017-02-23 16:52:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (185,'Joozy Joot','upload/avatar/10154241760541606_avatar_thumb.jpg','10154241760541606','','','female','2017-02-23','','joozy_joot@yahoo.com','0913237343','1487846850',1,'fb','2017-02-23 17:47:32','2017-02-23 17:47:32','2017-02-23 17:47:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (186,'Thanh Hải','upload/avatar/1568717709809812_avatar_thumb.jpg','1568717709809812','','','male','2017-02-23','','thanhhai_tq2006@yahoo.com','0916720138','1487846916',1,'fb','2017-02-26 22:42:43','2017-02-23 17:48:38','2017-02-23 17:48:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (187,'Tai Ma','upload/avatar/616086351910081_avatar_thumb.jpg','616086351910081','','','male','2017-02-23','','','','1487847337',1,'fb','2017-02-23 17:55:40','2017-02-23 17:55:40','2017-02-23 17:55:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (188,'Do Hoang Ha','upload/avatar/1353855887971295_avatar_thumb.jpg','1353855887971295','','','male','2017-02-23','','ha.dohoang@live.com','0982457206','1487847901',1,'fb','2017-02-23 18:05:03','2017-02-23 18:05:03','2017-02-23 18:05:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (189,'Ánh Lâm','upload/avatar/1108040285972843_avatar_thumb.jpg','1108040285972843','','','female','2017-02-23','','oh_my_god_1909@yahoo.com','','1487849699',1,'fb','2017-02-23 18:35:01','2017-02-23 18:35:01','2017-02-23 18:35:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (190,'Nguyễn Chung','upload/avatar/1868672053347894_avatar_thumb.jpg','1868672053347894','','','male','2017-02-23','','ntckung39@gmail.com','0968916661','1487853188',1,'fb','2017-02-23 19:33:11','2017-02-23 19:33:11','2017-02-23 19:33:21');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (191,'Sao Seven','upload/avatar/943079892495702_avatar_thumb.jpg','943079892495702','','','female','2017-02-23','','cogaibanthuoclac_trongsannhay@yahoo.com','0983711990','1487853477',1,'fb','2017-02-23 19:37:59','2017-02-23 19:37:59','2017-02-23 19:38:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (192,'Duc Minh Luong','upload/avatar/1054648301308287_avatar_thumb.jpg','1054648301308287','','','male','2017-02-23','','lgmduc@gmail.com','0934189333','1487854137',1,'fb','2017-02-23 19:48:59','2017-02-23 19:48:59','2017-02-23 19:49:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (193,'Cương Txc','upload/avatar/1252831771438547_avatar_thumb.jpg','1252831771438547','','','male','2017-02-23','','cuongvietpro8x@gmail.com','0975527290','1487860595',1,'fb','2017-02-23 21:36:38','2017-02-23 21:36:38','2017-02-23 21:36:52');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (194,'Đinh Nhung','upload/avatar/1259014577551951_avatar_thumb.jpg','1259014577551951','','','female','2017-02-23','','nhungchjp09@yahoo.com.vn','0973859696','1487862086',1,'fb','2017-02-23 22:03:10','2017-02-23 22:01:28','2017-02-23 22:01:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (195,'Mạnh Hùng','upload/avatar/360367417682944_avatar_thumb.jpg','360367417682944','','','male','2017-02-23','','','0984622891','1487864397',1,'fb','2017-02-23 22:39:59','2017-02-23 22:39:59','2017-02-23 22:40:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (196,'Phạm Tiến Dũng','upload/avatar/1104537912990424_avatar_thumb.jpg','1104537912990424','','','male','2017-02-23','','ck.dungpham@yahoo.com.vn','0975996692','1487866955',1,'fb','2017-03-04 22:49:15','2017-02-23 23:22:38','2017-02-23 23:22:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (197,'Nga Nguyen','upload/avatar/101503183786897952985_avatar_thumb.jpg','101503183786897952985','','','female','2017-02-24','','ngabds52.neu@gmail.com','0988614692','1487874469',1,'gg','2017-02-27 12:28:04','2017-02-24 01:27:51','2017-02-24 01:33:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (198,'Mèo Ham Chơi','upload/avatar/575637105978791_avatar_thumb.jpg','575637105978791','','','male','2017-02-24','','thaimeost.6789@yahoo.com.vn','0984282891','1487875618',1,'fb','2017-02-24 01:47:00','2017-02-24 01:47:00','2017-02-24 01:47:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (199,'Đào Minh Ngọc','upload/avatar/1242720145775409_avatar_thumb.jpg','1242720145775409','','','male','2017-02-24','','bkviet.kd@gmail.com','0973352700','1487884532',1,'fb','2017-02-24 04:16:59','2017-02-24 04:15:35','2017-02-24 04:15:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (200,'Bich Nguyen','upload/avatar/414127042275398_avatar_thumb.jpg','414127042275398','','','female','2017-02-24','','','01252582782','1487891171',1,'fb','2017-02-24 06:09:27','2017-02-24 06:06:14','2017-02-24 06:06:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (201,'Trần Vân Thanh','upload/avatar/1424568144228056_avatar_thumb.jpg','1424568144228056','','','female','2017-02-24','','girlvippro_93@yahoo.com','01692719148','1487892732',1,'fb','2017-02-24 06:33:03','2017-02-24 06:32:14','2017-02-24 06:33:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (202,'Vietnam Do','upload/avatar/1067006560072713_avatar_thumb.jpg','1067006560072713','','','male','2017-02-24','','vietnamupnow@gmail.com','','1487894571',1,'fb','2017-02-24 07:02:54','2017-02-24 07:02:54','2017-02-24 07:02:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (203,'Minh Hương','upload/avatar/269051000197916_avatar_thumb.jpg','269051000197916','','','female','2017-02-24','','','0989631470','1487894583',1,'fb','2017-02-24 07:03:05','2017-02-24 07:03:05','2017-02-24 07:03:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (204,'Mạnh Biệt Thự','upload/avatar/2223059414585145_avatar_thumb.jpg','2223059414585145','','','male','2017-02-24','','manhbietthu1@gmail.com','0942700222','1487896809',1,'fb','2017-02-24 07:42:48','2017-02-24 07:40:11','2017-02-24 07:40:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (205,'Minh Lý','upload/avatar/682161458653431_avatar_thumb.jpg','682161458653431','','','female','2017-02-24','','','0982397000','1487897314',1,'fb','2017-02-24 07:50:27','2017-02-24 07:48:36','2017-02-24 07:49:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (206,'Phạm Thị Hoài','upload/avatar/858923620914559_avatar_thumb.jpg','858923620914559','','','female','2017-02-24','','hoaipt2@wsl.vn','0969159919','1487897589',1,'fb','2017-02-24 07:53:11','2017-02-24 07:53:11','2017-02-24 07:53:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (207,'Duy Lee','upload/avatar/10212178070672767_avatar_thumb.jpg','10212178070672767','','','male','2017-02-24','','duylh81@ymail.com','0983338954','1487897679',1,'fb','2017-03-04 21:14:32','2017-02-24 07:54:41','2017-02-24 07:54:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (208,'Etwin Arbitrary','upload/avatar/1669312276418094_avatar_thumb.jpg','1669312276418094','','','male','2017-02-24','','etwin87@gmail.com','0965144687','1487898896',1,'fb','2017-03-01 14:27:43','2017-02-24 08:14:58','2017-02-24 08:15:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (209,'Alosa Pham','upload/avatar/1495344957143431_avatar_thumb.jpg','1495344957143431','','','male','2017-02-24','','','0978687174','1487899096',1,'fb','2017-02-28 00:31:30','2017-02-24 08:18:18','2017-02-25 00:25:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (210,'Nouvo LX Xdah','upload/avatar/770689389745148_avatar_thumb.jpg','770689389745148','','','male','2017-02-24','','hoahong_14121991@yahoo.com','01666004819','1487899105',1,'fb','2017-02-24 08:18:27','2017-02-24 08:18:27','2017-02-24 08:18:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (211,'Trương Văn Hạnh','upload/avatar/110492810413266483366_avatar_thumb.jpg','110492810413266483366','','','male','2017-02-24','','truong.hanh.259@gmail.com','0904080259','1487899200',1,'gg','2017-02-24 08:20:03','2017-02-24 08:20:03','2017-02-24 08:20:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (212,'Khuất Hữu Quỳnh','upload/avatar/1382337891787600_avatar_thumb.jpg','1382337891787600','','','male','2017-02-24','','huuquynh_2006@yahoo.com','0964331138','1487899550',1,'fb','2017-02-24 08:25:52','2017-02-24 08:25:52','2017-02-24 08:26:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (213,'Cen Plus','upload/avatar/383455025351139_avatar_thumb.jpg','383455025351139','','','female','2017-02-24','','noithatcenplus1@gmail.com','','1487899598',1,'fb','2017-02-24 16:27:29','2017-02-24 08:26:40','2017-02-24 08:26:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (214,'Minh Tuấn','upload/avatar/116089975867247723767_avatar_thumb.jpg','116089975867247723767','','','male','2017-02-24','','nvmdreamer@gmail.com','0943226836','1487899916',1,'gg','2017-03-07 11:44:06','2017-02-24 08:31:58','2017-02-24 08:32:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (215,'Phạm Mai','upload/avatar/103940440804720929993_avatar_thumb.jpg','103940440804720929993','','','','2017-02-24','','maiptdcv@gmail.com','01664040342','1487900068',1,'gg','2017-03-02 15:40:42','2017-02-24 08:34:30','2017-02-24 08:35:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (216,'Nm Hai','upload/avatar/10202878256195389_avatar_thumb.jpg','10202878256195389','','','male','2017-02-24','','bienxanh8373@yahoo.com','','1487900709',1,'fb','2017-02-24 08:45:11','2017-02-24 08:45:11','2017-02-24 08:45:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (217,'Nhím Xù','upload/avatar/1356519471035553_avatar_thumb.jpg','1356519471035553','','','female','2017-02-24','','','0988876509','1487900723',1,'fb','2017-02-24 08:49:23','2017-02-24 08:45:25','2017-02-24 08:45:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (218,'Man Hoang','upload/avatar/108962759714181288818_avatar_thumb.jpg','108962759714181288818','','','','2017-02-24','','manseothuehp@gmail.com','','1487900939',1,'gg','2017-02-24 08:49:01','2017-02-24 08:49:01','2017-02-24 08:49:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (219,'Quang Nghia','upload/avatar/1346716062057772_avatar_thumb.jpg','1346716062057772','','','male','2017-02-24','','nghiatran8706@yahoo.com','','1487900965',1,'fb','2017-02-28 16:29:43','2017-02-24 08:49:27','2017-02-24 08:49:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (220,'Dũng Nguyễn','upload/avatar/106151564369268374282_avatar_thumb.jpg','106151564369268374282','','','male','2017-02-24','','dungvina273@gmail.com','0965907008','1487900989',1,'gg','2017-02-24 08:49:52','2017-02-24 08:49:52','2017-02-24 08:49:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (221,'Lê Thành','upload/avatar/1263710390330989_avatar_thumb.jpg','1263710390330989','','','male','2017-02-24','','mglushed@gmail.com','0989979087','1487901304',1,'fb','2017-02-24 09:01:44','2017-02-24 08:55:06','2017-02-24 08:56:55');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (222,'Nghĩa Hoàng','upload/avatar/104839601956340472733_avatar_thumb.jpg','104839601956340472733','','','','2017-02-24','','hoangnghia.stda@gmail.com','','1487901525',1,'gg','2017-02-24 08:59:02','2017-02-24 08:59:02','2017-02-24 08:59:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (223,'Kai Oshin','upload/avatar/251236751967670_avatar_thumb.jpg','251236751967670','','','male','2017-02-24','','binhpt1993@gmail.com','01642242255','1487901956',1,'fb','2017-02-24 09:13:32','2017-02-24 09:05:58','2017-02-24 09:06:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (224,'HaLinh Tran','upload/avatar/10202985163825805_avatar_thumb.jpg','10202985163825805','','','female','2017-02-24','','lilopop_89@yahoo.com','0912896688','1487903112',1,'fb','2017-02-24 14:03:25','2017-02-24 09:25:15','2017-02-24 09:25:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (225,'Son Dao Van','upload/avatar/1297325430335078_avatar_thumb.jpg','1297325430335078','','','male','2017-02-24','','anhphailamsao_decoem08@yahoo.com','0903243861','1487903160',1,'fb','2017-02-24 09:29:52','2017-02-24 09:26:02','2017-02-24 09:26:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (226,'Quyet Duy Nguyen','upload/avatar/598269227038193_avatar_thumb.jpg','598269227038193','','','male','2017-02-24','','duyquyet24@gmail.com','0915120427','1487903549',1,'fb','2017-02-24 09:32:31','2017-02-24 09:32:31','2017-02-24 09:32:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (227,'Quang Dung','upload/avatar/1178400752277182_avatar_thumb.jpg','1178400752277182','','','male','2017-02-24','','quangdungzx@yahoo.com.vn','0962710700','1487904429',1,'fb','2017-02-24 09:53:09','2017-02-24 09:47:11','2017-02-24 09:47:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (228,'Tùng Nghiêm Đình','upload/avatar/101173613930254675908_avatar_thumb.jpg','101173613930254675908','','','','2017-02-24','','dinhtungbds68@gmail.com','0977750164','1487905062',1,'gg','2017-02-24 09:57:45','2017-02-24 09:57:45','2017-02-24 09:57:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (229,'Tiến Hoàng','upload/avatar/111101273470044501649_avatar_thumb.jpg','111101273470044501649','','','male','2017-02-24','','manhtienpt@gmail.com','0963129987','1487905494',1,'gg','2017-02-24 10:04:57','2017-02-24 10:04:57','2017-02-24 10:06:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (230,'vmg hung.nguyen','upload/avatar/115637991248834374011_avatar_thumb.jpg','115637991248834374011','','','male','2017-02-24','','hungvmg@gmail.com','0934489454','1487906835',1,'gg','2017-02-24 10:27:17','2017-02-24 10:27:17','2017-02-24 10:28:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (231,'Minh Nguyen','upload/avatar/1554744954543419_avatar_thumb.jpg','1554744954543419','','','male','2017-02-24','','sunflower_10583@yahoo.com','0943216828','1487908417',1,'fb','2017-02-24 10:53:39','2017-02-24 10:53:39','2017-02-24 10:53:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (232,'Thu Phuong Tran','upload/avatar/1626073340743062_avatar_thumb.jpg','1626073340743062','','','female','2017-02-24','','poo.advertiser.1102@gmail.com','01697758135','1487910036',1,'fb','2017-03-02 11:06:01','2017-02-24 11:20:38','2017-02-24 11:20:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (233,'Hảo Bùi','upload/avatar/1119200221522304_avatar_thumb.jpg','1119200221522304','','','female','2017-02-24','','haobui_th@yahoo.com','0986125871','1487910521',1,'fb','2017-02-24 11:28:44','2017-02-24 11:28:44','2017-02-24 11:28:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (234,'Tuấn Hoàng Gia','upload/avatar/1051341538310760_avatar_thumb.jpg','1051341538310760','','','male','2017-02-24','','bangchu_caibang421@yahoo.com','0938543454','1487910583',1,'fb','2017-02-24 11:29:45','2017-02-24 11:29:45','2017-02-24 11:29:53');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (235,'minh nguyen','upload/avatar/115326288020437738579_avatar_thumb.jpg','115326288020437738579','','','male','2017-02-24','','minhnh.cbks@gmail.com','0989781000','1487910637',1,'gg','2017-02-24 11:30:39','2017-02-24 11:30:39','2017-02-24 11:30:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (236,'Trương Công Tới','upload/avatar/1438999442790596_avatar_thumb.jpg','1438999442790596','','','male','2017-02-24','','tct.hanoiac@gmail.com','0979873689','1487913884',1,'fb','2017-02-24 12:24:46','2017-02-24 12:24:46','2017-02-24 12:24:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (237,'Bay Hoàng','upload/avatar/416778658660775_avatar_thumb.jpg','416778658660775','','','male','2017-02-24','','','','1487917267',1,'fb','2017-02-24 13:21:09','2017-02-24 13:21:09','2017-02-24 13:21:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (238,'Nhật Thiên','upload/avatar/114366197705482100246_avatar_thumb.jpg','114366197705482100246','','','male','2017-02-24','','nhatthienkhtn@gmail.com','','1487919183',1,'gg','2017-02-24 13:53:05','2017-02-24 13:53:05','2017-02-24 13:53:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (239,'Thanh Ho','upload/avatar/1405826396158281_avatar_thumb.jpg','1405826396158281','','','male','2017-02-24','','hocon2031@gmail.com','0938438887','1487919215',1,'fb','2017-02-24 13:53:37','2017-02-24 13:53:37','2017-02-24 13:53:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (240,'Lê Tiến','upload/avatar/1389443661114416_avatar_thumb.jpg','1389443661114416','','','male','2017-02-24','','tienle.utc@gmail.com','0902255039','1487919991',1,'fb','2017-02-24 14:06:33','2017-02-24 14:06:33','2017-02-24 14:07:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (241,'Thái Mèo 198x','upload/avatar/105840084252077794164_avatar_thumb.jpg','105840084252077794164','','','male','2017-02-24','','btdthai@gmail.com','0902050610','1487921075',1,'gg','2017-02-24 14:24:38','2017-02-24 14:24:38','2017-02-24 14:24:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (242,'Loan Samie','upload/avatar/1003542286446728_avatar_thumb.jpg','1003542286446728','','','female','2017-02-24','','loandinh0112@gmail.com','0931690886','1487921319',1,'fb','2017-02-24 21:05:45','2017-02-24 14:28:41','2017-02-24 14:29:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (243,'Nam Doãn Hoàng','upload/avatar/256649818091843_avatar_thumb.jpg','256649818091843','','','male','2017-02-24','','namdh689@gmail.com','0988123467','1487922530',1,'fb','2017-02-24 14:48:52','2017-02-24 14:48:52','2017-02-24 14:49:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (244,'Nguyễn Hùng','upload/avatar/1251045281677682_avatar_thumb.jpg','1251045281677682','','','male','2017-02-24','','mchero24391@gmail.com','0906624391','1487923237',1,'fb','2017-02-24 15:00:40','2017-02-24 15:00:40','2017-02-24 15:00:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (245,'Lê Thảo','upload/avatar/797965563683792_avatar_thumb.jpg','797965563683792','','','female','2017-02-24','','','0966818615','1487923555',1,'fb','2017-02-24 15:06:54','2017-02-24 15:05:57','2017-02-24 15:06:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (246,'Saun Salt (Tôm)','upload/avatar/112585678457943002961_avatar_thumb.jpg','112585678457943002961','','','male','2017-02-24','','tuanson268@gmail.com','0988020693','1487924333',1,'gg','2017-02-24 15:18:54','2017-02-24 15:18:54','2017-02-24 15:19:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (247,'Tú Phan','upload/avatar/102918866104601601272_avatar_thumb.jpg','102918866104601601272','','','male','2017-02-24','','phanngoctu.xdhn@gmail.com','0972889587','1487925095',1,'gg','2017-02-24 15:31:37','2017-02-24 15:31:37','2017-02-24 15:31:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (248,'Thu Thu Nguyen','upload/avatar/1138007289642317_avatar_thumb.jpg','1138007289642317','','','female','2017-02-24','','','','1487925732',1,'fb','2017-02-24 15:42:14','2017-02-24 15:42:14','2017-02-24 15:42:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (249,'Nguyễn Cao Kỳ','upload/avatar/1881446002126875_avatar_thumb.jpg','1881446002126875','','','male','2017-02-24','','datmasuto1993@gmail.com','01265673908','1487928207',1,'fb','2017-02-24 16:23:29','2017-02-24 16:23:29','2017-02-24 16:23:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (250,'Sự Tùy Duyên Vạn','upload/avatar/160302514478092_avatar_thumb.jpg','160302514478092','','','male','2017-02-24','','','0978307425','1487928583',1,'fb','2017-02-24 16:31:33','2017-02-24 16:29:45','2017-02-24 16:30:30');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (251,'Huy Tiến Trần Nguyễn','upload/avatar/103715766726588551004_avatar_thumb.jpg','103715766726588551004','','','','2017-02-24','','trannguyenhuytien@gmail.com','0938156677','1487932701',1,'gg','2017-02-24 17:38:23','2017-02-24 17:38:23','2017-02-24 17:38:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (252,'Trinh B730','upload/avatar/107992989661670928790_avatar_thumb.jpg','107992989661670928790','','','female','2017-02-24','','trinhtruong.730@gmail.com','0969282370','1487932968',1,'gg','2017-02-24 17:42:50','2017-02-24 17:42:50','2017-02-24 17:43:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (253,'Nguyễn Trần Minh','upload/avatar/427100727621569_avatar_thumb.jpg','427100727621569','','','male','2017-02-24','','min.gillsann@gmail.com','01265898504','1487933014',1,'fb','2017-02-24 17:43:36','2017-02-24 17:43:36','2017-02-24 17:43:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (254,'BÂT ĐỘNG SẢN SINH THÁI','upload/avatar/111004819177852168080_avatar_thumb.jpg','111004819177852168080','','','','2017-02-24','','manhdung.hbe@gmail.com','0976855677','1487933102',1,'gg','2017-02-24 17:45:04','2017-02-24 17:45:04','2017-02-24 17:45:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (255,'Thế Phương Bạch','upload/avatar/102935855153296708940_avatar_thumb.jpg','102935855153296708940','','','','2017-02-24','','btf1010@gmail.com','0982164296','1487933163',1,'gg','2017-02-24 17:46:05','2017-02-24 17:46:05','2017-02-24 17:47:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (256,'Thành Trung Nguyễn','upload/avatar/1597974810243451_avatar_thumb.jpg','1597974810243451','','','male','2017-02-24','','thanhtrungit2310@gmail.com','','1487933315',1,'fb','2017-02-24 17:48:37','2017-02-24 17:48:37','2017-02-24 17:48:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (257,'Phu Nam','upload/avatar/117029037449252176860_avatar_thumb.jpg','117029037449252176860','','','other','2017-02-24','','phunamxd@gmail.com','0978906286','1487936368',1,'gg','2017-02-24 18:39:30','2017-02-24 18:39:30','2017-02-24 18:39:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (258,'Hà Trần Văn','upload/avatar/1854969318079490_avatar_thumb.jpg','1854969318079490','','','male','2017-02-24','','havt1405@gmail.com','0974602443','1487938712',1,'fb','2017-02-24 19:21:47','2017-02-24 19:18:34','2017-02-24 19:22:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (259,'Vòng Xoáy Cuộc Đời','upload/avatar/644587599077367_avatar_thumb.jpg','644587599077367','','','male','2017-02-24','','','01688656612','1487942899',1,'fb','2017-02-24 20:30:41','2017-02-24 20:28:22','2017-02-24 20:30:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (260,'Nguyễn Quyền','upload/avatar/182019028955315_avatar_thumb.jpg','182019028955315','','','male','2017-02-24','','01626012006q@gmail.com','01635551999','1487943324',1,'fb','2017-02-24 20:36:00','2017-02-24 20:35:26','2017-02-24 20:35:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (261,'Phạm T Vy','upload/avatar/1202131586571747_avatar_thumb.jpg','1202131586571747','','','female','2017-02-24','','tieuvy.nd@gmail.com','0943286263','1487944302',1,'fb','2017-03-01 13:43:19','2017-02-24 20:51:44','2017-02-24 20:51:56');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (262,'Hương Thanh','upload/avatar/261396774285491_avatar_thumb.jpg','261396774285491','','','female','2017-02-24','','chuyennhuchuabatdau747@gmail.com','0868466099','1487944508',1,'fb','2017-02-24 20:55:20','2017-02-24 20:55:10','2017-02-24 20:55:29');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (263,'Ha Kien','upload/avatar/106190428752274768461_avatar_thumb.jpg','106190428752274768461','','','','2017-02-24','','bds.hakien@gmail.com','0988181588','1487945361',1,'gg','2017-02-24 21:09:23','2017-02-24 21:09:23','2017-02-24 21:09:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (264,'Duy Phanhoang','upload/avatar/100207413183681552174_avatar_thumb.jpg','100207413183681552174','','','','2017-02-24','','hoangduy91@gmail.com','0989047117','1487946664',1,'gg','2017-02-24 21:31:06','2017-02-24 21:31:06','2017-02-24 21:31:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (265,'Go Green','upload/avatar/1136394019804236_avatar_thumb.jpg','1136394019804236','','','male','2017-02-24','','trung.gogreen@gmail.com','0963314418','1487947003',1,'fb','2017-02-24 21:38:45','2017-02-24 21:36:45','2017-02-24 21:37:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (266,'Ánh Đoàn','upload/avatar/693509764143962_avatar_thumb.jpg','693509764143962','','','male','2017-02-24','','anhdoan964@gmail.com','0972885786','1487947141',1,'fb','2017-02-24 21:54:05','2017-02-24 21:39:03','2017-02-24 21:39:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (267,'Ngọc Loan','upload/avatar/1425230934201711_avatar_thumb.jpg','1425230934201711','','','female','2017-02-24','','lx28_endlesslove@yahoo.com','0962862568','1487947612',1,'fb','2017-02-24 21:46:54','2017-02-24 21:46:54','2017-02-24 21:47:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (268,'Thùy Linh','upload/avatar/251650688619264_avatar_thumb.jpg','251650688619264','','','female','2017-02-24','','colenthuylinhoi@gmail.com','','1487950115',1,'fb','2017-02-24 22:28:37','2017-02-24 22:28:37','2017-02-24 22:28:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (269,'Chu Đăng Thiện','upload/avatar/1931021537184272_avatar_thumb.jpg','1931021537184272','','','male','2017-02-24','','chudangthien@gmail.com','','1487950554',1,'fb','2017-02-24 22:35:56','2017-02-24 22:35:56','2017-02-24 22:35:56');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (270,'Nguyễn Văn Phi','upload/avatar/2025999900755687_avatar_thumb.jpg','2025999900755687','','','male','2017-02-24','','nguyenvanphi10051991@gmail.com','','1487950695',1,'fb','2017-02-24 22:38:16','2017-02-24 22:38:16','2017-02-24 22:38:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (271,'Ong Ba','upload/avatar/604537583085281_avatar_thumb.jpg','604537583085281','','','male','2017-02-24','','phamdoanvietnam@gmail.com','','1487950839',1,'fb','2017-02-24 22:42:58','2017-02-24 22:40:41','2017-02-24 22:40:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (272,'Minh Ngo','upload/avatar/103003316517363043441_avatar_thumb.jpg','103003316517363043441','','','male','2017-02-24','','ngominh9611@gmail.com','0949512291','1487952681',1,'gg','2017-02-24 23:11:24','2017-02-24 23:11:24','2017-02-24 23:11:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (273,'Thùy Dương','upload/avatar/1401323663273593_avatar_thumb.jpg','1401323663273593','','','female','2017-02-24','','ngothuyduong131092@gmail.com','0944431092','1487952958',1,'fb','2017-02-24 23:16:00','2017-02-24 23:16:00','2017-02-24 23:16:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (274,'Na Rosa','upload/avatar/1886732194890210_avatar_thumb.jpg','1886732194890210','','','female','2017-02-24','','tinajuhoang@gmail.com','0906412361','1487953644',1,'fb','2017-02-24 23:27:26','2017-02-24 23:27:26','2017-02-24 23:27:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (275,'Tuấn Nguyễn','upload/avatar/391892164522227_avatar_thumb.jpg','391892164522227','','','male','2017-02-25','','tuandiaoc.bds@gmail.com','0941518999','1487957109',1,'fb','2017-02-25 10:02:48','2017-02-25 00:25:11','2017-02-25 10:02:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (276,'Dao Dang','upload/avatar/1211833798914529_avatar_thumb.jpg','1211833798914529','','','female','2017-02-25','','anhdao112_89@yahoo.com','','1487958606',1,'fb','2017-02-25 00:50:08','2017-02-25 00:50:08','2017-02-25 00:50:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (277,'Truong Nguyen Xuan','upload/avatar/810160242467993_avatar_thumb.jpg','810160242467993','','','male','2017-02-25','','nxtruong06@gmail.com','0903447586','1487979316',1,'fb','2017-02-25 06:37:07','2017-02-25 06:35:20','2017-02-25 06:35:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (278,'genji sajmac','upload/avatar/112064994857171255895_avatar_thumb.jpg','112064994857171255895','','','male','2017-02-25','','sajmac1102@gmail.com','01679843685','1487980155',1,'gg','2017-02-25 06:51:02','2017-02-25 06:49:16','2017-02-25 06:49:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (279,'Sơn Kao','upload/avatar/1165250000254300_avatar_thumb.jpg','1165250000254300','','','male','2017-02-25','','sonkao99@gmail.com','0901498666','1487990375',1,'fb','2017-02-27 09:36:44','2017-02-25 09:39:37','2017-02-25 09:41:23');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (280,'Thái Nguyễn Cbre','upload/avatar/1846608645562068_avatar_thumb.jpg','1846608645562068','','','male','2017-02-25','','chiyeugaiu30@yahoo.com','0908000888','1487992421',1,'fb','2017-02-25 10:13:44','2017-02-25 10:13:44','2017-02-25 10:13:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (281,'Lê Thị Thương','upload/avatar/753102688177556_avatar_thumb.jpg','753102688177556','','','female','2017-02-25','','thuandv83@gmail.com','0984402829','1487992509',1,'fb','2017-02-25 10:15:11','2017-02-25 10:15:11','2017-02-25 10:15:30');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (282,'Lý Thành Hải','upload/avatar/109894459260690472163_avatar_thumb.jpg','109894459260690472163','','','male','2017-02-25','','kuuyon@gmail.com','','1487992550',1,'gg','2017-02-25 10:15:52','2017-02-25 10:15:52','2017-02-25 10:15:52');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (283,'Hai Nt','upload/avatar/10207119661184965_avatar_thumb.jpg','10207119661184965','','','male','2017-02-25','','nt.hai85@yahoo.com','0912733688','1488006185',1,'fb','2017-02-25 14:03:09','2017-02-25 14:03:09','2017-02-25 14:03:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (284,'Hùng','upload/avatar/575629089314554_avatar_thumb.jpg','575629089314554','','','male','2017-02-25','','hunglogo@gmail.com','0985135157','1488007159',1,'fb','2017-02-25 14:19:22','2017-02-25 14:19:22','2017-02-25 14:19:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (285,'Tung Nguyenco','upload/avatar/760997804062791_avatar_thumb.jpg','760997804062791','','','male','2017-02-25','','nguyencotung@gmail.com','0962688589','1488009159',1,'fb','2017-02-25 14:56:11','2017-02-25 14:52:41','2017-02-25 14:53:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (286,'Nguyễn Nguyên Hải','upload/avatar/830985557050868_avatar_thumb.jpg','830985557050868','','','male','2017-02-25','','benhvienc.com@gmail.com','0944423678','1488010701',1,'fb','2017-02-25 15:18:25','2017-02-25 15:18:25','2017-02-25 15:18:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (287,'Ha Luong','upload/avatar/109417686695455019195_avatar_thumb.jpg','109417686695455019195','','','female','2017-02-25','','tieuma88@gmail.com','0906662769','1488016069',1,'gg','2017-02-25 16:47:52','2017-02-25 16:47:52','2017-02-25 16:48:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (288,'Hồng Vân Phạm Thị','upload/avatar/102433447670185305569_avatar_thumb.jpg','102433447670185305569','','','','2017-02-25','','phamhongvan1510@gmail.com','0974925922','1488036111',1,'gg','2017-02-25 22:26:49','2017-02-25 22:21:55','2017-02-25 22:23:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (289,'Tuan Tuom','upload/avatar/1248911968511318_avatar_thumb.jpg','1248911968511318','','','male','2017-02-26','','tuantuom@gmail.com','0916516977','1488063517',1,'fb','2017-02-26 05:58:42','2017-02-26 05:58:42','2017-02-26 05:59:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (290,'Sang Văn Phùng','upload/avatar/1119307934846062_avatar_thumb.jpg','1119307934846062','','','male','2017-02-26','','giobachqua_170311@yahoo.com','0976006713','1488070045',1,'fb','2017-02-26 07:47:28','2017-02-26 07:47:28','2017-02-26 07:47:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (291,'Lê Công Phong','upload/avatar/106371590806858828094_avatar_thumb.jpg','106371590806858828094','','','male','2017-02-26','','lephongbkdv@gmail.com','0918778385','1488071396',1,'gg','2017-02-26 08:09:59','2017-02-26 08:09:59','2017-02-26 08:10:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (292,'Phu Masieu','upload/avatar/1866679923546259_avatar_thumb.jpg','1866679923546259','','','male','2017-02-26','','phumasieu@gmail.com','0912345678','1488076777',1,'fb','2017-02-26 09:39:45','2017-02-26 09:39:45','2017-02-26 09:40:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (293,'thai bui','upload/avatar/111112479244577431351_avatar_thumb.jpg','111112479244577431351','','','male','2017-02-26','','buixuanthai90@gmail.com','0964348833','1488076834',1,'gg','2017-02-26 09:40:37','2017-02-26 09:40:37','2017-02-26 09:40:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (294,'Thuong Dohuu','upload/avatar/198035227346139_avatar_thumb.jpg','198035227346139','','','male','2017-02-26','','','0972630059','1488093073',1,'fb','2017-02-26 14:13:02','2017-02-26 14:11:15','2017-02-26 14:11:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (295,'Nguyen Thanh Tuan','upload/avatar/638599446349804_avatar_thumb.jpg','638599446349804','','','male','2017-02-26','','tuantan2009@gmail.com','0948027456','1488093266',1,'fb','2017-02-26 14:14:28','2017-02-26 14:14:28','2017-02-26 14:14:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (296,'Thanh le','upload/avatar/110159693687139824459_avatar_thumb.jpg','110159693687139824459','','','','2017-02-26','','lethanh138@gmail.com','0904636343','1488095781',1,'gg','2017-02-26 14:56:24','2017-02-26 14:56:24','2017-02-26 14:56:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (297,'Dương Văn Chương','upload/avatar/1085752338217408_avatar_thumb.jpg','1085752338217408','','','male','2017-02-26','','chuongbka@gmail.com','01638495773','1488103370',1,'fb','2017-02-26 17:02:52','2017-02-26 17:02:52','2017-02-26 17:03:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (298,'Pham Nhue Giang','upload/avatar/10209456357149294_avatar_thumb.jpg','10209456357149294','','','female','2017-02-26','','nhuegiang79@yahoo.com','0914657846','1488107853',1,'fb','2017-02-26 18:18:30','2017-02-26 18:17:37','2017-02-26 18:17:47');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (299,'Nguyễn Văn Khởi','upload/avatar/587339348132167_avatar_thumb.jpg','587339348132167','','','male','2017-02-26','','kkhoinguyen@gmail.com','','1488112159',1,'fb','2017-02-26 19:29:22','2017-02-26 19:29:22','2017-02-26 19:29:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (300,'Bùi Đức Thao','upload/avatar/140186483168319_avatar_thumb.jpg','140186483168319','','','male','2017-02-26','','','0936453883','1488120722',1,'fb','2017-02-26 21:52:12','2017-02-26 21:52:12','2017-02-26 21:52:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (301,'Hung Nguyen','upload/avatar/1491013374243526_avatar_thumb.jpg','1491013374243526','','','male','2017-02-26','','deptrainhatlop1122@yahoo.com','0968688798','1488127056',1,'fb','2017-02-26 23:37:38','2017-02-26 23:37:38','2017-02-26 23:37:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (302,'Toan Vi','upload/avatar/203643613447495_avatar_thumb.jpg','203643613447495','','','male','2017-02-27','','','01665049352','1488152508',1,'fb','2017-02-27 06:41:51','2017-02-27 06:41:51','2017-02-27 06:42:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (303,'Richie Vuong','upload/avatar/633006306892939_avatar_thumb.jpg','633006306892939','','','male','2017-02-27','','a.richievuong@gmail.com','','1488154975',1,'fb','2017-02-27 07:22:58','2017-02-27 07:22:58','2017-02-27 07:22:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (304,'Phạm Lan Hương','upload/avatar/101178661472178590841_avatar_thumb.jpg','101178661472178590841','','','female','2017-02-27','','huongphamlk@gmail.com','0913997366','1488157885',1,'gg','2017-02-27 08:11:28','2017-02-27 08:11:28','2017-02-27 08:11:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (305,'thanh nguyentuan','upload/avatar/116007905811279015544_avatar_thumb.jpg','116007905811279015544','','','male','2017-02-27','','tuanthanhnguyen68@gmail.com','0912912708','1488159323',1,'gg','2017-02-27 08:37:34','2017-02-27 08:35:25','2017-02-27 08:35:59');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (306,'Quang Minh Minh','upload/avatar/1906502486248825_avatar_thumb.jpg','1906502486248825','','','male','2017-02-27','','','01664815911','1488164580',1,'fb','2017-03-03 09:33:34','2017-02-27 10:03:04','2017-02-27 10:03:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (307,'Khánh Như','upload/avatar/1352584671473939_avatar_thumb.jpg','1352584671473939','','','female','2017-02-27','','nhukhanh55@yahoo.com','','1488167343',1,'fb','2017-02-27 10:49:05','2017-02-27 10:49:05','2017-02-27 10:49:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (308,'Minh Trang Nguyễn','upload/avatar/115622991815187136380_avatar_thumb.jpg','115622991815187136380','','','female','2017-02-27','','trangm91@gmail.com','0968520516','1488167584',1,'gg','2017-02-27 10:55:44','2017-02-27 10:53:06','2017-02-27 10:53:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (309,'Nguyễn Văn Cường','upload/avatar/154688228379121_avatar_thumb.jpg','154688228379121','','','male','2017-02-27','','','0969836533','1488167651',1,'fb','2017-02-27 10:54:13','2017-02-27 10:54:13','2017-02-27 10:54:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (310,'Mầm Non Ngôi Sao','upload/avatar/227948874279040_avatar_thumb.jpg','227948874279040','','','female','2017-02-27','','mannonngoisao@gmail.com','','1488167927',1,'fb','2017-02-27 10:58:49','2017-02-27 10:58:49','2017-02-27 10:58:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (311,'Tyler Nguyễn','upload/avatar/254010688391078_avatar_thumb.jpg','254010688391078','','','male','2017-02-27','','','0942297566','1488167974',1,'fb','2017-02-27 11:01:27','2017-02-27 10:59:36','2017-02-27 11:02:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (312,'Hân Ngô','upload/avatar/111788073220514838694_avatar_thumb.jpg','111788073220514838694','','','female','2017-02-27','','anhduong.bn2007@gmail.com','0912354678','1488168382',1,'gg','2017-02-27 11:06:23','2017-02-27 11:06:23','2017-02-27 11:07:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (313,'Martin Pham','upload/avatar/418741271811208_avatar_thumb.jpg','418741271811208','','','male','2017-02-27','','minhduc4888@gmail.com','0966754888','1488171211',1,'fb','2017-02-27 11:53:34','2017-02-27 11:53:34','2017-02-27 11:53:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (314,'Phu Nguyen','upload/avatar/1557456964283782_avatar_thumb.jpg','1557456964283782','','','male','2017-02-27','','khucnhactinhyeu_19902000@yahoo.com','0919358262','1488183595',1,'fb','2017-02-27 15:19:58','2017-02-27 15:19:58','2017-02-27 15:20:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (315,'Lê Bích','upload/avatar/110107777539340245585_avatar_thumb.jpg','110107777539340245585','','','','2017-02-27','','lebichbungphe@gmail.com','','1488183969',1,'gg','2017-02-27 15:26:12','2017-02-27 15:26:12','2017-02-27 15:26:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (316,'Tung Pham','upload/avatar/1593992257283019_avatar_thumb.jpg','1593992257283019','','','male','2017-02-27','','tungpham2409@yahoo.com','','1488185571',1,'fb','2017-02-27 15:52:54','2017-02-27 15:52:54','2017-02-27 15:52:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (317,'Duy Quang Nguyen','upload/avatar/110769443618567801677_avatar_thumb.jpg','110769443618567801677','','','male','2017-02-27','','duyquangkt15@gmail.com','','1488186978',1,'gg','2017-02-27 16:16:21','2017-02-27 16:16:21','2017-02-27 16:16:21');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (318,'Phuong Vo Thi','upload/avatar/183137422178756_avatar_thumb.jpg','183137422178756','','','female','2017-02-27','','phuongvo671983@gmail.com','0898473880','1488203841',1,'fb','2017-02-27 20:57:24','2017-02-27 20:57:24','2017-02-27 20:57:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (319,'Vi Nguyen','upload/avatar/111790859433488656879_avatar_thumb.jpg','111790859433488656879','','','male','2017-02-27','','anhvi202@gmail.com','0937919936','1488203849',1,'gg','2017-02-27 20:57:31','2017-02-27 20:57:31','2017-02-27 20:57:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (320,'Hoangtu Lamnan','upload/avatar/765717450252892_avatar_thumb.jpg','765717450252892','','','male','2017-02-27','','ngocchinh1412@gmail.com','0904841788','1488208887',1,'fb','2017-02-27 22:21:30','2017-02-27 22:21:30','2017-02-27 22:21:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (321,'Nguyễn Mạnh Giang','upload/avatar/780409795447742_avatar_thumb.jpg','780409795447742','','','male','2017-02-27','','','0984486001','1488211469',1,'fb','2017-02-27 23:05:48','2017-02-27 23:04:32','2017-02-27 23:04:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (322,'Do Xuan Tung','upload/avatar/110254255215978931701_avatar_thumb.jpg','110254255215978931701','','','','2017-02-27','','xuantung193@gmail.com','','1488211600',1,'gg','2017-02-27 23:06:42','2017-02-27 23:06:42','2017-02-27 23:06:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (323,'Dao Trong Van','upload/avatar/1704819549534402_avatar_thumb.jpg','1704819549534402','','','male','2017-02-28','','daohaicatex@gmail.com','0983712205','1488237343',1,'fb','2017-02-28 06:15:45','2017-02-28 06:15:45','2017-02-28 06:16:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (324,'Đặng Tiến','upload/avatar/603775633154565_avatar_thumb.jpg','603775633154565','','','male','2017-02-28','','tien_gt48@yahoo.com','0972551230','1488244005',1,'fb','2017-02-28 08:06:47','2017-02-28 08:06:47','2017-02-28 08:07:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (325,'Tôi Minh','upload/avatar/1000843136684436_avatar_thumb.jpg','1000843136684436','','','male','2017-02-28','','congtubaclieu_nhok@yahoo.com','0989726035','1488247731',1,'fb','2017-02-28 09:11:12','2017-02-28 09:08:54','2017-02-28 09:09:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (326,'Nguyễn Xuân Hậu','upload/avatar/1279772522058105_avatar_thumb.jpg','1279772522058105','','','male','2017-02-28','','haugoto@gmail.com','','1488253469',1,'fb','2017-02-28 10:44:31','2017-02-28 10:44:31','2017-02-28 10:44:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (327,'Nguyễn Anh Toán','upload/avatar/762638540579055_avatar_thumb.jpg','762638540579055','','','male','2017-02-28','','','0969070178','1488253932',1,'fb','2017-02-28 10:52:14','2017-02-28 10:52:14','2017-02-28 10:52:55');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (328,'Thê Hao Tran','upload/avatar/387363998304455_avatar_thumb.jpg','387363998304455','','','male','2017-02-28','','','0979908993','1488258331',1,'fb','2017-02-28 12:05:34','2017-02-28 12:05:34','2017-02-28 12:05:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (329,'Doanh Cho Nguyen Quoc','upload/avatar/204651366678087_avatar_thumb.jpg','204651366678087','','','male','2017-02-28','','','','1488259891',1,'fb','2017-02-28 12:31:33','2017-02-28 12:31:33','2017-02-28 12:31:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (330,'linh manh','upload/avatar/109654768261517730130_avatar_thumb.jpg','109654768261517730130','','','','2017-02-28','','manhlinhhasg2@gmail.com','0906706127','1488264175',1,'gg','2017-02-28 13:42:57','2017-02-28 13:42:57','2017-02-28 13:43:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (331,'Trịnh Đình Cường','upload/avatar/1640724169290861_avatar_thumb.jpg','1640724169290861','','','male','2017-02-28','','b0y.cu0ng@yahoo.com.vn','01687099610','1488268127',1,'fb','2017-02-28 14:48:49','2017-02-28 14:48:49','2017-02-28 14:49:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (332,'tower violet','upload/avatar/107749773057646100824_avatar_thumb.jpg','107749773057646100824','','','','2017-02-28','','violettower.info@gmail.com','','1488270453',1,'gg','2017-02-28 15:27:37','2017-02-28 15:27:37','2017-02-28 15:27:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (333,'Minh Minh','upload/avatar/1618342341515843_avatar_thumb.jpg','1618342341515843','','','female','2017-02-28','','minhdan3005@gmail.com','','1488270786',1,'fb','2017-02-28 15:33:09','2017-02-28 15:33:09','2017-02-28 15:33:09');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (334,'Truong Arsenal','upload/avatar/1901977836750182_avatar_thumb.jpg','1901977836750182','','','male','2017-02-28','','','','1488271675',1,'fb','2017-02-28 15:47:57','2017-02-28 15:47:57','2017-02-28 15:47:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (335,'Minh “Kolokun” Hoàng','upload/avatar/105731710041978805039_avatar_thumb.jpg','105731710041978805039','','','male','2017-02-28','','minhhoangngoc.vn@gmail.com','','1488272116',1,'gg','2017-02-28 15:55:18','2017-02-28 15:55:18','2017-02-28 15:55:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (336,'Văn Huy','upload/avatar/772502252919031_avatar_thumb.jpg','772502252919031','','','male','2017-02-28','','','0978353453','1488272650',1,'fb','2017-02-28 16:04:12','2017-02-28 16:04:12','2017-02-28 16:04:29');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (337,'Anh Gamuda','upload/avatar/588158734722160_avatar_thumb.jpg','588158734722160','','','male','2017-02-28','','doanhcuong19101990@gmail.com','0904628777','1488273818',1,'fb','2017-02-28 16:26:15','2017-02-28 16:23:40','2017-02-28 16:24:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (338,'Lâm Hà','upload/avatar/1354506524605696_avatar_thumb.jpg','1354506524605696','','','male','2017-02-28','','havanlam991@gmail.com','0888505765','1488274559',1,'fb','2017-02-28 16:36:01','2017-02-28 16:36:01','2017-02-28 16:36:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (339,'Hoàng Tân','upload/avatar/10208504935836024_avatar_thumb.jpg','10208504935836024','','','male','2017-02-28','','hoangtan304@yahoo.com','0983537732','1488276459',1,'fb','2017-03-04 21:42:35','2017-02-28 17:07:43','2017-02-28 17:07:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (340,'Liêm\'s Liêm\'s','upload/avatar/231073003966093_avatar_thumb.jpg','231073003966093','','','male','2017-02-28','','','01655585500','1488277173',1,'fb','2017-02-28 17:25:07','2017-02-28 17:19:36','2017-02-28 17:20:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (341,'Tuan Lee','upload/avatar/1834082010177873_avatar_thumb.jpg','1834082010177873','','','male','2017-02-28','','uihai2001@gmail.com','0934666351','1488277704',1,'fb','2017-02-28 17:28:26','2017-02-28 17:28:26','2017-02-28 17:29:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (342,'Hai Nguyen','upload/avatar/1847908638784672_avatar_thumb.jpg','1847908638784672','','','male','2017-02-28','','tienhai08.1982@gmail.com','0912986458','1488277952',1,'fb','2017-02-28 17:32:34','2017-02-28 17:32:34','2017-02-28 17:33:07');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (343,'Lê Thuận','upload/avatar/892497717559113_avatar_thumb.jpg','892497717559113','','','male','2017-02-28','','','01685994048','1488280330',1,'fb','2017-02-28 18:12:15','2017-02-28 18:12:15','2017-02-28 18:12:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (344,'Vũ Minh Quang','upload/avatar/1241451895942214_avatar_thumb.jpg','1241451895942214','','','male','2017-02-28','','minhquang43@gmail.com','0965320985','1488281298',1,'fb','2017-02-28 18:28:21','2017-02-28 18:28:21','2017-02-28 18:28:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (345,'Sầu Vô Lệ','upload/avatar/1196087300488547_avatar_thumb.jpg','1196087300488547','','','male','2017-02-28','','ngay_em_den_84@yahoo.com','0982341352','1488283427',1,'fb','2017-02-28 19:07:21','2017-02-28 19:03:49','2017-02-28 19:04:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (346,'TTQS Minh Tuan','upload/avatar/115474967585186511486_avatar_thumb.jpg','115474967585186511486','','','','2017-02-28','','minhtuanttqs2015@gmail.com','','1488287113',1,'gg','2017-02-28 20:05:15','2017-02-28 20:05:15','2017-02-28 20:05:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (347,'Mạnh Hà','upload/avatar/117542280700607995632_avatar_thumb.jpg','117542280700607995632','','','','2017-02-28','','hamanh2109@gmail.com','0979164107','1488289463',1,'gg','2017-03-04 21:49:45','2017-02-28 20:44:25','2017-02-28 20:51:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (348,'Tuan Anh Tran','upload/avatar/255171018265496_avatar_thumb.jpg','255171018265496','','','male','2017-03-01','','trananhhoastda@gmail.com','0916131191','1488301854',1,'fb','2017-03-01 00:10:58','2017-03-01 00:10:58','2017-03-01 00:11:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (349,'Tuấn Nguyễn','upload/avatar/1376144175783299_avatar_thumb.jpg','1376144175783299','','','male','2017-03-01','','me.tuannguyen@gmail.com','0919693991','1488307694',1,'fb','2017-03-01 01:53:04','2017-03-01 01:48:17','2017-03-01 01:48:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (350,'Trần Mạnh Hưng','upload/avatar/1464809233538290_avatar_thumb.jpg','1464809233538290','','','male','2017-03-01','','changluoitheki21@yahoo.com','0978126387','1488308347',1,'fb','2017-03-01 01:59:10','2017-03-01 01:59:10','2017-03-01 01:59:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (351,'Di Kun','upload/avatar/116552254306655092661_avatar_thumb.jpg','116552254306655092661','','','female','2017-03-01','','di.kun294@gmail.com','01297943794','1488313130',1,'gg','2017-03-01 11:19:06','2017-03-01 03:18:52','2017-03-01 03:19:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (352,'Nguyễn Bá Khiêm','upload/avatar/1331105430296145_avatar_thumb.jpg','1331105430296145','','','male','2017-03-01','','bakhiem_a1kr@yahoo.com','0963109323','1488319018',1,'fb','2017-03-01 04:57:06','2017-03-01 04:57:06','2017-03-01 04:57:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (353,'Trần Gia','upload/avatar/851325415009911_avatar_thumb.jpg','851325415009911','','','male','2017-03-01','','sangbangthegioi.timnguoitoiyeu@yahoo.com.vn','0938925328','1488330963',1,'fb','2017-03-01 08:16:05','2017-03-01 08:16:05','2017-03-01 08:16:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (354,'DINH MINH','upload/avatar/103911220264944449084_avatar_thumb.jpg','103911220264944449084','','','male','2017-03-01','','dinhminhx3@gmail.com','0972507820','1488331271',1,'gg','2017-03-01 08:21:13','2017-03-01 08:21:13','2017-03-01 08:21:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (355,'Tham Nguyen','upload/avatar/103299152428090216503_avatar_thumb.jpg','103299152428090216503','','','female','2017-03-01','','nguyentham868@gmail.com','','1488331592',1,'gg','2017-03-01 08:30:45','2017-03-01 08:26:34','2017-03-01 08:26:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (356,'Thái Hoàng Đặng','upload/avatar/117360920036854737842_avatar_thumb.jpg','117360920036854737842','','','male','2017-03-01','','thaihoangdang0511@gmail.com','0966555056','1488336720',1,'gg','2017-03-08 22:38:25','2017-03-01 09:52:02','2017-03-01 09:52:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (357,'Tuấn Anh Phạm','upload/avatar/1418981784841590_avatar_thumb.jpg','1418981784841590','','','male','2017-03-01','','anhptse03615@fpt.edu.vn','','1488336722',1,'fb','2017-03-01 09:52:04','2017-03-01 09:52:04','2017-03-01 09:52:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (358,'Lê Thắng','upload/avatar/1054065934739937_avatar_thumb.jpg','1054065934739937','','','male','2017-03-01','','guinguoisonnu_toiyeu@yahoo.com','0946065595','1488338746',1,'fb','2017-03-01 10:25:48','2017-03-01 10:25:48','2017-03-01 10:26:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (359,'Lam Truong','upload/avatar/1469545099736101_avatar_thumb.jpg','1469545099736101','','','female','2017-03-01','','lamtruong_9890@yahoo.com','','1488339389',1,'fb','2017-03-01 10:36:31','2017-03-01 10:36:31','2017-03-01 10:36:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (360,'Uyen Dang','upload/avatar/107536468489421063872_avatar_thumb.jpg','107536468489421063872','','','female','2017-03-01','','catuyendang@gmail.com','0912345678','1488340242',1,'gg','2017-03-01 10:50:45','2017-03-01 10:50:45','2017-03-01 10:50:55');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (361,'Huỳnh Trinh','upload/avatar/100740927284482558194_avatar_thumb.jpg','100740927284482558194','','','','2017-03-01','','diemtrinh010190@gmail.com','','1488340555',1,'gg','2017-03-01 10:55:57','2017-03-01 10:55:57','2017-03-01 10:55:57');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (362,'Nguyễn Hằng DT','upload/avatar/734142096752408_avatar_thumb.jpg','734142096752408','','','female','2017-03-01','','nguyenhang605@gmail.com','0906930187','1488340787',1,'fb','2017-03-04 07:48:10','2017-03-01 10:59:49','2017-03-01 11:00:00');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (363,'Nhatminh Thep','upload/avatar/396188270754709_avatar_thumb.jpg','396188270754709','','','male','2017-03-01','','','0973558486','1488341561',1,'fb','2017-03-01 11:18:21','2017-03-01 11:12:43','2017-03-01 11:13:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (364,'Tráng Hà Viết','upload/avatar/109968874314399738766_avatar_thumb.jpg','109968874314399738766','','','','2017-03-01','','trang12596@gmail.com','01236251296','1488343452',1,'gg','2017-03-08 18:19:18','2017-03-01 11:44:14','2017-03-01 11:44:26');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (365,'Đồng Thanh Hà','upload/avatar/1804146556502827_avatar_thumb.jpg','1804146556502827','','','female','2017-03-01','','hadtt2@cengolf.vn','0919681268','1488343811',1,'fb','2017-03-01 11:50:27','2017-03-01 11:50:13','2017-03-01 11:50:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (366,'duy tuan','upload/avatar/110442853604393041624_avatar_thumb.jpg','110442853604393041624','','','','2017-03-01','','duytuan180@gmail.com','0911522893','1488343983',1,'gg','2017-03-01 11:53:04','2017-03-01 11:53:04','2017-03-01 11:53:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (367,'hao phung','upload/avatar/109919392801040113265_avatar_thumb.jpg','109919392801040113265','','','male','2017-03-01','','khanhhaock1@gmail.com','','1488344189',1,'gg','2017-03-01 11:56:32','2017-03-01 11:56:32','2017-03-01 11:56:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (368,'Curacao Nguyễn','upload/avatar/269265823514901_avatar_thumb.jpg','269265823514901','','','female','2017-03-01','','','','1488345132',1,'fb','2017-03-01 12:12:14','2017-03-01 12:12:14','2017-03-01 12:12:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (369,'Lê Phi','upload/avatar/1793272144332432_avatar_thumb.jpg','1793272144332432','','','male','2017-03-01','','','0917207335','1488348811',1,'fb','2017-03-01 13:16:32','2017-03-01 13:13:35','2017-03-01 13:14:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (370,'Nam Meo','upload/avatar/791903697628884_avatar_thumb.jpg','791903697628884','','','male','2017-03-01','','','0983387269','1488348916',1,'fb','2017-03-01 13:18:03','2017-03-01 13:15:18','2017-03-01 13:15:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (371,'Thái Sơn Trần','upload/avatar/1238212869580235_avatar_thumb.jpg','1238212869580235','','','male','2017-03-01','','cuteen_0407@yahoo.com.vn','0979402552','1488349083',1,'fb','2017-03-01 13:18:05','2017-03-01 13:18:05','2017-03-01 13:18:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (372,'Son Tung','upload/avatar/112305582102025180071_avatar_thumb.jpg','112305582102025180071','','','male','2017-03-01','','kut3b0y.nol0v3@gmail.com','01658023836','1488351832',1,'gg','2017-03-01 14:03:53','2017-03-01 14:03:53','2017-03-01 14:04:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (373,'Oanh Bui','upload/avatar/102875655452450151971_avatar_thumb.jpg','102875655452450151971','','','','2017-03-01','','buioanh7687@gmail.com','0988264887','1488355839',1,'gg','2017-03-01 15:10:42','2017-03-01 15:10:42','2017-03-01 16:10:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (374,'Binh Pham','upload/avatar/991039864329921_avatar_thumb.jpg','991039864329921','','','male','2017-03-01','','danle2010@yahoo.com.vn','01642242255','1488356345',1,'fb','2017-03-01 15:22:05','2017-03-01 15:19:07','2017-03-01 15:19:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (375,'Linh Cao','upload/avatar/1434852393232227_avatar_thumb.jpg','1434852393232227','','','female','2017-03-01','','mylinhcao.1306@gmail.com','','1488359222',1,'fb','2017-03-01 16:07:05','2017-03-01 16:07:05','2017-03-01 16:07:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (376,'Tham XA','upload/avatar/445621905769684_avatar_thumb.jpg','445621905769684','','','male','2017-03-01','','','0971130947','1488361744',1,'fb','2017-03-01 16:52:59','2017-03-01 16:49:08','2017-03-01 16:49:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (377,'Vuong Bui','upload/avatar/1232219713559414_avatar_thumb.jpg','1232219713559414','','','male','2017-03-01','','minhben126@gmail.com','0984763687','1488362773',1,'fb','2017-03-01 17:12:29','2017-03-01 17:06:15','2017-03-01 17:06:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (378,'Hoàng Tân','upload/avatar/667971736744877_avatar_thumb.jpg','667971736744877','','','male','2017-03-01','','hoangtan304@gmail.com','0983537732','1488364099',1,'fb','2017-03-06 21:33:22','2017-03-01 17:28:21','2017-03-01 17:28:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (379,'Quý Dương','upload/avatar/1402114423165665_avatar_thumb.jpg','1402114423165665','','','female','2017-03-01','','duongquy1991@gmail.com','0904897007','1488366715',1,'fb','2017-03-07 08:13:44','2017-03-01 18:11:57','2017-03-01 18:12:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (380,'Giap Ngoc','upload/avatar/225371334602199_avatar_thumb.jpg','225371334602199','','','male','2017-03-01','','','0979156391','1488371097',1,'fb','2017-03-01 19:25:00','2017-03-01 19:25:00','2017-03-01 19:25:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (381,'Hung Do','upload/avatar/378869499148929_avatar_thumb.jpg','378869499148929','','','male','2017-03-01','','','01683428481','1488375771',1,'fb','2017-03-01 20:45:58','2017-03-01 20:42:54','2017-03-01 20:43:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (382,'Truong Xuan Anh','upload/avatar/1584669634884516_avatar_thumb.jpg','1584669634884516','','','male','2017-03-01','','xuananh_ktqd@yahoo.com','0977268899','1488376568',1,'fb','2017-03-01 20:56:11','2017-03-01 20:56:11','2017-03-01 20:56:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (383,'Tran Tu','upload/avatar/196919224124748_avatar_thumb.jpg','196919224124748','','','male','2017-03-01','','','01257955195','1488377084',1,'fb','2017-03-01 21:10:53','2017-03-01 21:04:47','2017-03-01 21:05:30');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (384,'Nguyễn Hà Ly','upload/avatar/111233181486650908333_avatar_thumb.jpg','111233181486650908333','','','female','2017-03-01','','nguyenhaly89@gmail.com','','1488378487',1,'gg','2017-03-01 21:28:17','2017-03-01 21:28:17','2017-03-01 21:28:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (385,'Chinh Nguyen Xuân','upload/avatar/101196370875387731624_avatar_thumb.jpg','101196370875387731624','','','','2017-03-01','','xuanchinh20140466@gmail.com','','1488378521',1,'gg','2017-03-01 21:28:43','2017-03-01 21:28:43','2017-03-01 21:28:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (386,'Chỉnh Kòy','upload/avatar/732566246917123_avatar_thumb.jpg','732566246917123','','','male','2017-03-01','','chinhkoy90@gmail.com','0969001990','1488378803',1,'fb','2017-03-01 21:34:54','2017-03-01 21:33:26','2017-03-01 21:33:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (387,'Đình Đỉnh','upload/avatar/690972314406074_avatar_thumb.jpg','690972314406074','','','male','2017-03-01','','','0984769346','1488383422',1,'fb','2017-03-01 22:52:00','2017-03-01 22:52:00','2017-03-01 22:52:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (388,'Thang Nguyen','upload/avatar/106578639477165328780_avatar_thumb.jpg','106578639477165328780','','','','2017-03-01','','thang8nq@gmail.com','','1488384075',1,'gg','2017-03-01 23:02:20','2017-03-01 23:02:20','2017-03-01 23:02:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (389,'Phạm Thanh Quang','upload/avatar/1004583926341738_avatar_thumb.jpg','1004583926341738','','','male','2017-03-02','','phamlamvinh@yahoo.com.vn','0904459638','1488388910',1,'fb','2017-03-02 00:22:12','2017-03-02 00:22:12','2017-03-02 00:22:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (390,'Hungcuong Nguyen','upload/avatar/757550154412375_avatar_thumb.jpg','757550154412375','','','male','2017-03-02','','cuonglan.com.vn@gmail.com','01667828870','1488388943',1,'fb','2017-03-02 00:34:35','2017-03-02 00:22:45','2017-03-02 00:23:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (391,'Hue Ha Kieu','upload/avatar/259302431181584_avatar_thumb.jpg','259302431181584','','','male','2017-03-02','','','0982834407','1488389249',1,'fb','2017-03-02 00:28:50','2017-03-02 00:27:59','2017-03-02 00:29:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (392,'Chi Can Hanh Phuc','upload/avatar/160621544449093_avatar_thumb.jpg','160621544449093','','','male','2017-03-02','','','01692141887','1488398742',1,'fb','2017-03-02 03:11:27','2017-03-02 03:05:45','2017-03-02 03:06:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (393,'Bá\'s Lộc','upload/avatar/670981879754561_avatar_thumb.jpg','670981879754561','','','male','2017-03-02','','','0908062333','1488412473',1,'fb','2017-03-02 06:58:05','2017-03-02 06:54:36','2017-03-02 06:54:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (394,'Quang Duy Vũ','upload/avatar/104960191785485032824_avatar_thumb.jpg','104960191785485032824','','','male','2017-03-02','','hacsat092@gmail.com','0967530872','1488415197',1,'gg','2017-03-02 07:40:01','2017-03-02 07:40:01','2017-03-02 07:40:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (395,'Đinh Quang Hải','upload/avatar/1458127360864792_avatar_thumb.jpg','1458127360864792','','','male','2017-03-02','','haidinh.3107@gmail.com','0938831793','1488422913',1,'fb','2017-03-02 09:52:04','2017-03-02 09:48:35','2017-03-02 09:48:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (396,'Ngo Van Quyen Ngo','upload/avatar/208607582948733_avatar_thumb.jpg','208607582948733','','','male','2017-03-02','','','0976236676','1488424947',1,'fb','2017-03-02 10:26:18','2017-03-02 10:22:30','2017-03-02 10:23:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (397,'Phạm Văn Đán','upload/avatar/106891789149025145295_avatar_thumb.jpg','106891789149025145295','','','male','2017-03-02','','mrdan299@gmail.com','01638585464','1488428575',1,'gg','2017-03-02 11:23:28','2017-03-02 11:22:59','2017-03-02 11:23:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (398,'Tinh Tú','upload/avatar/501431553579229_avatar_thumb.jpg','501431553579229','','','male','2017-03-02','','','0949111649','1488428728',1,'fb','2017-03-03 09:42:48','2017-03-02 11:25:30','2017-03-02 11:25:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (399,'Nguyễn Hải Lam','upload/avatar/1277005885747929_avatar_thumb.jpg','1277005885747929','','','male','2017-03-02','','nguyenhailam301193@gmail.com','01684211164','1488430988',1,'fb','2017-03-08 00:28:06','2017-03-02 12:03:10','2017-03-02 12:03:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (400,'Bùi Đức Đạt','upload/avatar/261820597607025_avatar_thumb.jpg','261820597607025','','','male','2017-03-02','','kenshady95uc@gmail.com','','1488432929',1,'fb','2017-03-02 12:35:32','2017-03-02 12:35:32','2017-03-02 12:35:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (401,'Tuan Pham Van','upload/avatar/180681045765147_avatar_thumb.jpg','180681045765147','','','male','2017-03-02','','','','1488433675',1,'fb','2017-03-02 12:47:59','2017-03-02 12:47:59','2017-03-02 12:47:59');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (402,'Nguyen Thi Thu Ha','upload/avatar/1252127778203528_avatar_thumb.jpg','1252127778203528','','','female','2017-03-02','','meo_conkt34@yahoo.com','01239243676','1488434028',1,'fb','2017-03-02 12:55:31','2017-03-02 12:53:51','2017-03-02 12:54:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (403,'nguyễn phương đông','upload/avatar/1553401361382153_avatar_thumb.jpg','1553401361382153','','','male','2017-03-02','','daybyday_tn@yahoo.com','0983889142','1488434548',1,'fb','2017-03-02 13:09:17','2017-03-02 13:02:31','2017-03-02 13:02:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (404,'Luan Nguyen','upload/avatar/257717251341785_avatar_thumb.jpg','257717251341785','','','male','2017-03-02','','','0984378091','1488439185',1,'fb','2017-03-02 14:20:51','2017-03-02 14:19:48','2017-03-02 14:20:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (405,'Đinh Hương','upload/avatar/1599413273406821_avatar_thumb.jpg','1599413273406821','','','female','2017-03-02','','maihuong810@gmail.com','0906991668','1488439223',1,'fb','2017-03-02 14:20:27','2017-03-02 14:20:27','2017-03-02 14:20:40');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (406,'Ngo Quang Tung','upload/avatar/1546205382061110_avatar_thumb.jpg','1546205382061110','','','male','2017-03-02','','tungtraitimbanggia_bn@yahoo.com','0972976221','1488440700',1,'fb','2017-03-02 14:46:41','2017-03-02 14:45:02','2017-03-02 14:45:16');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (407,'Nguyễn Thu Thanh','upload/avatar/729464987221474_avatar_thumb.jpg','729464987221474','','','female','2017-03-02','','hiepthanh1989@gmail.com','0914517689','1488441090',1,'fb','2017-03-03 10:59:45','2017-03-02 14:51:32','2017-03-02 14:51:46');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (408,'hieu nguyen','upload/avatar/104924778214028057625_avatar_thumb.jpg','104924778214028057625','','','male','2017-03-02','','nguyenhieu2831985@gmail.com','0979777283','1488441856',1,'gg','2017-03-02 22:52:25','2017-03-02 15:04:18','2017-03-02 15:05:10');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (409,'cư Đỗ','upload/avatar/114849228273154263053_avatar_thumb.jpg','114849228273154263053','','','','2017-03-02','','xuancucalc@gmail.com','0971012555','1488442020',1,'gg','2017-03-02 15:07:02','2017-03-02 15:07:02','2017-03-02 15:07:18');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (410,'Hieu Nguyen','upload/avatar/1882232605356438_avatar_thumb.jpg','1882232605356438','','','male','2017-03-02','','nguyenhieu2831985@gmail.com','0979777283','1488443084',1,'fb','2017-03-02 23:00:44','2017-03-02 15:24:46','2017-03-02 15:25:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (411,'Manhha Ngo','upload/avatar/1237554879693671_avatar_thumb.jpg','1237554879693671','','','male','2017-03-02','','mrha.kt@gmail.com','0978949356','1488443806',1,'fb','2017-03-02 15:36:49','2017-03-02 15:36:49','2017-03-02 15:37:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (412,'Pham Hoa','upload/avatar/115971645848714866453_avatar_thumb.jpg','115971645848714866453','','','female','2017-03-02','','phamhoa121192@gmail.com','0948597686','1488445729',1,'gg','2017-03-02 16:08:51','2017-03-02 16:08:51','2017-03-02 16:09:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (413,'Ngọc Lê','upload/avatar/140769866443972_avatar_thumb.jpg','140769866443972','','','female','2017-03-02','','lethingoc88888@gmail.com','01674962771','1488449193',1,'fb','2017-03-02 17:07:22','2017-03-02 17:06:35','2017-03-02 17:07:32');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (414,'Sinh Ngo','upload/avatar/1721303014826483_avatar_thumb.jpg','1721303014826483','','','male','2017-03-02','','quangsinh1988@gmail.com','','1488451998',1,'fb','2017-03-02 17:53:21','2017-03-02 17:53:21','2017-03-02 17:53:21');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (415,'Trần Chiến','upload/avatar/265280777232887_avatar_thumb.jpg','265280777232887','','','male','2017-03-02','','tatran899@gmail.com','01638388380','1488452844',1,'fb','2017-03-02 18:09:37','2017-03-02 18:07:26','2017-03-02 18:07:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (416,'chiến trần','upload/avatar/103510997280390497390_avatar_thumb.jpg','103510997280390497390','','','','2017-03-02','','tranchienbk2020@gmail.com','01688388380','1488453000',1,'gg','2017-03-04 17:25:43','2017-03-02 18:10:02','2017-03-02 18:10:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (417,'Mai Anh Ngo','upload/avatar/263478414105532_avatar_thumb.jpg','263478414105532','','','female','2017-03-02','','quangcodao@gmail.com','01275655516','1488454393',1,'fb','2017-03-02 18:33:15','2017-03-02 18:33:15','2017-03-02 18:33:33');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (418,'Dương Xuân Hiệp','upload/avatar/1012076775594858_avatar_thumb.jpg','1012076775594858','','','male','2017-03-02','','','0936384489','1488454444',1,'fb','2017-03-02 22:18:42','2017-03-02 18:34:06','2017-03-02 22:19:03');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (419,'Thuan Bui Hong','upload/avatar/102144302286687811026_avatar_thumb.jpg','102144302286687811026','','','male','2017-03-02','','buihongthuan.ript@gmail.com','0916026272','1488456165',1,'gg','2017-03-02 19:05:12','2017-03-02 19:02:47','2017-03-02 19:03:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (420,'bình nguyễn','upload/avatar/114205008386872770937_avatar_thumb.jpg','114205008386872770937','','','','2017-03-02','','nhb1510@gmail.com','01689133525','1488456893',1,'gg','2017-03-06 22:41:04','2017-03-02 19:15:00','2017-03-02 19:15:08');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (421,'Tu Nguyen Dinh','upload/avatar/102103565894572735099_avatar_thumb.jpg','102103565894572735099','','','male','2017-03-02','','tucntt89@gmail.com','','1488457102',1,'gg','2017-03-02 19:18:44','2017-03-02 19:18:24','2017-03-02 19:18:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (422,'Lê Nguyễn','upload/avatar/719801521514048_avatar_thumb.jpg','719801521514048','','','male','2017-03-02','','chunglee92.cl@gmail.com','0916890550','1488457174',1,'fb','2017-03-02 19:19:36','2017-03-02 19:19:36','2017-03-02 19:20:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (423,'Hà Lâm Thu','upload/avatar/110058398983707321027_avatar_thumb.jpg','110058398983707321027','','','','2017-03-02','','lamthuha.cen@gmail.com','0914595885','1488460675',1,'gg','2017-03-06 22:38:28','2017-03-02 20:17:58','2017-03-02 20:18:48');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (424,'Hải Đăng','upload/avatar/451461935245130_avatar_thumb.jpg','451461935245130','','','male','2017-03-02','','tranhaidang0604@gmail.com','01275157268','1488463953',1,'fb','2017-03-02 21:12:36','2017-03-02 21:12:36','2017-03-02 21:12:52');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (425,'Mr Ken','upload/avatar/106544475767796576315_avatar_thumb.jpg','106544475767796576315','','','','2017-03-02','','kiencx1@gmail.com','0971925268','1488465517',1,'gg','2017-03-03 17:55:42','2017-03-02 21:38:39','2017-03-02 21:38:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (426,'Nam Phạm','upload/avatar/778949068920166_avatar_thumb.jpg','778949068920166','','','male','2017-03-02','','anhnhoem11100@gmail.com','','1488466053',1,'fb','2017-03-02 21:47:35','2017-03-02 21:47:35','2017-03-02 21:47:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (427,'Minh Thiên Trường','upload/avatar/974547056014119_avatar_thumb.jpg','974547056014119','','','male','2017-03-02','','minhnguyen899@gmail.com','0989833681','1488469605',1,'fb','2017-03-02 23:12:06','2017-03-02 22:46:47','2017-03-02 22:47:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (428,'phi quang','upload/avatar/116242569183857272078_avatar_thumb.jpg','116242569183857272078','','','','2017-03-02','','sieuthiduan6688@gmail.com','','1488472381',1,'gg','2017-03-02 23:33:04','2017-03-02 23:33:04','2017-03-02 23:33:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (429,'Vũ Minh Phương','upload/avatar/672833516256592_avatar_thumb.jpg','672833516256592','','','male','2017-03-02','','','','1488473442',1,'fb','2017-03-02 23:50:45','2017-03-02 23:50:45','2017-03-02 23:50:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (430,'Hằng Phạm','upload/avatar/115984809415686052480_avatar_thumb.jpg','115984809415686052480','','','female','2017-03-03','','hangpham17991@gmail.com','01664040342','1488475469',1,'gg','2017-03-03 17:41:46','2017-03-03 00:24:32','2017-03-03 00:24:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (431,'Van Thien','upload/avatar/609977389206945_avatar_thumb.jpg','609977389206945','','','male','2017-03-03','','','','1488497500',1,'fb','2017-03-03 06:31:43','2017-03-03 06:31:43','2017-03-03 06:31:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (432,'Lê Trọng Tuấn','upload/avatar/261228884334392_avatar_thumb.jpg','261228884334392','','','male','2017-03-03','','','0988592577','1488502419',1,'fb','2017-03-03 07:55:58','2017-03-03 07:53:41','2017-03-03 07:54:00');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (433,'Oanh Dang','upload/avatar/1280664238683735_avatar_thumb.jpg','1280664238683735','','','female','2017-03-03','','maylily_smile91@yahoo.com.vn','01649801397','1488504672',1,'fb','2017-03-03 08:31:14','2017-03-03 08:31:14','2017-03-03 08:31:29');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (434,'Arch Đồng','upload/avatar/116629585530618_avatar_thumb.jpg','116629585530618','','','male','2017-03-03','','kiendecor.bgd@gmail.com','0983305885','1488506494',1,'fb','2017-03-03 09:01:36','2017-03-03 09:01:36','2017-03-03 09:02:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (435,'Tien Manh','upload/avatar/211371232672346_avatar_thumb.jpg','211371232672346','','','male','2017-03-03','','','0982205009','1488508229',1,'fb','2017-03-03 09:32:24','2017-03-03 09:30:31','2017-03-03 09:30:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (436,'Nguyenchinh Nguyenvietchinh','upload/avatar/257871237971294_avatar_thumb.jpg','257871237971294','','','male','2017-03-03','','','0977441527','1488510017',1,'fb','2017-03-03 10:00:19','2017-03-03 10:00:19','2017-03-03 10:00:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (437,'quoc anh nguyen le','upload/avatar/101731787181467589132_avatar_thumb.jpg','101731787181467589132','','','','2017-03-03','','quocanhautok1@gmail.com','0903299400','1488512363',1,'gg','2017-03-03 10:44:01','2017-03-03 10:39:25','2017-03-03 10:40:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (438,'Thomas Trịnh','upload/avatar/102948447726261900079_avatar_thumb.jpg','102948447726261900079','','','male','2017-03-03','','duyluongnd@gmail.com','0986636039','1488512776',1,'gg','2017-03-03 10:46:18','2017-03-03 10:46:18','2017-03-03 10:46:26');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (439,'Thanh Tùng','upload/avatar/117891648791306613041_avatar_thumb.jpg','117891648791306613041','','','','2017-03-03','','thanhtung.stda@gmail.com','0961316262','1488514872',1,'gg','2017-03-03 11:21:14','2017-03-03 11:21:14','2017-03-03 11:21:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (440,'Dương Nhật Minh','upload/avatar/276064716158272_avatar_thumb.jpg','276064716158272','','','male','2017-03-03','','','0936384489','1488516060',1,'fb','2017-03-03 11:41:02','2017-03-03 11:41:02','2017-03-03 11:41:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (441,'Doan van Thang','upload/avatar/390916601286745_avatar_thumb.jpg','390916601286745','','','male','2017-03-03','','thangdhnv@gmail.com','0918416148','1488517127',1,'fb','2017-03-03 12:00:21','2017-03-03 11:58:49','2017-03-03 11:59:20');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (442,'Lâm Linh','upload/avatar/1436014946418333_avatar_thumb.jpg','1436014946418333','','','male','2017-03-03','','juylynk@gmail.com','0974365362','1488518958',1,'fb','2017-03-03 18:39:50','2017-03-03 12:29:21','2017-03-03 12:29:38');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (443,'Lưu Hiếu','upload/avatar/1308078169252428_avatar_thumb.jpg','1308078169252428','','','male','2017-03-03','','mai_yeu_em_89tn@yahoo.com','0973624526','1488525595',1,'fb','2017-03-03 14:21:55','2017-03-03 14:19:57','2017-03-03 14:22:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (444,'Nguyễn Đức Quyết','upload/avatar/1406764129386160_avatar_thumb.jpg','1406764129386160','','','male','2017-03-03','','never_alone_26@yahoo.com','01232244468','1488527214',1,'fb','2017-03-03 14:46:56','2017-03-03 14:46:56','2017-03-03 14:47:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (445,'Tôn Tống','upload/avatar/649032735284708_avatar_thumb.jpg','649032735284708','','','male','2017-03-03','','tonytong8x@gmail.com','0943339532','1488528192',1,'fb','2017-03-03 15:06:19','2017-03-03 15:03:15','2017-03-03 15:03:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (446,'Thu phạm','upload/avatar/108800622465686320277_avatar_thumb.jpg','108800622465686320277','','','female','2017-03-03','','phamthu88.hnvn@gmail.com','0979098439','1488531561',1,'gg','2017-03-03 15:59:23','2017-03-03 15:59:23','2017-03-03 15:59:43');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (447,'hoang nguyen','upload/avatar/102359947768297114018_avatar_thumb.jpg','102359947768297114018','','','male','2017-03-03','','cntt0401.nguyenvanhoang@gmail.com','01667543298','1488538366',1,'gg','2017-03-04 10:06:38','2017-03-03 17:52:48','2017-03-03 17:53:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (448,'Anh Mai','upload/avatar/109719873798502471635_avatar_thumb.jpg','109719873798502471635','','','female','2017-03-03','','scarletrose95@gmail.com','01694837508','1488540052',1,'gg','2017-03-03 18:20:54','2017-03-03 18:20:54','2017-03-03 18:21:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (449,'Đông Trần','upload/avatar/1111865808959323_avatar_thumb.jpg','1111865808959323','','','male','2017-03-03','','hoangtuthaiduong378@gmail.com','01683006766','1488543555',1,'fb','2017-03-06 11:08:58','2017-03-03 19:19:18','2017-03-03 19:19:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (450,'Chuẩn Huế','upload/avatar/1238821236186977_avatar_thumb.jpg','1238821236186977','','','male','2017-03-03','','vuchuan1@gmail.com','01689984742','1488548588',1,'fb','2017-03-03 20:43:10','2017-03-03 20:43:10','2017-03-03 20:43:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (451,'TRUNG TRẦN','upload/avatar/107881795179294245965_avatar_thumb.jpg','107881795179294245965','','','','2017-03-03','','tranbatrungtrung1977@gmail.com','0941574438','1488555497',1,'gg','2017-03-03 22:40:01','2017-03-03 22:38:19','2017-03-03 22:39:01');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (452,'Trần Văn Nhân','upload/avatar/1650818025213168_avatar_thumb.jpg','1650818025213168','','','male','2017-03-03','','licafesuachoanh@gmail.com','','1488557579',1,'fb','2017-03-03 23:13:02','2017-03-03 23:13:02','2017-03-03 23:13:02');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (453,'Suky Suky','upload/avatar/1941427649425378_avatar_thumb.jpg','1941427649425378','','','male','2017-03-04','','','','1488583932',1,'fb','2017-03-04 06:32:15','2017-03-04 06:32:15','2017-03-04 06:32:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (454,'Nguyễn Việt Tiến','upload/avatar/421788424828690_avatar_thumb.jpg','421788424828690','','','male','2017-03-04','','tiennv000@gmail.com','','1488600953',1,'fb','2017-03-04 11:15:55','2017-03-04 11:15:55','2017-03-04 11:15:55');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (455,'The Gin','upload/avatar/1176878962422233_avatar_thumb.jpg','1176878962422233','','','male','2017-03-04','','ginvoid@yahoo.com','0947195883','1488601277',1,'fb','2017-03-04 11:21:19','2017-03-04 11:21:19','2017-03-04 11:21:34');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (456,'Thomas Trinh','upload/avatar/106478104865032262024_avatar_thumb.jpg','106478104865032262024','','','','2017-03-04','','thomastrinh.hn@gmail.com','0986636039','1488604404',1,'gg','2017-03-04 12:14:52','2017-03-04 12:13:27','2017-03-04 12:15:04');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (457,'Nguyễn Hiển','upload/avatar/994644253999054_avatar_thumb.jpg','994644253999054','','','male','2017-03-04','','canhsat.hotboy@yahoo.com.vn','0972577557','1488618323',1,'fb','2017-03-05 16:09:13','2017-03-04 16:05:25','2017-03-04 16:05:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (458,'Nguyễn Hà Thảo Uyên','upload/avatar/100772578240391390772_avatar_thumb.jpg','100772578240391390772','','','female','2017-03-04','','nguyenhathaouyen@gmail.com','0967474989','1488622907',1,'gg','2017-03-08 10:45:53','2017-03-04 17:21:50','2017-03-04 17:22:31');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (459,'Đức Nhạ Nguyễn','upload/avatar/577602039106303_avatar_thumb.jpg','577602039106303','','','male','2017-03-04','','','','1488639908',1,'fb','2017-03-04 22:05:12','2017-03-04 22:05:12','2017-03-04 22:05:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (460,'Mạnh Tuấn','upload/avatar/1239629539461674_avatar_thumb.jpg','1239629539461674','','','male','2017-03-05','','','0983880369','1488647899',1,'fb','2017-03-05 00:18:21','2017-03-05 00:18:21','2017-03-05 00:18:39');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (461,'Korea Baby','upload/avatar/116805045532682330212_avatar_thumb.jpg','116805045532682330212','','','male','2017-03-05','','boynhockon04@gmail.com','01633005676','1488658408',1,'gg','2017-03-06 05:36:45','2017-03-05 03:13:31','2017-03-05 03:13:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (462,'Nguyễn Bá Nam','upload/avatar/1369896726394305_avatar_thumb.jpg','1369896726394305','','','male','2017-03-05','','anninhmangvietnam89@yahoo.com','01634561987','1488684338',1,'fb','2017-03-05 10:25:41','2017-03-05 10:25:41','2017-03-05 10:25:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (463,'Hà Bùi Thu','upload/avatar/1418814948189864_avatar_thumb.jpg','1418814948189864','','','female','2017-03-05','','habui.vcu@gmail.com','01698204992','1488695793',1,'fb','2017-03-05 13:36:35','2017-03-05 13:36:35','2017-03-05 13:37:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (464,'Đinh Thế Sơn','upload/avatar/10202984800337205_avatar_thumb.jpg','10202984800337205','','','male','2017-03-05','','hongson81e2003@yahoo.com','','1488712239',1,'fb','2017-03-05 18:10:42','2017-03-05 18:10:42','2017-03-05 18:10:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (465,'Ryserg Tung','upload/avatar/109168488762358570170_avatar_thumb.jpg','109168488762358570170','','','male','2017-03-05','','rysergt@gmail.com','0986912427','1488714437',1,'gg','2017-03-07 21:45:57','2017-03-05 18:47:19','2017-03-05 18:47:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (466,'Quoc Tuan Tran','upload/avatar/116091845585615_avatar_thumb.jpg','116091845585615','','','female','2017-03-05','','','01635965114','1488718182',1,'fb','2017-03-05 19:51:39','2017-03-05 19:49:44','2017-03-05 19:50:12');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (467,'Phương Tam','upload/avatar/1387870434568690_avatar_thumb.jpg','1387870434568690','','','female','2017-03-05','','phuonghongtam@gmail.com','0979590177','1488726578',1,'fb','2017-03-05 22:09:40','2017-03-05 22:09:40','2017-03-05 22:10:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (468,'Tỉnh Chu Quang','upload/avatar/1866126563662799_avatar_thumb.jpg','1866126563662799','','','male','2017-03-05','','tinhchuquang@gmail.com','0964783712','1488727511',1,'fb','2017-03-07 16:12:23','2017-03-05 22:25:13','2017-03-05 22:25:51');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (469,'Nguyễn Thái Bảo','upload/avatar/241470812928235_avatar_thumb.jpg','241470812928235','','','male','2017-03-05','','20140329@student.hust.edu.vn','0962731337','1488728008',1,'fb','2017-03-07 16:35:43','2017-03-05 22:33:30','2017-03-05 22:34:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (470,'Nguyễn Đức Duy','upload/avatar/705450802968748_avatar_thumb.jpg','705450802968748','','','male','2017-03-05','','','01699487957','1488728394',1,'fb','2017-03-05 22:39:56','2017-03-05 22:39:56','2017-03-05 22:40:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (471,'Trần Thảo','upload/avatar/1919689834941426_avatar_thumb.jpg','1919689834941426','','','female','2017-03-05','','','0967098367','1488729754',1,'fb','2017-03-05 23:02:36','2017-03-05 23:02:36','2017-03-05 23:02:42');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (472,'Hoàng Huynh','upload/avatar/902998529802818_avatar_thumb.jpg','902998529802818','','','male','2017-03-06','','dohuyhoang0401@yahoo.com.vn','0969336623','1488735162',1,'fb','2017-03-06 00:34:07','2017-03-06 00:32:44','2017-03-06 00:34:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (473,'Dũng Cao','upload/avatar/10208334360381676_avatar_thumb.jpg','10208334360381676','','','male','2017-03-06','','cutin1987@yahoo.com','0976676666','1488735687',1,'fb','2017-03-06 00:42:14','2017-03-06 00:41:29','2017-03-06 00:41:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (474,'Tai Nguyen','upload/avatar/1431397286879454_avatar_thumb.jpg','1431397286879454','','','male','2017-03-06','','tainguyen_sami@yahoo.com','0916555507','1488769861',1,'fb','2017-03-06 10:11:04','2017-03-06 10:11:04','2017-03-06 10:11:24');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (475,'Phuong Nguyen','upload/avatar/115467392186404619715_avatar_thumb.jpg','115467392186404619715','','','male','2017-03-06','','hungphuongdesign@gmail.com','0948198794','1488771380',1,'gg','2017-03-08 13:15:43','2017-03-06 10:36:22','2017-03-06 10:36:49');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (476,'Mạc Phong','upload/avatar/1750004091683100_avatar_thumb.jpg','1750004091683100','','','male','2017-03-06','','phong.1004@gmail.com','0906173173','1488775585',1,'fb','2017-03-06 11:46:27','2017-03-06 11:46:27','2017-03-06 11:46:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (477,'Hằng Nga','upload/avatar/1901807616723734_avatar_thumb.jpg','1901807616723734','','','female','2017-03-06','','hangnga010595@gmail.com','01662159695','1488781664',1,'fb','2017-03-07 22:03:34','2017-03-06 13:27:48','2017-03-06 13:28:00');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (478,'Anh Toan','upload/avatar/792450647569960_avatar_thumb.jpg','792450647569960','','','male','2017-03-06','','','0979509379','1488788004',1,'fb','2017-03-06 15:13:26','2017-03-06 15:13:26','2017-03-06 15:13:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (479,'thi do dinh','upload/avatar/106977879861381904048_avatar_thumb.jpg','106977879861381904048','','','male','2017-03-06','','dodinhthi92@gmail.com','','1488789421',1,'gg','2017-03-06 15:37:03','2017-03-06 15:37:03','2017-03-06 15:37:03');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (480,'thi do dinh','upload/avatar/106977879861381904048_avatar_thumb.jpg','106977879861381904048','','','male','2017-03-06','','dodinhthi92@gmail.com','','1488789423',1,'gg','2017-03-06 15:37:03','2017-03-06 15:37:03','2017-03-06 15:37:03');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (481,'Lê Văn Thịnh','upload/avatar/849465705201999_avatar_thumb.jpg','849465705201999','','','male','2017-03-06','','vanthinh1503@gmail.com','01696865683','1488795428',1,'fb','2017-03-06 17:17:10','2017-03-06 17:17:10','2017-03-06 17:17:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (482,'Híu Ng','upload/avatar/10211457714020124_avatar_thumb.jpg','10211457714020124','','','male','2017-03-06','','nth20992@gmail.com','0966290018','1488796500',1,'fb','2017-03-06 17:35:02','2017-03-06 17:35:02','2017-03-06 17:35:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (483,'Bella Trần','upload/avatar/771518049667301_avatar_thumb.jpg','771518049667301','','','female','2017-03-06','','pr.ans@ansinh.vn','0904861983','1488797827',1,'fb','2017-03-06 18:16:45','2017-03-06 17:57:09','2017-03-06 17:57:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (484,'Danh Công','upload/avatar/1257920060929612_avatar_thumb.jpg','1257920060929612','','','male','2017-03-06','','congdanh2708@yahoo.com','0937925619','1488799273',1,'fb','2017-03-06 18:21:15','2017-03-06 18:21:15','2017-03-06 18:21:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (485,'Quang Hùng','upload/avatar/693633844142511_avatar_thumb.jpg','693633844142511','','','male','2017-03-06','','','01639402138','1488812092',1,'fb','2017-03-06 21:58:22','2017-03-06 21:54:54','2017-03-06 21:55:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (486,'Nguyen Ha','upload/avatar/755608124601751_avatar_thumb.jpg','755608124601751','','','female','2017-03-06','','nguyenhathaouyen@gmail.com','0967474989','1488815891',1,'fb','2017-03-07 16:29:59','2017-03-06 22:58:13','2017-03-06 22:59:27');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (487,'Tu Ha','upload/avatar/1740309132662321_avatar_thumb.jpg','1740309132662321','','','female','2017-03-06','','hatu1109@gmail.com','0986511025','1488819022',1,'fb','2017-03-08 10:48:40','2017-03-06 23:50:24','2017-03-06 23:54:36');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (488,'Huong Nguyen','upload/avatar/1391982374208807_avatar_thumb.jpg','1391982374208807','','','female','2017-03-07','','nguyenhuongbanker@gmail.com','0984391123','1488819728',1,'fb','2017-03-08 10:53:30','2017-03-07 00:02:10','2017-03-07 00:03:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (489,'Huyền Comi','upload/avatar/1919327401637363_avatar_thumb.jpg','1919327401637363','','','male','2017-03-07','','huyencomi.no1@gmail.com','0936236889','1488820411',1,'fb','2017-03-07 00:13:34','2017-03-07 00:13:34','2017-03-07 00:14:17');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (490,'Tuyết Rơi Mùa Hè','upload/avatar/1652507641717358_avatar_thumb.jpg','1652507641717358','','','male','2017-03-07','','ckt10a1996@gmail.com','0971615209','1488820868',1,'fb','2017-03-07 00:21:10','2017-03-07 00:21:10','2017-03-07 00:21:26');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (491,'Cuongth','upload/avatar/109817937079977635657_avatar_thumb.jpg','109817937079977635657','','','','2017-03-07','','cuongth018@gmail.com','0988218868','1488838113',1,'gg','2017-03-07 05:08:35','2017-03-07 05:08:35','2017-03-07 05:08:52');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (492,'Bùi Minh Nam','upload/avatar/1643709342312111_avatar_thumb.jpg','1643709342312111','','','male','2017-03-07','','buiminhnam126@gmail.com','0907003668','1488850409',1,'fb','2017-03-07 08:33:31','2017-03-07 08:33:31','2017-03-07 08:33:44');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (493,'Minh Sơn','upload/avatar/1272257802821304_avatar_thumb.jpg','1272257802821304','','','male','2017-03-07','','minhsonb1@yahoo.com.vn','0904661059','1488860157',1,'fb','2017-03-07 11:15:59','2017-03-07 11:15:59','2017-03-07 11:16:15');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (494,'Nguyễn Đức Huy','upload/avatar/1896221260610105_avatar_thumb.jpg','1896221260610105','','','male','2017-03-07','','misscf7x@gmail.com','0972376980','1488860665',1,'fb','2017-03-07 11:24:28','2017-03-07 11:24:28','2017-03-07 11:24:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (495,'Đức Khoa Nguyễn','upload/avatar/787082351444785_avatar_thumb.jpg','787082351444785','','','male','2017-03-07','','ndkhoa96@gmail.com','','1488861056',1,'fb','2017-03-07 11:30:58','2017-03-07 11:30:58','2017-03-07 11:30:58');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (496,'Danh Hải','upload/avatar/1248539068586594_avatar_thumb.jpg','1248539068586594','','','male','2017-03-07','','chicoanhyeuem_1811@yahoo.com.vn','0983160138','1488869828',1,'fb','2017-03-07 13:57:10','2017-03-07 13:57:10','2017-03-07 13:57:35');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (497,'Quốc Triệu','upload/avatar/1263382667079391_avatar_thumb.jpg','1263382667079391','','','male','2017-03-07','','trieuconuong_5991@yahoo.com.vn','01675746666','1488877317',1,'fb','2017-03-07 16:06:23','2017-03-07 16:01:59','2017-03-07 16:02:37');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (498,'Coco Bay','upload/avatar/1722898534707621_avatar_thumb.jpg','1722898534707621','','','female','2017-03-07','','11030991@sv.ussh.edu.vn','01642269148','1488878088',1,'fb','2017-03-07 16:14:51','2017-03-07 16:14:51','2017-03-07 16:15:13');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (499,'Trang Mai','upload/avatar/118058575429920116196_avatar_thumb.jpg','118058575429920116196','','','male','2017-03-07','','secretnamelessvn@gmail.com','0978949356','1488878258',1,'gg','2017-03-08 09:22:31','2017-03-07 16:17:40','2017-03-07 16:18:06');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (500,'Hiếu Nguyễn Đức','upload/avatar/117430535580213713218_avatar_thumb.jpg','117430535580213713218','','','','2017-03-07','','hieundhoangvinhland@gmail.com','0988725191','1488880798',1,'gg','2017-03-07 17:00:00','2017-03-07 17:00:00','2017-03-07 17:00:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (501,'Phan Đức Tiến','upload/avatar/1137956942982373_avatar_thumb.jpg','1137956942982373','','','male','2017-03-07','','boy_thattinh_7891@yahoo.com','01668188269','1488885344',1,'fb','2017-03-07 18:15:46','2017-03-07 18:15:46','2017-03-07 18:16:05');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (502,'Phạm Quỳnh Anh','upload/avatar/1857066441239580_avatar_thumb.jpg','1857066441239580','','','female','2017-03-07','','quynhanh092014@gmail.com','0975155281','1488894214',1,'fb','2017-03-07 20:52:05','2017-03-07 20:43:37','2017-03-07 20:43:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (503,'Tran Tung','upload/avatar/116331152683181256928_avatar_thumb.jpg','116331152683181256928','','','male','2017-03-07','','rysergt1@gmail.com','0983376129','1488898644',1,'gg','2017-03-07 21:57:25','2017-03-07 21:57:25','2017-03-07 21:58:11');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (504,'Phuong Nguyen','upload/avatar/112505883810635822196_avatar_thumb.jpg','112505883810635822196','','','male','2017-03-07','','24h.media.biz@gmail.com','0948198794','1488900252',1,'gg','2017-03-08 10:16:01','2017-03-07 22:24:14','2017-03-07 22:24:54');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (505,'Bao Nguyen Thai','upload/avatar/110425581934246552240_avatar_thumb.jpg','110425581934246552240','','','male','2017-03-07','','20140329@student.hust.edu.vn','0962731337','1488900744',1,'gg','2017-03-07 23:58:42','2017-03-07 22:32:26','2017-03-07 22:33:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (506,'tỉnh chu quang','upload/avatar/108276189345570502417_avatar_thumb.jpg','108276189345570502417','','','male','2017-03-07','','tinhchuquang@gmail.com','0964783712','1488901167',1,'gg','2017-03-08 09:27:19','2017-03-07 22:39:29','2017-03-07 22:39:41');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (507,'Tu Ha','upload/avatar/115425595021151345941_avatar_thumb.jpg','115425595021151345941','','','female','2017-03-08','','hatu1109@gmail.com','','1488938906',1,'gg','2017-03-08 09:08:28','2017-03-08 09:08:28','2017-03-08 09:08:28');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (508,'Sơn Phi','upload/avatar/111552263802577370122_avatar_thumb.jpg','111552263802577370122','','','','2017-03-08','','phanhaphison@gmail.com','01236251296','1488943861',1,'gg','2017-03-08 10:31:03','2017-03-08 10:31:03','2017-03-08 10:31:14');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (509,'Hằng Nguyễn','upload/avatar/1812202295764738_avatar_thumb.jpg','1812202295764738','','','female','2017-03-08','','','0936242469','1488955712',1,'fb','2017-03-08 13:48:35','2017-03-08 13:48:35','2017-03-08 13:49:19');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (510,'Duy Thì','upload/avatar/582975515229301_avatar_thumb.jpg','582975515229301','','','male','2017-03-08','','','0934571807','1488955826',1,'fb','2017-03-08 13:50:28','2017-03-08 13:50:28','2017-03-08 13:50:45');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (511,'Duy Anh Nguyen','upload/avatar/105695698161869269820_avatar_thumb.jpg','105695698161869269820','','','male','2017-03-08','','duyanh87.dan@gmail.com','0902126569','1488963339',1,'gg','2017-03-08 15:55:41','2017-03-08 15:55:41','2017-03-08 15:55:50');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (512,'Vũ Đại','upload/avatar/112045762236300912674_avatar_thumb.jpg','112045762236300912674','','','','2017-03-08','','daivn.stda@gmail.com','0971552563','1488965048',1,'gg','2017-03-08 16:24:10','2017-03-08 16:24:10','2017-03-08 16:24:25');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (513,'Quang Huy','upload/avatar/257162181356104_avatar_thumb.jpg','257162181356104','','','male','2017-03-08','','','0912930001','1488980799',1,'fb','2017-03-08 20:46:42','2017-03-08 20:46:42','2017-03-08 20:47:22');
insert  into `user`(`id`,`fullname`,`avatar`,`username`,`salt`,`password`,`gender`,`birthday`,`address`,`email`,`mobile`,`reward_code`,`is_active`,`account_type`,`last_logged`,`created_at`,`updated_at`) values (514,'Nắng Mùa Đông','upload/avatar/115875142275563_avatar_thumb.jpg','115875142275563','','','female','2017-03-08','','','','1488984108',1,'fb','2017-03-08 21:41:51','2017-03-08 21:41:51','2017-03-08 21:41:51');

/*Table structure for table `user_log` */

DROP TABLE IF EXISTS `user_log`;

CREATE TABLE `user_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'LOGIN, LOGOUT',
  `time_login` datetime DEFAULT NULL,
  `account_input` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8_unicode_ci,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT 'BE' COMMENT 'BE, FE',
  `result` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'SUCCESS, FAILED',
  `time_logout` datetime DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `user_log` */

insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (8,'LOGIN/LOGOUT','2017-02-13 23:10:56','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-13 23:11:03',7);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (9,'LOGIN/LOGOUT','2017-02-14 08:28:55','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (10,'LOGIN/LOGOUT','2017-02-14 14:41:27','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 18:03:13',12106);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (11,'LOGIN/LOGOUT','2017-02-14 18:03:21','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 18:34:11',1850);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (12,'LOGIN/LOGOUT','2017-02-14 22:34:28','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-14 23:32:34',3486);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (13,'LOGIN/LOGOUT','2017-02-15 10:53:06','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-15 11:38:29',2723);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (14,'LOGIN/LOGOUT','2017-02-15 11:40:02','hungtn','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-15 11:54:23',861);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (15,'LOGIN/LOGOUT','2017-02-17 13:55:31','hungtn','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-17 14:17:33',1322);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (16,'LOGIN/LOGOUT','2017-02-17 14:17:49','doan281pv','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-17 14:18:38',49);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (17,'LOGIN/LOGOUT','2017-02-18 16:26:24','doan281pv','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-18 18:21:23',6899);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (18,'LOGIN','2017-02-20 11:24:00','doan281','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','FAILED',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (19,'LOGIN/LOGOUT','2017-02-20 11:24:08','hungtn','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-20 11:24:44',36);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (20,'LOGIN/LOGOUT','2017-02-20 14:37:39','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-20 14:43:00',321);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (21,'LOGIN/LOGOUT','2017-02-20 14:43:03','loan_k50a2@yahoo.com','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-20 15:32:05',2942);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (22,'LOGIN/LOGOUT','2017-02-20 15:35:50','loan_k50a2@yahoo.com','113.190.232.246','Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (23,'LOGIN/LOGOUT','2017-02-20 17:19:51','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-20 17:28:10',499);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (24,'LOGIN/LOGOUT','2017-02-20 17:28:13','loan_k50a2@yahoo.com','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-20 18:20:14',3121);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (25,'LOGIN/LOGOUT','2017-02-22 09:38:14','hungtn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (26,'LOGIN','2017-02-22 10:28:56','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','FAILED',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (27,'LOGIN/LOGOUT','2017-02-22 10:29:33','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-22 10:30:41',68);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (28,'LOGIN/LOGOUT','2017-02-22 10:35:37','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (29,'LOGIN/LOGOUT','2017-02-22 10:35:54','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-22 10:37:45',111);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (30,'LOGIN/LOGOUT','2017-02-22 10:39:26','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-22 10:40:29',63);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (31,'LOGIN/LOGOUT','2017-02-22 10:40:34','quynhnt@ngoisaomoi.vn','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-22 10:41:37',63);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (32,'LOGIN/LOGOUT','2017-02-22 12:27:32','quynhnt@ngoisaomoi.vn','118.70.8.13','Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (33,'LOGIN/LOGOUT','2017-02-23 15:08:03','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (34,'LOGIN/LOGOUT','2017-02-23 15:08:31','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (35,'LOGIN/LOGOUT','2017-02-23 15:26:17','doan281pv','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-23 15:32:55',398);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (36,'LOGIN/LOGOUT','2017-02-23 15:50:59','quynhnt@ngoisaomoi.vn','117.5.207.170','Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (37,'LOGIN/LOGOUT','2017-02-23 16:00:08','quynhnt@ngoisaomoi.vn','117.5.207.170','Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (38,'LOGIN/LOGOUT','2017-02-23 17:52:16','doan281pv','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-23 18:37:01',2684);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (39,'LOGIN/LOGOUT','2017-02-23 22:14:22','doan281pv','113.190.225.17','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-24 01:17:21',10979);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (40,'LOGIN/LOGOUT','2017-02-24 00:35:44','quynhnt@ngoisaomoi.vn','183.80.228.78','Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (41,'LOGIN/LOGOUT','2017-02-24 08:20:45','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; Trident/6.0)','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (42,'LOGIN/LOGOUT','2017-02-24 08:29:35','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (43,'LOGIN/LOGOUT','2017-02-24 09:02:40','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (44,'LOGIN/LOGOUT','2017-02-24 10:13:43','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (45,'LOGIN/LOGOUT','2017-02-24 21:51:33','doan281pv','113.190.225.17','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (46,'LOGIN/LOGOUT','2017-02-25 08:12:42','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-25 08:35:41',1379);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (47,'LOGIN/LOGOUT','2017-02-25 21:48:38','doan281pv','113.190.225.17','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-25 22:58:46',4208);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (48,'LOGIN/LOGOUT','2017-02-25 23:01:57','doan281pv','113.190.225.17','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-25 23:02:55',58);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (49,'LOGIN/LOGOUT','2017-02-27 13:54:55','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (50,'LOGIN/LOGOUT','2017-02-27 16:07:37','quynhnt@ngoisaomoi.vn','14.177.202.119','Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (51,'LOGIN/LOGOUT','2017-02-28 09:23:43','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (52,'LOGIN/LOGOUT','2017-02-28 09:25:09','quynhnt@ngoisaomoi.vn','117.5.207.170','Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (53,'LOGIN/LOGOUT','2017-02-28 15:29:25','doan281pv','117.5.207.170','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-02-28 16:14:40',2715);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (54,'LOGIN/LOGOUT','2017-03-01 09:09:22','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (55,'LOGIN/LOGOUT','2017-03-01 11:24:34','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (56,'LOGIN/LOGOUT','2017-03-02 12:19:35','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (57,'LOGIN/LOGOUT','2017-03-02 14:48:13','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (58,'LOGIN/LOGOUT','2017-03-02 14:51:11','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (59,'LOGIN/LOGOUT','2017-03-03 08:28:23','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (60,'LOGIN/LOGOUT','2017-03-03 09:13:52','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (61,'LOGIN','2017-03-03 10:14:21','doanpv@dcv.vn','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','FAILED',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (62,'LOGIN/LOGOUT','2017-03-03 10:14:53','doan281pv','118.70.8.13','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-03-03 10:25:49',655);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (63,'LOGIN','2017-03-03 10:34:37','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (iPhone; CPU iPhone OS 10_1 like Mac OS X) AppleWebKit/602.2.14 (KHTML, like Gecko) Version/10.0 Mobile/14B72c Safari/602.1','BE','FAILED',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (64,'LOGIN/LOGOUT','2017-03-03 10:34:56','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (65,'LOGIN/LOGOUT','2017-03-04 09:09:36','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (66,'LOGIN/LOGOUT','2017-03-04 12:17:52','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (67,'LOGIN/LOGOUT','2017-03-06 08:30:10','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (68,'LOGIN/LOGOUT','2017-03-06 08:45:34','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (69,'LOGIN/LOGOUT','2017-03-06 17:54:32','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (70,'LOGIN/LOGOUT','2017-03-06 21:47:20','doan281pv','123.24.172.181','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (71,'LOGIN/LOGOUT','2017-03-07 08:10:16','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (72,'LOGIN/LOGOUT','2017-03-07 08:36:32','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (73,'LOGIN/LOGOUT','2017-03-07 11:41:24','doan281pv','117.5.87.183','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS','2017-03-07 11:44:19',175);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (74,'LOGIN/LOGOUT','2017-03-07 15:46:27','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (75,'LOGIN/LOGOUT','2017-03-07 20:44:44','doan281pv','123.24.172.181','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (76,'LOGIN/LOGOUT','2017-03-07 23:41:54','doan281pv','123.24.172.181','Mozilla/5.0 (Windows NT 6.1; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0','BE','SUCCESS','2017-03-08 01:27:52',6358);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (77,'LOGIN/LOGOUT','2017-03-08 08:32:45','quynhnt@ngoisaomoi.vn','117.6.131.213','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);
insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (78,'LOGIN/LOGOUT','2017-03-08 11:33:46','quynhnt@ngoisaomoi.vn','27.72.100.105','Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36','BE','SUCCESS',NULL,NULL);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
